local fbLimit={
	['skill'] = {
		['numLimit'] = 2,
		['column'] = 3,
		['row'] = 4,
		['spanLimit'] = 1800,
		['freeSearch'] = 18,
		['maxSearch'] = 36,
		['burnPos'] = 1,
		['memberMin'] = 2,
		['memberMax'] = 4,
		['initFinish'] = 3,
		['stepFinish'] = -1,
		['rand'] = '1-15,2-15,3-5,4-5,5-3,6-6,7-1,8-5,9-10,10-10,11-8,12-8,13-9',
		['bossEvCid'] = 14,
		['openEvCid'] = 4,
		['noneEvCid'] = 1,
		['showAwards'] = '16053,16054,16057,16058',
		['lvLimit'] = 0,
		['combatPower'] = 0,
		['Reward'] = 0
		},
	['equip1'] = {
		['numLimit'] = 999,
		['column'] = 3,
		['row'] = 4,
		['spanLimit'] = 1800,
		['freeSearch'] = 18,
		['maxSearch'] = 36,
		['burnPos'] = 1,
		['memberMin'] = 2,
		['memberMax'] = 4,
		['initFinish'] = 3,
		['stepFinish'] = -1,
		['rand'] = '15-15,16-15,17-5,18-5,19-3,20-6,21-1,22-5,23-10,24-10,25-8,26-8,27-9',
		['bossEvCid'] = 28,
		['openEvCid'] = 18,
		['noneEvCid'] = 15,
		['showAwards'] = 17144,
		['lvLimit'] = 28,
		['combatPower'] = 12000,
		['Reward'] = '奖励：魔导石,银两，传功丹'
		},
	['equip2'] = {
		['numLimit'] = 999,
		['column'] = 3,
		['row'] = 4,
		['spanLimit'] = 1800,
		['freeSearch'] = 18,
		['maxSearch'] = 36,
		['burnPos'] = 1,
		['memberMin'] = 2,
		['memberMax'] = 4,
		['initFinish'] = 3,
		['stepFinish'] = -1,
		['rand'] = '15-15,16-15,17-5,18-5,29-3,30-6,31-1,32-5,33-10,34-10,35-8,36-8,37-9',
		['bossEvCid'] = 38,
		['openEvCid'] = 18,
		['noneEvCid'] = 15,
		['showAwards'] = '17144,17013,17009',
		['lvLimit'] = 35,
		['combatPower'] = 15000,
		['Reward'] = '奖励：魔导石,4星装备图纸'
		},
	['equip3'] = {
		['numLimit'] = 999,
		['column'] = 3,
		['row'] = 4,
		['spanLimit'] = 1800,
		['freeSearch'] = 18,
		['maxSearch'] = 36,
		['burnPos'] = 1,
		['memberMin'] = 2,
		['memberMax'] = 4,
		['initFinish'] = 3,
		['stepFinish'] = -1,
		['rand'] = '15-15,16-15,17-5,18-5,39-3,40-6,41-1,42-5,43-10,44-10,45-8,46-8,47-9',
		['bossEvCid'] = 48,
		['openEvCid'] = 18,
		['noneEvCid'] = 15,
		['showAwards'] = '17014,17010,17144',
		['lvLimit'] = 45,
		['combatPower'] = 19000,
		['Reward'] = '奖励：魔导石,4星套装图纸'
		},
	['equip4'] = {
		['numLimit'] = 2,
		['column'] = 3,
		['row'] = 4,
		['spanLimit'] = 1800,
		['freeSearch'] = 18,
		['maxSearch'] = 36,
		['burnPos'] = 1,
		['memberMin'] = 2,
		['memberMax'] = 4,
		['initFinish'] = 3,
		['stepFinish'] = -1,
		['rand'] = '15-15,16-15,17-5,18-5,49-3,50-6,51-1,52-5,53-10,54-10,55-8,56-8,57-9',
		['bossEvCid'] = 58,
		['openEvCid'] = 18,
		['noneEvCid'] = 15,
		['showAwards'] = '17016,17015,17144',
		['lvLimit'] = 50,
		['combatPower'] = 27000,
		['Reward'] = '奖励：5星（装备/套装）图纸,魔导石'
		},
	['silver1'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1800,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 12000,
		['Reward'] = '奖励：少量的银两'
		},
	['silver2'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1801,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 15000,
		['Reward'] = '奖励：中量的银两'
		},
	['silver3'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1802,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：大量的银两'
		},
	['silver4'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1803,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 27000,
		['Reward'] = '奖励：巨额的银两'
		},
	['sourcehope1'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1804,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 12000,
		['Reward'] = '奖励：少量的灵源'
		},
	['sourcehope2'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1805,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 15000,
		['Reward'] = '奖励：中量的灵源'
		},
	['sourcehope3'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1806,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：大量的灵源'
		},
	['sourcehope4'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1807,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 27000,
		['Reward'] = '奖励：巨额的灵源'
		},
	['exp1'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1808,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 12000,
		['Reward'] = '奖励：少量的经验'
		},
	['exp2'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1809,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 15000,
		['Reward'] = '奖励：中量的经验'
		},
	['exp3'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：大量的经验'
		},
	['exp4'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：巨额的经验'
		},
	['cuilian1'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：少量的淬炼石'
		},
	['cuilian2'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：中量的淬炼石'
		},
	['cuilian3'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：大量的淬炼石'
		},
	['cuilian4'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：巨额的淬炼石'
		},
	['skill1'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：少量的技能币'
		},
	['skill2'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：中量的技能币'
		},
	['skill3'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：大量的技能币'
		},
	['skill4'] = {
		['numLimit'] = 2,
		['column'] = 0,
		['row'] = 0,
		['spanLimit'] = 1810,
		['freeSearch'] = 0,
		['maxSearch'] = 0,
		['burnPos'] = 0,
		['memberMin'] = 1,
		['memberMax'] = 1,
		['initFinish'] = 0,
		['stepFinish'] = 0,
		['rand'] = 0,
		['bossEvCid'] = 0,
		['openEvCid'] = 0,
		['noneEvCid'] = 0,
		['showAwards'] = 0,
		['lvLimit'] = 0,
		['combatPower'] = 19000,
		['Reward'] = '奖励：巨额的技能币'
		}
	}

return fbLimit