local help={
	['equip'] = {
		['title'] = '获得装备的途径有',
		['1'] = {
			['title'] = '高星级装备获得',
			['1'] = {
				['title'] = '藏宝楼',
				['content'] = '通过藏宝楼基础关卡可获得低星级装备。　　　　每通关3个关卡，可获得1个宝箱，内有各星级装备。通过每层藏宝楼BOSS，有几率抽取隐藏的高星级装备。',
				['button'] = 'insequip'
				},
			['2'] = {
				['title'] = '闯关',
				['content'] = '在游戏闯关中，有几率掉落低星级装备。',
				['button'] = 'mission'
				}
			},
		['2'] = {
			['title'] = '提升装备星级的途径有',
			['1'] = {
				['title'] = '铁匠铺',
				['content'] = '打造系统中的铁匠铺，可以将低星级装备通过分解再合成，提升为高星级装备。',
				['button'] = 'equippieces'
				}
			},
		['3'] = {
			['title'] = '提升装备等级的途径有',
			['1'] = {
				['title'] = '强化装备',
				['content'] = '打开英雄首页界面，点击底部的装备图标，可以强化装备，提升装备等级。',
				['button'] = 'hero'
				}
			}
		},
	['pet'] = {
		['title'] = '幻兽的获得及提升',
		['1'] = {
			['title'] = '获得幻兽的途径有',
			['1'] = {
				['title'] = '狩猎',
				['content'] = '农家牧场中，可获得低星级幻兽蛋。　　　　　　皇家猎场中，可获得中高星级幻兽蛋。',
				['button'] = 'inspet'
				},
			['2'] = {
				['title'] = '闯关',
				['content'] = '在通过某些特殊BOSS关卡，可获得切BOSS机会，通过切BOSS，有几率获得幻兽蛋。',
				['button'] = 'mission'
				}
			},
		['2'] = {
			['title'] = '提升幻兽星级的途径有',
			['1'] = {
				['title'] = '兽魂殿',
				['content'] = '打造系统中的兽魂殿，可以将低星级幻兽通过炼魂再合成，提升为高星级幻兽。',
				['button'] = 'animalsoul'
				}
			},
		['3'] = {
			['title'] = '幻兽进化的途径有',
			['1'] = {
				['title'] = '进化功能开启',
				['content'] = '通关9—8关卡后，开启幻兽进化功能。',
				['button'] = 'mission'
				},
			['2'] = {
				['title'] = '符文丹的获得',
				['content'] = '符文丹是制造进化符的重要材料。　9-7关卡掉落初级符文丹；10-5关卡掉落中级符文丹；10-14关卡掉落高级符文丹。',
				['button'] = 'mission'
				},
			['3'] = {
				['title'] = '进化池',
				['content'] = '幻兽进化符可用于幻兽进化。　　　在打造系统的进化池中，可消耗英雄+符文丹制造出英雄进化符。',
				['button'] = 'evolvepool'
				},
			['4'] = {
				['title'] = '进化界面',
				['content'] = '在幻兽首页或幻兽详情页中，点击进化按钮，可进入进化幻兽界面。',
				['button'] = 'pet'
				}
			}
		},
	['hero'] = {
		['title'] = '英雄的获得及提升',
		['1'] = {
			['title'] = '英雄的获得',
			['1'] = {
				['title'] = '英雄殿',
				['content'] = '在英雄殿，普通招将，可获得1-3星英雄3个。　　在英雄殿，高级招将，可获得2-5星英雄3个。',
				['button'] = 'inshero'
				},
			['2'] = {
				['title'] = '闯关',
				['content'] = '在游戏关卡中，有很大几率掉落普通星级英雄',
				['button'] = 'mission'
				}
			},
		['2'] = {
			['title'] = '提升英雄星级的途径有',
			['1'] = {
				['title'] = '聚义厅',
				['content'] = '打造系统中的聚义厅，可以将低星级英雄通过炼魂再合成，提升为高星级英雄。',
				['button'] = 'soul'
				}
			},
		['3'] = {
			['title'] = '提升英雄等级的途径有',
			['1'] = {
				['title'] = '传功',
				['content'] = '通过5—8关卡后，可开启英雄传功功能。　　　　　　　 在英雄首页，英雄详情页中，点击传功按钮，可将不需要的英雄的经验，传授给心仪的英雄。',
				['button'] = 'hero'
				}
			},
		['4'] = {
			['title'] = '英雄进化的途径有',
			['1'] = {
				['title'] = '进化功能开启',
				['content'] = '通关9—8关卡后，开启英雄进化功能。',
				['button'] = 'mission'
				},
			['2'] = {
				['title'] = '符文丹的获得',
				['content'] = '符文丹是制造进化符的重要材料。　9-7关卡掉落初级符文丹；10-5关卡掉落中级符文丹；10-14关卡掉落高级符文丹。',
				['button'] = 'mission'
				},
			['3'] = {
				['title'] = '进化池',
				['content'] = '英雄进化符可用于英雄进化。　　　在打造系统的进化池中，可消耗英雄+符文丹制造出英雄进化符。',
				['button'] = 'evolvepool'
				},
			['4'] = {
				['title'] = '进化界面',
				['content'] = '在英雄首页或英雄详情页中，点击进化按钮，可进入进化英雄界面。',
				['button'] = 'hero'
				}
			},
		['5'] = {
			['title'] = '战斗力作用',
			['1'] = {
				['title'] = '战力压制',
				['content'] = '在玩家与玩家的PK中，战斗力高的一方对战斗力低的一方有一定的伤害加成',
				['button'] = 'hero'
				},
			['2'] = {
				['title'] = '如何提高战斗力',
				['content'] = '提升英雄等级，强化装备，装备宝石，提升幻兽等级，提高技能等级等',
				['button'] = 'hero'
				}
			}
		},
	['silver'] = {
		['title'] = '获得银子的途径有',
		['1'] = {
			['title'] = '主要银子获得',
			['1'] = {
				['title'] = '闯关',
				['content'] = '闯关是游戏中获得银两的最重要渠道。',
				['button'] = 'mission'
				}
			},
		['2'] = {
			['title'] = '少量银子获得',
			['1'] = {
				['title'] = '藏宝楼',
				['content'] = '藏宝楼产出的银两，比闯关要少一些，但也是一个银两来源。',
				['button'] = 'insequip'
				},
			['2'] = {
				['title'] = '出售装备',
				['content'] = '出售低级装备是闯关之外，最重要的银两来源  （二星装备的价格是一星装备的18倍，是各星级中出售性价比最高的装备哦',
				['button'] = 'bag'
				},
			['3'] = {
				['title'] = '如意阁',
				['content'] = '磨练系统中的如意阁，是一个轻松来银两的好地方。',
				['button'] = 'insskill'
				}
			}
		},
	['exp'] = {
		['title'] = '获得经验的途径有',
		['1'] = {
			['title'] = '经验获得途径',
			['1'] = {
				['title'] = '藏宝楼',
				['content'] = '普通关卡：藏宝楼普通关卡中可获得中量经验值。　BOSS关卡：藏宝楼BOSS关卡可获大量经验值。',
				['button'] = 'insequip'
				},
			['2'] = {
				['title'] = '闯关',
				['content'] = '普通关卡：闯关普通关卡可获少量经验值。　　精英关卡：闯关有BOSS标志的精英关卡可获大量经验值。',
				['button'] = 'mission'
				}
			}
		},
	['skill'] = {
		['title'] = '获得技能的途径有',
		['1'] = {
			['title'] = '高星级技能获得',
			['1'] = {
				['title'] = '如意阁高级奖励',
				['content'] = '如意阁中可以获得高级奖励和低级奖励。高级奖励也和大王等级直接挂钩。大王等级越高，进入如意阁后可能获得的高级奖励技能书就越好。还可以通过刷新奖励来刷新奖励。',
				['button'] = 'insskill'
				}
			},
		['2'] = {
			['title'] = '普通技能获得',
			['1'] = {
				['title'] = '如意阁低级奖励',
				['content'] = '如意阁中可以获得高级奖励和低级奖励。每天有10次机会免费进行如意阁奖励的抽取，抽取到满值奖励后如果和事先预估的奖励点数相同，则可以一次性获得大量的技能书奖励。',
				['button'] = 'insskill'
				}
			}
		}
	}

return help