DATA_Info = {}
local _data = {}
local talkData = {}
local sourceType = nil	--清息来源
local worldMsg = nil	--世界消息记录
local gangMsg = nil 	--帮派消息记录
local friendMsg = nil 	--私聊消息记录
local customMsg = nil 	--自定义消息记录
function DATA_Info:init()
	_data = {}
--	_data["gang"] = {}
--	_data["gang"].chat = {}
	
	talkData = {}
	talkData["isHide"] = true
	talkData["isMsg"] = false
	talkData["actionObj"] = {}
	
end

-- function DATA_Info:set(data)
-- 	_data = data
-- --	_data["gang"] = {}
-- --	_data["gang"].chat = {}
-- end
function DATA_Info:set_type(name,data)
	local tempData = {}
	if name == "friend" then
		--拼合字符
		for key , v in pairs( data ) do
			--显示所有聊天记录
			if not v.uid then
				tempData[ #tempData + 1 ] = DATA_Info:friendDataFormat( v )
			end
		end
		_data[name] = tempData
	elseif name == "gang" then
		if data.code then
			_data[name] = data
		else
			for i = 1 , #data do
				tempData[ #tempData + 1 ] = DATA_Info:gangDataCell(data[i])
			end
			_data[name] = tempData
		end
	else
		_data[name] = data
	end
end

function DATA_Info:insertVoiceData( name , data )
	-- DATA_Info:msgSource( name )
	-- DATA_Info:setIsMsg( true )
	if TALK:getType() == "gang" then 
		
		if _data[name.."_voice"] == nil then 
			_data[name.."_voice"] = {}
		end

		data.time = TIME_OFFSET + os.time()
		table.insert( _data[name.."_voice"]  ,data )

		TALK:addItem( data , "gang" , "voice" )
	end

end

--customkey只有在 name为custom时存在
function DATA_Info:insert(name,data,customkey)
	DATA_Info:msgSource( name )
	
	if name == "godwar" or name == "godwar_talk" or name == "godwar_sys" then
	else
		DATA_Info:setIsMsg( true )
	end
	
	if name == "custom" then
		if not DATA_Info:getIsOpen() and TALK:getType() == "custom" then
			_data[name][customkey..""][ table.nums( _data[name][customkey..""])+1 ] = data
			if _data[name][customkey..""] and table.getn(_data[name][customkey..""]) >= 20 then
				table.remove(_data[name][customkey..""],1)
			end
		end
	elseif name == "gang" then
		if not DATA_Info:getIsOpen() and TALK:getType() == "gang" then
			if table.nums(_data[name]) >= 20 then
				table.remove(_data[name],1)
			end
			table.insert( _data[name] , data )
			TALK:addItem( DATA_Info:gangDataCell( data ) , "gang" )
		end
	elseif name == "friend" then
		if not DATA_Info:getIsOpen() and TALK:getType() == "friend" then
			local data = DATA_Info:friendDataFormat( data )	
			if table.nums(_data[name]) >= 20 then
				table.remove(_data[name],1)
			end
			table.insert(_data[name],data)
			TALK:addItem( data , "friend" )
		end
	elseif name == "world"then
		if table.getn(_data[name]) >= 20 then
			table.remove(_data[name],1)
		end
		table.insert(_data[name],data)
	elseif name == "server" or name == "war" then
		if _data[name] == nil then
			_data[name] = {}
		end
		
		if table.getn(_data[name]) >= 20 then
			table.remove(_data[name],1)
		end
		table.insert(_data[name],data)
	elseif name == "godwar" or name == "godwar_talk" or name == "godwar_sys" then
		if _data[name] == nil then
			_data[name] = {}
		end
		
		if table.getn(_data[name]) >= 20 then
			table.remove(_data[name],1)
		end
		table.insert(_data[name],data)
	end
end
--格式化帮派聊天数据
function DATA_Info:gangDataCell( tempData )
	local tempItem = {}
	tempItem[ #tempItem + 1 ] = tempData.title
	tempItem[ #tempItem + 1 ] = tempData.name
	tempItem[ #tempItem + 1 ] = tempData.content
	tempItem[ #tempItem + 1 ] = tempData.time or 0
	tempItem[ #tempItem + 1 ] = tempData.uid
	local temp = {}
	temp[ "msg" ] = tempItem
	temp[ "time" ] = tempData.cur_time or 0
	local str = ( tempData.title ~= "" ) and "【#s#】" or "#s#"
	temp[ "template" ] = str .. ( tempData.time and  "【#s#】#s#(#s#)" or "【#s#】#s#" )

	temp["source"] = tempData

	return temp
end
--标准化私聊
function DATA_Info:friendDataFormat( data )
	local function joinStr( tempData )
		local curData = tempData
		local toFrom = true	--我对他说
		local touid = nil
		local himStr = ""
		for i = 1 , #curData do
			if tonumber( curData[i].uid ) ~=  tonumber( DATA_Session:get("uid") ) then
				himStr = curData[i].name
				touid = curData[i].uid
				if curData[i].type == "siliao_2" then
					toFrom = true
				else
					toFrom = false
				end
			end

		end
		return toFrom and ( "我对【" .. himStr .."】说:" ) or ( "【" .. himStr .. "】对我说:" ) , touid
	end
	
	local tempItem , touid = joinStr( data.item )
	table.insert( data.msg , 1 , tempItem )
	data.uid = touid
	data.template = "#s#" ..  data.template
	return data
end




function DATA_Info:get_type(name)
	return _data[name]
end

function DATA_Info:get_data()
	return _data["result"]
end
--是否打开聊天界面
function DATA_Info:setIsOpen( b )
	talkData["isHide"] = ( b == nil ) and true or b
end
function DATA_Info:getIsOpen( )
	return talkData["isHide"]
end
--是否有新消息
function DATA_Info:setIsMsg( b )
	talkData["isMsg"] = ( b == nil ) and talkData["isMsg"] or b
		
	local function btnAction( obj )
		if table.nums( talkData["actionObj"] ) == 0 then
			return
		end
		if not( talkData["isMsg"] and talkData["isHide"]) then	--结束动画
			obj:setFront( IMG_PATH .. "image/scene/chat/talk_flag.png" )
			return
		end
		
		transition.stopTarget( display.getRunningScene() )
		
		local actions = CCArray:create()
		actions:addObject( CCCallFunc:create( function() xpcall( function() transition.scaleTo( obj:getFront() , {time = 0.3 , scale = 1.3 } )  end , function() end )   end ) )
		actions:addObject( CCDelayTime:create( 0.3 ) )
		actions:addObject( CCCallFunc:create( function() xpcall( function() transition.scaleTo( obj:getFront() , {time = 0.3 , scale = 1 } )  end , function() end )  end ) )
		actions:addObject( CCDelayTime:create( 0.3 ) )
		actions:addObject( CCCallFunc:create( function() btnAction(obj) end  ) )
		display.getRunningScene():runAction( CCSequence:create( actions ) )
	end
	
	local flagElement = {
				world = "talk_flag3.png" , 	
				gang = "talk_flag2.png" , 	
				friend = "talk_flag4.png" , 	
				custom = "talk_flag5.png" , 	
				server = "talk_flag5.png",
				war = "talk_flag5.png",
		}
	if talkData["isMsg"] and talkData["isHide"] then
		for key , v in pairs( talkData["actionObj"] ) do
			v:setFront( IMG_PATH .. "image/scene/chat/" .. flagElement[sourceType] )
			btnAction(v)
		end
	else
		sourceType = worldMsg
		worldMsg = nil
		gangMsg = nil
		friendMsg = nil
		
		for key , v in pairs( talkData["actionObj"] ) do
			if sourceType then
				btnAction(v)
			else
				xpcall( function() v:setFront( IMG_PATH .. "image/scene/chat/talk_flag.png" ) end , function() dump("消息容错") end )
			end
		end
	end
end
--设置消息来源
function DATA_Info:msgSource( type )
	sourceType = type
--	if type == "world" then worldMsg = true end
--	if type == "gang" then gangMsg = true end
--	if type == "friend" then friendMsg = true end
--	if type == "custom" then customMsg = true end
--	
--	sourceType = type
--	if sourceType then
--		--消息优先级设置
--		if friendMsg then
--			sourceType = "friend"
--		elseif  gangMsg then
--			sourceType = "gang"
--		elseif worldMsg then
--			sourceType = "world"
--		elseif customMsg then
--			sourceType = "custom"
--		end
--	else
--		sourceType = type
--	end
end
--获取消息来源
function DATA_Info:getSourceType()
	return sourceType
end
--做消息展示的按钮
function DATA_Info:addActionBtn( name , btnObj )
	talkData["actionObj"] = nil
	talkData["actionObj"] = {}
	talkData["actionObj"][ name .. "" ] = btnObj
	
	if name == "custom" and DATA_Info:getCustomKey() == "" then
		echoInfo( "当为 custom 时 ，  需要先执行 DATA_Info:setCustomKey 方法 注册接收后台推送消息键值" )
	end
end

--记录自定义聊天类型
local customKey = {}
function DATA_Info:setCustomKey( key )
	customKey = {}	--同时只存在一个key
	customKey[ key .. "" ] = key
end
--是否存在
function DATA_Info:isCustomKey( key )
	return ( customKey[key] ~= nil and true or false )
end
--获取当前customKey
function DATA_Info:getCustomKey()
	return string.join( customKey , ",")
end
return DATA_Info