-- for CCLuaEngine
function __G__TRACKBACK__(errorMessage)
    CCLuaLog("----------------------------------------")
    CCLuaLog("LUA ERROR: "..tostring(errorMessage).."\n")
    CCLuaLog(debug.traceback("", 2))
    CCLuaLog("----------------------------------------")
end

do
	--兼容处理
	if not __INNER_VERSION__ or 1 == __INNER_VERSION__ then
		WRITE_PATH = IMG_PATH
	end
end

--是否使用新的战斗系统
__INNER_USE_NEW_BATTLE = true


-- 简单配置
-- 0 - disable debug info, 1 - less debug info, 2 - verbose debug info
SERVER_TIME = 0
DEBUG = 2
DEBUG_MEM_USAGE = 10	-- 显示内存使用
msg = ""
xpcall(function()
	-- 设置图片质量
	local cclog = function(...)
        print(string.format(...))
    end
    
    
	requires(IMG_PATH , "GameLuaScript/Config/base") 			-- 配置文件
	requires(IMG_PATH , "GameLuaScript/Config/conf") 			-- 配置文件

	requires(IMG_PATH , "GameLuaScript/Common/CommonFunction")

	-- 引入框架
	requires(IMG_PATH , "framework/init")
	requires(IMG_PATH , "framework/client/init")
	requires(IMG_PATH , "GameLuaScript/Config/channel")			-- 渠道号(一定要放在框架引入后面)


	-- 游戏入口 - 后续可以去掉很多
	requires(IMG_PATH , "GameLuaScript/Data/Session")
	requires(IMG_PATH , "GameLuaScript/Network/http")
	requires(IMG_PATH , "GameLuaScript/Network/socket")
	

	requires(IMG_PATH , "GameLuaScript/Common/CommonFunction")
	requires(IMG_PATH , "GameLuaScript/SwitchScene")


	-- 常用组件
	requires(IMG_PATH , "GameLuaScript/Common/KNButton")
	requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
	requires(IMG_PATH , "GameLuaScript/Common/KNMsg")
	requires(IMG_PATH , "GameLuaScript/Common/KNScrollView")

	-- 全局引导
	requires(IMG_PATH , "GameLuaScript/Common/KNGuide")
	--全局时钟
	requires(IMG_PATH , "GameLuaScript/Common/KNClock"):new()

	requires(IMG_PATH , "GameLuaScript/Common/KNFileManager")

	-- 是否有神英雄（唐门，天府，太古，太古2）
	if CHANNEL_GROUP == "tmsj" or CHANNEL_GROUP == "td" or CHANNEL_GROUP == "tgxy" or CHANNEL_GROUP == "tgxy2" then
		HAS_GOD_GENERAL = true
	else
		HAS_GOD_GENERAL = false
	end

	-- 神战的游戏
	SHENZHAN_GROUP = CHANNEL_GROUP
	if CHANNEL_GROUP == "tgxy2" then
		SHENZHAN_GROUP = "tgxy"
	end

	--战斗测试
	if __INNER_USE_NEW_BATTLE and requires(IMG_PATH,"GameLuaScript/Scene/battleNew/def").debug then
		requires(IMG_PATH, "GameLuaScript/Scene/battleNew/scene").test()
		return
	end
	--战斗测试 end..

	----------------
	-- 创建登录场景
	switchScene("login" , nil , function()
		if ERROR_CODE ~= nil and ERROR_CODE ~= 0 and ERROR_MSG ~= nil and ERROR_MSG ~= "" then
			KNMsg.getInstance():flashShow(ERROR_MSG)

			ERROR_MSG = ""
			ERROR_CODE = 0
		end
	end)

end, __G__TRACKBACK__)
