--[[

所有 socket 通信发送前以及回调

]]


local M = {}

--[[登录]]
function M.log_in( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		--if callback ~= nil then
		--	callback(data)
		--end
	end

	return true , data
end

--[[登出]]
function M.log_out( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end

	return true , data
end

--***************这里是跨服战的接口，启用新的socket**********************************
function M.user_login( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end
	return true , data
end

function M.user_heartbeat( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		SERVER_TIME = data["result"].sertime
		TIME_OFFSET = data["result"].sertime - os.time()
		print("时间误差"..TIME_OFFSET)
	end

	return true , data
end


function M.swar_getInfo( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		
	end

	return true , data
end

function M.swar_getWarInfo(type, data, callback)
	if type == 1 then
	else
	end
	return true, data
end


function M.swar_move(type, data, callback)
	if type == 1 then
	else
	end
	return true, data
end


function M.kuafu_move(type, data, callback)
	if type == 1 then
	else
	end
	return true, data
end



function M.swar_getScore(type, data, callback)
	if type == 1 then
	else
	end
	return true, data
end

function M.kuafu_fieldMoveNotify(type, data, callback)
	if type == 1 then
	else
		SWAR:updateWar({[data["result"].uid] = data["result"]}, "move")
	end
	return true, data
end

function M.kuafu_NotZoneFieldEnd(type, data, callback)
	if type == 1 then
	else
		SWAR:updateWar(data.result, "end")
	end
	return true, data
end

function M.kuafu_ZoneFieldCheck(type, data, callback)
	if type == 1 then
	else
		SWAR:updateWar(data.result, "all")
	end
	return true, data
end


function M.kuafu_NotZoneAreaBeginReady(type, data, callback)
	if type == 1 then
	else
--		SWAR:updateWar(data.result, "all")
	end
	return true, data
end

function M.kuafu_NotZoneAreaBeginStart(type, data, callback)
	if type == 1 then
	else
		SWAR:tip(data.result.pairs)
	end
	return true, data
end

function M.kuafu_ZoneAreaUpdateServerStat(type, data, callback)
	if type == 1 then
	else
		SWAR:updateServer(data.result.server_stat)
	end
	return true, data
end

function M.kuafu_zoneFieldFight(type, data, callback)
	if type == 1 then
	else
		SWAR:updateWar(data.result, "singleResult")
	end
	return true, data
end


function M.kuafu_NotZoneFieldChat(type, data, callback)
	if type == 1 then
	else
		local result = data['result']
		local msg  = {
			msg = {result["user_name"], result["msg"]},
			template = "【#s#】#s#"
		}
		DATA_Info:insert("war" , msg)
		
		if DATA_Info:getIsOpen() then
			--聊天界面不存在时     消息按钮闪烁
			DATA_Info:msgSource( "war" )
			DATA_Info:setIsMsg( true )
		else
			--如果聊天界面打开时
			TALK:addItem(msg, "war")
		end
	end
	return true, data
end


function M.kuafu_NotZoneAreaChat(type, data, callback)
	if type == 1 then
	else
		local result = data['result']
		local msg  = {
			msg = {result["user_name"], result["msg"]},
			template = "【#s#】#s#"
		}
		DATA_Info:insert("server" , msg)
		
		if DATA_Info:getIsOpen() then
			--聊天界面不存在时     消息按钮闪烁
			DATA_Info:msgSource( "server" )
			DATA_Info:setIsMsg( true )
		else
			--如果聊天界面打开时
			TALK:addItem(msg, "server")
		end
	end
	return true, data
end

function M.kuafu_NotZoneFieldRevive(type, data, callback)
	if type == 1 then
	else
		print("#############")
		if data.code == 0 then
			SWAR:updateWar(data.result, "recovery")
		else
			KNMsg.getInstance():flashShow(data.msg)
		end
	end
	return true, data
end

function M.kuafu_close( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	
	end

	return true , data
end



function M.fengshen_sysmsg( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		if display.getRunningScene().name == "godwar" then
			local result = data.result
			GODWAR:sysMsg(result)
		end
	end

	return true , data
end

function M.fengshen_addfight( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		GODWAR:refreshTip("report")
	end

	return true , data
end

function M.fengshen_close( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end

	return true , data
end

function M.kuafu_recovery( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end

	return true , data
end


function M.kuafu_war_chat( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end

	return true , data
end


function M.kuafu_server_chat( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end

	return true , data
end

function M.kuafu_FieldCheck( type , data , callback )
	if type == 1 then
	elseif type == 2 then
	end

	return true , data
end



function M.fengshen_talk( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		local name = {
			['td'] = "绝世天府",
			['tmsj'] = "唐门世界",
			['tgxy'] = "太古仙域"
		}
		local result = data['result']
		local msg  = {
			msg = {name[result["game"]],"["..result["user_name"].."]:"..result["msg"]},
			template = "【#s#】#s#"
		}
		DATA_Info:insert("godwar" , msg)
		
		if DATA_Info:getIsOpen() then
			GODWAR:refreshTip("commu")
		else
			--如果聊天界面打开时
			TALK:addItem(msg, "server")
		end
	end
	return true , data
end

function M.fengshen_chat( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		dump(data)
		local result = data.result
		GODWAR:refreshMsg(result)
		local name = {
			['td'] = "绝世天府",
			['tmsj'] = "唐门世界",
			['tgxy'] = "太古仙域",
			
		}	
		local msg  = {
			msg = {name[result["game"]],result.msg},
			template = "【#s#】#s#"
		}
		DATA_Info:insert("godwar_talk" , msg)
		
		if DATA_Info:getIsOpen() then
			GODWAR:refreshTip("commu")
		else
			--如果聊天界面打开时
			TALK:addItem(msg, "server")
		end
	end

	return true , data
end

--************************************************************************


--[[被踢下线-接收服务器数据]]
function M.heartbeat_go( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		SERVER_TIME = data["result"][1].sertime
		TIME_OFFSET = data["result"][1].sertime - os.time()
		print("时间误差"..TIME_OFFSET)
	end

	return true , data
end

--[[被踢下线-接收服务器数据]]
function M.kick_off( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		print("kick_off  !!!!!!!!")
		KNMsg.getInstance():boxShow(data.msg , {
			confirmFun = function()
				SOCKET:delInstance( "battle" )
				switchScene("login")
			end
		})
	end

	return true , data
end

--[[聊天-接收服务器数据       自定义聊天与世界消息推送接口]]
function M.chat_get( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		local scene = display.getRunningScene()
		
		DATA_Chat:addData(data["add"])
		if scene.name ~= "battle" and scene.name ~= "battleNew" and scene.name ~= "war" and data["add"] and scene.name ~= "swar" and GLOBAL_INFOLAYER then		-- 战斗没法刷新
		 	GLOBAL_INFOLAYER:update()
		end
		
		--如果在消息界面，则刷新当前界面
		if scene.name == "chat" then
			if data["type"] == "talk" then
				DATA_Info:insert("_G_message_talk" , data["add"] )
			end
			scene:refreshChat(data["type"])
		end
		
		if DATA_Info:getIsOpen() then
			--聊天界面不存在时     消息按钮闪烁
			if data["type"] == "talk" then
				DATA_Info:msgSource( "world" )
				DATA_Info:setIsMsg( true )
			elseif DATA_Info:isCustomKey( data["type"] ) then
				DATA_Info:msgSource( "custom" )
				DATA_Info:setIsMsg( true )
			end
		else
			--如果聊天界面打开时
			if data["type"] == "talk" and TALK:getType() == "world" then
				DATA_Info:insert("_G_message_talk" , data["add"] )
				TALK:addItem( data["add"] , "world" )
			end
			--自定义聊天界面推送
			if DATA_Info:isCustomKey( data["type"] ) and TALK:getType() == "custom"  then
				DATA_Info:insert("custom" , data["add"] , DATA_Info:getCustomKey() )
				TALK:addItem( data["add"] , "custom" )
			end
		end
	end

	return true , data
end

--[[帮派聊天-接收服务器数据]]
function M.alliancemsg_get( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		DATA_Info:insert( "gang" , data.info )
	end

	return true , data
end
--[[私聊-接收服务器数据]]
function M.message_siliao( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		DATA_Info:insert( "friend" , data.result )
	end

	return true , data
end


--[[服务器推送消息数字]]
function M.chat_num( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		local scene = display.getRunningScene()

		DATA_Chat:setNum(data["num"])

		if scene.name ~= "battle" and scene.name ~= "battleNew" and scene.name ~= "war" and data["num"] and GLOBAL_INFOLAYER then		-- 战斗没法刷新
			GLOBAL_INFOLAYER:update()
		end
	end

	return true , data
end

--[[服务器推送好友消息数字]]
function M.chat_friend_num( type , data , callback )
	if type == 1 then
	elseif type == 2 then

		if data["num"] and DATA_Info:get_type( "friend_msgcount") then
			-- DATA_Info:get_type("friend_msgcount") = data["num"]
			DATA_Info:set_type("friend_msgcount" , data["num"])
		end

		if display.getRunningScene().name == "home"  and data["num"] and GLOBAL_INFOLAYER then		-- 战斗没法刷新
			GLOBAL_INFOLAYER:update()
		end
	end

	return true , data
end

--魂殿守擂 等待好友加入
function M.empirearena_joinTeam( type , data , callback )
	if type == 1 then
	elseif type == 2 then

		local scene = display.getRunningScene()

		if scene.name == "soulTemple" and GLOBAL_SOULTEMPLE then		-- 战斗没法刷新
			GLOBAL_SOULTEMPLE:chuangjianduiwu( data.ans ) 
		end
	end

	return true , data
end

--魂殿守擂 离开队伍
function M.empirearena_leaveTeam( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		local scene = display.getRunningScene()


		if scene.name == "soulTemple" and GLOBAL_SOULTEMPLE then		-- 战斗没法刷新

			-- dump(data , "data")

			local function showtips()
				showTip({
					content = createLabel({str =  (tonumber(data.ans.leader_flag) == 1 and "队长" or "队员") .. "退出，你是否要创建队伍", width = 380, size = 20}) ,
					priority = -220,
					left = {
						remove = true,
						callback = function()	
							GLOBAL_SOULTEMPLE:shouleiDispatcher("chuangjianduiwu")
						end
					},right = {
						remove = true,
						callback = function()
							GLOBAL_SOULTEMPLE:shouleiDispatcher("shouleijiaofeng")
						end
					}
				})
			end

			if data.ans.status == -1 then 
				Clock:removeTimeFun("SOULTEMPLE_TIME_CLOCK")
				-- GLOBAL_SOULTEMPLE:shouleiDispatcher("shouleijiaofeng")
				showtips()
			else
				showtips()
			end




		end
	end

	return true , data
end


--全民烟花活动即时消息
function M.refresh_fireworks( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		local scene = display.getRunningScene()
		if scene.name == "activity" then
			scene:refreshMsg( data["firework"] )
		end
	end

	return true , data
end
function M.refresh_vars( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		if data["_G_"] or data["_U_"] or data["_D_"] then
			local commonActions = requires(IMG_PATH , "GameLuaScript/Network/commonActions")
			commonActions.saveCommonData( {result = data["_G_"] or data["_U_"] or data["_D_"]} )

			local scene = display.getRunningScene()
			if scene.name ~= "battle" and scene.name ~= "battleNew" and scene.name ~= "war" and data["_G_"]["_G_account"] and GLOBAL_INFOLAYER then		-- 战斗没法刷新
				GLOBAL_INFOLAYER:update()
			end
		end

		if data['message'] then
			KNMsg.getInstance():flashShow(data["message"])
		end

		if data['ispay'] then
			if CHANNEL_ID == "tmsj.xinyou1" or CHANNEL_ID == "tmsj.xinyou2" then 
				DirectChannel.instance():call(
				{
					action = "paySuccess",
					userid = DATA_Session:get("uid"),
					paynum = data["paynum"],
					dataType = "1",				
				})
			end
		end
		
		
	end

	return true , data
end

--[[关卡-战斗开始]]
function M.mission_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("mission")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

--		switchScene("battle")
		switchScene("battle" , { intoAnimation = true , showInfo = "入场动画介绍入场动画\n介绍入场动画介绍入场动画\n介绍入场动画介绍入场动画介绍入\n场动画介绍"})
	end

	return true , data
end


--[[关卡-战斗过程]]
function M.mission_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )
		-- 恢复战斗进程
		
		local logic = requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")--require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[关卡-战斗完成]]
function M.mission_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--存储数据
		DATA_Mission:setByKey(result["current"]["map_id"],"missions",result["missions"])
		DATA_Mission:setByKey("current",result["jump"])
		DATA_Mission:setByKey("max",result["max"])

		if result.star_num then DATA_Mission:setByKey( result["current"]["map_id"] ,"star_num",result.star_num) end
		if result.hideStar_num then DATA_Mission:setByKey( result["current"]["map_id"] ,"hideStar_num",result.hideStar_num) end
		if result.max_cut_num then DATA_Mission:setByKey( "max_cut_num",result.max_cut_num) end
		if result.mission_cut_num then DATA_Mission:setByKey( "mission_cut_num",result.mission_cut_num) end

		--结束画面用数据
		DATA_Result:set( result )
		
	end
	return true , data
end


--[[关卡- 魂殿守擂 战斗完成]]
function M.empirearena_challenge_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result );
		
	end
	return true , data
end

--[[关卡- 魂殿 战斗完成]]
function M.empire_challenge_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result );
		
	end
	return true , data
end

--[[遗迹 战斗完成]]
function M.activity_receive_ruins_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result );
		
	end
	return true , data
end

--[[阵法战 战斗完成]]
function M.zhenfawar_challenge_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result );
		
	end
	return true , data
end

--[[ 跨服-战斗开始]]
function M.kuafu_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("kuafu")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[跨服--战斗过程]]
function M.kuafu_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[跨服-战斗完成]]
function M.kuafu_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
	end

	return true , data
end

--[[ 副本-战斗开始]]
function M.inshero_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("inshero")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[副本--战斗过程]]
function M.inshero_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[副本-战斗完成]]
function M.inshero_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
		DATA_Instance:set("hero",data["result"]["get"])
	end

	return true , data
end

--------------------------------
function M.inspet_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("inspet")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[副本--战斗过程]]
function M.inspet_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[副本-战斗完成]]
function M.inspet_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
		DATA_Instance:set("pet",data["result"]["get"])
	end

	return true , data
end

--[[ 副本-战斗开始]]
function M.insequip_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("insequip")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[副本--战斗过程]]
function M.insequip_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[副本-战斗完成]]
function M.insequip_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
		DATA_Instance:set("equip",result["get"]["current_map"],result["get"]["instance"])
		DATA_Instance:set("equip","max",result["get"]["max"])
		DATA_Instance:set("equip","current",result["get"]["current"])
		DATA_Instance:set("equip","point",result["get"]["point"])
	end

	return true , data
end


------------------

--[[ 副本-战斗开始]]
function M.insskill_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("insskill")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[副本--战斗过程]]
function M.insskill_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[副本-战斗完成]]
function M.insskill_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--更新技能副本数据
		DATA_Instance:set("skill",data["result"]["get"])
		--结束画面用数据
		DATA_Result:set( result )
	end

	return true , data
end

--[[ 竞技-战斗开始]]
function M.athletics_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("athletics")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[竞技--战斗过程]]
function M.athletics_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end
--[[副本-战斗完成]]
function M.athletics_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
		--存储数据
--		DATA_Instance:setByKey(result["current"]["barrier_id"],"missions",result["missions"])
		
	end

	return true , data
end
--[[好友切磋/复仇-战斗开始]]
function M.friends_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("friends")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[竞技--战斗过程]]
function M.friends_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end
--[[副本-战斗完成]]
function M.friends_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
	end

	return true , data
end


function M.rob_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("rob")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[夺宝--战斗过程]]
function M.rob_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[夺宝-战斗完成]]
function M.rob_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
		--存储数据
--		DATA_Instance:setByKey(result["current"]["barrier_id"],"missions",result["missions"])
		
	end

	return true , data
end



--铁血试炼战斗
function M.trial_challenge(type , data , callback)
	if type == 1 then

	elseif type == 2 then
		DATA_Battle:setMod("trial")
		DATA_Battle:setAct("challenge")
		DATA_Battle:set( data["result"] )

		switchScene("battle" )
	end
	return true , data
end


--铁血试炼战斗中
function M.trial_challenge_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end
--铁血试炼战斗完成
function M.trial_challenge_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据

		DATA_Result:set( result )
	end

	return true , data
end

--铁血试炼破坏/复仇开始
function M.trial_destroy(type , data , callback)
	if type == 1 then

	elseif type == 2 then
		
		DATA_Battle:setMod("trial")
		DATA_Battle:setAct("destroy")
		DATA_Battle:set( data["result"] )

		switchScene("battle" )
	end
	return true , data
end


--铁血试炼破坏/复仇中
function M.trial_destroy_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end
--铁血试炼破坏/复仇完成
function M.trial_destroy_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		
		DATA_Result:set( result )
	end

	return true , data
end


--遗迹战斗中
function M.activity_receive_ruins_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end


--抢夺矿山
function M.mining_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("mining")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[矿山--战斗过程]]
function M.mining_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[矿山-战斗完成]]
function M.mining_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		
		DATA_Result:set( result )
	end

	return true , data
end


--[[ 皇权-战斗开始]]
function M.socialclass_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("socialclass")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[皇权--战斗过程]]
function M.socialclass_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[皇权-战斗完成]]
function M.socialclass_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
	end

	return true , data
end

----------------------------------------------皇权随机事件战斗

--[[ 皇权-随机]]
function M.socialclassf_execute( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:setMod("socialclassf")
		DATA_Battle:setAct("execute")
		DATA_Battle:set( data["result"] )

		switchScene("battle")
	end

	return true , data
end

--[[皇权-随机--战斗过程]]
function M.socialclassf_execute_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--[[皇权-随机-战斗完成]]
function M.socialclassf_execute_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		DATA_Result:set( result )
	end

	return true , data
end

--[[帮战-接收服务器数据]]
function M.gangbattle_get( type , data , callback )
	if type == 1 then
	elseif type == 2 then
		local scene = display.getRunningScene()
		
		--打印帮战log
--		local json = requires(IMG_PATH , "GameLuaScript/Network/dkjson")
--		
--		local temp = {}
--		local content =  io.readfile("c:\\log.txt")
--		if content then
--			temp = json.decode(content)
--		end
--		table.insert(temp, data)
--		
--		io.writefile( "c:\\log.txt", json.encode(temp))
		if scene.name == "war" then
			GANG_WAR:refresh(data.result)
		end
	end

	return true , data
end

function M.gangbattle_move(type, data, callback)
	if type == 1 then
	else
		callback(data["result"])
	end
	return true, data
end

function M.lueduo_userinfo(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "war" then
			local result = {user_info = data.ans}
			GANG_WAR:refresh(result)
		end
	end
	return true, data
end


function M.lueduo_pointinfo(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "war" then
			local result = {point_info = data.ans}
			GANG_WAR:refresh(result)
		end
	end
	return true, data
end


function M.lueduo_battleaction(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "war" then
			local result = {battle_action = data.ans}
			GANG_WAR:refresh(result)
		end
	end
	return true, data
end


function M.singlefb_moveNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "move")	
			end
		end
	end
	return true, data
end

function M.fuben_moveNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "move")	
			end
		end
	end
	return true, data
end

function M.singlefb_searchNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "search")	
			end
		end
	end
	return true, data
end

function M.fuben_searchNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "search")	
			end
		end
	end
	return true, data
end


function M.fuben_forceEndNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				HTTP:call("fubenroom", "hasPermission", {}, {
				
					success_callback = function(data)
					    
						switchScene("multiFb", {data}, function()
							KNMsg.getInstance():flashShow("队员退出副本，人数不足，房间解散")
						end )
					end
				})
			end
		end
	end
	return true, data
end
function M.fuben_leaveNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "leave")	
			end
		end
		
	end
	return true, data
end

function M.common_showTip(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene then
			KNMsg:getInstance():flashShow(data.ans.msg or "")
		end
		
	end
	return true, data
end


function M.fubenroom_notifyRoom(type, data, callback)

	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiFb" then
			if GLABAL_MUTIFB_SCENE then
				
				GLABAL_MUTIFB_SCENE:socketRefershRoomLayer(data.ans)
			end
		end
		
	end
	return true, data
end


function M.fubenroom_notifyKickedPlayer(type, data, callback)

	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiFb" then
			if GLABAL_MUTIFB_SCENE then
				
				GLABAL_MUTIFB_SCENE:socketKickedPlayer()
			end
		end
		
	end
	return true, data
end


function M.singlefb_eventMsgNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "msg")	
			end
		end
		
	end
	return true, data
end


function M.fuben_eventMsgNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "msg")	
			end
		end
		
	end
	return true, data
end

function M.fuben_startNotify(type, data, callback)
	if type == 1 then
	else
		HTTP:call("fuben", "getInfo", { }, {
			success_callback = function(data)
				switchScene("multiwar", data)
			end
		})
	end
	return true, data
end

function M.singlefb_startNotify(type, data, callback)
	if type == 1 then
	else
		
	end
	return true, data
end


function M.singlefb_CLAllDeadNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("lose", data.ans)	
			end
		end
	end
	return true, data
end
function M.fuben_CLAllDeadNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("lose", data.ans)	
			end
		end
	end
	return true, data
end


function M.fuben_CLCardEndNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("open", data.ans)	
			end
		end
	end
	return true, data
end

function M.singlefb_CLCardEndNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("open", data.ans)	
			end
		end
	end
	return true, data
end

function M.fuben_startCLNotify(type, data, callback)
	if type == 1 then
	else
--		HTTP:call("fuben", "getInfo", { }, {
--			success_callback = function(data)
--				switchScene("multiwar", data)
--			end
--		})
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "fight")	
			end
		end
	end
	return true, data
end

function M.singlefb_startCLNotify(type, data, callback)
	if type == 1 then
	else
--		HTTP:call("fuben", "getInfo", { }, {
--			success_callback = function(data)
--				switchScene("multiwar", data)
--			end
--		})
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "fight")	
			end
		end
	end
	return true, data
end

function M.fuben_buySearchNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "buy")	
			end
		end
	end
	return true, data
end


function M.singlefb_buySearchNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "buy")	
			end
		end
	end
	return true, data
end

function M.fuben_CLPointNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("pt", data.ans)	
			end
		end
	end
	return true, data
end

function M.singlefb_CLPointNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("pt", data.ans)	
			end
		end
	end
	return true, data
end

function M.singlefb_CLCardNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("win", data.ans)	
			end
		end
	end
	return true, data
end

function M.fuben_CLCardNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("win", data.ans)	
			end
		end
	end
	return true, data
end

function M.fuben_CLBattleAction(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("battle", data.ans)	
			end
		end
	end
	return true, data
end

function M.singlefb_CLBattleAction(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("battle", data.ans)	
			end
		end
	end
	return true, data
end


function M.fuben_timeoutCLNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("timeout")	
			end
		end
	end
	return true, data
end

function M.singlefb_timeoutCLNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("timeout")	
			end
		end
	end
	return true, data
end

function M.fuben_offlineNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "offline")	
			end
		end
	end
	return true, data
end

function M.fuben_timeoutEndNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "over")	
			end
		end
	end
	return true, data
end

function M.singlefb_timeoutEndNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:refreshData(data.ans, "over")	
			end
		end
	end
	return true, data
end

function M.fuben_CLUserNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "multiwar" then
			if MULTIFB then
				MULTIFB:warLogic("user", data.ans)	
			end
		end
	end
	return true, data
end

function M.singlefb_CLUserNotify(type, data, callback)
	if type == 1 then
	else
		local scene = display.getRunningScene()
		if scene.name == "singlewar" then
			if MULTIFB then
				MULTIFB:warLogic("user", data.ans)	
			end
		end
	end
	return true, data
end
 
function M.change_change(type, data, callback)
	if type == 1 then
	else
	end
	return true, data
end
--银两副本战斗
function M.commonfuben_challenge(type , data , callback)
	if type == 1 then

	elseif type == 2 then
		DATA_Battle:setMod("commonfuben")
		DATA_Battle:setAct("challenge")
		DATA_Battle:set( data["result"] )

		switchScene("battle" )
	end
	return true , data
end


--银两副本战斗中
function M.commonfuben_challenge_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end
--银两战斗完成
function M.commonfuben_challenge_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据

		DATA_Result:set( result )
	end

	return true , data
end


--魂殿战斗过程中释放技能
function M.empire_challenge_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )
		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end



--国庆爬塔战斗
function M.activity_guoqing_x(type , data , callback)
	if type == 1 then

	elseif type == 2 then
		DATA_Battle:setMod("activity")
		DATA_Battle:setAct("guoqing_x")
		DATA_Battle:set( data["result"] )

		switchScene("battle" )
	end
	return true , data
end


--国庆爬塔战斗中
function M.activity_guoqing_x_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end
--国庆爬塔战斗完成
function M.activity_guoqing_x_finish( type , data , callback )
	
	if type == 1 then
		-- 发送前数据处理
		
	elseif type == 2 then
		
		local result = data["result"]
		--结束画面用数据
		
		DATA_Result:set( result )
	end

	return true , data
end


--心魔战斗开始
function M.xinmo_challenge(type , data , callback)
	if type == 1 then

	elseif type == 2 then
		dump(data['result'])
		DATA_Battle:setMod("xinmo")
		DATA_Battle:setAct("challenge")
		DATA_Battle:set( data["result"] )

		switchScene("battle" )
	end

	return true , data
end


--心魔战斗中
function M.xinmo_challenge_process( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		DATA_Battle:set( data["result"] )


		-- 恢复战斗进程
		local logic =requires(IMG_PATH,"GameLuaScript/Scene/battle/logicLayer")-- require("GameLuaScript/Scene/battle/logicLayer")
		logic:resume("socket")
	end

	return true , data
end

--心魔战斗完成
function M.xinmo_challenge_finish( type , data , callback )
	if type == 1 then
		-- 发送前数据处理
	elseif type == 2 then
		local result = data["result"]
		--结束画面用数据
		dump(result)
		DATA_Result:set( result )
	end

	return true , data
end



return M


