--团购活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
function M:show()
	local CURPATH = PATH .. "sign_in/"
	ACTIVITY:baseLayout({ line = {} })
	
	local data = ACTIVITY:getData()

 	ACTIVITY:baseLayout({ line = {} })
	local ALIANCEPAYPATH = PATH .. "alliance_pay/"
	local gangPayLayer = display.newLayer()
	local scroll = KNScrollView:new( 0, 100, 480, 464 , 5 , false )

	local function friendDetail()
		local curPage , pageCount , pageSize , detail_layer , scroll
		pageSize = 10
		curPage = 1
		local function payListItem(param)
			local itemLayer = display.newLayer()
			itemLayer:setContentSize( CCSizeMake(370,70) )

			local friendItem_bg = display.newSprite( ALIANCEPAYPATH.."info_bg.png" )
			setAnchPos( friendItem_bg , 0 , 0 , 0 , 0 )
			itemLayer:addChild( friendItem_bg )

			friendItem_bg = display.newSprite( ALIANCEPAYPATH.."name.png" )
			setAnchPos( friendItem_bg , 22 , 22 )
			itemLayer:addChild( friendItem_bg )

			friendItem_bg = display.newSprite( ALIANCEPAYPATH.."grade.png" )
			setAnchPos( friendItem_bg , 250 , 22 )
			itemLayer:addChild( friendItem_bg )

			itemLayer:addChild( display.strokeLabel( param.lv or "" , 320 , 22 , 20, ccc3( 0xff , 0xff , 0xff )  ) )
			itemLayer:addChild( display.strokeLabel( param.name or "" , 88 , 22 , 20, ccc3( 0xff , 0xff , 0xff )  ) )

			return itemLayer
		end

		detail_layer = baseMask( { bgInfo = {path = ALIANCEPAYPATH.."list_info_bg.png" , y = 180} , titlePath = ALIANCEPAYPATH .. "already_pay.png", isShowBack = { x = 30, y = 640 , priority = -201 } , priority = -201} )

		local function createScrollList(params , pageNow)
			local startIndex , endIndex
			curPage = pageNow
			if pageNow * pageSize < #params then
				startIndex = (pageNow-1) * pageSize
				endIndex = pageNow * pageSize
			else
 				startIndex = (pageNow-1) * pageSize
				endIndex = #params
			end

			scroll = KNScrollView:new(30 , 255 , 420 , 370 , 3, false, 0,{
						priority = -201
					})
			for i=startIndex + 1,endIndex do
				scroll:addChild( payListItem(params[i]) )
			end
			detail_layer:addChild( scroll:getLayer() , 10)
		end

		local page_bg = display.newSprite(COMMONPATH.."page_bg.png")
		setAnchPos(page_bg,240,193,0.5)
		detail_layer:addChild(page_bg)

		pageCount = ( #data.list - 1 ) / pageSize + 1
		pageCount = tonumber( string.sub(pageCount , 1 , string.find(pageCount , ".")) )

		createScrollList(data.list , curPage)

 		local pageNum = display.strokeLabel( curPage.."/"..pageCount, 0, 0, 20, ccc3(0xff, 0xfb, 0xd4))
		setAnchPos(pageNum, 240, 200, 0.5)
		detail_layer:addChild(pageNum)

		--翻页按钮
		local pre_btn = KNBtn:new(PATH .. "friendInvite",{"next_page.png"}, 160, 188, {
			scale = true,
			flipX = true,
			priority = -201,
			callback = function()
				if curPage > 1 then
					detail_layer:removeChild( scroll:getLayer() , true )
					createScrollList( data.list , curPage-1 )
					pageNum:setString( curPage.."/"..pageCount )
				end
			end
		})
		detail_layer:addChild(pre_btn:getLayer())
		
		local next_btn = KNBtn:new(PATH .. "friendInvite",{"next_page.png"}, 278, 188, {
			scale = true,
			priority = -201,
			callback = function()
				if curPage < pageCount then
					detail_layer:removeChild( scroll:getLayer() , true )
					createScrollList( data.list , curPage+1 )
					pageNum:setString( curPage.."/"..pageCount )
				end
			end
		})
		detail_layer:addChild(next_btn:getLayer())
		return detail_layer
	end

	local function createItem( params , index )
		params = params or {}
		local layer = display.newLayer()
		

		local img,vipBarImg = "item_bg.png","gangpay_bg_bar.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			vipBarImg="gangpay_bg_bar_2015.png"
		end
		
		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		layer:addChild( display.newSprite( ALIANCEPAYPATH .. vipBarImg , 107 , 82 , 0 , 0 ) )
		layer:addChild( display.strokeLabel( params.content , 107, 80 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 280 , dimensions_height = 25 , align = 1 } ) )

		local itemAwardData = data.config
		local awardProp = {}
		for i = 1 , #params["award"] do
			local curProp = awardCell( params["award"][i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		local isEnable =  tonumber( data.count ) >= tonumber( params.condition )
		local isComplete = false
		if data.received then
			--是否已经领取
			for j = 1 , #data.received do
				if tonumber( data.received[j]) == tonumber( index ) then
					isComplete = true
					break
				end
			end
		end
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } , 
			305 , 
			18 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end

						HTTP:call("activity","receive",{ typeid = data.typeid , index = index },{
							success_callback = function(data)
								ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
							end
						})

					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	

	local query_btn = KNBtn:new(COMMONPATH, {"btn_bg.png","btn_bg_pre.png","btn_bg_dis.png"}, 360 , 570 , {				--查询按钮
			front = ALIANCEPAYPATH .. "query.png",
			priority = -130,
			scale = true,
			callback = function()
				friendDetail()
			end
	})

	gangPayLayer:addChild( query_btn:getLayer() )

	local awardData = data.config
	for i = 1 , #awardData do
		local item = createItem( awardData[i] , i -1 )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	gangPayLayer:addChild(scroll:getLayer() )
	
	gangPayLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )
	gangPayLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	gangPayLayer:addChild( display.strokeLabel( data.endtime or "" , 123 , 607 , 20, ccc3( 0xff , 0xff , 0xff )  ) )	--活动时间
	gangPayLayer:addChild( display.strokeLabel( data.showcontent or "" , 195 , 574 , 20, ccc3( 0xff , 0xff , 0xff )  ) )	

	ACTIVITY.viewLayer:addChild( gangPayLayer )
end
return M
