--消费大礼
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} })
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()

		local img,vipBarImg = "item_bg.png","gangpay_bg_bar.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			vipBarImg="vip_bg_bar_2015.png"
		end
		
		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		
		layer:addChild( display.newSprite( PATH ..vipBarImg , 107 , 82 , 0 , 0 ) )
		local str = "今日累积消费 " .. numShift( params.data.condition ) .. " 黄金可领"
		layer:addChild( display.strokeLabel( str , 107, 80 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 231 , dimensions_height = 25 , align = 1 } ) )
		
		local itemAwardData = params.data.awards
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		
--		local isEnable =  tonumber( data.payyuan ) >= tonumber( params.condition )
		local isEnable = true
		local isComplete = ( params.data.received ~= 0 )
		
		layer:addChild( display.strokeLabel( "(" .. ( isComplete and 1 or 0 ) .."/1)" , 340, 10 , 18, ccc3( 0x2c , 0x00 , 0x00 )) )
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } , 
			305 , 30 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						if  tonumber( data.payyuan ) < tonumber( params.condition ) then
							local str = "你当前消费的黄金未达到,暂不能领取该奖励" 
							KNMsg.getInstance():flashShow( str )
							return
						end
						
						HTTP:call("activity", "receive_" .. ACTIVITY:getActivityType()  , { typeid = data.typeid , index = params.index },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	
	
	local sort= data.config  
	for i = 1 , table.nums( sort ) do
		local curData = sort[i]
		local item = createItem( { index = i , condition = curData.condition , data = curData } )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	local addXElement = { 239 , 228  , 223 }
--	ACTIVITY.viewLayer:addChild( display.strokeLabel( ( AT == 3 and data.payyuan or data.payyuan .. "元" ), ( AT == 3 and 310 or 380 ), 566 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) ) )	--累计充值
	ACTIVITY.viewLayer:addChild( display.strokeLabel( "今日已经累积消费 " .. numShift( data.payyuan ) .. " 黄金 " , 210, 563 , 18,  ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 250 , dimensions_height = 25 , align = 2 } ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime , 120, 610 , 18, ccc3( 0xfd , 0xfa , 0xd7 )) )
	
 
end
return M
