--消费铭榜
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} , frame = {} })
	
	local layer = ACTIVITY.viewLayer
	
	layer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 585 , 0 , 0 ) )	--活动时间
	layer:addChild( display.strokeLabel( data.endtime or "" , 120 , 588  , 20, ccc3( 0x00 , 0x00 , 0x00 )  ) )	--活动时间
	
	local img = "top_bg.png"
	if G_new_year_skin and G_new_year_skin==1 then
		img="top_bg_2015.png"
	end

	layer:addChild( display.newSprite( PATH ..img , display.cx , 190 , 0.5 , 0 ) )
	

	
	local scroll = KNScrollView:new( 0, 225, 480, 280 , 10 , false )
	local function createItem( params )
		params = params or {}
		local group = display.newNode()
		
		local bg = display.newSprite( PATH .. "role_item_bg.png" )
		setAnchPos( bg , 0 , 0 )
		group:addChild( bg )
		
		
		local icon = KNBtn:new(COMMONPATH, { getHeadPath( params.data["img"] or "19001" ) },50 , 15 ,{
		scale = true , 
		other = {COMMONPATH.."role_frame.png", -1, -3},
		parent = scroll,
		callback = 
		function()
			if tonumber( params.data.uid ) == tonumber( DATA_User:get( "uid" ) ) then
				HTTP:call("status" , "get" , {} , {
					success_callback = function(tempData)
						switchScene("userinfo",tempData)
					end
				})
			else
				HTTP:call("profile","get",{ touid = params.data.uid },{success_callback = 
					function()
						local otherPalyerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/otherPlayerInfo")
						display.getRunningScene():addChild( otherPalyerInfo:new( { isFriend = true } ):getLayer() )
					end})
			end
		end ,
		} )
		
		group:addChild(icon:getLayer())
		
		group:addChild(display.strokeLabel( params.data.name .. "   Lv" ..  params.data.lv  , 87 + 35 , 53 , 20, ccc3( 0xff , 0xfb , 0xd5 ) ) )
		group:addChild(display.strokeLabel( "战力：" .. params.data.ability  , 87 + 35 , 18 , 20, ccc3( 0xff , 0xfb , 0xd5 ) ) )
		
	
		if tonumber( params.data.rank ) >0 and tonumber( params.data.rank ) < 4 then
			local rankNum =  display.newSprite( IMG_PATH .. "image/scene/ranklist/" ..  params.data.rank  .. ".png" )
			setAnchPos( rankNum , 330 + 20 , 10 , 0.5 , 0 )
			group:addChild( rankNum )
		else
			group:addChild( display.strokeLabel( params.data.rank ,  335 , 20  , 50 , ccc3( 0xff , 0x00 , 0x00 )  ) )
		end
		group:setContentSize( bg:getContentSize() )
		return group
	end
	
	
	for i = 1 , table.nums( data.ranking ) do
		local curData = data.ranking[i]
		local item = createItem( { index = i , data = curData } )
		scroll:addChild( item )
	end
	
	scroll:alignCenter()
	layer:addChild(scroll:getLayer() )
	
	layer:addChild(display.strokeLabel( data.content  , 41 , 165 , 20 , ccc3( 0x00 , 0x00 , 0x00 ) ) )	
	
	 local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 410 , 120 + 455 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.desc
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( helpBtn )
	
	--弹出道具
	local function popupFun( awards )
		
		local tempLayer = baseMask( {  
									bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png" } , 
									isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
									priority = -129 }
									)
		
		tempLayer:addChild( display.strokeLabel( "你在消费榜排名第" .. data.rank .. "，可自选" .. awards.num .. "种奖励" , 87 , 18 + 538 , 20, ccc3( 0x00 , 0x00 , 0x00 ) ) )
									
--		local porpScroll = KNScrollView:new( 70 , 420  , 340 , 180 , 45 , true )
		local items = {}
		local function selectShow( tempItem )
			tempItem["checkState"] = not tempItem["checkState"]
			tempItem["checkSp1"]:setVisible( not tempItem["checkState"] )
			tempItem["checkSp2"]:setVisible( tempItem["checkState"] )
		end
		for i = 1 , table.nums( awards.award ) do
			local curData = awards.award[i]
			local item 
			item = awardCell( curData , { parent = porpScroll , name = true , ClickFun = function() selectShow( item ) end , getLayer = true } )
			item["checkSp1"] = display.newSprite( COMMONPATH .. "check_false.png" , 0 , 0 , 0 , 0 ) 
			item["checkSp2"] = display.newSprite( COMMONPATH .. "check_true.png" , 0 , 0 , 0 , 0 ) 
			item["checkState"] = false
			item:getLayer():addChild( item["checkSp1"] , 100 )
			item:getLayer():addChild( item["checkSp2"] , 100 )
			item["checkSp2"]:setVisible( false )
			
			items[i] = item
			setAnchPos( item:getLayer() ,  95 + ( i - 1 )%3 * ( 70 + 45 ) , 470 - math.floor( ( i - 1 ) / 3 ) * 100 , 0 , 0   )
			tempLayer:addChild( item:getLayer() )
--			porpScroll:addChild( item:getLayer() )
		end
		
--		porpScroll:alignCenter()
--		tempLayer:addChild( porpScroll:getLayer() )

		local isEnable = tonumber( data.received ) ~= 1 
		local getBtn = KNBtn:new( COMMONPATH  ,
				isEnable and  { "btn_bg_red.png" ,"btn_bg_red_pre.png"} or { "btn_bg_red2.png" } , 
				display.cx - 72 , 
				110 + 274 - 89 ,
				{
					priority = -130,
					front = COMMONPATH .. ( isEnable and "get_award.png" or "get_award_grey.png" ) ,
					callback = 
					function()
						local idGather = {}
						for i = 1 , table.nums( items ) do
							if items[i]["checkState"] then
								idGather[ #idGather + 1 ] = ( i - 1 )
							end
						end
						idGather = string.join( idGather , "," )
						
						HTTP:call("activity", "receive", { typeid = data.typeid , str = idGather },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = ACTIVITY.awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
							tempLayer:remove()
						end})
					end
				})
		getBtn:setEnable( isEnable )
		tempLayer:addChild( getBtn:getLayer() )
		
	end
	
	local getBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" ,"btn_bg_red_pre.png"} ,
			display.cx - 72 , 
			110 ,
			{
				priority = -130,
				front = COMMONPATH .. "get_award.png" ,
				callback = 
				function()
					local awards = data.config[ data.rank .. "" ]
					if awards  then 
						popupFun( awards )
					else
						KNMsg.getInstance():flashShow( "您的消费排名未达到领奖要求，无奖励可领！" ) 
					end
				end
			}):getLayer()
	ACTIVITY.viewLayer:addChild( getBtn )
	
end
return M
