--[[

												光棍节活动有礼

]]--

local  M={ }
local  PATH=IMG_PATH.."image/scene/activity_new/double11_activity/"
local  ACTIVITY_PATH=IMG_PATH.."image/scene/activity_new"
local  InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local  KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local  KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local  baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local  KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local  KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local  KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local  KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local  KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local  SCENECOMMON = IMG_PATH.."image/scene/common/"



function M:show( params )

	params = params or {}
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local timeLayer = display.newLayer()


	local data = ACTIVITY:getData()
	if params.box then
		data.data.box = params.box
	end
	if params.own_silver then
		data.data.own_silver = params.own_silver
	end
	if params.renew_seconds then
		data.data.renew_seconds = params.renew_seconds
	end
	if params.own_gold then
		data.data.own_gold = params.own_gold
	end

	ACTIVITY:baseLayout({ line = {y=670} })
	parentLayer:addChild( curLayer,2 )
	local  end_time="活动时间:"..data.endtime
	CCLuaLog("end_time:"..end_time)
	ACTIVITY.viewLayer:addChild( display.strokeLabel(end_time,20 , 634 , 20, ccc3( 0xed , 0xbc , 0x45 )  ) )	--活动时间

	--			添加活动说明
	--			帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 430 , 624 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {
													titlePath = COMMONPATH.."help_title.png" ,
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} ,
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } ,
												priority = -129 }
												)

					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end

					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )
					scroll:addChild( createText() )

					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( helpBtn )


	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "double11_bg.png" ,1,240, 0 , 0 ) )   --添加背景
	--			添加各个宝箱
	local box_num=table.nums(data.data["box"])
	CCLuaLog("箱子总数为:"..box_num)

	local x=20;
	local y=540;
	-- lvup.lua  103行 ACTIVITY:selectActivity() 从新刷新按钮状态
	for i=0,box_num-1 do
		local open_status = data.data.box[i+1]["is_open"] == 1
		local chestBtn = KNBtn:new( COMMONPATH ,open_status and {"double11_activity_open_box.png","double11_activity_open_box.png"} or {"doble11_box.png","doble11_box.png"},x ,y, {
				scale = true,
				callback = function()
					CCLuaLog("已经点击了宝箱"..i)
					HTTP:call("activity", "double11_activity_open_box", {key=i}, {
						success_callback = function(data)
							KNMsg.getInstance():flashShow(data.msg)
							curLayer:removeFromParentAndCleanup(true)
							self:show(data)
						end
					})
				end
			}):getLayer()
		curLayer:addChild( chestBtn )
		x=x+90
		if 0==(i+1)%5 then
			x=20
			y=y-90
		end
	end
	--		添加银钥匙
	curLayer:addChild( display.newSprite(PATH.."sliver_key.png",40,200,0,0))--添加银钥匙

	--		添加银钥匙的数量
	local   sliver_allNumber=data.data.max_silver
	local   sliver_hasUsed=data.data.own_silver
	local   sliver_key_title=": "..sliver_hasUsed.."/"..sliver_allNumber
	curLayer:addChild( display.strokeLabel(sliver_key_title,80,215,20, ccc3( 0xed , 0xbc , 0x45 )  ) )

	local   recoryText="恢复时间:"
	ACTIVITY.viewLayer:addChild( display.strokeLabel(recoryText,176,215,20, ccc3( 0xed , 0xbc , 0x45 )  ) )

	--		添加回复时间的text
	local refereshTime=data.data.renew_seconds
	local str = timeConvert(refereshTime)
	local timeLab=display.strokeLabel(str,265,215,20, ccc3( 0xed , 0xbc , 0x45 ))
	-- ACTIVITY.viewLayer:addChild(timeLab)
	curLayer:addChild(timeLab)
	CCLuaLog("总时间是:"..refereshTime)
	Clock:addTimeFun("HALLOWMAS_TIME_CLOCK",function()
		   if refereshTime>0 then
		 		refereshTime=refereshTime-1
		 		if display.getRunningScene().name=="activity" then
					timeLab:setString(timeConvert(refereshTime,nil,false))
					timeLab:setVisible(true)
				end
		    else
				Clock:removeTimeFun("HALLOWMAS_TIME_CLOCK")
		  	end
	end)
	--		添加金钥匙
	ACTIVITY.viewLayer:addChild( display.newSprite(PATH.."gold_key.png",40,160,0,0))--添加金钥匙
	-- --		添加金钥匙的数量
	local   gold_allNumber=data.data.own_gold
	local   gold_key_title=": "..gold_allNumber
	-- --ACTIVITY.viewLayer:addChild( display.strokeLabel(gold_key_title,50,175,12, ccc3( 0xed , 0xbc , 0x45 ),nil,nil,{dimensions_width =100,dimensions_height =30}) )
	curLayer:addChild( display.strokeLabel(gold_key_title,80,175,20, ccc3( 0xed , 0xbc , 0x45)) )
	-- --		添加金钥匙的info
	local   goldInfotext=data.use_gold_tip
	CCLuaLog("goldInfotext"..goldInfotext)
	ACTIVITY.viewLayer:addChild(display.strokeLabel(goldInfotext,176,175,16, ccc3( 0xed , 0xbc , 0x45 )  ) )

	--     奖励预览的实现
	local function  showAwardPage()
			local bgpath="tip_bg.png";
			local tempLayer = baseMask({
				  bgInfo = { y = 180 ,  path = PATH  .. bgpath } ,
								isShowBack = {x = 35-10 , y = 615 , backFun = function()  end } ,
								priority = -129 }
					)


			tempLayer:addChild(display.newSprite(PATH.."lureward.png",80,565+65,0,0))
			tempLayer:addChild(display.strokeLabel( "20个宝箱中必出其中的稀有道具!" ,85 ,565+35,18,ccc3(247,58,19)  ) )
			--			添加背景
			tempLayer:addChild(display.newSprite(PATH.."luxury_bg.png",30,565-60,0,0))
			local award=data.config
			CCLuaLog("奖品的种类是:"..#award)
			for i = 1 ,2 do
				local curProp = awardCell(award[i]["arr"][1])
				setAnchPos( curProp ,88+ ( i - 1 ) * 75 ,565-45)
				tempLayer:addChild(curProp)
			end


			tempLayer:addChild(display.newSprite(PATH.."reward.png",80,565-100,0,0))
			tempLayer:addChild(display.newSprite(PATH.."common_bg.png",30,290,0,0))
			for i = 3 ,10 do
				local curProp = awardCell(award[i]["arr"][1])
				if i>6 then
					setAnchPos(curProp ,88+ (i-7)*75 ,300)
				else
					setAnchPos(curProp ,88+ (i-3)*75 ,565-190)
				end
				tempLayer:addChild(curProp)
			end
	end

	--奖励预览
	--ACTIVITY.baseLayer:addChild( display.newSprite(SCENECOMMON.."btn_bg.png",85,105,0,0))
	local rewardBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},85 ,115 , {
				front=PATH.."reward_vew.png",
				scale = true,
				callback = function()
					showAwardPage()
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( rewardBtn,1 )

	dump(data,"dataInfo")
	local resetBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},285 ,115 , {
				front=PATH.."resetBtn.png",
				callback = function()
					showTip({
								priority = -202,
		  						content = createLabel({str ="你确定将所有宝箱重置成未开启状态吗？", width = 300, size = 20}),
		  						left={
			 					remove= true,
		         				removeCallback = function()
		         					HTTP:call("activity", "double11_activity_reset", {}, {
										success_callback = function(data)
											if data.result=="success" then
												KNMsg.getInstance():flashShow(data.msg)
												curLayer:removeFromParentAndCleanup(true)
												self:show(data)
											else

										    end
										end
											})
								end},
		  						right={
								remove = true,
							callback = function()
							end}
			  			  })
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild(resetBtn)
end

return M
