


--				装备宝库2015

local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")

local ACTIVITY_PATH = IMG_PATH .. "image/scene/activity_new/"
local PATH = ACTIVITY_PATH.."equiptt/"


local M	=	{

	data,
	scroll,
	set,
	key_table,
	lingqi_num,
	currentLayer,
	distance,

}



function M:show( params )

	self.data = { }
	self.scroll = nil 
	self.set = { }
	self.currentLayer = nil

	if params.parentLayer then

		self.data = params.data

	else

		self.data = ACTIVITY:getData()

	end

	ACTIVITY:baseLayout( { line = { y = 682 } } )

	self:stableFun( self.data )

	local account = 0

	if self.data.received_num then 

		account = self.data.received_num

	end

	self:distanceInit(  )
	self:fresh( self.data.config or  { } , account , self.data.lingqi_num or 0 , 1 )

	
end

function M:distanceInit( )
	
	self.distance = { }
	self.distance[1] = 0  
	self.distance[2] = 0  
	self.distance[3] = 0 
	self.distance[4] = 220  
	self.distance[5] = 380 
	self.distance[6] = 540  
	self.distance[7] = 500 


end

function M:setInit( params )
	
	--	初始化set
	for i = 1 , 7 do 

		self.set[i] = { }

	end

	self.set[1] = { 
		pos = { 
			{ x = 30  , y = 0 , index = 1 , can_receive = true } , 
			{ x = 133 , y = 0 , index = 2 , can_receive = true } , 
			{ x = 236 , y = 0 , index = 3 , can_receive = true } , 
			{ x = 339 , y = 0 , index = 4 ,	can_receive = true } , 
		},
		width = 69 
	}


	self.set[2] = {
		pos = { 
			{ x = 30 ,  y = 0 , index = 5 , icon = "short" , can_receive = true } , 
			{ x = 133 , y = 0 , index = 6 , icon = "short" , can_receive = true } , 
			{ x = 236 , y = 0 , index = 7 , icon = "short" , can_receive = true } , 
			{ x = 339 , y = 0 , index = 8 , icon = "short" , can_receive = true } , 
		},
		width = 108
	}


	self.set[3] = {
		pos = { 
			{ x = 30 ,   y = 0 , index = 9 ,  icon = "long"  , can_receive = true } , 
			{ x = 133 ,  y = 0 , index = 10 , icon = "long"  , can_receive = true } , 
			{ x = 236 ,  y = 0 , index = 11 , icon = "twoLine" , can_receive = true	} , 
			{ x = 339 ,  y = 0 , index = 12 , 				   can_receive = true } , 
		},
		width = 140
	}


	self.set[4] = {
		pos = { 
			{ x = 80 ,   y = 0 , index = 13 , icon = "down" , offx = -25 , can_receive = true  } , 
			{ x = 236 ,  y = 0 , index = 14 , icon = "twoLine" , can_receive = true			   } , 
			{ x = 339 ,  y = 0 , index = 15 , can_receive = true 							   } , 
		},
		width = 140
	}


	self.set[5] = {
		pos = { 
			{ x = 80 ,   y = 0 , index = 16 , icon = "long" , can_receive = true } , 
			{ x = 236 ,  y = 0 , index = 17 , icon = "long" , can_receive = true } , 
			{ x = 339 ,  y = 0 , index = 18 , icon = "long" , can_receive = true } , 
		},
		width = 140
	}


	self.set[6] = {
		pos = { 
			{ x = 30 ,  y = 0 , index = 19 , icon = "up" , can_receive = true 		} , 
			{ x = 133 , y = 0 , index = 20 , can_receive = true 			  		} , 
			{ x = 236 , y = 0 , index = 21 , icon = "long" , can_receive = true		} , 
			{ x = 339 , y = 0 , index = 22 , icon = "long" , can_receive = true		} , 
		},
		width = 140
	}


	self.set[7] = {
		pos = { 
			{ x = 80 ,   y = 0 , index = 23 , icon = "down" , offx = -25 , can_receive = true	} , 
			{ x = 185 ,  y = 0 , index = 24 , icon = "up" 				 , can_receive = true	} , 
			{ x = 288 ,  y = 0 , index = 25  							 , can_receive = true	} , 
		},
		width = 140
	}

	for i = 1 , 25 do 

		self:setIcon( i , params[tostring(i)].can_receive == 1 , params[tostring(i)].received == 1 )					

	end 

end

function M:setIcon( index , flag , receivedFlag )

	for i = 1 , table.nums(self.set) do 
		
		local value = self.set[i]
		
		if value.pos then 
			
			for j = 1 , #value.pos do 
				
				local  pos = value.pos[j]
				
				if pos.index == index then 

					if pos.icon then 

						local icon = pos.icon

						if flag == true then 

							pos.icon = icon
					
						elseif flag == false then 

							pos.icon = icon.."_gray"
					
						else 

							pos.icon = icon.."_gray"					
					
						end 

					end

					if pos.can_receive then 

						if receivedFlag == true then 

							pos.can_receive = false

						elseif receivedFlag==false then 

							pos.can_receive = true

						else

							pos.can_receive = true

						end  

					end 
				
				end 
			
			end 
		
		end
	
	end 

end


function M:stableFun( params )

	-- 不变化的界面
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH.."bg.jpg" , display.cx , display.cy - 70 , 0.5 , 0.5  ) )  --	活动背景
	ACTIVITY.viewLayer:addChild( display.newSprite(	ACTIVITY_PATH.."activity_time_text.png" , 20 , 648 , 0 , 0 ) )  --  活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( params.endtime or "10月1号0点-10月7号24点" , 120 , 648 , 20 , ccc3( 0xfe , 0xfc , 0xd3 ) ) )
	ACTIVITY.viewLayer:addChild( display.newSprite(	PATH.."hasget.png" , 20 , 617 , 0 , 0 ) )   					--  已经拥有装备
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH.."surplus.png" , 284 , 617 , 0 , 0  ) )					--	剩余灵气

	--		添加帮助按钮
	local rules = "" 

	if  params.rules then 

		rules = params.rules

	end 

	local helpingBtn = KNBtn:new( COMMONPATH , {"help.png" , "help_press.png"} , 408 , 560 , {
		priority = -130,
		callback = function()

			local tempLayer = baseMask({  
				titlePath = COMMONPATH .. "help_title.png" , 
				bgInfo = { 
					y = 270 ,  
					path = IMG_PATH  .. "image/scene/mission/wipe_bg.png" 
				} , 
				isShowBack = { 
					x = 35 , 
					y = 565 , 
					backFun = function() end 
				} , 
				priority = -131
			})
						
			local scroll
			local strConfig = rules
			local function createText()
				local helpTips = createLabel({	
					str = strConfig , 
					x = 60 , 
					y = 55,
					size = 18, 
					width = 340,
					color = ccc3(46 , 18 , 14)
					})
				return helpTips
			end
			
			scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -131 } )	
			scroll:addChild(createText())
			
			tempLayer:addChild(scroll:getLayer())

		end
	})

	ACTIVITY.viewLayer:addChild(helpingBtn:getLayer())

end

function M:fresh( params , account , lingqi_num  , indexoffSet  )

	--	需要刷新的界面
	--  初始化数据

	local pox = 186 

	if account < 10 then 

		pox = 186 

	elseif account < 100 then 

		pox = 181

	else 

	end 

	self.lingqi_num = lingqi_num

	self.currentLayer = display.newLayer()
	ACTIVITY.viewLayer:addChild( self.currentLayer , 1 )

	self.currentLayer:addChild( display.strokeLabel( account , pox , 617 , 20 , ccc3( 0xfc , 0xfe , 0xd3 ) ) )
	self.currentLayer:addChild( display.strokeLabel( lingqi_num or "0" , 405 , 617 , 20 , ccc3( 0xfc , 0xfe , 0xd3  )  ) )

	self.key_table = { }
	for key,_ in pairs(params) do
		table.insert(self.key_table,tonumber(key) )
	end
	table.sort(self.key_table)


	self:setInit( params )

	--	添加滑动的物品滚动层
	self.scroll =  KNScrollView:new( 25 , 127 , 450 , 415  )

	local count = #self.set

	local award = { 
		cid = 17172 ,
		num =2 
	}

	for i = 1 , count do 

		local indexoffSet = i

		local layer = display.newLayer()

		local value = self.set[i]
	
		local  width =0 

		if value.width then 

			width = value.width

		end 

		if value.pos then 

			for i = 1 , #value.pos do 

				local info = value.pos[i]

				local x = 0
				if info.x then 
					x = info.x
				end 

				local y = 0 
				if info.y then 
					y = info.y
				end 

				local index = 0
				if info.index then
					index = info.index 
				end

				local icon = nil 
				local offx = 26
				if info.offx then 
					offx = info.offx
				end 

				if info.icon then 
					icon = info.icon..".png"
					local iconSpr =  display.newSprite( PATH..icon , x + offx , y + 68 , 0 , 0  )
					layer:addChild( iconSpr  , i - 1 )
				end

					--添加按钮
				local frameBtn=KNBtn:new(COMMONPATH,{"small_photo_bg.png","small_photo_bg.png"},
					x,
					y,
					{
						priority=-151,
						noTouch=false,
						callback=function()

							if info.can_receive == false then 

								KNMsg.getInstance():flashShow("您已经领取了该装备")

							else

								if self.lingqi_num < 10 then 

									KNMsg.getInstance():boxShow( "您没有足够的灵气值~" ,{ 
										confirmText = COMMONPATH .. "chongzhi.png" , 
										confirmFun = function() switchScene("pay") end , 
										cancelFun = function() end 
									} )

								else 

									local myindex  = self.key_table[index]
									local name = getConfig( getCidType( params[tostring(myindex)].award_arr[1].cid ) ,  params[tostring(myindex)].award_arr[1].cid , "name" ) 

									KNMsg.getInstance():boxShow( "是否兑换"..name ,{ 
										confirmText = COMMONPATH .. "ok.png" , 
										confirmFun = function()
											--	发送请求 ++
											HTTP:call( "activity" , "receive_equip_treasury" , { index = myindex  } , { 

												success_callback = function(data)

													local freshdata = data.data.config
													local lingqi_num = data.data.lingqi_num
													local received_num = data.data.received_num 
							
													self.scroll:getLayer():removeFromParentAndCleanup( true )
													self.currentLayer:removeFromParentAndCleanup( true )
													dump( indexoffSet )
													
													self:fresh( freshdata , received_num , lingqi_num , indexoffSet )
													
													KNMsg.getInstance():flashShow( data.msg )

												end

											})
										end , 
										cancelFun = function() 

										end 
									} )

								end 

							end 

						end
					})
				layer:addChild(frameBtn:getLayer() ) 

				local index = info.index 
				local myindex  = self.key_table[index]
				local award_arr = params[tostring(myindex)].award_arr or nil 
				local curProp = awardCell( award_arr[1] or award , { priority = -135 })
				setAnchPos( curProp , x + 2 , y + 2  )
				layer:addChild( curProp , 1 )

				if params[tostring(myindex)].received == 0 then 

					local frame2 = display.newSprite(PATH.."frame2.png" , x - 5 , y - 5 , 0 , 0 )
					layer:addChild( frame2 , 2 )
					frame2:setScale( 1.1 )

				end 

			end 

		end 

		layer:setContentSize(CCSizeMake(380,width))

		self.scroll:addChild( layer )

	end


	local offset=self.distance[indexoffSet]
	dump( indexoffSet )
	dump( offset )

	self.scroll:setOffset(offset)

	ACTIVITY.viewLayer:addChild( self.scroll:getLayer() ) 

end

return M