--精彩活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({})
	
	local scroll = KNScrollView:new( 0, 110, 480, 577 , 10 , false )
	local function itemCell( tempData )
		local group = display.newNode()
		local EPATH = PATH .. "exciting/"
		local bg = display.newSprite( EPATH .. "backgroup_bg.png" , 0 , 0 , 0 , 0  ) 
		group:addChild( bg )
		
--		group:addChild( display.newSprite( EPATH .. "bg_" .. tempData.type .. ".png" , 0 , 0 , 0 , 0  ) ) 
		
		local function cb()
			local popupLayer = baseMask( { noAction = true , bgInfo = {path = EPATH.."popup_bg.png" , y = 100} , titlePath = EPATH .. "title_" .. tempData.type .. ".png", isShowBack = { x = 30, y = 665 , priority = -201 , backFun = function() ACTIVITY:clearAllClock() end } , priority = -128} )
			local requestTable = { typeid = tempData.typeid , typename = tempData.type , parentLayer = popupLayer , noremove = true }
			ACTIVITY:requestData(  requestTable )
		end
		
		
		local btn = KNBtn:new( EPATH , { "bg_" .. tempData.type .. ".png" } , 0 , 0 , {
			parent = scroll , 
			scale = false ,
			callback = cb
		})
		group:addChild( btn:getLayer() )
		
		local tempBtn = KNBtn:new( EPATH , { "btn.png" , "btn_pre.png" } , 290 , 0 , {
			parent = scroll , 
			front = EPATH .. "text_" .. tempData.type .. ".png" ,
			callback = cb
		})
		tempBtn:setEnable( false )
		group:addChild( tempBtn:getLayer() )
		
		--[[
			local str = "永久"
			if tempData.type == "growth_plan"  then
				str = "开服第1天~第120天"
			elseif tempData.type == "lvup" then
				str = "开服第1天~第90天"
			end
			group:addChild( display.strokeLabel( "活动时间：" .. str , 15 , 21 , 20 , ccc3( 0x00 , 0x00 , 0x00 ) , nil , nil , { dimensions_width = 300 , dimensions_height = 25 , align = 0 } ) ) 
			group:addChild( display.strokeLabel( "活动时间：" .. str , 14 , 20 , 20 , ccc3( 0xff , 0xff , 0x00 ) , nil , nil , { dimensions_width = 300 , dimensions_height = 25 , align = 0 } ) ) 
		]]--
		group:setContentSize( bg:getContentSize() )
		return group , btn
	end

	local guide_btn
	for i = 1 , table.nums( data.config ) do
		local group , btn = itemCell( data.config[i] )
		scroll:addChild( group )

		if data.config[i].type == "lvup" and KNGuide:getStep() == 10102 then
			guide_btn = btn
		end
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )

	if guide_btn then
		local btn_range = guide_btn:getRange()
		KNGuide:show( guide_btn:getLayer() , {
			x = btn_range:getMinX(),
			y = btn_range:getMinY(),
			callback = function()
				GLOBAL_INFOLAYER:refreshBtn()
			end
		})
	end
	
end
return M
