--火影每日务农
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local handler
function M:show( params )

	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} })
	end
	parentLayer:addChild( curLayer )
	
	
	local farmLayer = display.newLayer()
	local FARMPATH = PATH .. "farm/"

	local temp_img = display.newSprite( FARMPATH .. "frame.png" )
	setAnchPos( temp_img , 240 , 107 , 0.5 )
	farmLayer:addChild(temp_img,-2)
	if not isParent then
		farmLayer:addChild( display.newSprite( FARMPATH .. "farm_label.png" , display.cx  , 575 , 0.5 , 0 ) )
	end

	temp_img = display.newSprite( FARMPATH .. "next_time.png" )
	setAnchPos( temp_img , 70 , 528 )
	farmLayer:addChild(temp_img)

	temp_img = display.newSprite( FARMPATH .. "top.png" )
	setAnchPos( temp_img , 240 , 400 , 0.5 )
	farmLayer:addChild(temp_img,-1)

	temp_img = display.newSprite( FARMPATH .. "morning.png" )
	setAnchPos( temp_img , 147 , 444 )
	farmLayer:addChild(temp_img)

	temp_img = display.newSprite( FARMPATH .. "afternoon.png" )
	setAnchPos( temp_img , 291 , 444 )
	farmLayer:addChild(temp_img)

	temp_img = display.newSprite( FARMPATH .. "can_apply.png" )
	setAnchPos( temp_img , 124 , 472 )
	farmLayer:addChild(temp_img)

	temp_img = display.newSprite( FARMPATH .. "bottom.png" )
	setAnchPos( temp_img , 83 , 253 )
	farmLayer:addChild(temp_img,-1)

	local bottom_img = display.newSprite( FARMPATH .. "remain.png" )
    setAnchPos( bottom_img , 112 , 255 )

    local remainTimeText

	print(table.nums(data.farmtime))
	local applyComplete = false
	if table.nums(data.farmtime)  ~= 0 then
		applyComplete = true
    	farmLayer:addChild(bottom_img)
    	remainTimeText = display.strokeLabel( timeConvert(data.farmtime["endtime"]) or "" , 280 , 260 , 20, ccc3( 44 , 0 , 2 )  )
		farmLayer:addChild( remainTimeText )
	else 
		applyComplete = false
		temp_img = display.newSprite( FARMPATH .. "partin.png" )
		setAnchPos( temp_img , 90 , 255 , 0 , 0 )
		farmLayer:addChild(temp_img)
	end

	local applyBtn = KNBtn:new( FARMPATH , ( applyComplete and { "fram_dis_btn.png" } or { "fram_btn.png" ,"fram_pre_btn.png" } ) ,
					168 , 338 ,
					{
						priority = -201,
						front = FARMPATH .. ( applyComplete and "apply_gray.png" or "apply.png" ) ,
						callback = 
						function()
							HTTP:call("activity", "receive_farm_apply", { },{success_callback = 
							function(data)
								KNMsg:getInstance():flashShow( "报名成功！" )
								ACTIVITY:getAction( { awardProp = awardProp , onComplete = function()  									
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end     
								end } )
							end})
						end
					})
	applyBtn:setEnable( not applyComplete )
	farmLayer:addChild( applyBtn:getLayer() )

	local isComplete
	if data.farmtime.received ~= 0 then
		isComplete = true
	else
		isComplete = false
	end

	local getBtnStr

	if applyComplete then
		getBtnStr = "get_gray.png"
	else 
		getBtnStr = "cant_get.png"
	end

	local getBtn = KNBtn:new( FARMPATH , ( isComplete and { "fram_dis_btn.png" } or { "fram_btn.png" ,"fram_pre_btn.png" } ) ,
					226 , 160 ,
					{
						priority = -201,
						front = FARMPATH .. ( isComplete and getBtnStr or "get.png" ) ,
						callback = 
						function()
							if isBagFull() then
							    return false
							end
							HTTP:call("activity", "receive_farm_gift", { },{success_callback = 
							function(data)
								ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() 									
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end    
								end } )
							end})
						end
					})
	getBtn:setEnable( not isComplete )
	farmLayer:addChild( getBtn:getLayer() )

	local help_btn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png","help_press.png"}, 400 , 545 , {				--帮助按钮
				priority = -130,
				scale = true,
				callback = function()
							local mask
							
							local tempLayer =display.newLayer()
							--背景
							local bg = display.newSprite(COMMONPATH.."tip_bg.png")
							setAnchPos(bg,28,320)
							tempLayer:addChild(bg)
							--标题背景
						 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
						 	setAnchPos(title_bgSp,100,240)
						 	bg:addChild(title_bgSp)
							--标题文字
						 	local title_Sp = display.newSprite(COMMONPATH.."help_title.png")
						 	setAnchPos(title_Sp,65,240)
						 	bg:addChild(title_Sp)
						 	local helpTips = createLabel({str = "1.每日8点,系统会随机刷新2个报名时间段,上午、下午各一个\n"..
														 		"2.只可在系统每日刷新出的有效报名时间段内,报名务农\n"..
														 		"3.成功报名务农后,每次完成务农需要10分钟\n"..
														 		"4.成功完成务农后,可领取20黄金奖励\n"..
														 		"5.玩家需在12点(上午)/18点(下午)前领取工资,逾期无法领取\n" , x = 40, y = 35,size = 16, width = 370,color = ccc3(46 , 18 , 14)})
						 	bg:addChild(helpTips)
						 	--关闭按钮
						    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 5 , 210 , {
									priority = -201-2,
									scale = true,
									callback = function()
										mask:remove()
									end})
							bg:addChild(close:getLayer())
						 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= -201-1})
						 	farmLayer:addChild(mask:getLayer(), 10)
				end
	})
	farmLayer:addChild( help_btn:getLayer() )

	farmLayer:addChild( display.strokeLabel( data.rand_time["s_str"] or "" , 110 , 418 , 20, ccc3( 44 , 0 , 2 )  ) )	--上午时间
	farmLayer:addChild( display.strokeLabel( data.rand_time["x_str"] or "" , 254 , 418 , 20, ccc3( 44 , 0 , 2 )  ) )	--下午时间
	-- farmLayer:addChild( display.strokeLabel( data.endtime or "" , 153 , 590 , 20, ccc3( 44 , 0 , 2 )  ) )	--活动时间

	local nextTimeText = display.strokeLabel( timeConvert(data.rand_time["endtime"]) or "" , 301 , 530 , 20, ccc3( 44 , 0 , 2 )  )
	farmLayer:addChild( nextTimeText )

	local nextTime = data.rand_time["endtime"]
	local timeCount = 0 
	
	local function refreshTime()
		timeCount = timeCount + 1


		local nextTimeStr =  timeConvert( nextTime - timeCount )

		if (nextTime - timeCount) <= 0 then
			nextTimeText:setString("00:00:00")
		else 
			nextTimeText:setString( replaceStr( nextTimeStr ) )
		end

		if remainTimeText then
			if (data.farmtime["endtime"] - timeCount) <= 0 then
				remainTimeText:setString("00:00:00")
			else
				nextTimeStr =  timeConvert(data.farmtime["endtime"] - timeCount)
				remainTimeText:setString( replaceStr( nextTimeStr ) )
			end
		end
	end
	handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(refreshTime , 1 , false)
	ACTIVITY:setHandler( handler )
	refreshTime()

	local awardData = data.config.award
 	for i = 1 , #awardData do
  		local curProp = awardCell( awardData[i] )
		setAnchPos( curProp ,( #awardData > 1 and 80 or 112 ) , 157 )
 		farmLayer:addChild( curProp )
   	end

	curLayer:addChild( farmLayer )
end
return M
