--烟花活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} , frame = {} })
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "newyear/fireworks_text.png" , 33 , 110 , 0 , 0 ) )
	local elementConfig = { DATA_Bag:getTypeCount( "prop" , "17005" ) ,  DATA_Bag:getTypeCount( "prop" , "17006" ) , data.fireworkone }
	for i = 1 , 3 do
		ACTIVITY.viewLayer:addChild( display.strokeLabel( elementConfig[i] , ( i > 2 and 120 or 100 ) , 153 - ( i  - 1 ) * 21 , 20  , ccc3( 0xff , 0xfc , 0xd3 ) , nil , nil , { dimensions_width = 333 , dimensions_height = 25 , align = 0 } ) )
	end
	
    local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 400 , 120 +460, {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 360 ,  path = COMMONPATH .. "tip_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = "1.全民参与燃放烟花,提升本服的烟花璀璨度,享周年烟花大礼\n" .. 
									"2.烟花璀璨度达到一定时,所有玩家都可领取烟花璀璨度大礼包\n" .. 
									"3.小烟花除了所有的精英BOSS关卡获得,还可在周年庆活动中获得\n" .. 
									"4.大烟花可通过其他充值活动获得,也可通过打开感恩礼券获得\n"
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60, y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 50 , 200 + 178 , 380 , 190 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( helpBtn )
	
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "newyear/cur_value_text.png" , 246 , 323 , 0 ,  0 ) )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.fireworkall , 347 , 153 + 171  , 20  , ccc3( 0x00 , 0x00 , 0x00 )  ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "newyear/text_info_bg.png" , 230 , 267 , 0 ,  0 ) )
	local oneMessage = requires(IMG_PATH , "GameLuaScript/Scene/chat/oneMessage")
	local msgText = display.strokeLabel( "" , 347 - 88 - 20 , 262  , 18  , ccc3( 0xff , 0xfb , 0xd5 ) , nil , nil , { dimensions_width = 220 , dimensions_height = 57 , align = 0 } ) 
	
	if table.nums( data._G_message_firework ) ~= 0 then
		msgText:setString(  oneMessage:formatMsg( data._G_message_firework[1]["template"]  , data._G_message_firework[1]["msg"]) )
	end
	ACTIVITY.viewLayer:addChild( msgText )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 + 40-20  , 585 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 + 40-20 , 588 , 20 , ccc3( 0x00 , 0x00 , 0x00 )  ) )	--活动时间
	
	local offX , offY = 0 , 0 
	local addrConfig = { 
					["1"] = { x = display.cx - 46 , y = 110 } ,
					["2"] = { x = 150 + offX , y = 210 + offY } ,
					["3"] = { x = 71 + offX , y = 310 + offY } ,
					["4"] = { x = 257 + offX , y = 370 + offY } ,
					["5"] = { x = 105 + offX , y = 450 + offY } ,
					["6"] = { x = 290 + offX , y = 516 + offY } ,
					}
	local scaleConfig = { 
					["1"] = { scale = 0.5 , offX = -47 , offY = 0  , angle = -180 } ,
					["2"] = { scale = 0.5 , offX = -62 , offY = -20 , angle = -180 } ,
					["3"] = { scale = 0.8 , offX = 62 , offY = -10 , angle = 0 } ,
					["4"] = { scale = 0.8 , offX = -97 , offY = -41 , angle = -180 } ,
					["5"] = { scale = 0.9 , offX = 60 , offY = -10 , angle = 0 } ,
					}
	local isFirstHit = false				
	local function barCell( temp )
		local bulkingX , bulkingY = ( temp.nextP.x - temp.cutP.x ) / 2  , ( temp.nextP.y - temp.cutP.y ) / 2 	--计算两点中间点偏移值
		local curValue = ( tonumber( data.fireworkall ) > tonumber( data.config[temp.index]["num"] ) and tonumber( data.config[temp.index]["num"] ) or tonumber( data.fireworkall ) )
		
		
		local curValue = tonumber( data.fireworkall )
		if tonumber( data.fireworkall ) < tonumber( data.config[temp.index]["num"] )   then
			if not isFirstHit then
				local totalValue = data.config[temp.index]["num"] - ( temp.index == 1 and 0 or data.config[ temp.index - 1 ]["num"] )
				curValue = curValue - ( temp.index == 1 and 0 or data.config[ temp.index - 1 ]["num"] )
				curValue =  curValue/totalValue * data.config[temp.index]["num"]
				isFirstHit = true
			else
				curValue = 0
			end
		end
		
		local boxBar = KNBar:new( "box_line" , 0 , 0 , { barOffset = -10 ,  curValue = curValue  , maxValue = tonumber( data.config[temp.index]["num"] ) } )
		display.align(boxBar , display.LEFT_BOTTOM , 5 , 31 )
		boxBar:setIsShowText( false )
		local angle = countAngle( temp ) + scaleConfig[ temp.index .. "" ][ "angle" ] 
		boxBar:setRotation( angle  )
		return boxBar
	end
	--根据传递进来的动作创建一个队列
	local function getSequence( params )
		local action = CCArray:create()
		for i = 1, #params do
			action:addObject(params[i])	
		end
		return CCSequence:create(action)
	end
	
	--同时
	local function getSpawn( params )
		local action = CCArray:create()
		for i = 1, #params do
			action:addObject(params[i])	
		end
		return CCSpawn:create(action)
	end
	
	local function actionFun()
		local flowerEff = nil
		local frames = display.newFramesWithImage( PATH .. "flower_eff.png" , 12 , 2 )
		flowerEff = display.playFrames( 0  , 0 , frames , 0.15 , { 
				onComplete = function() 
					transition.stopTarget( flowerEff ) 
					delObj( flowerEff ) 
				end } )
		flowerEff:setScale( 0.2 )
		setAnchPos( flowerEff , display.cx , 140 , 0.5 , 0 )
		display.getRunningScene():addChild( flowerEff )
	
		local actionTime = 0.3 
		flowerEff:runAction( getSequence( {
											getSpawn( { CCScaleTo:create( actionTime , math.random( 8,11 )/10 ) , 
														  CCMoveTo:create( actionTime , ccp( math.random( 100 , 380 ) , math.random( 300 , 500) ) ) 
														 } ) , 
											CCCallFunc:create( function()  end )
											}
							 					
							) ) 
									
	end
	local maxNum = table.nums( addrConfig ) 
	local bars = {}
	local btns = {}
	
	for i = 1 , maxNum do
		
		if i < maxNum then
			local curData = addrConfig[ i .. "" ]
			local bPoint 
			bPoint = addrConfig[ ( i + 1 ) .."" ]
			bars[i] = barCell(  { cutP = curData , nextP = bPoint , index = i }  )
			bars[i]:setScaleX( scaleConfig[i..""]["scale"] )
			setAnchPos( bars[i] , curData.x + 60 + scaleConfig[i..""]["offX"]  ,  curData.y + 90 + scaleConfig[i..""]["offY"]   , 0.5 , 0.5 )
			ACTIVITY.viewLayer:addChild( bars[i] )
		end
		btns[i] = KNBtn:new( PATH .. "newyear" , ( i ~= 1 and { "box"..i..".png" , "box"..i.."_pre.png" , "box_grey.png" } or { "fireworks.png" , "fireworks_pre.png" , "fireworks_dis.png" } ) ,
			addrConfig[ i .. "" ].x , 
			addrConfig[ i .. "" ].y ,
			{
				priority = -130,
				callback = 
				function()
					if i == 1 then
						if DATA_Bag:getTypeCount( "prop" , "17005" ) > 0 or  DATA_Bag:getTypeCount( "prop" , "17006" )> 0 then
							HTTP:call("activity", "usefirework", {},{success_callback = 
							function(data)
								actionFun()
								ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
								KNMsg.getInstance():flashShow( data.str )
							end})
						else
							KNMsg.getInstance():flashShow( "您的烟花不足，暂不能燃放！" )
						end
					else
						local tempLayer = showAwards( { data = { award = data.config[ i - 1  ]["award"] } , offsetX = 10 , noTitle = true , noConfirm = true , noStar = true , showAwardBg = { path = PATH .. "shade1.png", offX = 0 , offY = 80 , scale = 1.2   } } )
						tempLayer:addChild( display.newSprite( PATH .. "newyear/award_text.png" ,display.cx , 400 + 144 , 0.5 , 0 ))
						tempLayer:addChild( display.strokeLabel( data.config[i - 1]["num"] , 300 - 70  , 400+ 25 + 144   , 18, ccc3( 0x2c , 0x00 , 0x00 ) , nil , nil , { dimensions_width = 100 , dimensions_height = 25 , align = 1 } ) )
						local isEnable =  true
						local isComplete = false
						
						if data.received_all then
							--是否已经领取
							for t = 1 , table.nums( data.received_all ) do
								if data.received_all[t] == ( i - 2 ) then
									isComplete = true
									break
								end
							end
						end
						
						local getBtn = KNBtn:new( COMMONPATH , ( isComplete and { "btn_bg_red2.png" } or { "btn_bg_red.png" ,"btn_bg_red_pre.png" } ) ,
						41 , 18 + 347 ,
						{
							priority = -201,
							front = COMMONPATH .. ( isComplete and "get_over.png" or "get_award.png" ) ,
							callback = 
							function()
								if isBagFull() then
								    return false
								end
								HTTP:call("activity", "receive_firework", { type = "all" , index = i - 2 },{success_callback = 
								function()
									ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
									tempLayer:remove()
								end})
							end
						})
						getBtn:setEnable( not isComplete )
						tempLayer:addChild( getBtn:getLayer() )
						
						tempLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" ,"btn_bg_red_pre.png" } ,
						267 , 18 + 347 ,
						{
							priority = -201,
							front = COMMONPATH .. "colse_text.png" ,
							callback = 
							function()
								tempLayer:remove()
							end
						}):getLayer() )
					end
				end
			})
		if i~=1 then
			btns[i]:getLayer():setScale(0.8)
		end
		ACTIVITY.viewLayer:addChild( btns[i]:getLayer() )
		
		-- if i > 1 and i <= maxNum then
		-- 	if tonumber( data.fireworkall ) <= tonumber( data.config[ i - 1 ]["num"] ) then
		-- 		btns[i]:setFront( PATH.."newyear/box_dis.png" )
		-- 		-- btns[i]:setEnable(false)
		-- 	else
		-- 		btns[i]:setEnable(true)
		-- 	end
		-- end
		
	end
	--消息刷新
	local T = {}
	function T:refreshFireworks( tempData )
	
		data.fireworkall = tempData.fireworkall
		msgText:setString( tempData.str )
		local isFirstHit = false
		for i = 1 , table.nums( bars ) do
			local curValue = tonumber( data.fireworkall )
			if tonumber( data.fireworkall ) < tonumber( data.config[i]["num"] )   then
				if not isFirstHit then
					local totalValue = data.config[i]["num"] - ( i == 1 and 0 or data.config[ i - 1 ]["num"] )
					curValue = curValue - ( i == 1 and 0 or data.config[ i - 1 ]["num"] )
					curValue =  curValue/totalValue * data.config[i]["num"]
					isFirstHit = true
				else
					curValue = 0
				end
			end
			
			bars[i]:setCurValue( curValue )
			
			-- if tonumber( data.fireworkall ) >= tonumber( data.config[i]["num"] ) then
			-- 	btns[ i + 1 ]:setEnable( true )
			-- else
			-- 	btns[ i + 1 ]:setEnable( false )
			-- end
		end
	end
	ACTIVITY:setCurFace( T )
end
return M
