--抽奖
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()

	local text = {}		--任务文字
	local textFlag = {}	--是否完成标记
	local completeNum = 0
	local coutGold = data.money or 50		--花费黄金数
	
	ACTIVITY:baseLayout( { line = {} , frame = {} , noShowBg = true } )
	local addConfig = { 
		{ x = 256 , y = 502 } , 
		{ x = 343 , y = 437 } , 
		{ x = 376 , y = 334 } , 
		{ x = 344 , y = 231 } , 
		{ x = 255 , y = 164 } , 
		{ x = 152 , y = 163 } , 
		{ x = 63 , 	y = 230 } , 
		{ x = 31 , 	y = 332 } , 
		{ x = 63 , 	y = 436 } , 
		{ x = 152 ,	y = 498 } , 
	}
	local layer = display.newLayer()
	
	local baseY = 10
	local flag
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "circle_big.png" , display.cx , 366 , 0.5 , 0.5 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "circle_small.png" , display.cx , 366 , 0.5 , 0.5 ) )	--活动时间

	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 608 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
--	ACTIVITY.viewLayer:addChild( display.strokeLabel( "每个玩家都有3次免费抽奖机会,第4次开始每次需花费" .. coutGold .. "黄金(最多购买".. data.user_count .. "次)" , 16 , 580 - 66  , 16, ccc3( 0x6f , 0xe7 , 0xe6 ), nil , nil ,  {
--					dimensions_width = 448 ,
--					dimensions_height = 90,
--					align = 0
--				}) )
	
	local curIndex = data.upIndex + 1
	local isOver = false
	local isData = false
	local isCurADD = false 
	local moveFun
	local donwTime = 4
	local mask
	local actionBack = nil
	local delayValue = 0.05
	local num = 0
	moveFun = function()
		if curIndex >= #addConfig then
			curIndex = 0
		end
		
		if isData then
			if data.index ==  curIndex then
				isCurADD = true
			else
				isCurADD = false
			end
		end
		
		curIndex = curIndex + 1
		setAnchPos( flag , addConfig[curIndex].x - 10 , addConfig[curIndex].y - 10 ,0 , 0 )
		if isOver and isData and isCurADD then
		
			transition.stopTarget( flag )
			
			local function clearFun()
				mask:remove()
				isOver = false
				donwTime = 3
				isCurADD = false
			end
			
			if actionBack.tipFun then
				actionBack.backFun()
				clearFun()
				actionBack.tipFun()
			else
				local KNCardpopup = requires(IMG_PATH,"GameLuaScript/Common/KNCardpopup")
				local card_x = addConfig[ data.index + 1 ].x - 10
				local card_y = addConfig[ data.index + 1 ].y - 10 
				local card_popup = KNCardpopup:new( data["config"]["award"][ data.index + 1 ].cid  ,
													function() clearFun() actionBack.backFun()  end ,
													 {
														init_x = card_x - 200 ,
														init_y = card_y - 400,
														end_x = display.cx ,
														end_y = display.cy + 300 ,
														top_tips = nil,
													})
				ACTIVITY.viewLayer:addChild( card_popup:play() )
			end
		else
			if num < 3 then
				if curIndex == 1 then 
					num = num + 1
				end
			else
				delayValue = delayValue + 0.01
				if delayValue > 0.3 then
					delayValue = 0.3
				end
			end
			flag:runAction( getSequenceAction( CCDelayTime:create( delayValue )  ,  CCCallFunc:create( function() moveFun() end )  ) )
		end
	end
	

	
	
	
	local lotteryBtn = KNBtn:new( PATH , { "circle.png" , "circle_pre.png"} , display.cx - 51 , 366 - 51 ,
						{
							front = PATH .. "lottery.png" , 
							callback = function()
								if isBagFull() then
								    return false
								end
								
								if ( (data.max - data.num) <= 0 ) and ( tonumber( DATA_Account:get("gold") ) < coutGold )then
									KNMsg.getInstance():flashShow( "您的黄金不足,暂不能进行抽奖" )
									return
								end
								
								if data.num >= ( tonumber( data.user_count )+tonumber( data.max ) ) then
									KNMsg.getInstance():flashShow( "您已购买了".. data.user_count .. "次抽奖次数，已不能再抽奖了！" )
									return
								end
								
								if not isOver then
									mask = KNMask:new({ priority = -133 ,	opacity = 0 })
									local scene = display.getRunningScene()
									scene:addChild( mask:getLayer() )
									
									isOver = false 
									isData = false
									actionBack = nil
									moveFun()
									KNClock:addTimeFun("lottery" , function() donwTime = donwTime - 1 if donwTime < 0 then isOver = true end end )
								end
								HTTP:call("activity", "receive_free_lottery", {typeid = data.typeid},{
								no_loading = true , 
								success_callback = 
								function( tempData )
									data = tempData.data
									isData = true
									actionBack = { tipFun = tempData.tipFun , backFun = function() ACTIVITY:getAction( { onComplete = function() ACTIVITY:selectActivity() end } ) end }
								end})
							end
						}):getLayer()
						
	ACTIVITY.viewLayer:addChild( lotteryBtn )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "lottery_num_bg.png" , display.cx , 263 , 0.5 , 0 ) )
	local str = ((data.max - data.num) <= 0 ) and ( "消耗" .. coutGold .. "黄金" ) or ( "你可抽奖" .. ( data.max - data.num ) .. "次" )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( str , 0 , 268 , 20, ccc3( 0xfe , 0xfc , 0xd3 ) , nil , nil ,  {
					dimensions_width = 480 ,
					dimensions_height = 25,
					align = 1
				})  )	--可抽奖次数
	--中奖信息	
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "jackpot_info.png" , display.cx , 96 , 0.5 , 0 ) )
	local str = string.join( data.movement , "\n" ) 
	ACTIVITY.viewLayer:addChild( display.strokeLabel( str , 6 , 85 , 18, ccc3( 0xfe , 0xfc , 0xd3 ) , nil , nil ,  {
					dimensions_width = 468 ,
					dimensions_height = 60,
					align = 1
				}) )	
	local awardData = data.config.award
	for i = 1  , #awardData do
		local curItem = awardCell( awardData[i] )
		setAnchPos( curItem , addConfig[i].x , addConfig[i].y )
		ACTIVITY.viewLayer:addChild( curItem )		
	end
	local addX = ( data.upIndex == -1 and -100 or addConfig[ data.upIndex + 1].x )
	local addY = ( data.upIndex == -1 and -100 or addConfig[ data.upIndex + 1].y )
	flag = display.newSprite( COMMONPATH .. "select1.png" , addX - 10 , addY - 10 , 0 , 0 )
	ACTIVITY.viewLayer:addChild( flag )	--活动时间
	
 
end
return M
