--好友邀请活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} })

	local beInvited_layer , alreadyInvite_layer

	function beInvitedLayer()
		beInvited_layer = display.newLayer()

		local code_input , helpBtn , confirmBtn

		local beInviteBg_img = display.newSprite( PATH .. "friendInvite/beInvite_bg.png") 
		setAnchPos( beInviteBg_img , 240 , 505 , 0.5 , 0.5 )

		local girl_img = display.newSprite( PATH .. "friendInvite/girl.png" )
		setAnchPos( girl_img , 6 , 96 )

		local activityTime_img = display.newSprite( PATH .. "activity_time_text.png" )
		setAnchPos( activityTime_img , 30 , 580 )

		local info_bg_img = display.newSprite( PATH .. "friendInvite/info_bg.png" )
		setAnchPos( info_bg_img , 45 , 450 )

		local infoText = KNTextField:create( { str = "您的邀请码是：" .. data["codekey"] .. "，快去邀请您的好友进入游戏吧!好友输入你的邀请码，你可领取超值奖励。你也可以输入其他好友的邀请码，但是需达到20级才能领奖哦！" , size = 15  , color = ccc3(46 , 18 , 14) , width = 380 } )

		infoText:setDimensions(CCSizeMake(infoText:getContentSize().width, infoText:getContentSize().height + 10))
		setAnchPos( infoText , 55 , 470 )

	 	local timeLabel = createLabel({str = data["endtime"], x = 130, y = 582,size = 18, width = 340,color = ccc3(46 , 18 , 14)})

	    helpBtn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png","help_press.png"}, 410 , 580 , {
						priority = -201,
						scale = true,
						callback = function()
									code_input:stopInput()

									local mask
									
									local tempLayer =display.newLayer()
									--背景
									local bg = display.newSprite(COMMONPATH.."tip_bg.png")
									setAnchPos(bg,28,320)
									tempLayer:addChild(bg)
									--标题背景
								 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
								 	setAnchPos(title_bgSp,100,240)
								 	bg:addChild(title_bgSp)
									--标题文字
								 	local title_Sp = display.newSprite(COMMONPATH.."help_title.png")
								 	setAnchPos(title_Sp,65,240)
								 	bg:addChild(title_Sp)
								 	local helpTips = createLabel({str = "1.等级大于20级才能输入好友邀请码。\n2.每个玩家只能获得一次输入激活码奖励。\n3.输入好友邀请码获得奖励后才能看自己任务完成进度。\n4.邀请码所有大区都可以被使用。\n5.尽可能把自己的邀请码散布给等级高的好友,有助于自己尽快完成任务。", x = 60, y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
								 	bg:addChild(helpTips)
								 	--关闭按钮
								    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
											priority = -201-2,
											scale = true,
											callback = function()
												mask:remove()
											end})
									bg:addChild(close:getLayer())
								 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= -201-1})
								 	beInvited_layer:addChild(mask:getLayer(), 10)
						end
				})
		
		code_input = KNInputText:new(
	 				{	width = 365, 
						height = 28, 
						size = 16 , 
						defStr = "请输入好友的邀请码", 
						existStr = nil,
						priority = -204,
						defColor = ccc3( 0x00, 0x00, 0x00 ), 
						inputColor = ccc3( 0x4d, 0x15, 0x15 )
					})
		setAnchPos( code_input:getLayer() , 60, 418 )

		confirmBtn = KNBtn:new( COMMONPATH , { "btn_bg.png" ,"btn_bg_pre.png"}, 350 , 398 , 
						{ 
							priority = -201 , 
							scale = true , 
							front = COMMONPATH.."confirm.png" , 
							callback = 
							function()
								    code_input:stopInput()
									HTTP:call("activity", "receive_friends_gift", { codekey = code_input:getString() },{success_callback = 
										function(data , func)
											func( data , "领取成功！")
											ACTIVITY.viewLayer:removeChild( beInvited_layer , true )
											ACTIVITY.viewLayer:addChild( alreadyInviteLayer() , 10)
										end
									})
							end 
						} )

		code_input_bg = KNBtn:new(PATH .. "friendInvite", {"input_bg.png"} , 50 , 400 , {
			priority = -201,
			callback = function()
				code_input:startInput()
			end
		}):getLayer()	

		local join_info_img = display.newSprite( PATH .. "friendInvite/join_info.png")
		setAnchPos( join_info_img , 240 , 230 )

		local join_bg_img = display.newSprite( PATH .. "friendInvite/join_info_bg.png" )
		setAnchPos( join_bg_img , 200 , 215 )

		local function onTouch(type, x , y)
			code_input:stopInput()
			return true
		end

		beInvited_layer:setTouchEnabled(true)
		beInvited_layer:registerScriptTouchHandler(function(type,x,y) return onTouch(type,x,y) end, false , -220) 

		beInvited_layer:addChild( girl_img , -3 )
		beInvited_layer:addChild( beInviteBg_img , -2 )
		beInvited_layer:addChild( activityTime_img )
		beInvited_layer:addChild( helpBtn:getLayer() )
		beInvited_layer:addChild( info_bg_img , -1 )
		beInvited_layer:addChild( timeLabel )
		beInvited_layer:addChild( infoText )
		beInvited_layer:addChild( code_input:getLayer() , 1)
		beInvited_layer:addChild( code_input_bg )
		beInvited_layer:addChild( confirmBtn:getLayer() )
		beInvited_layer:addChild( join_info_img )
		beInvited_layer:addChild( join_bg_img , -1)

		return beInvited_layer
	end

	--好友详情
	function friendDetail()
		local curPage , pageCount , pageSize , detail_layer , scroll
		pageSize = 10
		curPage = 1
		function FriendInfoItem(param)
			local friendItemLayer = display.newLayer()
			friendItemLayer:setContentSize( CCSizeMake(370,64) )

			local friendItem_bg = display.newSprite( PATH.."friendInvite/friendItem_bg.png" )
			setAnchPos( friendItem_bg , 0 , 0 , 0 , 0 )
			friendItemLayer:addChild( friendItem_bg )

			local server_label = display.strokeLabel(param.server_name, 0, 0, 20, ccc3(0, 0, 0))
			setAnchPos(server_label, 40, 20)
			friendItemLayer:addChild(server_label)

			local name_label = display.strokeLabel(param.name, 0, 0, 20, ccc3(0, 0, 0))
			setAnchPos(name_label, 170, 20)
			friendItemLayer:addChild(name_label)

			local lv_label = display.strokeLabel("Lv" .. param.lv, 0, 0, 20, ccc3(0, 0, 0))
			setAnchPos(lv_label, 300, 20)
			friendItemLayer:addChild(lv_label)

			return friendItemLayer
		end

		detail_layer = baseMask( { bgInfo = {path = PATH.."friendInvite/friend_detail_bg.png" , y = 180} , titlePath = PATH .. "friendInvite/friend_detail_title.png", isShowBack = { x = 40, y = 600 , priority = -201 } , priority = -201} )

		function createScrollList(params , pageNow)
			local startIndex , endIndex
			curPage = pageNow
			if pageNow * pageSize < #params then
				startIndex = (pageNow-1) * pageSize
				endIndex = pageNow * pageSize
			else
 				startIndex = (pageNow-1) * pageSize
				endIndex = #params
			end

			scroll = KNScrollView:new(55 , 255 , 370 , 336 , 3, false, 0,{
						priority = -201
					})
			for i=startIndex + 1,endIndex do
				scroll:addChild( FriendInfoItem(params[i]) )
			end
			detail_layer:addChild( scroll:getLayer() , 10)
--			return scroll
		end

		local info_bg = display.newSprite( PATH.."friendInvite/list_info_bg.png" )
		setAnchPos(info_bg,240,420,0.5,0.5)
		detail_layer:addChild(info_bg)

		local page_bg = display.newSprite(COMMONPATH.."page_bg.png")
		setAnchPos(page_bg,240,193,0.5)
		detail_layer:addChild(page_bg)

		 pageCount = ( #data.friendsinvite - 1 ) / pageSize + 1
		 pageCount = tonumber( string.sub(pageCount , 1 , string.find(pageCount , ".")) )

		 createScrollList(data.friendsinvite , curPage)

 		local pageNum = display.strokeLabel( curPage.."/"..pageCount, 0, 0, 20, ccc3(0xff, 0xfb, 0xd4))
		setAnchPos(pageNum, 240, 200, 0.5)
		detail_layer:addChild(pageNum)

		--翻页按钮
		local pre_btn = KNBtn:new(PATH .. "friendInvite",{"next_page.png"}, 160, 188, {
			scale = true,
			flipX = true,
			priority = -201,
			callback = function()
				if curPage > 1 then
					detail_layer:removeChild( scroll:getLayer() , true )
					createScrollList( data.friendsinvite , curPage-1 )
					pageNum:setString( curPage.."/"..pageCount )
				end
			end
		})
		detail_layer:addChild(pre_btn:getLayer())
		
		local next_btn = KNBtn:new(PATH .. "friendInvite",{"next_page.png"}, 278, 188, {
			scale = true,
			priority = -201,
			callback = function()
				if curPage < pageCount then
					detail_layer:removeChild( scroll:getLayer() , true )
					createScrollList( data.friendsinvite , curPage+1 )
					pageNum:setString( curPage.."/"..pageCount )
				end
			end
		})
		detail_layer:addChild(next_btn:getLayer())
		return detail_layer
	end

	function alreadyInviteLayer()
		local scroll
		alreadyInvite_layer = display.newLayer()
		--创建Item
		local function createItem(param , p_index )
			local get_btn
			local itemLayer = display.newLayer()

			for i = 1 , #param.award do
				local curProp = awardCell( param["award"][i] , { parent = scroll })
				curProp:registerScriptTouchHandler(function(type,x,y) return curProp:onTouch(type,x,y) end,false,-201,true)
				setAnchPos( curProp , ( #param.award > 2 and 40 or 90 )+ ( i - 1 ) * 94 , 10 )
				itemLayer:addChild( curProp , 10)
			end

		 	local content_label = createLabel({str = param["content"], x = 50, y = 90,size = 18, width = 295,color = ccc3(46 , 18 , 14), align = 1})
		 	setAnchPos( content_label , 203 , 100 , 0.5 , 0.5 )

		 	local content_bg = display.newSprite( PATH .. "friendInvite/content_bg.png" )
		 	setAnchPos( content_bg , 203 , 100 , 0.5 , 0.5 )

			get_btn = KNBtn:new( COMMONPATH, { "btn_bg.png" , "btn_bg_pre.png" , "btn_bg_dis.png" } , 350,  45,
			{
				anchMid = true,
				priority = -201,
				front = COMMONPATH .. "get.png" , 
				callback = function()
					HTTP:call("activity", "receive_friends_codekey", { index = p_index - 1 },{success_callback = 
						function(data , func)
							func(data)
							get_btn:setFront( COMMONPATH .. "get_complete.png" )
							get_btn:setEnable(false)
						end
					})
				end
			})

			for i=1 , #data.received do 
				if data.received[i] == p_index - 1 then
					get_btn:setFront( COMMONPATH .. "get_complete.png" )
					get_btn:setEnable(false)
				end
			end

			itemLayer:setContentSize( CCSizeMake(406,122) )

			local item_bg = display.newSprite( PATH .. "friendInvite/item_bg.png" )
			setAnchPos( item_bg , 0 , 0 , 0 , 0 )
			itemLayer:addChild(item_bg)
			itemLayer:addChild(get_btn:getLayer())
			itemLayer:addChild(content_label , 10)
			itemLayer:addChild(content_bg)
			return itemLayer			
		end

		scroll = KNScrollView:new(38 , 112 , 410 , 260 , 7, false, 0,{
								priority = -201
							})
		for i=1,#data.config do
			scroll:addChild( createItem(data.config[i] , i ) )
		end

		alreadyInvite_layer:addChild( scroll:getLayer() , 10)

		local beInviteBg_img = display.newSprite( PATH .. "friendInvite/beInvite_bg.png") 
		setAnchPos( beInviteBg_img , 240 , 505 , 0.5 , 0.5 )

		local activityTime_img = display.newSprite( PATH .. "activity_time_text.png" )
		setAnchPos( activityTime_img , 30 , 580 )

		local info_bg_img = display.newSprite( PATH .. "friendInvite/info_bg.png" )
		setAnchPos( info_bg_img , 45 , 450 )

		local infoText = KNTextField:create( { str = "您的邀请码是：" .. data["codekey"] .. "，快去邀请您的好友进入游戏吧!好友输入你的邀请码，你可领取超值奖励。" , size = 15  , color = ccc3(46 , 18 , 14) , width = 380 } )
		setAnchPos( infoText , 55 , 500 )
		infoText:setDimensions(CCSizeMake(infoText:getContentSize().width, infoText:getContentSize().height + 10))
		
	 	local timeLabel = createLabel({str = data["endtime"], x = 130, y = 582,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
	 	local inViteFriendsCountLabel = createLabel( {str = "(已邀请"..data["friendsinvite_count"].."人)", x = 170, y = 410,size = 18, width = 340,color = ccc3(46 , 18 , 14)})

	    local helpBtn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png","help_press.png"}, 410 , 580 , {
						priority = -201,
						scale = true,
						callback = function()
									local mask
									
									local tempLayer =display.newLayer()
									--背景
									local bg = display.newSprite(COMMONPATH.."tip_bg.png")
									setAnchPos(bg,28,320)
									tempLayer:addChild(bg)
									--标题背景
								 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
								 	setAnchPos(title_bgSp,100,240)
								 	bg:addChild(title_bgSp)
									--标题文字
								 	local title_Sp = display.newSprite(COMMONPATH.."help_title.png")
								 	setAnchPos(title_Sp,65,240)
								 	bg:addChild(title_Sp)
								 	local helpTips = createLabel({str = "1.等级大于20级才能输入好友邀请码。\n2.每个玩家只能获得一次输入激活码奖励。\n3.输入好友邀请码获得奖励后才能看自己任务完成进度。\n4.邀请码所有大区都可以被使用。\n5.尽可能把自己的邀请码散布给等级高的好友,有助于自己尽快完成任务。", x = 60, y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
								 	bg:addChild(helpTips)
								 	--关闭按钮
								    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
											priority = -201-2,
											scale = true,
											callback = function()
												mask:remove()
											end})
									bg:addChild(close:getLayer())
								 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= -201-1})
								 	alreadyInvite_layer:addChild(mask:getLayer() , 10)
						end
				})

		local lookBtn = KNBtn:new( COMMONPATH , { "btn_bg.png" ,"btn_bg_pre.png"}, 350 , 398 , 
						{ 
							priority = -201 , 
							scale = true , 
							front = IMG_PATH.."image/scene/gang/gang_list/look.png" , 
							callback = 
							function()
								friendDetail()
							end 
						} )

		local info_bg = display.newSprite( IMG_PATH .. "image/scene/war/info_bg.png" )
		setAnchPos( info_bg , 240 , 237 , 0.5 , 0.5 )
		info_bg:setScaleY( 0.93 )

		alreadyInvite_layer:addChild( beInviteBg_img , -2 )
		alreadyInvite_layer:addChild( activityTime_img )
		alreadyInvite_layer:addChild( helpBtn:getLayer() )
		alreadyInvite_layer:addChild( info_bg_img , -1 )
		alreadyInvite_layer:addChild( timeLabel )
		alreadyInvite_layer:addChild( infoText )
		alreadyInvite_layer:addChild( inViteFriendsCountLabel )
		alreadyInvite_layer:addChild( lookBtn:getLayer() )
		alreadyInvite_layer:addChild( info_bg )

		return alreadyInvite_layer
	end
	
	if table.nums(data.friendsgift)==0 then
		ACTIVITY.viewLayer:addChild( beInvitedLayer() )
	else
		ACTIVITY.viewLayer:addChild( alreadyInviteLayer() )
	end
 
end
return M
