--恭贺新喜
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local NewYearPATH = IMG_PATH .. "image/scene/activity_new/happy_new_year/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show( params )
	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local showLiHeFun,showZhuFuFun
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		dump(data)
		ACTIVITY:baseLayout({ line = {y=655} })
	end
	parentLayer:addChild( curLayer )
	
	

	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )
	
	if isNew and not isParent then
		--curLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 595 + 12 , 0 , 0 ) )	--活动时间
		--curLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 598 + 12 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	end
	curLayer:addChild( display.newSprite( NewYearPATH .. "shu.jpg" , 6 ,100 , 0 , 0 ) )

	--帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 420 , 600 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	curLayer:addChild( helpBtn )

	
 	
	local  zhuanShi_bar = KNBar:new("happyNewBar" ,  96+10, 690 , { maxValue = data.zs_value_max  , curValue =  data.zs_value  , color = ccc3( 0,0,0 )  })
	curLayer:addChild( zhuanShi_bar )
	curLayer:addChild( display.newSprite( NewYearPATH .. "fenGe.png" , 96+10 ,160-10 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( NewYearPATH .. "zhuanShiLab.png" , 30 ,150 , 0 , 0 ) )
	curLayer:addChild( display.strokeLabel( "今日还可拜年 "..data.bainian_times.."次" , 320 , 183 , 18, ccc3( 255 , 255 , 255 )  ) )
	--下方三个按钮
	local btnConfig = {
						[1]={front="quBai.png"},
						[2]={front="xinLi.png"},
						[3]={front="xinZhu.png"},

						}
	for i=1,3 do
		local btn = KNBtn:new( COMMONPATH , 
			{"btn_bg_red.png","btn_bg_red_pre.png"},
			25+(i-1)*145 , 
			105,
			{
				priority = -129,
				front = NewYearPATH ..btnConfig[i].front ,
				callback = 
				function()
					if i==1 then --去拜年
						HTTP:call("friends","get",{},{success_callback=
						function()
							pushScene("friend",{type="fromBaiNian", closeFun = function() popScene() end})
						end})
					elseif i==2 then --新年礼盒
						HTTP:call("activity","happy_new_year_gift_box",{},{success_callback=
						function(receiveData)
							dump(receiveData)
							showLiHeFun(receiveData)
						end})
						
					elseif i==3 then --新年祝福
						HTTP:call("activity","happy_new_year_my_wishes",{},{success_callback=
						function(receiveData)
							dump(receiveData)
							showZhuFuFun(receiveData)
						end})
						
					end
					
				end
			})
		curLayer:addChild( btn:getLayer() )
	end

	--树上八个礼物
	local giftPos = { [1]={pos={290,450-50},img={"hongBao"}},
					[2]={pos={220-20,390-60},img={"juZi"}},
					[3]={pos={360-30,360-100},img={"jie"}},
					[4]={pos={190-20,510-60},img={"dengLong"}},
					[5]={pos={110-30,350-70},img={"baoZu"}},
					[6]={pos={100-40,230-60},img={"liWu"}},
					[7]={pos={300-20,240-60},img={"waWa"}},
					[8]={pos={10,260},img={"duiZuo"}},
					[9]={pos={400,260},img={"duiYou"}},
				}
	for i=1,#data.zs_gift_status do
		if data.zs_gift_status[i].is_can_get==1 then --如果可以领奖,显示
			
			local giftBtn = KNBtn:new( NewYearPATH , 
				{giftPos[i]['img'][1]..".png"},
				giftPos[i]['pos'][1] , 
				giftPos[i]['pos'][2] ,
				{
					priority = -129,
					--front = NewYearPATH ..btnConfig[i].front ,
					scale=true,
					callback = 
					function()
						if data.zs_gift_status[i].is_get==1  then
							KNMsg.getInstance():flashShow("该奖励已经领取")
							return
						else
											HTTP:call("activity","happy_new_year_get_gift",{key=data.zs_gift_status[i].key},{success_callback=
															function(receiveData)
																			HTTP:call("activity","get",{  } , {
								   														success_callback = function(  )
								   																switchScene("activity",{findCurKeyByName="happy_new_year"},function ( )
								   																	KNMsg:getInstance():flashShow(receiveData.msg)
								   																end)
								    																end
								  													})
																
															end})
						end
						
					end
				}):getLayer()
			curLayer:addChild( giftBtn )

			--右对联
			if i==8 then  --右对联
				 local gift9Btn  = KNBtn:new( NewYearPATH , 
					{giftPos[i]['img'][1]..".png"},
					giftPos[9]['pos'][1] , 
					giftPos[9]['pos'][2] ,
					{
						priority = -129,
						scale=true,
						--front = NewYearPATH ..btnConfig[i].front ,
						callback = 
						function()
							if data.zs_gift_status[8].is_get==1  then
								KNMsg.getInstance():flashShow("该奖励已经领取")
								return
							else
								HTTP:call("activity","happy_new_year_get_gift",{key=data.zs_gift_status[8].key},{success_callback=
															function(receiveData)
																			HTTP:call("activity","get",{  } , {
								   														success_callback = function(  )
								   																switchScene("activity",{findCurKeyByName="happy_new_year"},function ( )
								   																	KNMsg:getInstance():flashShow(receiveData.msg)
								   																end)
								    																end
								  													})
																
															end})
							end
							
						end
					}):getLayer()
				curLayer:addChild( gift9Btn )

			end
			

			if data.zs_gift_status[i].is_get==0  then--未领过奖播放动画
				local sp = display.newSprite(NewYearPATH..giftPos[i]['img'][1].."_light.png", giftPos[i]['pos'][1]  ,giftPos[i]['pos'][2] , 0 , 0 )
				curLayer:addChild(sp)
				local actions = CCArray:create()
				actions:addObject(CCFadeOut:create( 0.5 ))
				actions:addObject(CCFadeIn:create( 0.5 ))
				local seq = CCSequence:create(actions)
				seq = tolua.cast(seq,"CCActionInterval")
				local rep = CCRepeatForever:create( seq )
				sp:runAction(rep)

				if i==8 then
					local sp = display.newSprite(NewYearPATH..giftPos[9]['img'][1].."_light.png", giftPos[9]['pos'][1]  ,giftPos[9]['pos'][2] , 0 , 0 )
					curLayer:addChild(sp)
					local actions = CCArray:create()
					actions:addObject(CCFadeOut:create( 0.5 ))
					actions:addObject(CCFadeIn:create( 0.5 ))
					local seq = CCSequence:create(actions)
					seq = tolua.cast(seq,"CCActionInterval")
					local rep = CCRepeatForever:create( seq )
					sp:runAction(rep)
				end
			end

		end
		
	end

	 --闪烁粒子
	local particlePos = {{130,330},{200,300},{400,400},{200,420},{270,580},{350,270},{300,330},{130,230},{250,410},{56,417}}
	for i=1,#particlePos do
		local  particleGold = CCParticleSystemQuad:create( NewYearPATH.. "gold.plist"); 
 		setAnchPos(particleGold,particlePos[i][1],particlePos[i][2])
 		curLayer:addChild(particleGold)
	end


	showLiHeFun =function (layerData)
					local tempLayer = baseMask( {  
						titlePath = NewYearPATH.."liHeTitle.png" , 
						bgInfo = { y = 250 ,  path =COMMONPATH.."tip_bg2.png"
					} , 
					isShowBack = {x = 20 , y = 560 , backFun = function()  end } , 
					priority = -129 }
					)
					tempLayer:addChild(display.newSprite( NewYearPATH .. "leiJiDian.png" , 20 ,525 , 0 , 0 ))
					tempLayer:addChild(display.strokeLabel( layerData.xq_total , 190 , 535 , 20, ccc3( 116, 16, 0)  ))
					tempLayer:addChild(display.newSprite( NewYearPATH .. "keYongDian.png" , 260 ,525 , 0 , 0 ))
					tempLayer:addChild(display.strokeLabel( layerData.xq_surplus , 385 , 535 , 20, ccc3( 116, 16, 0)  ))
					local  scroll = KNScrollView:new( 15 , 270  , 446 , 260 , 2 ,  false , nil , { priority = -133} )
					tempLayer:addChild(scroll:getLayer())

					for i=1,#layerData.xq_data do

						local img,vipBarImg = "item_bg.png","vip_bg_bar.png"
						if G_new_year_skin and G_new_year_skin==1 then
							img="item_bg_2015.png"
							vipBarImg="vip_bg_bar_2015.png"
						end

						local item = display.newSprite(COMMONPATH..img,0,0,0,0)
						scroll:addChild(item)

						

						local awardProp = awardCell( layerData.xq_data[i].gift[1] , { parent = scroll } )
						setAnchPos( awardProp , 40  , 20 , 0 , 0 )
						item:addChild( awardProp )

						item:addChild(display.strokeLabel( "活动期间可兑换"..layerData.xq_data[i].times.."次" , 140 , 60 , 20, ccc3( 58, 9, 10)  ))
						item:addChild(display.strokeLabel( "需要"..layerData.xq_data[i].xq_num.."喜庆点" , 140 , 30 , 20, ccc3( 58, 9, 10)  ))
						--兑换
						local btn = KNBtn:new( COMMONPATH , 
									{"btn_bg.png","btn_bg_pre.png"},
									330 , 
									30,
									{
										priority = -129,
										front = COMMONPATH.."exchange.png" ,
										callback = 
										function()

											HTTP:call("activity","happy_new_year_exchange_gift",{key=layerData.xq_data[i].key},{success_callback=
															function(receiveData)
																			HTTP:call("activity","get",{  } , {
								   														success_callback = function(  )
								   																switchScene("activity",{findCurKeyByName="happy_new_year"},function ( )
								   																	KNMsg:getInstance():flashShow(receiveData.msg)
								   																end)
								    																end
								  													})
																
															end})
											
										end
									})
						item:addChild( btn:getLayer() )


					end


	end



	showZhuFuFun =function (layerData)
					local tempLayer = baseMask( {  
						titlePath = NewYearPATH.."xinNianZhuFu.png" , 
						bgInfo = { y = 250 ,  path =COMMONPATH.."tip_bg2.png"
					} , 
					isShowBack = {x = 20 , y = 560 , backFun = function()  end } , 
					priority = -129 }
					)
					
					tempLayer:addChild(display.newSprite( NewYearPATH .. "jinRiBaiNian.png" , 250 ,525 , 0 , 0 ))
					tempLayer:addChild(display.strokeLabel( layerData.today_num.."次" , 420 , 535 , 20, ccc3(  116, 16, 0 )  ) )
					local  scroll = KNScrollView:new( 15 , 270  , 446 , 260 , 2 ,  false , nil , { priority = -133} )
					tempLayer:addChild(scroll:getLayer())

					for i=1,#layerData.wishes do

						local img,vipBarImg = "item_bg.png","vip_bg_bar.png"
						if G_new_year_skin and G_new_year_skin==1 then
							img="item_bg_2015.png"
							vipBarImg="vip_bg_bar_2015.png"
						end
						
						local item = display.newSprite(COMMONPATH..img,0,0,0,0)
						scroll:addChild(item)

						local str = layerData.wishes[i].name.."给您拜年啦!\n"..layerData.wishes[i].msg

						local baiNianStr = display.strokeLabel(str  , 86 , 70 , 18, ccc3(  58, 9, 10 ) ,0,nil,{dimensions_width=240,dimensions_height=60} )
						setAnchPos(baiNianStr,100,80,0,1.0)
						item:addChild(baiNianStr)
						
						local time = display.strokeLabel( "("..layerData.wishes[i].time..")" , 200 , 15 , 18, ccc3(  166, 162, 159 )  )
						item:addChild(time)


						--头像
						local touXiangBtn = KNBtn:new(COMMONPATH, { getHeadPath( layerData.wishes[i].logo ) }, 35 , 20 , {
										priority = -129,
										parent=scroll,
										callback = function()
										end})
						item:addChild(touXiangBtn:getLayer())

						local frame = display.newSprite(COMMONPATH.."role_frame.png")
	       				setAnchPos(frame,-2,-3)
	       	 			touXiangBtn:getLayer():addChild(frame)

						--给他拜年
						local btn = KNBtn:new( COMMONPATH , 
									{"long_btn.png","long_btn_pre.png"},
									320 , 
									30,
									{
										priority = -129,
										front = NewYearPATH.."geiTaBaiNian.png" ,
										callback = 
										function()
											HTTP:call("friends","get",{},{success_callback=
												function()
													pushScene("friend",{type="fromBaiNian", closeFun = function() popScene() end})
												end})
											
										end
									})
						item:addChild( btn:getLayer() )


					end


	end


	
end
return M
