--登陆活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show()
	local data = ACTIVITY:getData()
	
	ACTIVITY:baseLayout({ line = {} , frame = {} })
	
	local baseY = 107
	
	local todayBg = display.newSprite( PATH .. "shade1.png" )
	setAnchPos( todayBg , display.cx , baseY + 360 , 0.5 )
	ACTIVITY.viewLayer:addChild( todayBg )
	
	local todayTitle = display.newSprite( PATH .. "today_title.png" )
	setAnchPos(todayTitle , 40 , baseY + 360 + 102 , 0 , 0 )
	ACTIVITY.viewLayer:addChild( todayTitle )
	
	local lastDay = display.newSprite( PATH .. "shade1.png" )
	setAnchPos(lastDay , display.cx , baseY + 193 + 38  , 0.5 )
	ACTIVITY.viewLayer:addChild( lastDay )
	local lastTitle = display.newSprite( PATH .. "last_title.png" )
	setAnchPos(lastTitle , 40 , baseY + 193 + 102 + 38 , 0 , 0 )
	ACTIVITY.viewLayer:addChild( lastTitle )
	
	--今天奖励
	local awardProp = {}
	for i = 1 , #data.base_award do
		local curProp = awardCell( data.base_award[i] )
		setAnchPos( curProp , ( #data.base_award > 3 and 65 or 100 ) + ( i - 1 ) * 94 , 490  )
		ACTIVITY.viewLayer:addChild( curProp )
		awardProp[ #awardProp + 1 ] = curProp
	end
	
	--连续登陆奖励
	local lastData = data.config[data.count .. "" ]["award"]
	for i = 1 , #lastData do
		local curProp = awardCell( lastData[i] )
		setAnchPos( curProp ,( #lastData > 2 and 100 or 140 )+ ( i - 1 ) * 94 , 319 + 38)
		ACTIVITY.viewLayer:addChild( curProp )
		awardProp[ #awardProp + 1 ] = curProp
	end
	
	local lastDay = display.strokeLabel( data.count , 163 , 406 + 38 , 18 , ccc3( 0x2e , 0x00 , 0x03 ) , nil , nil , {
			dimensions_width = 20,
			dimensions_height = 20,
			align = 1
		})
	ACTIVITY.viewLayer:addChild( lastDay )
	
	--vip登陆奖励
	if data.vipaward then
		local lastTitle = display.newSprite( PATH .. "vip_title.png" )
		setAnchPos(lastTitle , 40 , baseY + 193 + 102 - 120 + 30  , 0 , 0 )
		ACTIVITY.viewLayer:addChild( lastTitle )
		
		local lastDay = display.newSprite( PATH .. "shade1.png" )
		setAnchPos(lastDay , display.cx , baseY + 193 - 120 + 30  , 0.5 )
		ACTIVITY.viewLayer:addChild( lastDay )
	
		local vipData = data.vipaward
		for i = 1 , #vipData do
			local curProp = awardCell( vipData[i] )
			setAnchPos( curProp ,( #vipData > 2 and 100 or 140 )+ ( i - 1 ) * 94 , 200 + 30 )
			ACTIVITY.viewLayer:addChild( curProp )
		end
		
		local vipLv = display.strokeLabel( DATA_Vip:get( "viplv" ) , 157 , 406 - 120 + 33  , 22 , ccc3( 0x2e , 0x00 , 0x03 ) )
		ACTIVITY.viewLayer:addChild( vipLv )
	end
	--ps
	
--	if CHANNEL_ID == "cmge" then
--		ACTIVITY.viewLayer:addChild( display.strokeLabel( "第2天登录将额外获得500黄金，连续登录天数越多，额外奖励黄金越多" , 60 , 240 , 18 , ccc3( 0xfe , 0x00 , 0x00 ) ,  nil , nil , {
--				dimensions_width = 371,
--				dimensions_height = 50,
--				align = 0
--			})  )
--	end

		
	local str = "关注官方微信公众号 kuniu999\n周周抽大奖，得8888黄金、5星英雄"
	local str = "连续登陆天数每七天一轮，若登陆中间出现中断，连续天数将重新计算"
	local lastDay = display.strokeLabel( str , 60 , 160 , 18 , ccc3( 0x00 , 0x00 , 0x00 ) , nil , nil , {
			dimensions_width = 371,
			dimensions_height = 50,
			align = 0
		})
	ACTIVITY.viewLayer:addChild( lastDay )
	
	--领取按钮
	local isEnable =  ( tonumber( data.received ) == 0 )
	local getBtn = KNBtn:new( COMMONPATH , 
		isEnable and { "btn_bg_red.png" ,"btn_bg_red_pre.png"} or { "btn_bg_red2.png" } , 
		display.cx - 72 , 
		120 ,
		{
			priority = -130,
			front = COMMONPATH .. ( isEnable and "all_get.png" or "no_all_get.png" ) ,
			callback = 
			function()
				if isEnable  then
					HTTP:call("activity", "receive_login", { typeid = data.typeid },{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
					end})
				else
--					KNMsg.getInstance():flashShow( "今天奖励已领取！" )
				end
			end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( getBtn )
	
	
end
return M
