--累积登陆 中秋送礼
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} })
	local scroll = KNScrollView:new( 0, 164, 480, 400 , 10 , false )
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()

		local img = "item_bg.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			
		end
		
		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		
		layer:addChild( display.newSprite( PATH .. "vip_bg_bar.png" , 107 , 82 , 0 , 0 ) )
		layer:addChild( display.strokeLabel( "累计登陆" .. params.condition .. "天可领" , 107, 80 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 231 , dimensions_height = 25 , align = 1 } ) )
		
		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		local isEnable =  true
--		local isEnable =  tonumber( data.payyuan ) >= tonumber( params.condition )
		local isComplete = false
		if data.received then
			--是否已经领取
			for j = 1 , #data.received do
				if tonumber( data.received[j]) == tonumber( params.index ) then
					isComplete = true
					break
				end
			end
		end
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } , 
			305 , 
			18 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						
						if tonumber( data.daycount ) < tonumber( params.condition ) then
							KNMsg.getInstance():flashShow( "未达到领取要求,暂不能领取！" )
							return
						end
						
						HTTP:call("activity", "receive_logincount", { typeid = data.typeid , index = params.index },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	
	local sort = data.config 
	for i = 1 , table.nums( sort ) do
		local curData = sort[i .. "" ]
		local item = createItem( { index = i , condition = curData.condition , data = curData } )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( data.endtime  , 120 , 610 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "add_up_day.png" , 286 , 562 , 0 , 0 ) )	--累计登陆天数
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.daycount  , 407  , 563 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 32 , dimensions_height = 25 , align = 1 } ) )	--累计登陆天数
	
	
	
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "vip3_taste.png" , 40 , 120 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "down_time_text.png" , display.cx + 75 , 120 , 0.5 , 0  ) )
	
	local timeText = {}
	local timeX , timeY = 215 , 125
	for i = 1 , 4 do
		timeText[i] = display.strokeLabel( "00"  , timeX + ( i - 1 )* 50 , timeY , 18 , ccc3( 0xff , 0xfc , 0xd1 ) , nil , nil , {
				dimensions_width = 25,
				dimensions_height = 20,
				align = 1
			})
		ACTIVITY.viewLayer:addChild( timeText[i] )
	end
	ACTIVITY:downTime( "logincount" , timeText , function() return DATA_Activity:getlogincountDataTime() end ) 
end
return M
