--[[
											         火影
												全民抽奖活动有礼

]]--

local  M={ }
local  PATH=IMG_PATH.."image/scene/activity_new/lottery_activity/"
local  ACTIVITY_PATH=IMG_PATH.."image/scene/activity_new/"
local  InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local  KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local  KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local  baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local  KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local  KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local  KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local  KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local  KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local  SCENECOMMON = IMG_PATH.."image/scene/common/"
local  effect = requires(IMG_PATH,"GameLuaScript/Common/KNEffect")
local  NEWPKNAME=ACTIVITY_PATH.."new_pkgame/"
local  ALLIANCE_ACTIVITY=IMG_PATH.."image/scene/activity_new/alliance_activity/"
local  nFlag="0"

function M:show( params )
	--{     以下是全民抽奖的基础代码BaseCode   }--
	params = params or {}
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local timeLayer = display.newLayer()
	--{     以下是全民抽奖的展示Code   }--
	local data = ACTIVITY:getData()
	if params["data"] then
		data.rand = params["data"].rand
		data.data.cur_cycle=params["data"]["data"].cur_cycle
		data.data.join_num=params["data"]["data"].join_num
		data.data.max_buy_num=params["data"]["data"].max_buy_num
		data.data.surplus_buy_num=params["data"]["data"].surplus_buy_num
	end

	ACTIVITY:baseLayout({ line = {y=689} ,textSize=16,title_bg=COMMONPATH.."lottery_title.png"})
	parentLayer:addChild( curLayer,2 )

	local function showQemask()
		local posx=20
		for i=1,6 do
			local namep="wen.png"
			local choice = KNBtn:new(SCENECOMMON , {"skill_frame1.png","skill_frame1_press.png"},posx+(i-1)*75 ,195 , {
				front=PATH..namep,
				scale = true,
				callback = function()
				end
			}):getLayer()
		ACTIVITY.viewLayer:addChild( choice,1 )
		end
	end

	local function showAwardnumbers(rand)
		local posx=20
		if rand then
			for i=1,string.len(rand) do
			local j=string.sub(rand,i,i)
			local namep=j.."_.png"
			local choice = KNBtn:new(SCENECOMMON , {"skill_frame1.png","skill_frame1_press.png"},posx+(i-1)*75 ,195 , {
				front=PATH..namep,
				scale = true,
				callback = function()
				end
			}):getLayer()
			ACTIVITY.viewLayer:addChild( choice,1 )
			end
		else
			showQemask()
		end
	end

		--		活动时间
	ACTIVITY.viewLayer:addChild( display.newSprite( ACTIVITY_PATH .. "activity_tip_text.png" ,19,624+30+5, 0 , 0 ) )   --添加背景
	if data and data.endtime then
		local  end_time=data.endtime
		curLayer:addChild( display.strokeLabel(end_time,118 , 626+30+5 ,18, ccc3( 228 , 227 , 226 )  ) )	--活动时间
	end

	--		添加中间content的Layer的底
	ACTIVITY.viewLayer:addChild( display.newSprite(COMMONPATH.. "lottery_bg.png" ,1,95, 0 , 0 ) )   --添加背景2
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "gprize.png" ,20,607, 0 , 0 ) )   --背景添加幸运大奖
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "joinnumber.png" ,175,613, 0 , 0 ) )   --背景添加本期参与人数
	--			帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 410 , 657 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {
													titlePath = COMMONPATH.."help_title.png" ,
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} ,
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } ,
												priority = -129 }
												)
				if data and data.rules then
					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 66,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )
					scroll:addChild( createText() )
					tempLayer:addChild( scroll:getLayer() )
				else
				end
				end
		}):getLayer()
	helpBtn:setScale(0.7)
	ACTIVITY.viewLayer:addChild( helpBtn )

	if data and data.data then
		local   join_num=0
		if data.data.join_num then
			join_num=data.data.join_num
		else
			join_num=""
		end
		curLayer:addChild(display.strokeLabel(join_num,175+145,615,20, ccc3( 0xed , 0xbc , 0x45 )  ) )
	end

	if data and data.config then
		if data.config then
			local award=data.config
			for i = 1 ,#award do
				if award[i] and award[i]["arr"] then
					local curProp = awardCell(award[i]["arr"][1])
					setAnchPos( curProp ,78+ ( i - 1 ) * 90 ,565-45)
					curLayer:addChild(curProp)
				end
			end
		else

		end
	end

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "count_down_time.png" ,105,483, 0 , 0 ) )   --添加第N期的背景

	if data and data.times and data.count_down then
		local   nPeriod=""
		local   nPeriodpos=126;
		if data.times  then
			nPeriod=data.times
		else
		end
		if nPeriod<10 then
			nPeriodpos=139
		elseif nPeriod<100 then
			nPeriodpos=132
		else

		end
		curLayer:addChild(display.strokeLabel(nPeriod,nPeriodpos,485,20, ccc3( 0xed , 0xbc , 0x45 )  ) )--添加第N期数
	--		  添加倒计时
		local count_downTime=""
		if data.count_down then
			count_downTime=data.count_down
			local str = timeConvert(count_downTime)
			local timeLab=display.strokeLabel(str,305,485,20, ccc3( 0xed , 0xbc , 0x45 ))
			curLayer:addChild(timeLab)
			Clock:addTimeFun("HALLOWMAS_TIME_CLOCK",function()
		   	if count_downTime>0 then
		 		count_downTime=count_downTime-1
		 		if display.getRunningScene().name=="activity" then
					timeLab:setString(timeConvert(count_downTime,nil,false))
					timeLab:setVisible(true)
				end
		    else
				Clock:removeTimeFun("HALLOWMAS_TIME_CLOCK")
		  	end
			end)
		else

		end
	end

	--		添加中心的圆形框
	local  circle_framepox=88
	local  circle_framepoy=275
	if  CHANNEL_GROUP=="hyylt" or CHANNEL_GROUP=="hy" or CHANNEL_GROUP=="dhsh" or  CHANNEL_GROUP=="qosh" then
		circle_framepox=68
		circle_framepoy=265
	end

	ACTIVITY.viewLayer:addChild(display.newSprite( COMMONPATH .. "circle_frame.png" ,circle_framepox,circle_framepoy, 0 , 0 ) )   --添加圆中心的
		--		添加帧动画
	if CHANNEL_GROUP=="td" then
		local myanimal,dur=effect.get(PATH, "twoco_eff")
		myanimal:setPosition(180,370)
		ACTIVITY.viewLayer:addChild(myanimal)
	else
		effect.get(PATH, "twoco_eff"):pos(180,370):addTo(ACTIVITY.viewLayer)
	end


	--		今日记录
	ACTIVITY.viewLayer:addChild(display.newSprite( PATH .. "today_recode.png" ,318,443, 0 , 0 ) )   --添加今日记录

	if data and data.data then
		local     myhistory={}
		if data.data.cur_cycle then
			myhistory=data.data.cur_cycle
			local     num=table.nums(myhistory)
			if num~=0 then
				for i=1 ,num do
				local histr=i.."【"..myhistory[i].."】"
					curLayer:addChild(display.strokeLabel(histr,344,435-i*26,18, ccc3( 0xed , 0xbc , 0x45 )  ))   --添加今日记录
				end
			else
			end
		else
		end
	end

	local rand=""
	if data then
		local  is_open=""
		local  nPeriod=""
		if data.is_open then
			if data.figure then
				if data.times then
					nPeriod=data.times
				else
					nPeriod="0"
				end
				nowTimes=nPeriod
				if data.figure.figure_str then
					rand=data.figure.figure_str
				else

				end
			else

			end

			is_open=data.is_open
			if is_open==1 then
				local   str="第"..nPeriod.."大奖得主:"
				curLayer:addChild(display.strokeLabel(str,280,320,18, ccc3( 117, 214 , 255 )  ) )--添加第N期数
				local win_name=""
				if data.figure.figure_username then
					win_name=data.figure.figure_username
				else
					win_name=""
				end

				local firger_server_name=""
				if  data.figure.figure_user_server then
					firger_server_name=data.figure.figure_user_server
				else
					firger_server_name=""
				end

				local strwin=firger_server_name.." "..win_name
				curLayer:addChild(display.strokeLabel(strwin,265,300,16, ccc3( 117 , 214 , 255 )  ) )--添加第N期数
				nFlag="0"
			else
				nFlag="1"
			end
		else
			nFlag="1"
		end
	else
		nFlag="1"
	end

	if nFlag=="1" then
		showQemask()
	else
		showAwardnumbers(rand)
	end


	local function  showLuckPage()
		local upbgpox=30
		local upbgpoy=323
		local midbgpox=30
		local midbgpoy=180
		local downbgpox=30
		local downbgpoy=24
		local bginfopath=ALLIANCE_ACTIVITY  .. "paiming_bg.png"
		local backimgpox=15
		local backimgpoy=590
		local myrecordpoy=247
		local awardsTodaypoy=393
		local nppox=44
		local nppoy=560
		local baseMaskPox=100
		local nearest_cyclePox=168
		local nearest_cyclenpPoy=568
		local phaseNpoy=212
		local phaseNpox=86
		local phaseNpoys=188
		local phaseNpoxs=58
		local nearest_cyclePoy=563
		local nearest_cyclePoyd=540
		--[[
		if CHANNEL_GROUP == "tmsj" or CHANNEL_GROUP=="tmsjtest" then
			CCLuaLog("vvvv")
			upbgpox=12
			upbgpoy=164
			downbgpox=10
			downbgpoy=24
			nppoy=570
			myrecordpoy=411
			nppox=45
			nearest_cyclePox=168
			nearest_cyclePoy=574
			nearest_cyclePoyd=549
			phaseNpoxs=53
			backimgpoy=599
			phaseNpoy=384
			phaseNpoys=360
		elseif CHANNEL_GROUP == "tmsj2"  then
			upbgpoy=161
			myrecordpoy=410
			downbgpoy=24
			nearest_cyclePox=168
			phaseNpoy=384
			phaseNpoys=360
			phaseNpoxs=68
			phaseNpox=80
			nearest_cyclePoy=572
			nearest_cyclePoyd=548
			nppoy=568
			nppox=45
		elseif CHANNEL_GROUP=="hyylt" or CHANNEL_GROUP=="hy" or CHANNEL_GROUP=="dhsh" or CHANNEL_GROUP=="qosh"  then
			upbgpox=10
			upbgpoy=150
			downbgpox=10
			downbgpoy=9
			nppoy=560
			myrecordpoy=395
			nppoy=556
			nppox=38
			nearest_cyclePox=165
			nearest_cyclePoy=560
			nearest_cyclePoyd=535
			phaseNpoxs=53
		elseif CHANNEL_GROUP=="tgxy" or CHANNEL_GROUP=="tgxy2" then
			upbgpox=10
			upbgpoy=160
			downbgpox=10
			downbgpoy=19
			myrecordpoy=406
			backimgpoy=600
			phaseNpoy=380
			phaseNpoys=356
		elseif CHANNEL_GROUP == "td" or CHANNEL_GROUP == "jstf" then
			upbgpox=10
			upbgpoy=160
			downbgpox=10
			downbgpoy=19
			myrecordpoy=406
			backimgpoy=600
			phaseNpoy=380
			phaseNpoys=356
		else
		end
		--]]
		local tempLayer = baseMask( {
				bgInfo = { y = baseMaskPox ,  path =bginfopath
				} ,
				isShowBack = {x = backimgpox , y = backimgpoy , backFun = function()  end } ,
				priority = -130 }
			)
			local layer = display.newLayer()
			local bg = display.newSprite(COMMONPATH.."lucklist.png")
			setAnchPos(bg, 238,631, 0.5, 0.5)
			local bgtitle = display.newSprite(NEWPKNAME.."title_bg.png")
			setAnchPos(bgtitle, 238,627, 0.5, 0.5)
			layer:addChild(bgtitle)
			layer:addChild(bg,1)
			tempLayer:addChild(layer,10)
			HTTP:call("activity", "lottery_activity_ranking_list", {}, {
				success_callback = function(data)
					tempLayer:getBg():addChild(display.newSprite(COMMONPATH .. "upbg.png" ,upbgpox,upbgpoy, 0 , 0 ) )
					tempLayer:getBg():addChild(display.newSprite(COMMONPATH .. "midbg.png" ,midbgpox,midbgpoy, 0 , 0 ) )
					tempLayer:getBg():addChild(display.newSprite(COMMONPATH .. "downbg.png" ,downbgpox,downbgpoy, 0 , 0 ) )
					--[[		显示历史获取奖的记录			]]--
					local   nPeriodpos=67;
					if data and data["nearest_cycle"] then
						local nearest_cycle=data["nearest_cycle"]
						local numbers=table.nums(nearest_cycle)

						if numbers==0 then

						else
						 	for key,value in ipairs(nearest_cycle) do
								tempLayer:addChild(display.newSprite(PATH .. "np.png" ,nppox,nppoy-(key-1)*52, 0 , 0 ) )
								local  strVar = value.times
								if CHANNEL_GROUP=="jstf" or CHANNEL_GROUP=="td" then
									if strVar<10 then
										nPeriodpos=78
									elseif strVar<100 then
										nPeriodpos=70
									else
										nPeriodpos=65
									end
								elseif CHANNEL_GROUP=="tgxy" or CHANNEL_GROUP=="tgxy2" then
									if strVar<10 then
										nPeriodpos=80
									elseif strVar<100 then
										nPeriodpos=72
									else
										nPeriodpos=65
									end
								else
									if strVar<10 then
										nPeriodpos=72
									elseif strVar<100 then
										nPeriodpos=65
									else
										nPeriodpos=67
									end
								end
								tempLayer:addChild(display.strokeLabel(strVar,nPeriodpos,nearest_cyclePoy-(numbers-key)*52,20, ccc3(0xed,0xbc,0x45)))
								local figure_str=""
								local order=""
								local strid=""
								local name=""
								local str=""
								if value["figure_str"] then
									figure_str=value["figure_str"]
									if value["figure_user_server"] then
										strid=value["figure_user_server"]
									end
									if value["figure_username"] then
										name="【"..value["figure_username"].."】"
									end
									str=strid..name
									order="中奖单号:".."【"..figure_str.."】"
								else
									strid=""
									name=""
									str=""
									order=""
								end
								if numbers==key  then
									tempLayer:addChild(display.strokeLabel(str,nearest_cyclePox,nearest_cyclePoy-(numbers-key)*52,20, ccc3( 86, 171 , 171 )  ) )
									tempLayer:addChild(display.strokeLabel(order,nearest_cyclePox,nearest_cyclePoyd-(numbers-key)*52,20, ccc3( 86 , 171 , 171)  ) )
								else
									tempLayer:addChild(display.strokeLabel(str,nearest_cyclePox,nearest_cyclePoy-(numbers-key)*52,20, ccc3(0xed,0xbc,0x45)))
									tempLayer:addChild(display.strokeLabel(order,nearest_cyclePox,nearest_cyclePoyd-(numbers-key)*52,20, ccc3(0xed,0xbc,0x45)))
								end
							end
						end

					else

					end

					--[[		显示历史获取奖的记录			]]--
					tempLayer:addChild(display.newSprite(PATH .. "awardsToday.png" ,45,awardsTodaypoy, 0 , 0 ) )
					if data and data["five_jingxi"] then
						local count=#data["five_jingxi"]
						local posy=350
						local posx=50
						local refcount=1
						for i=1,count do
							local str=i..".中奖单号:"..data["five_jingxi"][i]
							tempLayer:addChild(display.strokeLabel(str,posx+(refcount-1)*205,posy,20, ccc3(0xed,0xbc,0x45)))
							if  i%2==0 then
								posy=posy-30
								posx=50
								refcount=1
							else
								refcount=refcount+1
							end
						end
					end

					--[[		显示历史获抽奖的记录			]]--
					tempLayer:addChild(display.newSprite(PATH .. "myrecord.png" ,45,myrecordpoy, 0 , 0 ) )
					if data and data["history_cycle"] then
						local history_cycle=data["history_cycle"]
						local numbers=table.nums(history_cycle)
						if numbers==0 then

						else

							local   nPeriodpos=93;
							for key,value in ipairs(history_cycle) do
								local  times=value.times
								local str="第"..times.."期"
								CCLuaLog("str:"..str)
								if numbers==key then
									tempLayer:addChild(display.strokeLabel(str,phaseNpox+(key-1)*120,phaseNpoy,20, ccc3( 86 , 171 , 171 )  ) )
									local cycle=value.cycle
									local i=1
									for k,v in pairs(cycle) do
										local allstr=k.."【"..v.."】"
										tempLayer:addChild(display.strokeLabel(allstr,phaseNpoxs+(key-1)*125,phaseNpoys-(i-1)*25,20, ccc3( 86 , 171 , 171 )  ) )
										i=i+1
									end
								else
									tempLayer:addChild(display.strokeLabel(str,phaseNpox+(key-1)*120,phaseNpoy,20, ccc3(0xed,0xbc,0x45)))
									local cycle=value.cycle
									local i=1
									for k,v in pairs(cycle) do
										local allstr=k.."【"..v.."】"
										tempLayer:addChild(display.strokeLabel(allstr,phaseNpoxs+(key-1)*125,phaseNpoys-(i-1)*25,20, ccc3(0xed,0xbc,0x45)))
										i=i+1
									end
								end
							end
						end
					end

				end
			})
	end



		--			添加幸运榜按钮
	local luckListBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},55 ,135 , {
				front=PATH.."luck_list.png",
				scale = true,
				callback = function()
					showLuckPage()
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild(luckListBtn,1 )
	--			添加投注
	local betBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},255 ,135 , {
				front=PATH.."bet.png",
				scale = true,
				callback = function()
					--	开始投注
					if data and data.rand then
						local rand=data.rand
						HTTP:call("activity", "lottery_activity_bet", {key=rand}, {
						success_callback = function(data)
						if data.result=="success" then
							KNMsg.getInstance():flashShow(data.msg)
							curLayer:removeFromParentAndCleanup(true)
							self:show(data)
						else
							KNMsg.getInstance():flashShow(data.msg)
						end
					end
					})
					end
				end
		}):getLayer()
	curLayer:addChild( betBtn,1 )
	--	    添加总次数和能够使用的次数
	if data and data.data and data.data.max_buy_num and data.data.surplus_buy_num then
		local   allsum=data.data.max_buy_num
		local   ownnum=data.data.surplus_buy_num
		local   numstrsum=ownnum.."/"..allsum
		curLayer:addChild(display.strokeLabel(numstrsum,413,145,20, ccc3( 0xed , 0xbc , 0x45 )  ) )
	end
	--		添加最底下的元宝
	ACTIVITY.viewLayer:addChild(display.newSprite( COMMONPATH .. "gold.png" ,313,109, 0 , 0 ) )
	curLayer:addChild(display.strokeLabel("10",350,111,20, ccc3( 0xed , 0xbc , 0x45 )  ) )
end

return M
