--升级
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show( params )
	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} })
	end
	parentLayer:addChild( curLayer )
	
	local isFirstItem = true
	local function createItem( params )
		params = params or {}
		
		local layer = display.newLayer()
		
		local bg = display.newSprite( PATH .. ( isNewYear and "newyear/" or  "") .. "item_bg.png" )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		local getTitle = display.newSprite( PATH .. "get_title.png" )
		setAnchPos( getTitle , 14 , 88 )
		bg:addChild( getTitle )
		
		local giftFlag = display.newSprite( PATH .. "gift_flag.png" )
		setAnchPos( giftFlag , 382 , 100 )
		bg:addChild( giftFlag )
		
		local lvBg = display.newSprite( IMG_PATH .. "image/scene/mission/power_bg.png" )
		setAnchPos( lvBg , 108 , 130 )
		bg:addChild( lvBg )
		
		
		local lvGiftText = display.strokeLabel( params.lv .. "级升级大礼包" , 135, 135 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 180 , dimensions_height = 25 , align = 1 } )
		bg:addChild( lvGiftText )
		
		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 17 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		
		
		local isEnable =  ( tonumber( DATA_User:get("lv") ) >= tonumber( params.lv ) )
		local isComplete = false
		if data.received then
			--是否已经领取
			for j = 1 , #data.received do
				if tonumber( data.received[j]) == tonumber( params.lv ) then
					isComplete = true
					break
				end
			end
		end
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "btn_bg_dis.png" }  or { "btn_bg.png" ,"btn_bg_pre.png"} ) or { "btn_bg_dis.png" } , 
			360 , 
			18 ,
			{
				priority = -130,
				front = COMMONPATH .. ( isEnable and (isComplete and "get_complete.png" or  "get.png" ) or "get_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						HTTP:call("activity", "receive_lvup", { typeid = data.typeid , lv = params.lv },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function()  									
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end   
								end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			})
		layer:addChild( getBtn:getLayer() )
		
		if isFirstItem  and isParent then
			isFirstItem = false
			layer:setContentSize( CCSize( bg:getContentSize().width , bg:getContentSize().height + parentLayreOffY ) )
		else
			layer:setContentSize( bg:getContentSize() )
		end
		return layer , getBtn
	end
	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )
	
	if isNew and not isParent then
		curLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 595 + 12 , 0 , 0 ) )	--活动时间
		curLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 598 + 12 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	end
	local scroll = KNScrollView:new( 0, 94 + parentLayreOffY , 480, 510 + parentLayreOffY , 10 , false )
	local sort = {}
	for key , v in pairs(data.config) do
		sort[ #sort + 1 ] = key
	end
	local sortFunc = function(a, b) return tonumber( b ) > tonumber( a ) end
	table.sort(sort, sortFunc)

	guide_btn = nil
	for i = 1 , #sort do
		local curData = data.config[ sort[i].."" ]
		local item , getBtn = createItem({ lv = sort[i] , data = curData })
		scroll:addChild( item )

		if i == 1 and KNGuide:getStep() == 10103 then
			guide_btn = getBtn
		end
	end
	scroll:alignCenter()
	curLayer:addChild(scroll:getLayer() )
	
	if guide_btn then
		local btn_range = guide_btn:getRange()
		KNGuide:show( guide_btn:getLayer() , {
			x = btn_range:getMinX(),
			y = btn_range:getMinY(),
			remove = true,
			callback = function()
				-- GLOBAL_INFOLAYER:refreshBtn()
			end
		})
	end
end
return M
