--活动预告
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()

 	ACTIVITY:baseLayout({ line = {} })
	
	local function createItem( params )
		params = params or {}
		
		local layer = display.newLayer()
		
		local bg = display.newSprite( PATH .. ( isNewYear and "newyear/" or  "") .. "item_bg.png" )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		local imageConfig = { "activity_name" , "activity_time" , "activity_content"  }
		local textConfig = { "title" ,  "range" , "detail" , }
		for i = 1 , table.nums( imageConfig ) do
			layer:addChild( display.newSprite( PATH .. "newyear/" .. imageConfig[i] .. ".png" , 15 , 122 - ( i  - 1 ) * 40  , 0 , 0  ) )
			layer:addChild( display.strokeLabel( params[ textConfig[i] ] , 100 , 90 - ( i  - 1 ) * 40 , ( i > 2 and 18 or 20 )  , ccc3( 0xff , 0xfc , 0xd3 ) , nil , nil , { dimensions_width = 333 , dimensions_height = 57 , align = 0 } ) )
		end
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )
	
	if isNew then
		ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 595 + 12 , 0 , 0 ) )	--活动时间
		ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 598 + 12 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	end
	local scroll = KNScrollView:new( 0, 94, 480, 510 , 10 , false )
	for i = 1 , #data.config do
		local curData = data.config[ i ]
		curData.index = i - 1 
		local item = createItem( curData )
		scroll:addChild( item )
	end
	
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
end
return M
