--先到先得
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/penglai_activity/"
local ACTIVITY_PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show( params )
	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		dump(data)
		ACTIVITY:baseLayout({ line = {} })
	end
	parentLayer:addChild( curLayer )
	
	ACTIVITY.baseLayer:addChild( display.newSprite( PATH .. "bg.png" , 0 , 100 , 0 , 0 ) )

	ACTIVITY.viewLayer:addChild( display.newSprite( ACTIVITY_PATH .. "activity_time_text.png" , 20 , 585+30 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 588+30 , 20, ccc3(255, 251, 212 )  ) )	--活动时间

	curLayer:addChild( display.newSprite( PATH .. "txt1.png" , 60 , 540 , 0 , 0 ) )

	local card = display.newSprite( PATH .. "card.png" , 0 , 300 , 0 , 0 ) 
	curLayer:addChild(card )

	local actions = CCArray:create()
	actions:addObject(CCMoveTo:create(2, ccp(card:getPositionX(),card:getPositionY()+5 )  ))
	actions:addObject(CCMoveTo:create(2, ccp(card:getPositionX(),card:getPositionY()-5 )  ))
	local seq = CCSequence:create(actions)
	seq = tolua.cast(seq,"CCActionInterval")
	local rep = CCRepeatForever:create( seq )

	card:runAction(rep)


	curLayer:addChild( display.newSprite( PATH .. "today_gold.png" , 20 , 250 , 0 , 0 ) )--今日已黄金高级招将
	curLayer:addChild( display.strokeLabel(data.data.gold_num, 205 , 248 , 20, ccc3( 255, 255, 255 ))) 

	curLayer:addChild( display.newSprite( PATH .. "today_5star.png" , 260 , 250 , 0 , 0 ) )--今日已招募到5星英雄
	curLayer:addChild( display.strokeLabel(data.data.fivestar_num, 450 , 248 , 20, ccc3( 255, 255, 255 ))) 

	curLayer:addChild( display.newSprite( PATH .. "txtBg.png" , 10 , 210 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "txtBg.png" , 250 , 210 , 0 , 0 ) )

	if data.news[1] then
		curLayer:addChild( display.strokeLabel(data.news[1], 25 , 315 , 16, ccc3( 238, 70, 19 ))) 
	end
	if data.news[2] then
		curLayer:addChild( display.strokeLabel(data.news[2], 25 , 290 , 16, ccc3( 201, 61, 18 ))) 
	end

	local num1,starNum = 1,1

	if CHANNEL_GROUP=="hy" then
		num1,starNum=5,6
	end
	curLayer:addChild( display.strokeLabel("黄金高级"..replaceStr("招将")..num1.."次", 30 , 220 , 20, ccc3( 232, 219, 7 ))) 

	curLayer:addChild( display.strokeLabel("招募到"..starNum.."名5星"..replaceStr("英雄") , 270 , 220, 20, ccc3( 232, 219, 7 ))) 


	--帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 420 , 580 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	curLayer:addChild( helpBtn )



	local goBtn = KNBtn:new(COMMONPATH,  {"btn_bg_red.png","btn_bg_red_pre.png","btn_bg_red2.png" }, 170 , 340 , {
									priority = -134,
									scale = true,
									front=PATH.."go_zhao.png",
									callback = function()
											
										switchScene("fb" , { state = "hero"})
										

					end})
		curLayer:addChild(goBtn:getLayer())


	local goldProp = awardCell( data.data.gold_gift_arr.arr[1] ,{ } )
	setAnchPos( goldProp , 50 , 130 )
	curLayer:addChild(goldProp)

	local fiveStarProp = awardCell( data.data.fivestar_gift_arr.arr[1] ,{ } )
	setAnchPos( fiveStarProp , 290 , 130 )
	curLayer:addChild(fiveStarProp)


	local getGoldBtn = KNBtn:new(COMMONPATH,  {"btn_bg.png","btn_bg_pre.png","btn_bg_dis.png" }, 140 , 160 , {
									priority = -134,
									scale = true,
									front=COMMONPATH.."get.png",
									callback = function( )
											
									HTTP:call("activity","penglai_activity_get_gift",{ type="gold" } , {
														success_callback = function( data )
															
															switchScene("activity",{findCurKeyByName="penglai_activity"},function()
																KNMsg:getInstance():flashShow(data.msg)
															end)
												end	})	
										

					end})
	curLayer:addChild(getGoldBtn:getLayer())

	curLayer:addChild( display.strokeLabel("("..data.data.gold_gift.."/"..data.data.gold_gift_max ..")", 140 , 130 , 20, ccc3( 255, 255, 255 ))) 

	if data.data.gold_gift==data.data.gold_gift_max then
		getGoldBtn:setEnable(false)
	end

	local getFiveBtn = KNBtn:new(COMMONPATH,  {"btn_bg.png","btn_bg_pre.png","btn_bg_dis.png" }, 380 , 160 , {
									priority = -134,
									scale = true,
									front=COMMONPATH.."get.png",
									callback = function()
											
										HTTP:call("activity","penglai_activity_get_gift",{ type="fivestar" } , {
														success_callback = function(data  )
															switchScene("activity",{findCurKeyByName="penglai_activity"},function()
																KNMsg:getInstance():flashShow(data.msg)
															end)
																end	
													})
										

					end})
	curLayer:addChild(getFiveBtn:getLayer())

	curLayer:addChild( display.strokeLabel("("..data.data.fivestar_gift.."/"..data.data.fivestar_gift_max ..")", 390 , 130 , 20, ccc3( 255, 255, 255 ))) 

	if data.data.fivestar_gift==data.data.fivestar_gift_max then
		getFiveBtn:setEnable(false)
	end
	
end
return M
