--跨服武道大会
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local handler
function M:show()
	local data = ACTIVITY:getData()
	
	 -- cur_stat:
	 -- -1 : 不在活动内
	 -- 0  : 可以报名
	 -- 1  : 正在进行第一场战斗还未出结果
	 -- 2  : 出了第一场战斗的结果(决出16强)
	 -- 3  : 正在进行第二场战斗还未出结果
	 -- 4  : 出了第二场战斗的结果(决出8强)
	 -- 5  : 正在进行第三场战斗还未出结果
	 -- 6  : 出了第三场战斗的结果(决出8强排名) 各赛区排名出来了
	 -- 7  : 正在进行第四场战斗还未出结果
	 -- 8  : 出了第四场战斗的结果(决出至尊)
	ACTIVITY:baseLayout({ line = {} })
	
	local NEWPKGAMEPATH = PATH .. "new_pkgame/"
	local PKGAMEPATH = PATH .. "pkgame/"

	local group = KNRadioGroup:new()

	local mainLayer = display.newLayer()
	local tab_layer , create_applyPage , myStatusLayer , isComplete = false , addLayer , inspireLayer

	local tab_config = { "zhizun" , "qinglong" , "baihu" , "zhuque" , "xuanwu" }
	local name_config = { "青龙" , "白虎" , "朱雀" , "玄武" }
	local attrConfig = { "atk" , "def" , "hp" , "agi" }
	local textConfig = { atk = "攻击" , agi = "敏捷" , def = "防御" , hp = "血量"  }


	local cur_stat = tonumber(data.cur_stat)

	local reg_zone = tonumber(data.reg_zone)
	dump(data)

	local function getZone_str(param)
		local No = tonumber(param)
			local zone_str = ""

			if No == 1 then
				zone_str = name_config[reg_zone]
			elseif No == 2 then 
				zone_str = name_config[reg_zone].."八强赛"
			elseif No == 3 then
				zone_str = name_config[reg_zone].."总决赛"
			elseif No==4 then
				zone_str = "至尊总决赛"
			end
			return zone_str
	end


	create_applyPage = function( index )
		if tab_layer then
			mainLayer:removeChild( tab_layer , true )
		end

		tab_layer = display.newLayer()

		local temp_img = display.newSprite( NEWPKGAMEPATH .. tab_config[index] .. "_frame.png" )
		setAnchPos( temp_img , 60 , 169 )
		tab_layer:addChild( temp_img , -2 )

		-- temp_img = display.newSprite( NEWPKGAMEPATH .. tab_config[index] .. "_startTime.png" )
		-- setAnchPos( temp_img , index==1 and 113 or 114 , index==1 and 196 or 239 )
		-- tab_layer:addChild( temp_img )

		temp_img = display.newSprite( NEWPKGAMEPATH .. (index==1 and "big_bg.png" or "small_bg.png") )
		setAnchPos( temp_img , index == 1 and 76 or 68 , index==1 and 230 or 321 )
		tab_layer:addChild( temp_img , -1)

		if cur_stat >=6 and cur_stat < 8 and index == 1 then
			
			for i = 1 , 8 do
				local eight_data = data.rank_list_temp[i]

				local tempBtn = KNBtn:new( NEWPKGAMEPATH , { "name_bg.png" }, i % 2 == 1 and 113 or 289 , 456 - ( math.ceil(i/2) - 1 ) * (index==1 and 62 or 38) , 
							{ 
								priority = -130 , 
								scale = true ,
								text = {eight_data and eight_data.name or "" , nil , ccc3( 0xff , 0xff , 0xff ) } , 
								callback = function()
									if eight_data then
										HTTP:call("profile","get_other_server",{ touid = eight_data.uid },{success_callback = 
											function(data)
												local allServerPlayerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/allServerPlayerInfo")
												display.getRunningScene():addChild( allServerPlayerInfo:new( { isFriend = true } ):getLayer() )
											end})
									end
								end 
				})
				tab_layer:addChild( tempBtn:getLayer() )
			end
		else
			for i = 1 , 8 do
				local tempBtn = KNBtn:new( NEWPKGAMEPATH , { "name_bg.png" }, i % 2 == 1 and 113 or 289 , 456 - ( math.ceil(i/2) - 1 ) * (index==1 and 62 or 38) , 
							{ 
								priority = -201 , 
								scale = true ,
								disable = true , 
								text = {"虚位以待" , nil , ccc3( 0xff , 0xff , 0xff ) } , 
								callback = function()

								end 
				})
				tab_layer:addChild( tempBtn:getLayer() )
			end
		end

		local isComplete  = false
		if tonumber(data.is_reg)  == 1 and tonumber(data.reg_zone) == (index - 1) then isComplete = true end
		if index ~= 1 then 
            local imgName = ""
            local startTime = ""
            if cur_stat==0 or cur_stat==1 then
            	imgName= tab_config[index].."_16.png"
            	startTime=data['pk_time_sixteen']
            elseif cur_stat==3 then
            	imgName= tab_config[index].."_startTime.png"
            	startTime=data['pk_time_eight']
            elseif cur_stat==5 then
            	imgName= tab_config[index].."_zong.png"
            	startTime=data['pk_time_eight_1']
            elseif cur_stat==7 then
            	imgName= "zhizhu_startTime.png"
            	startTime=data['pk_time_final']
            end
            if imgName ~="" then
				temp_img = display.newSprite( NEWPKGAMEPATH .. imgName )
				setAnchPos( temp_img , 114 , 229 )
				tab_layer:addChild( temp_img )

				local jueSaiTime = display.strokeLabel( startTime , 210 , 2 , 20, ccc3( 0xfe , 0xfc , 0xd3 ) ) 
			 	temp_img:addChild(jueSaiTime)
			end

			temp_img = display.newSprite( NEWPKGAMEPATH .. "applynum_label.png" )
			setAnchPos( temp_img , 114 , 253 )
			tab_layer:addChild( temp_img )

			temp_img = display.newSprite( NEWPKGAMEPATH .. "baoMingLvLimit.png" )
			setAnchPos( temp_img , 114 , 300 )
			tab_layer:addChild( temp_img )
			local maxLv,minLv
			for k,v in pairs(data.reg_conf) do  --等级限制区间
				if v['z'] ==(index-1) then
					 maxLv = v['t']
					 minLv = v['f']

				end
			end
			local lvLimitLab = display.strokeLabel( minLv.."~"..maxLv , 135 , 0 , 20, ccc3( 0xfe , 0xfc , 0xd3 ) ) 
			temp_img:addChild(lvLimitLab)

			tab_layer:addChild( display.strokeLabel( data.reg_deadline or "" , 255 , 252 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )				--报名截止时间
			tab_layer:addChild( display.strokeLabel( data.pk_time_zone or "" , 320 , 230 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )				--开始时间
			tab_layer:addChild( display.strokeLabel( data.reg_num[(index-1)..""] or "" , 270 , 275 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--报名人数

			local apply_btn = KNBtn:new( COMMONPATH , ( isComplete and { "btn_bg_dis.png" } or { "btn_bg.png" ,"btn_bg_pre.png" }  ) ,
							227 , 182 ,
							{
								priority = -130,
								front =  isComplete and PKGAMEPATH.."already_apply.png" or NEWPKGAMEPATH.."apply.png"  ,
								disable = isComplete ,
								callback = 
								function()
									HTTP:call("activity", "reg_pkgameglobal", { zone = index - 1 },{success_callback = 
									function(data, func)
										
										--KNMsg:getInstance():flashShow( "报名成功！" )
										func(data.awards)
										ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
									end})
								end
							})

			tab_layer:addChild( apply_btn:getLayer() )
		else
			local title = display.newSprite(NEWPKGAMEPATH.."title_bg.png")
			setAnchPos(title, 260, 505 , 0.5)
			tab_layer:addChild(title , -1)

			if cur_stat >= 2 and cur_stat < 4 then 							--至尊八强赛开始时间
				temp_img = display.newSprite( NEWPKGAMEPATH .. "zhizun_startTime.png" )
				setAnchPos( temp_img , 113 , 196 )
				tab_layer:addChild( temp_img )

				tab_layer:addChild( display.strokeLabel( data.pk_time_eight or "" , 300 , 195 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )				--开始时间
			elseif cur_stat >= 4 and cur_stat <= 8 then 										--至尊总决赛开始时间
				temp_img = display.newSprite( NEWPKGAMEPATH .. "final_startTime.png" )
				setAnchPos( temp_img , 113 , 196 )
				tab_layer:addChild( temp_img )

				tab_layer:addChild( display.strokeLabel( data.pk_time_final or "" , 300 , 195 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )				--开始时间
			end	

			title = display.newSprite(NEWPKGAMEPATH.."zhizun_title.png")
			setAnchPos(title, 260, 517 , 0.5)
			tab_layer:addChild(title , -1)
		end

		mainLayer:addChild(tab_layer)
	end

	create_rankPage = function( index )

		if tab_layer then
			mainLayer:removeChild( tab_layer , true )
		end

		tab_layer = display.newLayer()

		local temp_img = display.newSprite( NEWPKGAMEPATH .. tab_config[index] .. "_frame.png" )
		setAnchPos( temp_img , 60 , 169 )
		tab_layer:addChild( temp_img , -2 )

		-- temp_img = display.newSprite( NEWPKGAMEPATH .. "zhizun_startTime.png" )
		-- setAnchPos( temp_img , 113 , 196 )
		-- tab_layer:addChild( temp_img )

		temp_img = display.newSprite( NEWPKGAMEPATH .. "big_bg.png" )
		setAnchPos( temp_img , 76 , 230 )
		tab_layer:addChild( temp_img , -1)

		local imgName = ""
		local startTime = ""	
		if index== 2 then --青龙
		 													--至尊总决赛出了排名后 至尊排名列表上面没有显示时间
			if cur_stat==2 or cur_stat==3	then	
				imgName=tab_config[index].."_startTime.png"  --青龙八强
				startTime=data['pk_time_eight']
			elseif cur_stat==4 or cur_stat==5 	then
				imgName=tab_config[index].."_zong.png"  --青龙总
				startTime=data['pk_time_eight_1']
			elseif cur_stat==6 or cur_stat==7	then
				imgName="final_startTime.png"  --至尊总
				startTime=data['pk_time_final']
			elseif cur_stat==8	then
				
			end
			
		elseif index==3 then  --白虎
			if cur_stat==2 or cur_stat==3 then	
				imgName=tab_config[index].."_startTime.png"
				startTime=data['pk_time_eight']
			elseif cur_stat==4 or cur_stat==5 	then
				imgName=tab_config[index].."_zong.png"
				startTime=data['pk_time_eight_1']
			elseif cur_stat==6 or cur_stat==7	then
				imgName="final_startTime.png"
				startTime=data['pk_time_final']
			elseif cur_stat==8	then
				
			end
			 
		elseif index==4 then  --朱雀
			if cur_stat==2 or cur_stat==3	then	
				imgName=tab_config[index].."_startTime.png"
				startTime=data['pk_time_eight']
			elseif cur_stat==4 or cur_stat==5 	then
				imgName=tab_config[index].."_zong.png"
				startTime=data['pk_time_eight_1']
			elseif cur_stat==6 or cur_stat==7	then
				imgName="final_startTime.png"
				startTime=data['pk_time_final']
			elseif cur_stat==8	then
				
			end


		elseif index==5 then --玄武
			if cur_stat==2 or cur_stat==3	then	
				imgName=tab_config[index].."_startTime.png"
				startTime=data['pk_time_eight']
			elseif cur_stat==4 or cur_stat==5 	then
				imgName=tab_config[index].."_zong.png"
				startTime=data['pk_time_eight_1']
			elseif cur_stat==6 or cur_stat==7	then
				imgName="final_startTime.png"
				startTime=data['pk_time_final']
			elseif cur_stat==8	then
				
			end

		end

		if imgName~="" then
			 temp_img = display.newSprite( NEWPKGAMEPATH .. imgName )
			 setAnchPos( temp_img , 113 , 196 )
			 tab_layer:addChild( temp_img )

			 local jueSaiTime = display.strokeLabel( startTime , 185 , -2 , 20, ccc3( 0xfe , 0xfc , 0xd3 ) ) 
			 temp_img:addChild(jueSaiTime)

		end		

		--滑动排名框
		local tempScrollView = KNScrollView:new(80,240,355,260,2,false,0,{	
		   		 priority = -130,
		    	-- debug=true,
	   	})
		tab_layer:addChild(tempScrollView:getLayer())

		local function createItem(i)
			

			local tempLayer = display.newLayer()
			tempLayer:setContentSize( CCSizeMake( 480 , 62 ) )

			if cur_stat==6 or cur_stat==8 then --第三场和第四场战斗才有
				local temp_img = display.newSprite( NEWPKGAMEPATH .. "vs.png" )
				setAnchPos(temp_img , 140 , 34)
				tempLayer:addChild( temp_img , 1 )
			end

			local player1_index = i * 2 + 1
			local player2_index = i * 2 + 2

			local player1_data , player2_data

			if index == 1 then 
				player1_data = data.rank_list_final[player1_index..""] or nil
				player2_data = data.rank_list_final[player2_index..""] or nil
			else
				if cur_stat ==2 or cur_stat==3 then --第一场
					player1_data = index ~= 1 and data.rank_list_sixteen[(index-1)..""][player1_index..""] or nil
					player2_data = index ~= 1 and data.rank_list_sixteen[(index-1)..""][player2_index..""] or nil
				elseif cur_stat ==4 or cur_stat==5 then --第二场
					player1_data = index ~= 1 and data.rank_list_eight[(index-1)..""][player1_index..""] or nil
					player2_data = index ~= 1 and data.rank_list_eight[(index-1)..""][player2_index..""] or nil
				elseif cur_stat ==6 or cur_stat==7 then  --第三场
					player1_data = index ~= 1 and data.rank_list_eight_1[(index-1)..""][player1_index..""] or nil
					player2_data = index ~= 1 and data.rank_list_eight_1[(index-1)..""][player2_index..""] or nil
				elseif cur_stat ==8 then  --第四场依然显示第三次的结果
					player1_data = index ~= 1 and data.rank_list_eight_1[(index-1)..""][player1_index..""] or nil
					player2_data = index ~= 1 and data.rank_list_eight_1[(index-1)..""][player2_index..""] or nil
				end
			end 

			local uid1 , uid2
			if player1_data then uid1 = player1_data.uid end
			if player2_data then uid2 = player2_data.uid end

			local player1_btn = KNBtn:new( NEWPKGAMEPATH , { "name_bg.png" } , 20 , 8 , {
					priority = -130 ,
					parent=tempScrollView, 
					--other = { NEWPKGAMEPATH .. player1_index ..".png" , 3 , 28 }, 
					text = { player1_data and player1_data.name or "" , nil , ccc3( 0xff,0xff,0xff ) } , 
					callback = function()
						if uid1 then
							HTTP:call("profile","get_other_server",{ touid = uid1 },{
								success_callback = function()
										local allServerPlayerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/allServerPlayerInfo")
										display.getRunningScene():addChild( allServerPlayerInfo:new():getLayer() )
								end
							})
						end
					end
			})
			tempLayer:addChild(player1_btn:getLayer())


			local player2_btn = KNBtn:new( NEWPKGAMEPATH , { "name_bg.png" } , 200 , 8 , {
					priority = -130 , 
					parent=tempScrollView,
					--other = { NEWPKGAMEPATH .. player2_index ..".png" , 88 , 28 }, 
					text = {  player2_data and player2_data.name or ""  , nil , ccc3( 0xff,0xff,0xff ) } , 
					callback = function()
						if uid2 then
							HTTP:call("profile","get_other_server",{ touid = uid2 },{success_callback = 
								function()
									local allServerPlayerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/allServerPlayerInfo")
									display.getRunningScene():addChild( allServerPlayerInfo:new( { isFriend = true } ):getLayer() )
								end})
						end
					end
			})
			tempLayer:addChild(player2_btn:getLayer())
			
			if index~=1 then
				if cur_stat==6 or cur_stat==8 then --第三场和第四场战斗才有No排名
					player1_btn:getLayer():addChild(display.newSprite(NEWPKGAMEPATH .. player1_index ..".png" , 25 , 40 ))
					player2_btn:getLayer():addChild(display.newSprite(NEWPKGAMEPATH .. player2_index ..".png" , 25 , 40))
				end
			else
				if cur_stat==8 then --至尊有No排名了
					player1_btn:getLayer():addChild(display.newSprite(NEWPKGAMEPATH .. player1_index ..".png" , 25 , 40 ))
					player2_btn:getLayer():addChild(display.newSprite(NEWPKGAMEPATH .. player2_index ..".png" , 25 , 40))
				end
			end

			if index~=1 then
				if cur_stat==6 or cur_stat==8 then --第三场和第四场战斗才有战报播放
					local play_btn = KNBtn:new( NEWPKGAMEPATH , { "play.png" , "play_pre.png" } , 155 , 0 , {
							priority = -130 , 
							callback = function()
							if uid1 and uid2 then 
								HTTP:call("activity", "pkgameglobal_show", {flag =  data["No"] , uid1 = uid1 , uid2 = uid2 }, {
									success_callback = function(data)
										DATA_Battle:setMod("guide")
										DATA_Battle:setAct("execute")
										DATA_Battle:set( data["show"] )
										switchScene("battle" , { resultCallFun = function()end, overFun = function()
											switchScene("activity", {curKey = ACTIVITY:getCurKey() })
										end })
									end
								})
							else
								KNMsg:getInstance():flashShow("暂无战报！")
							end
						end
					})
					tempLayer:addChild(play_btn:getLayer())
				end
			else
				if cur_stat==8 then  --至尊在8状态(最后战斗结果)有播放
					local play_btn = KNBtn:new( NEWPKGAMEPATH , { "play.png" , "play_pre.png" } , 155 , 0 , {
							priority = -130 , 
							callback = function()
							if uid1 and uid2 then 
								HTTP:call("activity", "pkgameglobal_show", {flag =  data["No"] , uid1 = uid1 , uid2 = uid2 }, {
									success_callback = function(data)
										DATA_Battle:setMod("guide")
										DATA_Battle:setAct("execute")
										DATA_Battle:set( data["show"] )
										switchScene("battle" , { resultCallFun = function()end, overFun = function()
											switchScene("activity", {curKey = ACTIVITY:getCurKey() })
										end })
									end
								})
							else
								KNMsg:getInstance():flashShow("暂无战报！")
							end
						end
					})
					tempLayer:addChild(play_btn:getLayer())

				end

			end
			return tempLayer
		end

		if index ==  1 then 
			local title = display.newSprite(NEWPKGAMEPATH.."title_bg.png")
			setAnchPos(title, 260, 505 , 0.5)
			tab_layer:addChild(title , -1)

			title = display.newSprite(NEWPKGAMEPATH.."zhizun_title.png")
			setAnchPos(title, 260, 517 , 0.5)
			tab_layer:addChild(title , -1)
		end

		
		
		local circleNum = 3 --生成边框次数 7次16个(16强)
		if cur_stat==2 or cur_stat==3 then
			circleNum=7
		end
		for i = 0 , circleNum do
			local tempLayer = createItem(i)
			setAnchPos( tempLayer , 0 , 431 - i * 62 )
			tempScrollView:addChild(tempLayer)
			--tab_layer:addChild(tempLayer , 10)
		end

		mainLayer:addChild(tab_layer)
	end

	myStatusLayer = function()
		local layer = display.newLayer()
		local mask = KNMask:new({item = layer, priority= -201-1})
		
		local bg = display.newSprite(NEWPKGAMEPATH.."status_bg.png")
		setAnchPos(bg, 240, 168, 0.5)
		layer:addChild(bg,-2)
		
		local title = display.newSprite(NEWPKGAMEPATH.."my_status.png")
		setAnchPos(title, 250, 512 , 0.5)
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."title_bg.png")
		setAnchPos(title, 250, 500 , 0.5)
		layer:addChild(title , -1)
		
		local back = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 30, 527, {
			priority = -220,
			callback = function()
				mask:remove()
			end
		})
		layer:addChild(back:getLayer())

		local isComplete = false

		if tonumber(data["is_award"]) == 1 then isComplete = true end
		local getBtn
		 getBtn = KNBtn:new( COMMONPATH , ( isComplete and { "btn_bg_red2.png" } or { "btn_bg_red.png" ,"btn_bg_red_pre.png" ,"btn_bg_red2.png" } ) ,
						157 , 180 ,
						{
							priority = -202,
							front = PKGAMEPATH .. ( isComplete and "already_get.png" or "get_award.png" ) ,
							disable = isComplete , 
							callback = 
							function()
								if isBagFull() then
								    return false
								end
								HTTP:call("activity", "pkgameglobal_receive", { },{success_callback = 
								function(param)
									getBtn:setFront( PKGAMEPATH .. "already_get.png" )
									getBtn:setBg(1, COMMONPATH.."btn_bg_red2.png" )
									getBtn:setEnable(false)
								end})
							end
		})
		layer:addChild( getBtn:getLayer() )

		local function getMyWarInfo(param)				--得到自己的战报
			if param == nil then 
				return "最近风平浪静，没有发生任何事"
			end

			local is_win = false
			local uid = tonumber( DATA_User:get("uid") )
			local otheruid , othername

			if uid == tonumber(param["win_uid"]) then
				is_win = true
			end

			if uid == tonumber(param["uid"]) then 	--判断 uid 和 to_uid 哪一个才是别人的 uid
				otheruid = param["to_uid"]
				othername = param["to_uid_name"]
			else
				otheruid = param["uid"]
				othername = param["uid_name"]
			end

			if tonumber(otheruid) == 0 then
				 info = "你在"..getZone_str(param["No"]).."赛区第"..param["loop"].."场轮空了,成功进入下一轮"
			elseif is_win == true then
				 info = "你在"..getZone_str(param["No"]).."赛区第"..param["loop"].."场击败了"..othername
			elseif is_win == false then
				 info = "你在"..getZone_str(param["No"]).."赛区第"..param["loop"].."场不敌" .. othername
			end
			return info , otheruid
		end


		local function createItem(param)
			local report = display.newLayer()
			local itemBg = display.newSprite(NEWPKGAMEPATH.."status_label_bg.png")
			setAnchPos(itemBg)

			report:setContentSize(CCSizeMake(bg:getContentSize().width, itemBg:getContentSize().height))
			report:addChild(itemBg)

			local str , otheruid = getMyWarInfo(param)
			report:addChild( display.strokeLabel( str or "" , 10 , 7 , 15, ccc3( 0xff , 0xff , 0xff ) ) )

			local report_btn = KNBtn:new(PKGAMEPATH , {"look.png", "look_pre.png" , "look_dis.png"}, 335, -3,
			{
				priority = - 220 ,
				callback = function()
					if otheruid == 0 then 
						KNMsg:getInstance():flashShow( "此次战斗轮空，没有战斗！" )
						return
					end
					HTTP:call("activity", "pkgameglobal_show", {flag =  data["No"] , uid1 = DATA_User:get("uid") , uid2 = otheruid }, {
						success_callback = function(data)
							DATA_Battle:setMod("guide")
							DATA_Battle:setAct("execute")
							DATA_Battle:set( data["show"] )
							switchScene("battle" , { resultCallFun = function()end, overFun = function()
								switchScene("activity", {curKey = ACTIVITY:getCurKey()})
							end })
						end
					})
				end
			})
			report:addChild( report_btn:getLayer() )
			
			return report	
		end
		
		local frame_num = 2

		if #data.pk_info >= 3 then
			frame_num = 3
		else
			frame_num = #data.pk_info
		end

		for i = 1, frame_num do
			local index = #data.pk_info - frame_num + i
			local report = createItem(data.pk_info[index])
			setAnchPos(report, 60, 450 - (i - 1) * (report:getContentSize().height + 15))
			layer:addChild(report)
		end

		local rank_config = { "冠军" , "亚军" , "季军" }

		for i = 1 , #data.upgrade_info do
			local rank = tonumber(data.upgrade_info[i]["rank"])
			local zone_str = getZone_str(data.upgrade_info[i]["No"])
			local rank_str = "获得"..zone_str.."赛区"..( rank_config[rank] or ("第"..rank.."名") )
			
			if data.upgrade_info[i]['No']==1 then --第一场
				if rank > 16 then
					rank_str = "未进"..zone_str.."赛区前16名"
				end
			else
				if rank > 8 then
					rank_str = "未进"..zone_str.."赛区前8名"
				end
			end

			local isIn = (tonumber(data.upgrade_info[i]["upgrade"]) == 1) and "晋级" or "无缘"
			if i==1 then 
				layer:addChild( display.strokeLabel( "你在"..zone_str.."赛区胜利"..data.upgrade_info[i]["win_count"].."场,"..isIn.."16强!" , 50 , 330 , 15, ccc3( 43 , 1 , 1 ) ) )
			elseif i== 2 then
				layer:addChild( display.strokeLabel( "你在"..zone_str.."胜利"..data.upgrade_info[i]["win_count"].."场,"..isIn.."8强!" , 50 , 300 , 15, ccc3( 43 , 1 , 1 ) ) )
			elseif i == 3 then
				layer:addChild( display.strokeLabel( "你在"..zone_str.."胜利"..data.upgrade_info[i]["win_count"].."场,"..isIn.."至尊总决赛!" , 50 , 270 , 15, ccc3( 43 , 1 , 1 ) ) )
			elseif i == 4 then 
				layer:addChild( display.strokeLabel( "你在"..getZone_str(data.upgrade_info[i]["No"]).."胜利"..data.upgrade_info[i]["win_count"].."场,"..rank_str.."!" , 50 , 240 , 15, ccc3( 43 , 1 , 1 ) ) )
			
					
			end
		end



		-- for i = 1, frame_num do
		-- 	local report = createItem()
		-- 	setAnchPos(report, 60, 450 - (i - 1) * (report:getContentSize().height + 15))
		-- 	layer:addChild(report)
		-- end

		return mask:getLayer()
	end

	addLayer = function()
		local layer = display.newLayer()
		local mask = KNMask:new({item = layer, priority= -140})

		local buyInspireLayer , createItem
		
		local bg = display.newSprite(NEWPKGAMEPATH.."status_bg.png")
		setAnchPos(bg, 240, 168, 0.5)
		layer:addChild(bg , -2)
		
		local title = display.newSprite(NEWPKGAMEPATH.."attr_add_label.png")
		setAnchPos(title, 250, 512 , 0.5)
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."title_bg.png")
		setAnchPos(title, 250, 500 , 0.5)
		layer:addChild(title , -1)

		title = display.newSprite(NEWPKGAMEPATH.."attr_bg.png")
		setAnchPos(title, 240, 265 , 0.5)
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."cur_inspire_label.png")
		setAnchPos(title, 70, 227 )
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."inspire_num_bg.png")
		setAnchPos(title, 255, 229 )
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."all_hero_label.png")
		setAnchPos(title, 76, 477 )
		layer:addChild(title)

		local guwu_cur_text = display.strokeLabel( data["guwu_cur"] or "", 267 , 232 , 16, ccc3( 0xff , 0xff , 0xff ) )		--当前鼓舞点
		layer:addChild(guwu_cur_text)

		local guwu_all_text = display.strokeLabel( "当前总计已获鼓舞点：" .. data["guwu_all"] or "0", 115 , 200 , 18, ccc3( 0x8c , 0x0e , 0x0e ) )		--当前鼓舞点
		layer:addChild(guwu_all_text)

		
		
		local back = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 30, 527, {
			priority = -160,
			callback = function()
				mask:remove()
			end
		})
		layer:addChild(back:getLayer())

		local buy_btn = KNBtn:new( COMMONPATH , { "btn_bg.png" ,"btn_bg_pre.png" } , 347 , 220 ,
						{
							priority = -140,
							front = NEWPKGAMEPATH .. "buy.png",
							callback = function()
								layer:addChild( buyInspireLayer():getLayer() )
							end
		})
		layer:addChild( buy_btn:getLayer() )

		buyInspireLayer = function()
			local KNSlider = requires(IMG_PATH, "GameLuaScript/Common/KNSlider")
			local buyInspireLayer = display.newLayer()
			local mask = KNMask:new( {item = buyInspireLayer , priority = -180} )

			local bg = display.newSprite(COMMONPATH.."tip_bg.png")
			setAnchPos( bg , 240 , 300 , 0.5 , 0 )
			buyInspireLayer:addChild(bg)

			bg = display.newSprite(NEWPKGAMEPATH.."buy_inspire_label.png")
			setAnchPos( bg , 68 , 500 )
			buyInspireLayer:addChild(bg)

			bg = display.newSprite(NEWPKGAMEPATH.."inspire_num_bg.png")
			setAnchPos( bg , 208 , 500 )
			buyInspireLayer:addChild(bg)

			bg = display.newSprite(IMG_PATH .. "image/scene/strengthen/coast.png")
			setAnchPos( bg , 176 , 397 )
			buyInspireLayer:addChild(bg)

			-- bg = display.newSprite(IMG_PATH .. "image/scene/strengthen/rest.png")
			-- setAnchPos( bg , 78 , 397 )
			-- buyInspireLayer:addChild(bg)

			-- bg = display.newSprite(IMG_PATH .. "image/scene/strengthen/rest.png")
			-- setAnchPos( bg , 78 , 397 )
			-- buyInspireLayer:addChild(bg)

			-- bg = display.newSprite(COMMONPATH .. "gold.png")
			-- setAnchPos( bg , 132 , 397 )
			-- buyInspireLayer:addChild(bg)

			bg = display.newSprite(COMMONPATH .. "gold.png")
			setAnchPos( bg , 233 , 397 )
			buyInspireLayer:addChild(bg)

			

			local gold_count = DATA_Account:get("gold")
			local num = 0
			local guwu_price = data.guwu_price

			local numText = display.strokeLabel( "0" , 208 , 497 , 20 , ccc3(0xff , 0xff , 0xff ) , nil , nil , { dimensions_width = 68 , dimensions_height = 28 ,align = 1 } )
			buyInspireLayer:addChild(numText)

			-- local remianText = display.strokeLabel( gold_count or "" , 120 , 395 , 20 , ccc3(45 , 0 , 0 ) , nil , nil , { dimensions_width = 200 , dimensions_height = 28 ,align = 1 } )
			-- buyInspireLayer:addChild(remianText)

			local expendText = display.strokeLabel( "0" , 250 , 395 , 20 , ccc3(45 , 0 , 0 ) , nil , nil , { dimensions_width = 100 , dimensions_height = 28 ,align = 1 } )
			buyInspireLayer:addChild(expendText)

			
			local function changeValue()
				numText:setString(num)
				-- remianText:setString(gold_count-num/10)
				expendText:setString(num/guwu_price)
			end

			local ok = KNBtn:new(COMMONPATH,{"btn_bg_red.png","btn_bg_red_pre.png"}, 64 , 322 ,{
				front = COMMONPATH.."confirm.png" ,
				scale = true,
				priority = -220,
				callback = function()
					if num ~= 0 then 
						HTTP:call("activity","pkgameglobal_buy_guwu",{ cost_gold = num / guwu_price },{
							success_callback = function(param)
							KNMsg:getInstance():flashShow("购买成功，获得"..param.buy_num.."鼓舞点")
								data = param.get.data
								guwu_cur_text:setString(data["guwu_cur"])
								guwu_all_text:setString("当前总计已获鼓舞点：" .. data["guwu_all"])
							end
						})
					end
					mask:remove()
				end
			})
			buyInspireLayer:addChild(ok:getLayer())
			local cancel = KNBtn:new(COMMONPATH,{"btn_bg_red.png","btn_bg_red_pre.png"} , 270 , 322 ,
				{
					front = COMMONPATH.."cancel.png",
					scale = true,
					priority = -220,
					callback = function()
						mask:remove()
					end
				})
			buyInspireLayer:addChild(cancel:getLayer())

			
			--划动条
			local slider = KNSlider:new( "buy" ,  {
												x = 134 , 
												y = 383 , 
												minimum = 0 , 
												maximum = 3000, 
												value = 0 , 
												callback  = function( _curIndex ) num =  _curIndex * guwu_price  changeValue() end ,
												priority = -220
												} )
			buyInspireLayer:addChild( slider )
			
			--增减按钮
			local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 368 ,439 , {
				scale = true,
				priority = -220,
				callback = function()
					if num < 3000 * guwu_price then
						num = num + guwu_price * 50
						slider:setValue( num / guwu_price  )
					end
				end
			})
			
			local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 75 , 439 ,{
				scale = true,
				priority = -220,
				callback = function()
					if num > 1 then
						num = num - guwu_price * 50
						slider:setValue( num / guwu_price  )
					end
				end
			})
			minusBtn:setFlip(true)
			
			addBtn:getLayer():setScale( 0.9 )
			minusBtn:getLayer():setScale( 0.9 )
			buyInspireLayer:addChild( addBtn:getLayer() )
			buyInspireLayer:addChild( minusBtn:getLayer() )

			return mask
		end

		addLvSlider = function(attr , index , lv_text , val_text)
			local KNSlider = requires(IMG_PATH, "GameLuaScript/Common/KNSlider")
			local addLvSliderLayer = display.newLayer()
			local mask = KNMask:new( {item = addLvSliderLayer , priority = -180} )

			local bg = display.newSprite(COMMONPATH.."tip_bg.png")
			setAnchPos( bg , 240 , 300 , 0.5 , 0 )
			addLvSliderLayer:addChild(bg)

			local cost_guwu_num = tonumber(data["guwu_conf"][attr]["cost_guwu"])
			local lv = tonumber(data[attr.."_lv"])
			local add_attr_num = tonumber(data["guwu_conf"][attr]["add"])

			local str = "你确定消耗"..cost_guwu_num.."鼓舞点，将"..textConfig[attr..""].."提升为Lv"..(lv+1).."获得"..add_attr_num.."点"..textConfig[attr..""].."属性加成吗？"

			local infoText = KNTextField:create( { str = str , size = 20  , color = ccc3(46 , 18 , 14) , width = 380 } )
			setAnchPos( infoText , 55 , 460 )
			infoText:setDimensions(CCSizeMake(infoText:getContentSize().width, infoText:getContentSize().height + 10))

			addLvSliderLayer:addChild( infoText )
			
			local num = 1

			local function changeValue()
				str = "你确定消耗"..cost_guwu_num*num.."鼓舞点，将"..textConfig[attr..""].."提升为Lv"..(lv+num).."获得"..add_attr_num*num.."点"..textConfig[attr..""].."属性加成吗？"
				infoText:setString(str)
			end

			local ok = KNBtn:new(COMMONPATH,{"btn_bg_red.png","btn_bg_red_pre.png"}, 64 , 322 ,{
				front = COMMONPATH.."confirm.png" ,
				scale = true,
				priority = -220,
				callback = function()
					HTTP:call("activity","pkgameglobal_up_attr",{ attr = attrConfig[index] , num = num },{
							success_callback = function(param)
								data = param.get.data
								lv_text:setString( data[attr.."_lv"] )
								val_text:setString( data[attr.."_val"] )
								guwu_cur_text:setString(data["guwu_cur"])
								mask:remove()
							end
						})
				end
			})
			addLvSliderLayer:addChild(ok:getLayer())
			local cancel = KNBtn:new(COMMONPATH,{"btn_bg_red.png","btn_bg_red_pre.png"} , 270 , 322 ,
				{
					front = COMMONPATH.."cancel.png",
					scale = true,
					priority = -220,
					callback = function()
						mask:remove()
					end
				})
			addLvSliderLayer:addChild(cancel:getLayer())

			
			--划动条
			local slider = KNSlider:new( "buy" ,  {
												x = 134 , 
												y = 413 , 
												minimum = 1 , 
												maximum = 10, 
												value = 0 , 
												callback  = function( _curIndex ) num =  _curIndex  changeValue() end ,
												priority = -220
												} )
			addLvSliderLayer:addChild( slider )
			
			--增减按钮
			local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 368 ,409 , {
				scale = true,
				priority = -220,
				callback = function()
					print(num)
					if num < 10 then
						num = num + 1
						slider:setValue( num )
					end
				end
			})
			
			local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 75 , 409 ,{
				scale = true,
				priority = -220,
				callback = function()
					if num > 1 then
						num = num - 1
						slider:setValue( num )
					end
				end
			})
			minusBtn:setFlip(true)
			
			addBtn:getLayer():setScale( 0.9 )
			minusBtn:getLayer():setScale( 0.9 )
			addLvSliderLayer:addChild( addBtn:getLayer() )
			addLvSliderLayer:addChild( minusBtn:getLayer() )

			return mask
		end

		createItem = function(index)
			local tempLayer = display.newLayer()
			tempLayer:setContentSize( CCSizeMake( 480 , 48 ) )
			local attr = attrConfig[index]

			local lv_text = display.strokeLabel( data[attr.."_lv"] or "" , 162 , 15 , 20, ccc3( 176 , 34 , 33 ) )
			local val_text = display.strokeLabel( data[attr.."_val"] or "", 363 , 15 , 20, ccc3( 0xff , 0xff , 0xff ) )

			tempLayer:addChild( lv_text )
			tempLayer:addChild( val_text )

			local add_btn = KNBtn:new( COMMONPATH , { "add.png" ,"add_press.png" } , 73 , 5 ,
						{
							priority = -140,
							callback = function()
							layer:addChild( addLvSlider(attr , index , lv_text , val_text ):getLayer() )
							-- if tonumber(data[attr.."_lv"]) < tonumber(data["guwu_conf"][attr]["max_lv"]) then
							-- 	showTip({
							-- 		priority = -202 , 
							-- 		offsetY = -20 , 
							-- 		content = createLabel({str = "你确定消耗"..data["guwu_conf"][attr]["cost_guwu"].."鼓舞点，将"..textConfig[attr..""].."提升为Lv"..(tonumber(data[attr.."_lv"])+1).."获得"..data["guwu_conf"][attr]["add"].."点"..textConfig[attr..""].."属性加成吗？", size = 20, width = 360}),
							-- 		left = {
							-- 			path = COMMONPATH,
							-- 			normal = "btn_bg_red.png",
							-- 			pre = "btn_bg_red_pre.png",
							-- 			front = COMMONPATH.."ok.png",
							-- 			remove = true,
							-- 			callback = function()
							-- 					HTTP:call("activity","pkgameglobal_up_attr",{ attr = attrConfig[index] },{
							-- 						success_callback = function(param)
							-- 							data = param.get.data
							-- 							lv_text:setString( data[attr.."_lv"] )
							-- 							val_text:setString( data[attr.."_val"] )
							-- 							guwu_cur_text:setString(data["guwu_cur"])
							-- 						end
							-- 					})
							-- 			end
							-- 		},
							-- 		right = {
							-- 				 path = COMMONPATH, 
							-- 				 normal = "btn_bg_red.png", 
							-- 				 pre = "btn_bg_red_pre.png",
							-- 				 front = COMMONPATH.."cancel.png",
							-- 				 remove = true
					  --   		}})
							-- else
							-- 	KNMsg:getInstance():flashShow("等级已达上限,无法升级该属性")
							-- end

							end
			})
			tempLayer:addChild( add_btn:getLayer() )

			return tempLayer
		end

		for i = 1, 4 do
			local tempLayer = createItem(i)
			setAnchPos(tempLayer, 0, 413 - (i - 1) * (tempLayer:getContentSize().height))
			layer:addChild(tempLayer)
		end		
		return mask:getLayer()
	end

	inspireLayer = function(param)
		local layer = display.newLayer()
		local mask = KNMask:new({item = layer, priority= -160})
		
		local bg = display.newSprite(NEWPKGAMEPATH.."status_bg.png")
		setAnchPos(bg, 240, 168, 0.5)
		layer:addChild(bg , -2)

		local title = display.newSprite(NEWPKGAMEPATH.."inspire_others.png")
		setAnchPos(title, 250, 512 , 0.5)
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."title_bg.png")
		setAnchPos(title, 250, 500 , 0.5)
		layer:addChild(title , -1)

		-- title = display.newSprite(NEWPKGAMEPATH.."cur_getinspire_label.png")
		-- setAnchPos(title, 36, 245 )
		-- layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."today_inspire_num_label.png")
		setAnchPos(title, 36, 462 )
		layer:addChild(title)
		
		title = display.newSprite(NEWPKGAMEPATH.."cooling_time_label.png")
		setAnchPos(title, 242, 462 )
		layer:addChild(title)

		title = display.newSprite(NEWPKGAMEPATH.."get_inspire_others.png")
		setAnchPos(title, 36, 245 )
		layer:addChild(title)


		local nextTimeText = display.strokeLabel( timeConvert(param.guwu_clock) or "" , 373 , 464 , 18, ccc3( 0xff , 0xff , 0xff )  )
		layer:addChild( nextTimeText )

		local nextTime = param.guwu_clock or 0
		local timeCount = 0 
		local function refreshTime()
			nextTime = nextTime - 1
			local nextTimeStr =  timeConvert( nextTime )
			if nextTime <= 0 then
				nextTimeText:setString("00:00:00")
			else 
				nextTimeText:setString( replaceStr( nextTimeStr ) )
			end
		end

		handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(refreshTime , 1 , false)
		ACTIVITY:setHandler( handler )
		refreshTime()

		layer:addChild( display.strokeLabel( "鼓舞他人可获得积分点，兑换丰厚奖励!" , 41 , 211 , 18, ccc3( 0x8c , 0x0e , 0x0e ) )  , 10)


		local back = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 30, 527, {
			priority = -161,
			callback = function()
				mask:remove()
				ACTIVITY:delHandler()
			end
		})
		layer:addChild(back:getLayer())

		local function changeLayer()
			local change_layer = display.newLayer()
			local mask = KNMask:new({item = change_layer, priority= -220})
			
			local bg = display.newSprite(COMMONPATH.."bg_img.png")
			setAnchPos(bg, 240, 216, 0.5)
			change_layer:addChild(bg , -2)

			--标题背景
		 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
		 	setAnchPos(title_bgSp,240,350 , 0.5)
		 	bg:addChild(title_bgSp)
			--标题文字
		 	local title_Sp = display.newSprite(NEWPKGAMEPATH.."jifen_change_title.png")
		 	setAnchPos(title_Sp,100,350)
		 	bg:addChild(title_Sp)

			local my_points = display.newSprite(NEWPKGAMEPATH .. "my_points.png")
			setAnchPos( my_points , 310 , 545 )
			change_layer:addChild( my_points )

			local my_points_text = display.strokeLabel( data["jifen"] , 410 , 550 , 20, ccc3( 73 , 36 , 38 )  )
			change_layer:addChild(my_points_text)

			local function create_change_Item(index)
				local itemLayer = display.newLayer()
				itemLayer:setContentSize(CCSizeMake( 113 , 130 ))
				local curProp = awardCell( data.shop[index] , { priority = -221 } )
				setAnchPos( curProp , 20 , 70 )
				itemLayer:addChild( curProp )

				local need_points = display.newSprite(NEWPKGAMEPATH .. "need_point.png")
				setAnchPos( need_points , 0 , 43 )
				itemLayer:addChild( need_points )
				
				itemLayer:addChild( display.strokeLabel( data.shop[index]["jifen"] , 90 , 45 , 20, ccc3( 73 , 36 , 38 )  ) )	--所需积分

				local change_btn = KNBtn:new(COMMONPATH, {"btn_bg.png", "btn_bg_pre.png"}, 15, 2, {
					priority = -223,
					front = NEWPKGAMEPATH .. "change.png" , 
					callback = function()
						HTTP:call("activity","pkgameglobal_buy",{ buy_cid = data.shop[index]["cid"]  },{
							success_callback = function(param)
								data = param.get.data
								my_points_text:setString( data["jifen"] )
							end
						})
					end
				})
				itemLayer:addChild( change_btn:getLayer() )

				return itemLayer
			end

			for i = 1 , #data.shop do
				local itemLayer = create_change_Item(i)
				setAnchPos(itemLayer , 40 + (i>3 and (i-4) or (i-1))*140 , i>3 and 230 or 400)
				change_layer:addChild( itemLayer )
			end

			local back = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 32, 553, {
			priority = -223,
			callback = function()
				mask:remove()
			end
			})
			change_layer:addChild(back:getLayer())
			return mask
		end

		local change_btn = KNBtn:new( COMMONPATH , { "btn_bg.png" ,"btn_bg_pre.png" } , 360 , 203 ,
						{
							priority = -202,
							front = NEWPKGAMEPATH .. "change.png",
							callback = function()
								layer:addChild( changeLayer():getLayer() , 100 )
							end
		})
		layer:addChild( change_btn:getLayer() )

		local guwu_times_text = display.strokeLabel( data.guwu_times .. "/" .. data.guwu_max_times , 178 , 464 , 18, ccc3( 0xfe , 0xfc , 0xd3 ) )
		layer:addChild( display.strokeLabel( data.guwu_from_others , 295 , 247 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	
		layer:addChild( guwu_times_text )

		local function createItem(index)
			local tempLayer = display.newLayer()
			tempLayer:setContentSize( CCSizeMake( 175 , 50 ) )

			local temp_data = param["list"][index] or nil

			local tempBtn = KNBtn:new( NEWPKGAMEPATH , { "name_bg.png" },0 , 5 , 
						{ 
							priority = -161 , 
							text = { temp_data and temp_data.name or "" , nil , ccc3( 0xff , 0xff , 0xff ) } , 
							callback = function()
								if temp_data then
									HTTP:call("profile","get_other_server",{ touid = temp_data.uid , uid_server = temp_data.server_id },{
										success_callback = function()
												local allServerPlayerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/allServerPlayerInfo")
												display.getRunningScene():addChild( allServerPlayerInfo:new():getLayer() )
										end
									})
								end
							end 
			})
			tempLayer:addChild( tempBtn:getLayer() )

			tempBtn = KNBtn:new( NEWPKGAMEPATH , { "ding.png" , "ding_pre.png"},140 , 0 , 
						{ 
							priority = -161 , 
							scale = true ,
							callback = function()
								if temp_data then
									HTTP:call("activity","pkgameglobal_guwu",{ to_uid = temp_data.uid },{
										success_callback = function(param)
											guwu_times_text:setString( param.get.data.guwu_times .. "/" .. param.get.data.guwu_max_times )
											data = param.get.data
											nextTime = data.guwu_clock
											KNMsg:getInstance():flashShow("鼓舞成功,积分+" .. data.guwu_jifen)
										end
									})
								end
							end 
			})
			tempLayer:addChild( tempBtn:getLayer() )

			return tempLayer
		end

		for i = 1, 6 do
			local x = i % 2 == 1 and 66 or 258 
			local y = 410 - ( math.ceil(i/2) - 1 ) * 60 

			local tempLayer = createItem(i)
			setAnchPos(tempLayer, x, y)
			layer:addChild(tempLayer)
		end	

		
		return mask:getLayer()
	end


	for i = 1 , #tab_config do
		local tempBtn = KNBtn:new(NEWPKGAMEPATH,{"tab.png","tab_pre.png"} , 14 , 505 - ( i - 1 ) * 82,{
				disableWhenChoose = true,
				upSelect = true,
				id = i,
				front = NEWPKGAMEPATH..tab_config[i]..".png",
				callback = function()
					if cur_stat < 2 then
						math.random(2 , 5)
						create_applyPage( i )
					else
						if i == 1 then 
							if cur_stat == 8 then
								create_rankPage( i )
							else
								
								create_applyPage( i )
							end
						else
							create_rankPage( i )
						end

					end
				end
			},group):getLayer()
			
		mainLayer:addChild( tempBtn )
	end

	group:chooseByIndex(1)

	if cur_stat < 2 then
		if tonumber(data.reg_zone) == 0 then
			local userLv =  tonumber( DATA_User:get("lv")) 
			if userLv>=40 and userLv<=49 then
				create_applyPage( 5 )
				group:chooseByIndex(5)
			elseif userLv>=50 and userLv<=59 then
				create_applyPage( 4 )
				group:chooseByIndex(4)
			elseif userLv>=60 and userLv<=69 then
				create_applyPage( 3)
				group:chooseByIndex(3)
			elseif userLv>=70 then				
				create_applyPage( 2)
				group:chooseByIndex(2)
			else
				create_applyPage( 5 )
				group:chooseByIndex(5)
			end
			
		else
			create_applyPage( tonumber(data.reg_zone)+1 )
			group:chooseByIndex(tonumber(data.reg_zone)+1)
		end
	elseif cur_stat < 4  and cur_stat >= 2 then
		create_rankPage( tonumber(data.reg_zone)+1 )
		group:chooseByIndex(tonumber(data.reg_zone)+1)
	elseif cur_stat < 6 and cur_stat>=4 then
		create_applyPage(1)
		group:chooseByIndex(1)
	elseif cur_stat < 8 and cur_stat>=6 then
		create_applyPage(1)
		group:chooseByIndex(1)
	elseif cur_stat == 8 then 
		create_rankPage(1)
		group:chooseByIndex(1)
	end


	local status_btn = KNBtn:new( COMMONPATH , { "long_btn.png" , "long_btn_pre.png" , "long_btn.png" },  40 , 111 , 
						{ 
							-- priority = -201 , 
							scale = true ,
							front = NEWPKGAMEPATH .. "status_label.png" , 
							callback = function()
								if #data.pk_info ~= 0 then 
									mainLayer:addChild( myStatusLayer() )
								else
									KNMsg:getInstance():flashShow( "最近风平浪静，没有发生任何事" )
								end
							end 
			})
	mainLayer:addChild( status_btn:getLayer() )

	local add_btn = KNBtn:new( COMMONPATH , { "long_btn.png" , "long_btn_pre.png" , "long_btn.png" },  187 , 111 , 
						{ 
							-- priority = -201 , 
							scale = true ,
							front = NEWPKGAMEPATH .. "add_label.png" , 
							callback = function()
								mainLayer:addChild( addLayer() )
							end 
			})
	mainLayer:addChild( add_btn:getLayer() )

	local inspire_btn = KNBtn:new( COMMONPATH , { "long_btn.png" , "long_btn_pre.png" , "long_btn.png" },  335 , 111 , 
						{ 
							-- priority = -201 , 
							scale = true ,
							front = NEWPKGAMEPATH .. "insprie_label.png" , 
							callback = function()
								HTTP:call("activity", "pkgameglobal_guwulist", {}, {
									success_callback = function(data)
										mainLayer:addChild( inspireLayer(data) )
									end
								})
								
							end 
			})
	mainLayer:addChild( inspire_btn:getLayer() )

	mainLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0 ) )	--活动时间

	local helpBtn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png","help_press.png"}, 428 , 595 , {
						priority = -122,
						scale = true,
						callback = function()
							local mask

							local tempLayer =display.newLayer()
							--背景
							local bg = display.newSprite(IMG_PATH.."image/scene/chat/".."info_bg_big.png")
							setAnchPos(bg,240,150, 0.5)
							tempLayer:addChild(bg)
							--标题背景
						 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
						 	setAnchPos(title_bgSp,80,520)
						 	bg:addChild(title_bgSp)
							--标题文字
						 	local title_Sp = display.newSprite(COMMONPATH.."help_title.png")
						 	setAnchPos(title_Sp,65,520)
						 	bg:addChild(title_Sp)

						 	local str = "【赛事规则】:\n"..
								 		"1.玩家需等级达到40级且在指定的时间内才可报名参与比赛\n"..
								 		"2.玩家可根据自己等级,选择报名指定赛区,报名成功后,不可更换\n"..
								 		"3.成功报名各大赛区后,可直接获得大量银两\n"..
								 		"4.进入各个单赛区的冠军和亚军默认进入至尊8强,角逐至尊头衔\n"..
								 		"5.单赛区总决赛冠军和至尊赛总决赛冠军将记录在次日的全服头条榜单中\n"..
								 		"6.玩家的战报和单赛区、至尊赛的最终成绩将记录在战况中\n"..
								 		"7.玩家可进入鼓舞界面,给参赛选手进行鼓舞,鼓舞参赛选手可获积分,积分可兑换丰厚奖励\n"..
								 		"8.玩家可进入加成界面,使用鼓舞点提升自己参赛将领的攻防血敏属性加成\n"..
								 		"9.所有奖励需在至尊总决赛赛结束后统一领取\n"..
								 		"【赛事流程】:\n"..
								 		"活动以第1天开始为例:\n"..
								 		"1.第1天~第2天17点为单赛区报名时间\n"..
								 		"2.第2天17点~第2天的20点为单赛区16强赛的比赛时间\n"..
								 		"3.第4天的18点~第4天的20点为单赛区8强赛的比赛时间\n"..
								 		"4.第5天的18点~第5天的20点为单赛区总决赛的比赛时间\n"..
								 		"5.第6天的18点~第6天的20点为至尊赛区总决赛的比赛时间\n"..
								 		"6.第6天的20点到第7天为领奖时间\n"
						 	
						 	local helpTips = createLabel({str = str , x = 40, y = 140,size = 18, width = 370,color = ccc3(46 , 18 , 14)})

						 	local scroll = KNScrollView:new( 20 , 200 , 440 , 450 , 20 , false , 0 , { priority = -230} )
						 	scroll:addChild(helpTips)
							scroll:alignCenter()
							tempLayer:addChild(scroll:getLayer() )

						 	--关闭按钮
						    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 5 , 510 , {
									priority = -201-2,
									scale = true,
									callback = function()
										mask:remove()
									end})
							bg:addChild(close:getLayer())
						 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= -201-1})
						 	mainLayer:addChild(mask:getLayer(), 10)
						end
				})
	mainLayer:addChild(helpBtn:getLayer() , 0)
	mainLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 608 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间

	ACTIVITY.viewLayer:addChild( mainLayer )
	
end
return M
