--每日签到
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/shenmiyiji/"
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNCheckBox = requires (IMG_PATH,"GameLuaScript/Common/KNCheckBox")
local data = ACTIVITY:getData()

local handler
local isOtherRuins = false
local otherUid

local function refreshData(_oldData , _newData)
    for k,v in pairs(_newData) do
        if type(v) == "table" and table.nums(v)~=0 then 
            if not _oldData[k] then
                _oldData[k] = {}
            end 
            refreshData(_oldData[k] , v)
        else
            _oldData[k] = v
        end
    end
end

function M:show(params)

    local params = params.switchParams or {}

    -- dump(params , "params")
    self.listLayer = nil
    self.selectItems = nil

    if params.isOtherRuins then 
        isOtherRuins = true
        otherUid = params.otherUid
        data = params.data
    else
        isOtherRuins = false
        otherUid = nil
        data = ACTIVITY:getData()
    end
    ACTIVITY:baseLayout({  })

    local layer = display.newLayer();

    -- dump(data , "data")

    -- display.newSprite( COMMONPATH .. "tab_line.png" , display.cx , 690 , 0.5 , 0 ):addTo( ACTIVITY.viewLayer )

    -- ACTIVITY.viewLayer:addChild( display.newSprite( IMG_PATH .. "image/scene/activity_new/activity_time_text.png" , 20 , 658 , 0 , 0 ) ) --活动时间
    -- ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 661 , 20, ccc3( 0xff , 0xff , 0xff )  ) )  --活动时间

 



    self.viewLayer = nil

    self:homeDisPatcher()


    ACTIVITY.viewLayer:addChild( layer )
 
end




function M:enterHome()

    if self.viewLayer then 
        self.viewLayer:removeSelf()
    end

    self.viewLayer = display.newLayer()
    ACTIVITY.viewLayer:addChild( self.viewLayer )

    local layer = display.newLayer();

    self.viewLayer:addChild( layer )

    layer:addChild( display.newSprite( PATH .. "home1_bg.jpg" , display.cx , 93 , 0.5 , 0  ) )
    layer:addChild( display.newSprite( PATH .. "home_record_bg.png" , display.cx , 511 , 0.5 , 0  ) )

    local scroll = KNScrollView:new( 31 , 535  , 427 , 92 , 5 ,  false , nil , { priority = -133 } )    

    local battle_tips = data.battle_tips or {}

    for i=1,#battle_tips do
        local battle_tip = battle_tips[i]

        scroll:addChild( createLabel({str = battle_tip.content or "" , x = 0 , y = 0,size = 20, width = 427,color = ccc3(0xff , 0xff , 0xff)}) )
    end

    layer:addChild(scroll:getLayer())


    local jinriyixiezhu = display.newSprite( PATH .. "jinriyixiezhu.png" , 30 , 101 , 0 , 0  ):addTo(layer)

    jinriyixiezhu:addChild( createLabel({str = data.assist_user_num .. "/" .. data.assist_num , x = jinriyixiezhu:getContentSize().width+8 , y = 3,size = 20, width = 80,color = ccc3(0xff , 0xff , 0xff)}) )

    local jinrifaxianyiji =  display.newSprite( PATH .. "jinrifaxianyiji.png" , 262 , 101 , 0 , 0  ):addTo(layer)
    jinrifaxianyiji:addChild( createLabel({str = data.ruins_user_num .. "/" .. data.ruins_num , x = jinrifaxianyiji:getContentSize().width+8 , y = 3,size = 20, width = 80,color = ccc3(0xff , 0xff , 0xff)}) )

    local num = table.nums(data.assist_info or {})

    --邀请协助
    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 29 , 132 , {
        front = PATH .. "yaoqingxiezhu.png",
        other = num ~= 0 and { {COMMONPATH .. "egg_num_bg.png" , 116 , 29 } } or nil,
        text = num ~= 0 and { num or "" , 18 , ccc3(255,255,255) , ccp( 55 , 18 ) , nil , 17 } or nil,
        callback = function()
           layer:addChild( self:chooseTargetTohelp():getLayer() )
        end
    }):getLayer():addTo(layer)

    --去闯关
    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 177 , 132 , {
        front = PATH .. "quchuangguan.png",
        callback = function()
            -- switchScene("activity", { findCurKeyByName="ruins" })
               DATA_Mission:setByKey("current","map_id",DATA_Mission:get("max","map_id"))
               DATA_Mission:setByKey("current","mission_id",DATA_Mission:get("max","mission_id"))
                HTTP:call("mission" , "get",{},{success_callback = function()
                    switchScene("mission")
                end })
        end
    }):getLayer():addTo(layer)

    --去藏宝楼
    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 326 , 132 , {
        front = PATH .. "qucangbaolou.png",
        callback = function()
           
            if DATA_Instance:get("equip", DATA_Instance:get("equip", "max", "map_id")) then
                switchScene( "fb" , {  state = "equip", map = DATA_Instance:get("equip", "max", "map_id") } )
             else
                HTTP:call("insequip", "get",{},{success_callback = function()
                    switchScene( "fb" , { state = "equip", map = DATA_Instance:get("equip", "max", "map_id") } )
                end})
            end

        end
    }):getLayer():addTo(layer)



   local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 410 , 464 , {
    scale = true,
    callback = function()

             local tempLayer = baseMask( {  
                        titlePath = COMMONPATH.."help_title.png" , 
                        bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
                    } , 
                    isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
                    priority = -129 }
                    )
    
            local scroll
            local strConfig = data.content or ""
            local function createText()
                local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
                return helpTips
            end
            
            scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )    
            scroll:addChild( createText() )
            
            tempLayer:addChild( scroll:getLayer() )

       
            end
    }):getLayer()
    layer:addChild(helpBtn)



    return layer

end

function M:enterRuins()

    local ruins_info = data.ruins_info or {}

    -- dump(ruins_info , "ruins_info")

    local box_pos_config = { 
        {x = 33 , y = 111},
        {x = 164 , y = 175},
        {x = 295, y = 111},
    }

    if self.viewLayer then 
        self.viewLayer:removeSelf()
    end

    self.viewLayer = display.newLayer()
    ACTIVITY.viewLayer:addChild( self.viewLayer )

    local layer = display.newLayer();

    self.viewLayer:addChild( layer )

    layer:addChild( display.newSprite( PATH .. "home2_bg.jpg" , display.cx , 93 , 0.5 , 0  ) )

    local yijixiaoshishijian =  display.newSprite( PATH .. "yijixiaoshishijian.png" , 20 , 619 , 0 , 0  ):addTo(layer)

    local timetext = createLabel({str = timeConvert( ruins_info["end"] or 0 ) , x = yijixiaoshishijian:getContentSize().width+8 , y = 3,size = 18, width = 180,color = ccc3(0xff , 0xff , 0xff)})
    yijixiaoshishijian:addChild( timetext )

    dump(timetext , "timetext")


    local nextTime = ruins_info["end"] or 0
    local timeCount = 0 
    local function refreshTime()
        nextTime = nextTime - 1
        local nextTimeStr =  timeConvert( nextTime )
        if nextTime <= 0 then
            timetext:setString("00:00:00")
        else 
            timetext:setString( replaceStr( nextTimeStr ))
        end
    end


    Clock:addTimeFun("HALLOWMAS_TIME_CLOCK",function()
           if nextTime>0 then
                refreshTime()
            else
                Clock:removeTimeFun("HALLOWMAS_TIME_CLOCK")
            end
    end)

    -- handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(refreshTime , 1 , false)
    -- ACTIVITY:setHandler( handler )
    -- refreshTime()


    layer:addChild( display.newSprite( PATH .. "yijidiaoluo.png" , 20 , 586 , 0 , 0  ) )
    
    local awards = ruins_info.config or {}

    for i = 1 , #awards do
        local curProp = awardCell( awards[i] ):pos(117 + (i-1)*88 , 542):addTo(layer)
    end

    local box_infos = ruins_info.mission_info or {}

    for i=1,#box_infos do
        
        local box_info = box_infos[i]

        --[[
            box_state:
                        0   不能打开
                        1   可以打开
                        2   已经打开
        ]]
        local box_state = box_info.is_type

        local imgStr = "cant_open_box.png"

        if box_state == 0 then 
            imgStr = "cant_open_box.png"
        elseif box_state == 1 then 
            imgStr = "can_open_box.png"
        elseif box_state == 2 then 
            imgStr = "opened_box.png"
        end

        KNBtn:new( PATH , {imgStr}, box_pos_config[i].x , box_pos_config[i].y , {
            callback = function()

                if box_state == 0 then 
                     layer:addChild( self:showRunisNpcInfo( {index = i} ):getLayer() )
                elseif not isOtherRuins and box_state == 1 then
                    layer:addChild( self:allocateAward({ index = i }):getLayer() )
                end

               


            end
        }):getLayer():addTo(layer)

    end

    if not isOtherRuins then 
        --放弃遗迹
        KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 29-5 , 473 , {
            front = PATH .. "fangqiyiji.png",
            callback = function()
                    showTip({
                        priority = -202,
                        content = createLabel({str ="你确定要放弃遗迹吗？", width = 300, size = 24}),
                        left={
                            remove= true,
                            removeCallback = function()
                                
                                HTTP:call("activity" , "receive_ruins_out",{typeid = data.typeid},{
                                    success_callback = function(_data)
                                        dump(_data , "")
                                        refreshData( data , _data.data)

                                       self:homeDisPatcher()
                                    end 
                                })

                            end},
                        right={
                            remove = true,
                            callback = function()

                        end}
                      })
            end
        }):getLayer():addTo(layer)

        --战斗记录
        KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 177-5 , 473 , {
            front = PATH .. "fight_record_label.png",
            callback = function()
               self:showFightRecord()
            end
        }):getLayer():addTo(layer)

        --邀请协助
        KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 326-5 , 473 , {
            front = PATH .. "yaoqingxiezhu.png",
           
            callback = function()

                self:showSelectList()
               
            end
        }):getLayer():addTo(layer)


        local yiyaoqingxiezhu =  display.newSprite( PATH .. "yiyaoqingxiezhu.png" , 320 , 445 , 0 , 0  ):addTo(layer)

        yiyaoqingxiezhu:addChild( createLabel({str = ruins_info.t_assist_user_num.."/"..ruins_info.t_assist_num , x = yiyaoqingxiezhu:getContentSize().width+3 , y = 3,size = 16, width = 80,color = ccc3(0xff , 0xff , 0xff)}) )

    
    else
        --返回按钮
        KNBtn:new( COMMONPATH , {"btn_bg.png","btn_bg_pre.png"}, 22 , 480 , {
            front = COMMONPATH .. "back.png",
            callback = function()

            showTip({
                priority = -221,
                content = createLabel({str ="你当前尚未协助遗迹战斗，确认返回将无法再协助本次遗迹战斗，你确定要返回吗？", width = 359, height=56, size = 24}),
                left={
                    remove= true,
                    removeCallback = function()
                         switchScene("activity", { findCurKeyByName="ruins" })
                    end},
                right={
                    remove = true,
                    callback = function()
                    
                end}
              })

              
            end
        }):getLayer():addTo(layer)

         local deyiji =  display.newSprite( PATH .. "deyiji.png" , 320 , 445 , 0 , 0  ):addTo(layer)

         local label = createLabel({str = ruins_info.username or "" , x = -3 , y = 3,size = 20, width = 80,color = ccc3(0xff , 0xff , 0xff)})

         setAnchPos(label , -3 , 8 , 1 , 0)
         deyiji:addChild( label )


    end


    local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 410 , 394 , {
    scale = true,
    callback = function()

             local tempLayer = baseMask( {  
                        titlePath = COMMONPATH.."help_title.png" , 
                        bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
                    } , 
                    isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
                    priority = -129 }
                    )
    
            local scroll
            local strConfig = data.content or ""
            local function createText()
                local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
                return helpTips
            end
            
            scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )    
            scroll:addChild( createText() )
            
            tempLayer:addChild( scroll:getLayer() )

       
            end
    }):getLayer()
    layer:addChild(helpBtn)


    return layer
end


function M:allocateAward(param)


    local param = param or {}

    local awards_info = data.ruins_info.awards[param.index]
    local battle_user_info = data.ruins_info.battle_user_info or {}

    local layer = display.newLayer()
    local mask = KNMask:new({item = layer, click = function(x, y)  end ,priority= -133})

    local bg = display.newSprite( IMG_PATH .. "image/scene/headline/lapiao_bg.png" , display.cx , 151 , 0.5 , 0 ):addTo(layer)

    local desc_label = createLabel({str =  awards_info.content or "",x=0,y=5, width = 450, height=56, size = 18 , color = ccc3(206,38,38)})
    setAnchPos( desc_label , display.cx , 405 , 0.5 , 0 )
    bg:addChild( desc_label )

    display.newSprite( PATH .. "fenpeibaowu_title.png" , bg:getContentSize().width/2 , 454 , 0.5 , 0 ):addTo(bg)

    local chooseItems = {}

    local function getItem( index , award )
        local award_bg = display.newSprite( PATH .. "award_bg.png" , 0 , 0 , 0 , 0 )

        local curProp = awardCell( award ):pos(31,43):addTo(award_bg)

        local group = KNRadioGroup:new()

        local nums  = #battle_user_info 

        for i = 1, nums do
            local btn = KNBtn:new(COMMONPATH, {"check_false.png","check_true.png"},370  , 108-(4-nums)*16 - (i-1)*32, {
                upSelect = true,
                priority = -240,
                callback = function()
                    chooseItems[index] = battle_user_info[i].uid
                end
            }, group)
            award_bg:addChild(btn:getLayer())

            local label = createLabel({str =battle_user_info[i].name or "",x=0,y=5, width = 160, height=56, size = 18})
            setAnchPos( label , -5 , 5 , 1 , 0 )
            btn:getLayer():addChild( label )
        end

        group:chooseByIndex(1 , true)

        return award_bg
    end

    local awards = awards_info.config

    for i=1,#awards do
        local item = getItem( i , awards[i] )
        setAnchPos( item , display.cx , i == 2 and 80 or 250 , 0.5 , 0 )
        bg:addChild( item )
    end

    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 71 , 25 , {
        priority = -220,
        front = COMMONPATH .. "cancel.png",
        callback = function()
           mask:remove();
        end
    }):getLayer():addTo(bg)

    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 256 , 25 , {
        priority = -220,
        front = PATH .. "querenfenpei.png",
        callback = function()

            local ids = ""
            for k,v in pairs(chooseItems) do
                ids = ids .. "," .. v
            end

            ids = string.sub( ids , 2)
           HTTP:call("activity" , "receive_ruins_award",{typeid = data.typeid , index = param.index-1, fstr = ids },{
                success_callback = function(_data)
                    

                    KNMsg:getInstance():flashShow( _data.msg or "" )

                    refreshData( data , _data.data )
                    self:homeDisPatcher()
                end 
            })
        end
    }):getLayer():addTo(bg)


    return mask


end

function M:showRunisNpcInfo(param)

    local param = param or {}

    local layer = display.newLayer()
    local mask = KNMask:new({item = layer, click = function(x, y)  end ,priority= -133})

    local bg = display.newSprite( COMMONPATH .. "bg_img.png" , display.cx , 239 , 0.5 , 0 ):addTo(layer)

    display.newSprite( PATH .. "yijishouwei.png" , 52 , 345 , 0 , 0 ):addTo(bg)

    local index = param.index or 1

    local mission_info = data.ruins_info.mission_info or {}

    local npc_ids = mission_info[index]["npc_id"]

    local init_x = 57

    for i=1,#npc_ids do
        local logo_id = getConfig("npc" , npc_ids[i]).logo_id

        KNBtn:new( COMMONPATH , {"role_frame.png"}, init_x , i>4 and 147 or 239 , {
            front = IMG_PATH .. "image/hero/s_general"..logo_id..".png",
            priority = -220,
            callback = function()
            end
        }):getLayer():addTo(bg)

        if i%4 ~= 0 then 
            init_x = init_x + 83
        else
            init_x = 57
        end

    end

    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 78-20 , 58 , {
        priority = -220,
        front = COMMONPATH .. "cancel.png",
        callback = function()
           mask:remove();
        end
    }):getLayer():addTo(bg)

    KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 262-20 , 58 , {
        front = PATH .. "jingong.png",
        priority = -220,
        callback = function()

            showTip({
                priority = -221,
                content = createLabel({str ="你只能进攻神秘遗迹一次，确定进攻这里吗？", width = 359, height=56, size = 24}),
                left={
                    remove= true,
                    removeCallback = function()
                        dump(otherUid , "otherUid")
                        HTTP:call("activity" , "receive_ruins_execute",{ typeid = data.typeid , index = index - 1 , touid = otherUid },{
                            success_callback = function(_data)
                                DATA_Battle:setMod("activity")
                                DATA_Battle:setAct("receive_ruins")
                                DATA_Battle:set( _data )
                                switchScene("battle" , { resultCallFun = function()
                                        switchScene("activity", { findCurKeyByName="ruins" })
                                end })
                        end })

                    end},
                right={
                    remove = true,
                    callback = function()
                    
                end}
              })

        end
    }):getLayer():addTo(bg)

    return mask

end

function M:showFightRecord()

    local param = param or {}

    local layer = display.newLayer()
    local mask
    mask = KNMask:new({item = layer, click = function()  end ,priority= -133})

    display.newSprite( PATH .. "fight_record_bg.png" , display.cx , 291 , 0.5 , 0 ):addTo(layer)

    local scroll = KNScrollView:new( 40 , 340  , 415 , 147 , 15 ,  false , nil , { priority = -133 } )    

    local battle_infos = data.ruins_info.battle_info or {}

    for i=1,#battle_infos do
        local battle_info = battle_infos[i]
        scroll:addChild( createLabel({str = battle_info.content or "" , x = 0 , y = 0,size = 16, width = 415,color =  battle_info.win==1 and ccc3(238 , 70 , 44) or ccc3(128 , 212 , 64) }) )
    end

    local close = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 32, 486, {
        priority = -133 -1,
        scale = true,
        callback = function()
           mask:remove()
        end
    }):getLayer():addTo(layer)


    layer:addChild( scroll:getLayer() )

    ACTIVITY.viewLayer:addChild( mask:getLayer() )

    return mask;

end

function M:homeDisPatcher(param)

    if data.ruins_info and table.nums(data.ruins_info)==0 then 
        self:enterHome()
    else
        self:enterRuins()
    end

end


function M:chooseTargetTohelp(param)

    local param = param or {}

    local assist_info = data.assist_info or {}

    local layer = display.newLayer()
    local mask = KNMask:new({item = layer, click = function(x, y)  end ,priority= -133})

    display.newSprite( COMMONPATH .. "tip_bg2.png" , display.cx , 239 , 0.5 , 0 ):addTo(layer)
    local title_bg = display.newSprite( IMG_PATH .. "image/scene/mission/title_bg.png" , display.cx+50 , 580 , 0.5 , 0 ):addTo(layer)

    display.newSprite( PATH .. "choose_help_target.png" , title_bg:getContentSize().width/2-30 , title_bg:getContentSize().height/2 , 0.5 , 0.5 ):addTo(title_bg)

    local function getItem(_data)
        local choose_item_bg = display.newSprite( PATH .. "choose_item_bg.png" , 0 , 0 , 0,0 )

        local size = choose_item_bg:getContentSize()

        KNBtn:new(COMMONPATH, {getHeadPath( "19001" )   },12 , 21 ,{
            parent = param.parent or nil,
            front = COMMONPATH ..  "role_frame.png",
            callback = function()
                
            end,
        } ):getLayer():addTo(choose_item_bg)

        choose_item_bg:addChild( createLabel({str = _data.content or "" , x = 89 , y = 60,size = 16, width = 276, height = 26 ,color = ccc3(42 , 43 , 64)}) )
        choose_item_bg:addChild( createLabel({str = "掉落:" , x = 89 , y = 30,size = 16, width = 80,color = ccc3(42 , 43 , 64)}) )

        if _data.config then 

            for i=1,#_data.config do

                local curProp = awardCell( _data.config[i] ):pos(130 + (i-1)*54 , 12):addTo(choose_item_bg):setScale(0.59)

            end
        end

        KNBtn:new( COMMONPATH , {"btn_bg.png" ,"btn_bg_pre.png"}, 360 , 40 , {
            front = PATH .. "qianwang.png",
            priority = -222,
            callback = function()
               
                HTTP:call("activity" , "receive_ruins_info",{ typeid = data.typeid , touid = _data.uid },{
                    success_callback = function(arg)
                        -- dump(_data , "_data")

                       switchScene("activity", { otherUid = _data.uid ,  isOtherRuins = true ,  findCurKeyByName="ruins" , data = arg.data })
                end })

            end
        }):getLayer():addTo(choose_item_bg)


        return choose_item_bg

    end

    local scroll = KNScrollView:new( 14 , 302  , 449 , 260 , 0 ,  false , nil , { priority = -133 } )    

    for i=1,#assist_info do
        scroll:addChild( getItem(assist_info[i]) )
    end

    layer:addChild(scroll:getLayer())


    KNBtn:new( COMMONPATH , {"back_img.png","back_img_press.png"}, 17 , 553 , {
        priority = -220,
        callback = function()
           mask:remove();
        end
    }):getLayer():addTo(layer)


    local nindangqian =  display.newSprite( PATH .. "nindangqian.png" , 50 , 261 , 0 , 0  ):addTo(layer)
    nindangqian:addChild( createLabel({str = (tonumber(data.assist_num) - tonumber(data.assist_user_num)) .. ""  , x = 181 , y = 5,size = 16, width = 80,color = ccc3(42 , 43 , 64)}) )


    return mask
end


function M:showSelectList()

    if self.listLayer then 
        self.listLayer:removeSelf()
        self.listLayer = nil
    end

    self.listLayer = display.newLayer()
    ACTIVITY.viewLayer:setPositionX(480)
    self.listLayer:setPositionX(-480)
    
    if not self.selectItems then
        self.selectItems = {}
    end
    
    local titleStr = ACTIVITY.infoLayer.params["title_text"]

    ACTIVITY.infoLayer:refreshTitle( PATH .. "yaoqingxiezhu_title.png" )
    
    display.newSprite(COMMONPATH.."tab_line.png" ,240, 690, 0.5 , 0):addTo(self.listLayer ,10)

    display.newSprite(PATH.."haikeyaoqing.png" ,  24, 110, 0 , 0):addTo(self.listLayer)

    local close = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 50, 765, {
        scale = true,
        callback = function()
            if self.listLayer then

                ACTIVITY.infoLayer:refreshTitle( titleStr )

                ACTIVITY.viewLayer:removeChild(self.listLayer,true)
                self.listLayer = nil
                setAnchPos(ACTIVITY.viewLayer)
            end
        end
    })

    self.listLayer:addChild(close:getLayer(), 1) 
    
    local curPage, pageSize , pageCount , pageLayer = 1 , 10
        
    local canInvateNum = tonumber(data.ruins_info.t_assist_num) - tonumber(data.ruins_info.t_assist_user_num)

    self.pageNum = display.strokeLabel(  canInvateNum or "" , 114, 113, 18, ccc3(0xff, 0xfb, 0xd4))
    self.listLayer:addChild(self.pageNum , 0 , 100)


    local function showPageLayer()

        if pageLayer then 
            pageLayer:removeSelf()
        end

        pageLayer = display.newLayer()
        setAnchPos( pageLayer , 20 , 30 , 0 , 0 )

        self.listLayer:addChild( pageLayer )

        pageCount = ( #listdata - 1 ) / pageSize + 1
        pageCount = tonumber( string.sub(pageCount , 1 , string.find(pageCount , ".")) )

        local pageNum = display.strokeLabel( curPage.."/"..pageCount, 0, 0, 20, ccc3(0xff, 0xfb, 0xd4))
        setAnchPos(pageNum, display.cx-35, 200-85, 0.5)
        pageLayer:addChild(pageNum)

        --翻页按钮
        local pre_btn = KNBtn:new(COMMONPATH,{"next_big.png"}, 160-35, 188-35-50, {
            scale = true,
            flipX = true,
            priority = -201,
            callback = function()
                if curPage > 1 then
                    curPage = curPage - 1
                    self:createScroll( { curPage = curPage , listdata = listdata, pageSize = pageSize } )
                    pageNum:setString( curPage.."/"..pageCount )
                end
            end
        }):getLayer():addTo(pageLayer)
        
        local next_btn = KNBtn:new(COMMONPATH,{"next_big.png"}, 278-35, 188-35-50, {
            scale = true,
            priority = -201,
            callback = function()
                if curPage < pageCount then
                    curPage = curPage + 1
                    self:createScroll( { curPage = curPage , listdata = listdata , pageSize = pageSize } )
                    pageNum:setString( curPage.."/"..pageCount )
                end
            end
        }):getLayer():addTo(pageLayer)
    end    

    

    local group = KNRadioGroup:new()
    
    local tabConfig = { "gang" , "friend" }

    local selectType

    for i=1,#tabConfig do
        local btn = KNBtn:new(COMMONPATH.."tab/", {"tab_star_normal.png", "tab_star_select.png"},20 + (i-1) * 90, 695, {
            id = i,
            front = {PATH..tabConfig[i].."_gray.png", PATH..tabConfig[i]..".png"},
            priority = -220,
            callback = function()
                HTTP:call("activity" , "receive_ruins_friends",{ typeid = data.typeid , frd = (i == 1 and "alliance" or "frien") },{
                    success_callback = function(_data)
                        dump(_data , "_data")

                        selectType = tabConfig[i]

                        self.selectItems = {}
                        listdata = _data.data.fiends or {}
                        self.selectItems = {}
                        showPageLayer()

                        self:createScroll( { curPage = curPage , listdata = listdata, pageSize = pageSize } )
                end })

               
            end
            
        },group)
        self.listLayer:addChild(btn:getLayer(), 0)
    end
    group:chooseByIndex(1, true)
    


    local okBtn = KNBtn:new(COMMONPATH, {"btn_bg_red.png", "btn_bg_red_pre.png"}, 300, 105, {
        front = PATH.."querenyaoqing.png",
        callback = function()
            if table.nums(self.selectItems) < 1 then
                KNMsg.getInstance():flashShow("您没有选中任何人")
                return false
            end

            local ids = ""

            for k,v in pairs(self.selectItems) do
                ids = ids .. "," .. k
            end

            ids = string.sub( ids , 2)

            HTTP:call("activity" , "receive_ruins_friends_check",{ typeid = data.typeid , frd = selectType == "gang" and "alliance" or "frien" , fstr = ids },{
                success_callback = function(_data)
                    refreshData( data ,  _data.data)
                   dump(_data , "data")
                    self.scroll = nil
                    if self.listLayer then
                        ACTIVITY.viewLayer:removeChild(self.listLayer,true)
                        self.listLayer = nil
                        setAnchPos(ACTIVITY.viewLayer)
                    end

                    self:homeDisPatcher()

            end })

           

        end
    })

    self.listLayer:addChild(okBtn:getLayer())
    
    ACTIVITY.viewLayer:addChild(self.listLayer , 100)

end


function M:createScroll(param)

    local param = param or {}

    local listdata = param.listdata or {}

    if self.scroll then
       self.listLayer:removeChild(self.scroll:getLayer(),true)
    end

    self.scroll = KNScrollView:new(19, 185, 449, 503, 5)

    if table.nums(listdata)==0 then
        display.newSprite( COMMONPATH .. "empty.png" , display.cx , display.cy , 0.5 , 0.5 ):addTo( self.scroll:getLayer() )
    end 

    local canInvateNum =  tonumber(data.ruins_info.t_assist_num) -  tonumber(data.ruins_info.t_assist_user_num) 

    local function createListItem(data)

        local img,vipBarImg = "item_bg.png","vip_bg_bar.png"
        if G_new_year_skin and G_new_year_skin==1 then
            img="item_bg_2015.png"
            vipBarImg="vip_bg_bar_2015.png"
        end
        local itemBg = display.newSprite(COMMONPATH..img , 0 , 0 ,0 ,0)

        local size = itemBg:getContentSize()

        KNBtn:new(COMMONPATH, {getHeadPath( data.img or "19001" )   },52 , size.height/2 ,{
            anchMid = true,
            parent = self.scroll or nil,
            front = COMMONPATH ..  "role_frame.png",
            callback = function()
                
            end,
        } ):getLayer():addTo(itemBg)

        KNBtn:new(COMMONPATH, {getHeadPath( data.img or "19001" )   },52 , size.height/2 ,{
            anchMid = true,
            parent = self.scroll or nil,
            front = COMMONPATH ..  "role_frame.png",
            callback = function()
                
            end,
        } ):getLayer():addTo(itemBg)

        local chkBox
        chkBox = KNCheckBox:new(368,34,{path=COMMONPATH,
                checkBoxOpt = function ()
                    if chkBox:isSelect() then

                        if (canInvateNum - table.nums(self.selectItems) - 1) < 0 then 
                            KNMsg:getInstance():flashShow( "邀请人数已达上限" )
                            return false
                        end

                        self.selectItems[data.uid..""] = true 
                    else
                        self.selectItems[data.uid..""] = nil 
                    end

                    self.pageNum:setString( canInvateNum - table.nums(self.selectItems).."")

                end ,
        file={"checkbox_bg.png","checkbox_choose.png"}})

        for k,v in pairs(self.selectItems) do
            if tostring(k) == tostring(data.uid) then 
                chkBox:check(true)
            end
        end

        itemBg:addChild( chkBox:getLayer() )

        itemBg:addChild( createLabel({str = (data.name or "") .. " Lv".. (data.lv or "") , x = 100 , y = 55,size = 20, width = 276, height = 26 ,color = ccc3(42 , 43 , 64)}) )
        itemBg:addChild( createLabel({str = "战力：" .. (data.ability or "") , x = 100 , y = 23,size = 20, width = 276,color = ccc3(42 , 43 , 64)}) )

        return itemBg
    end

    local startIndex , endIndex
    local curPage = param.curPage
    local pageSize = param.pageSize
    if curPage * pageSize < #listdata then
        startIndex = (curPage-1) * pageSize
        endIndex = curPage * pageSize
    else
        startIndex = (curPage-1) * pageSize
        endIndex = #listdata
    end


    for i=startIndex + 1,endIndex do
        self.scroll:addChild( createListItem( listdata[i] ) )
    end

    self.listLayer:addChild( self.scroll:getLayer() )

end


return M
