--全服排行榜
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show()
	local data = ACTIVITY:getData()

	
	ACTIVITY:baseLayout({ line = {} , frame = {} })
	
	local layer = ACTIVITY.viewLayer
	
	layer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 585 , 0 , 0 ) )	--活动时间
	layer:addChild( display.strokeLabel( data.endtime or "" , 120 , 588  , 20, ccc3( 0x00 , 0x00 , 0x00 )  ) )	--活动时间
	
	layer:addChild( display.newSprite( PATH .. "server_pay_top_bg.png" , display.cx , 190 , 0.5 , 0 ) )
	

	
	local scroll = KNScrollView:new( 0, 225, 480, 280 , 10 , false )
	local function createItem( params )
		params = params or {}
		local group = display.newNode()
		
		local bg = display.newSprite( PATH .. "role_item_bg.png" )
		setAnchPos( bg , 0 , 0 )
		group:addChild( bg )
		
		
		local icon = KNBtn:new(COMMONPATH, { getHeadPath( params.data["img"] or "19001" ) },50 , 15 ,{
		scale = true , 
		other = {COMMONPATH.."role_frame.png", -1, -3},
		parent = scroll,
		callback = 
		function()
			if tonumber( params.data.uid ) == tonumber( DATA_User:get( "uid" ) ) then
				HTTP:call("status" , "get" , {} , {
					success_callback = function(tempData)
						switchScene("userinfo",tempData)
					end
				})
			else
				HTTP:call("profile","get_other_server",{ touid = params.data.uid},{success_callback = 
					function()
						local allServerPlayerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/allServerPlayerInfo")
						display.getRunningScene():addChild( allServerPlayerInfo:new( { isFriend = true } ):getLayer() )
--						local otherPalyerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/otherPlayerInfo")
--						display.getRunningScene():addChild( otherPalyerInfo:new( { isFriend = true } ):getLayer() )
					end})
			end
		end ,
		} )
		
		

		
		group:addChild(icon:getLayer())
		
		group:addChild(display.strokeLabel( params.data.name .. "   " ..  params.data.game  , 87 + 35 , 53 , 20, ccc3( 0xff , 0xfb , 0xd5 ) ) )
		group:addChild(display.strokeLabel( "Lv" .. params.data.lv ..  "   战力：" .. params.data.ability  , 87 + 35  , 18 , 20, ccc3( 0xff , 0xfb , 0xd5 ) ) )
		
			
		if tonumber( params.data.rank ) >0 and tonumber( params.data.rank ) < 4 then
			local rankNum =  display.newSprite( IMG_PATH .. "image/scene/ranklist/" ..  params.data.rank  .. ".png" )
			setAnchPos( rankNum , 330 + 20 , 10 , 0.5 , 0 )
			group:addChild( rankNum )
		else
			group:addChild( display.strokeLabel( params.data.rank ,  335 , 20  , 50 , ccc3( 0xff , 0x00 , 0x00 )  ) )
		end
		
		
		group:setContentSize( bg:getContentSize() )
		return group
	end
	
--	data.ranking ={ { 
--						uid = 2220000006 , 
--						num = 1 , 
--						time = 13995549046 , 
--						money = 513 , 
--						server_id = 223 , 
--						ability = 76 , 
--						name = "see" , 
--						lv = 1 , 
--						rank = 1 , 
--						img = 19001 , 
--						game = "唐门预发布15" 
--						} }
	for i = 1 , table.nums( data.ranking ) do
		local curData = data.ranking[i]
		local item = createItem( { index = i , data = curData } )
		scroll:addChild( item )
	end
	
	scroll:alignCenter()
	layer:addChild(scroll:getLayer() )
	
	layer:addChild(display.strokeLabel( data.show  , 41 + 200 , 160 + 373 , 20 , ccc3( 0xff , 0xfb , 0xd5 )  ) )	
	layer:addChild(display.strokeLabel( data.content  , 41 , 120 , 20 , ccc3( 0x00 , 0x00 , 0x00 ) ) )	
	
	 local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 410 , 120 + 455 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.desc
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( helpBtn )
	
	--弹出道具
	local function popupFun( awards )

		local tempLayer = baseMask( {  
									bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png" } , 
									isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
									priority = -129 }
									)
		
		
--		tempLayer:addChild( display.strokeLabel( "你已充值" .. data.rank , 87 , 550 , 20 , ccc3( 0x00 , 0x00 , 0x00 ) ) )
		tempLayer:addChild( display.strokeLabel( "你在全服充值榜排名第" .. data.rank .. ",可自选" .. awards.num .. "种奖励" , 70 , 18 + 538 , 20, ccc3( 0x00 , 0x00 , 0x00 ) ) )
									
--		local porpScroll = KNScrollView:new( 70 , 420  , 340 , 180 , 45 , true )
		local items = {}
		local function selectShow( tempItem )
			tempItem["checkState"] = not tempItem["checkState"]
			tempItem["checkSp1"]:setVisible( not tempItem["checkState"] )
			tempItem["checkSp2"]:setVisible( tempItem["checkState"] )
		end
		for i = 1 , table.nums( awards.award ) do
			local curData = awards.award[i]
			local item 
			item = awardCell( curData , { parent = porpScroll , name = true , ClickFun = function() selectShow( item ) end , getLayer = true } )
			item["checkSp1"] = display.newSprite( COMMONPATH .. "check_false.png" , 0 , 0 , 0 , 0 ) 
			item["checkSp2"] = display.newSprite( COMMONPATH .. "check_true.png" , 0 , 0 , 0 , 0 ) 
			item["checkState"] = false
			item:getLayer():addChild( item["checkSp1"] , 100 )
			item:getLayer():addChild( item["checkSp2"] , 100 )
			item["checkSp2"]:setVisible( false )
			
			items[i] = item
			setAnchPos( item:getLayer() ,  95 + ( i - 1 )%3 * ( 70 + 45 ) , 470 - math.floor( ( i - 1 ) / 3 ) * 100 , 0 , 0   )
			tempLayer:addChild( item:getLayer() )
--			porpScroll:addChild( item:getLayer() )
		end
		
--		porpScroll:alignCenter()
--		tempLayer:addChild( porpScroll:getLayer() )

		local isEnable = tonumber( data.received ) ~= 1 
		local getBtn = KNBtn:new( COMMONPATH  ,
				isEnable and  { "btn_bg_red.png" ,"btn_bg_red_pre.png"} or { "btn_bg_red2.png" } , 
				display.cx - 72 , 
				110 + 274 - 79 ,
				{
					priority = -130,
					front = COMMONPATH .. ( isEnable and "get_award.png" or "get_award_grey.png" ) ,
					callback = 
					function()
						local idGather = {}
						for i = 1 , table.nums( items ) do
							if items[i]["checkState"] then
								idGather[ #idGather + 1 ] = ( i - 1 )
							end
						end
						idGather = string.join( idGather , "," )
						
						HTTP:call("activity", "receive", { typeid = data.typeid , str = idGather },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = ACTIVITY.awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
							tempLayer:remove()
						end})
					end
				})
		getBtn:setEnable( isEnable )
		tempLayer:addChild( getBtn:getLayer() )
		
	end
	
	local getBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" ,"btn_bg_red_pre.png"} ,
			60  , 
			145 ,
			{
				priority = -128,
				front = COMMONPATH .. "get_award.png" ,
				callback = 
				function()
					local awards = data.config[ data.rank .. "" ]
					if awards  then 
						popupFun( awards )
					else
						KNMsg.getInstance():flashShow( "您的充值排名未达到领奖要求，无奖励可领！" ) 
					end
				end
			}):getLayer()
	ACTIVITY.viewLayer:addChild( getBtn )
	
	
	
	local xchangeBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" ,"btn_bg_red_pre.png"} ,
			420 - 150  , 
			145 ,
			{
				priority = -128,
				front = COMMONPATH .. "xchange.png" ,
				callback = 
				function()
					local xchangData = data[ "xchange_config" ]
					
					local tempLayer = baseMask( {  
													titlePath = { path = IMG_PATH .. "image/scene/refreshpetskill/changeSkill_title.png" , offY = -47 } , 
													bgInfo = { y = 270 ,  path = COMMONPATH  .. "tip_bg2.png" } , 
													isShowBack = { priority = -151 , x = 30 , y = 565  , backFun = function()  end } , 
													priority = -150 }
												)
								
					local xchangeScroll
					local function createItemCell( tempData )
						
						local group = display.newNode()
						local bg = display.newSprite( PATH .. "server_pay_popup.png" , display.cx , 0 , 0.5 , 0 ) 
						group:addChild( bg )
						
						for j = 1 , table.nums( tempData.award ) do
							local curProp = awardCell( tempData.award[j], { priority = -151 , parent = xchangeScroll  } )
							setAnchPos( curProp , 40 + ( j - 1 ) * 113  , 57 , 0 , 0  )
							group:addChild( curProp )
							
							if j > 1 then
								group:addChild( display.newSprite( PATH .. ( ( j ==  table.nums( tempData.award )   ) and "equal.png" or  "add.png" )  ,  40 + ( j - 2 ) * 113 + 70 , 70 , 0 , 0 ) )
							end
							
						end
					group:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" ,"btn_bg_red_pre.png"} ,
						display.cx - 73 , 
						10 ,
						{
							priority = -150,
							parent = xchangeScroll , 
							front = COMMONPATH .. "xchange.png" ,
							callback = function()
								HTTP:call("activity", "receive_pay_top_xchange", { typeid = data.typeid , index = tempData.id },{success_callback = 
								function( tempData )
									ACTIVITY:getAction( { awardProp = ACTIVITY.awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
									KNMsg.getInstance():flashShow( tempData.addStr ) 
								end})
							end
						}):getLayer() )
						
						group:setContentSize( bg:getContentSize() )	
						return group
					end
					
					xchangeScroll = KNScrollView:new( 0 , 293  , 480 , 276 , 10 ,  false , nil , { priority = -150 } )	
				
					for i = 1 , table.nums( xchangData ) do
						xchangeScroll:addChild( createItemCell( xchangData[i] ) )
					end
					
					tempLayer:addChild( xchangeScroll:getLayer() )
				end
			}):getLayer()
	ACTIVITY.viewLayer:addChild( xchangeBtn )

end
return M
