--团购活动
local M = {}

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	
	ACTIVITY:baseLayout({ line = {} , frame = { path = PATH .. "frame2.png" , y = 110 } })

	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 608 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( data.endtime  , 120 , 610 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "custom_bg.png" , display.cx , 310 , 0.5 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "custom_title.png" , display.cx , 533 , 0.5 , 0  ) )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "custom_bg2.png" , display.cx , 137 , 0.5 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "custom_bg3.png" , display.cx , 360 , 0.5 , 0  ) )


	



	local award = data.config.award
	for i = 1, #award do
		local btn = awardCell( award[i] )
		btn:addChild( display.newSprite( PATH .. "old_price.png" , -30 , -30 , 0 , 0  ) )
		btn:addChild( display.newSprite( COMMONPATH.. "gold.png" , 15 , -35 , 0 , 0  ) )
		btn:addChild( display.strokeLabel( award[i].price , 48, -32 , 18, ccc3( 0x50 , 0x28 , 0x1e )  )  )
		setAnchPos(btn, 76 + ( i - 1 ) * 130 , 431 )
		ACTIVITY.viewLayer:addChild(btn)
	end


	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "old_price.png" , 127 , 372 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( data.config.price  , 180 , 370 , 20 , ccc3( 0xff , 0xfb , 0xd3 ) ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "del_line.png" , 135 , 375 , 0 , 0  ) )

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "now_price.png" , 240 , 372 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 296 , 372 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( data.config.condition  , 330 , 372 , 20 , ccc3( 0x51 , 0x29 , 0x21 ) ) )

	
	local payBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" ,  "btn_bg_red2.png" } , 170 , 316 , 
			{
				front = PATH .. "loot_text.png" ,
				callback = 
				function()

					HTTP:call("activity", "receive", { typeid  = data.typeid ,index = 0 },{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
					end})

				end
			}):getLayer()
	ACTIVITY.viewLayer:addChild( payBtn )

	


	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "custom_tip1.png" , 60 , 244 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "custom_tip2.png" , 60 , 211 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data["integration"] , 180, 210 , 20 , ccc3( 0x50 , 0x28 , 0x1e )  )  )



	local btn = awardCell( data["exchange_config"]["award"][1] )
	btn:addChild( display.newSprite( PATH .. "need_text.png" , -14 , -30 , 0 , 0  ) )
	btn:addChild( display.strokeLabel( data["exchange_config"]["condition"] , 20, -40 , 18, ccc3( 0x50 , 0x28 , 0x1e ) , nil , nil , { dimensions_width = 30 , dimensions_height = 30 , align = 1 }  )  )
	setAnchPos(btn, 354 , 212 )
	ACTIVITY.viewLayer:addChild( btn )



	local xchangeBtn = KNBtn:new( COMMONPATH , { "btn_bg.png" , "btn_bg_pre.png" ,  "btn_bg_dis.png" } , display.cx - 40  , 143 , 
			{
				front = COMMONPATH .. "xchange.png" ,
				callback = 
				function()
					HTTP:call("activity", "receive", { typeid  = data.typeid ,index = 1 },{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
					end})	
				end
			}):getLayer()
	ACTIVITY.viewLayer:addChild( xchangeBtn )
	


end
return M
