--特惠礼包
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")


function M:show()
	local data = ACTIVITY:getData()
	
	ACTIVITY:baseLayout({ line = {} })
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()
		
		local bg = display.newSprite( COMMONPATH .. "item_bg.png" )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		layer:addChild( display.strokeLabel( "原价" .. params.data.condition .. "黄金", 25, 3 , 18 , ccc3( 0x2c , 0x00 , 0x00 ) ) )
		layer:addChild( display.newSprite( PATH .. "del_line2.png" , 25 , 10 , 0 , 0 ) )


		layer:addChild( display.strokeLabel( "VIP" .. data.viplv .. "尊享价:" ..  params.data.discount_gold , 180 , 3 , 18 , ccc3( 0x2c , 0x00 , 0x00  ) ) )


		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 105 , 30 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
			
			if i < ( #itemAwardData ) then
				layer:addChild( display.newSprite( PATH .. "add.png" , 28 + ( i - 1 ) * 105 + 85 , 60 ) )
			end
		end
		
		local isEnable =  true
--		local isEnable =  tonumber( data.payyuan ) >= tonumber( params.condition )
		local isComplete = false
		if data.received then
			--是否已经领取
			for j = 1 , #data.received do
				if tonumber( j ) == tonumber( params.index ) and tonumber( data.received[j] ) >= tonumber( params.data.num )  then
					isComplete = true
					break
				end
			end
		end
		
		local textData = { "(" ..  0 .. "/" ..  params.data.num .. ")" , 16 , ccc3( 0x2c , 0x00 , 0x00 ), ccp( 0 , -35 ) , nil , 17 } 
		if table.nums( data.received ) ~= 0 then
			local curVlaue = 0 
			for k , v in pairs( data.received ) do
				if tonumber(k) == params.index then
					curVlaue = v 
				end
			end
			if curVlaue >=   params.data.num then
				isEnable = false
			end
			textData =  { "(" ..  curVlaue .. "/" ..  params.data.num .. ")" , 16 , ccc3( 0x2c , 0x00 , 0x00 ), ccp( 0 , -35 ) , nil , 17 } 
		end
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "btn_bg_dis.png" }  or { "btn_bg.png" ,"btn_bg_pre.png"} ) or { "btn_bg_dis.png" } , 
			325 , 
			30 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and  "buy.png"  or "buy_grey.png" ) ,
--				front = COMMONPATH .. ( isEnable and "buy.png" (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				text = textData , 
				callback = 
				function()
					if not isEnable and isComplete then
						return
					end
					local mask = baseMask( {isShowBack = { y = 570 } , bgInfo = { path = IMG_PATH .. "image/scene/mission/" .. "wipe_bg.png",  y = 280 } } )
					-- 规则
					for i = 1 , #itemAwardData do
						local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
						setAnchPos( curProp , ( display.cx - ( (#itemAwardData) * 105 )/2 + 17 ) + ( i - 1 ) * 105 , 510 )
						mask:addChild( curProp )
					end
					mask:addChild( display.newSprite( PATH .. "vip_text.png" , 97 , 470 , 0 , 0 ) )
					mask:addChild( display.newSprite( PATH .. "gift_text.png" , 97 , 440 , 0 , 0 ) )
					mask:addChild( display.newSprite( PATH .. "now_text.png" , 97 , 410 , 0 , 0 ) )
					
					
					mask:addChild( display.strokeLabel( DATA_Vip:get("viplv") , 196 , 463 , 18 , ccc3( 0x00, 0x00, 0x00 ), nil, nil,
					{
						dimensions_width = 30,
						dimensions_height = 30 ,
						align = 1,
					}) )
					
					mask:addChild( display.strokeLabel( params.data.discount , 280  , 463 , 18 , ccc3( 0x00, 0x00, 0x00 ), nil, nil,
					{
						dimensions_width = 37 ,
						dimensions_height = 30 ,
						align = 1,
					}) )
					--原价
					mask:addChild( display.strokeLabel( params.data.condition , 234  , 430 , 18 , ccc3( 0x00, 0x00, 0x00 ), nil, nil,
					{
						dimensions_width = 62 ,
						dimensions_height = 30 ,
						align = 1,
					}) )
					--现价
					mask:addChild( display.strokeLabel( params.data.discount_gold , 143  , 400 , 18 , ccc3( 0x00, 0x00, 0x00 ), nil, nil,
					{
						dimensions_width = 66 ,
						dimensions_height = 30 ,
						align = 1,
					}) )
					
					
					local buyBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" ,"btn_bg_red_pre.png"} , display.cx - 73 , 330 ,
					{
						priority = -151,
						front = COMMONPATH .. "buy.png" ,
		--				front = COMMONPATH .. ( isEnable and "buy.png" (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
						callback = 
						function()
							HTTP:call("activity", "receive", { typeid = data.typeid , index = params.index  },{success_callback = 
							function()
								mask:remove()
								ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
							end})
						end
					}):getLayer()
					mask:addChild( buyBtn )
					
				
				
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	
	local sort = data.config 
	for i = 1 , table.nums( sort ) do
		local curData = sort[i]
		local item = createItem( { index = i , condition = curData.condition , data = curData } )
		scroll:addChild( item )
	end
	
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 572 , 0 , 0 ) )
	--ACTIVITY.viewLayer:addChild(display.strokeLabel( "您的黄金：" .. DATA_Account:get("gold")  , 25 , 575 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( "您是尊贵的VIP" .. data.viplv .. ",特享" .. tonumber(data.config[1]["discount"]) .. "折优惠" , 108 , 575 - 8, 20 , ccc3( 0xff , 0xfc , 0xd1 ) , nil , nil , { dimensions_width = 360 , dimensions_height = 28 ,align = 2 }) )

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( data.endtime  , 120 , 610 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )
	

end
return M
