--单充大礼
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} })
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()

		local img,vipBarImg = "item_bg.png","vip_bg_bar.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			vipBarImg="vip_bg_bar_2015.png"
		end
		
		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		
		layer:addChild( display.newSprite( PATH .. vipBarImg , 107 , 82 , 0 , 0 ) )
		layer:addChild( display.strokeLabel( "单笔充值" .. string.join( params.condition , "或") .. "元可领" , 107, 80 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 231 , dimensions_height = 25 , align = 1 } ) )
		
		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		
		local isEnable =  true
--		local isEnable =  tonumber( data.payyuan ) >= tonumber( params.condition )
		local isComplete = false
		if data.received then
			--是否已经领取
			for j = 1 , #data.received do
				if tonumber( data.received[j]) == tonumber( params.index ) then
					isComplete = true
					break
				end
			end
		end
		
		local textData = { "(" ..  0 .. "/" ..  params.data.num .. ")" , 16 , ccc3( 0x2c , 0x00 , 0x00 ), ccp( 0 , -35 ) , nil , 17 } 
		if table.nums( data.received ) ~= 0 then
			local curVlaue = 0 
			for k , v in pairs( data.received ) do
				if tonumber(k) == params.index then
					curVlaue = v 
				end
			end
			if curVlaue >=   params.data.num then
				isEnable = false
			end
			textData =  { "(" ..  curVlaue .. "/" ..  params.data.num .. ")" , 16 , ccc3( 0x2c , 0x00 , 0x00 ), ccp( 0 , -35 ) , nil , 17 } 
		end
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } , 
			305 , 
			30 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				text = textData , 
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						
						local isExist = false
						for key , v in pairs( data.pay ) do
							if tonumber(v) == tonumber( params.condition ) then
								isExist = true
								break
							end
						end
--						
--						if not isExist then
--							KNMsg.getInstance():boxShow( "只有单笔充值" .. string.join( params.condition , "或" ) .. "元才可领取该奖励,你当前充值的金额未达到,暂不能领取该奖励" ,{ 
--																	confirmText = COMMONPATH .. "pay.png" , 
--																	cancelText = COMMONPATH .. "back.png" , 
--																	confirmFun = function() switchScene("pay") end , 
--																	cancelFun = function() end 
--																	} )
--							return
--						end
						
						HTTP:call("activity", "receive_singlepay", { typeid = data.typeid , index = params.index },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	
	local sort = data.config 
	for i = 1 , table.nums( sort ) do
		local curData = sort[i .. "" ]
		local item = createItem( { index = i , condition = curData.condition , data = curData } )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild(display.strokeLabel( data.endtime  , 120 , 610 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )
	
 
end
return M
