--每日签到
local M = {
	layer,
	content
}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")

local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNProgress = requires(IMG_PATH, "GameLuaScript/Common/KNProgress")
function M:refresh(data)
	local curState = data.boss_end_time > 0 and 2 or 1 
	
	if self.content  then
		self.content:removeFromParentAndCleanup(true)
	end	
	self.content = display.newLayer()
	
	self.layer:addChild(self.content)
    
    
    if curState == 1 then
	    local tipText = display.newSprite(PATH.."boss/last_kill.png")
	    setAnchPos(tipText, 70, 275)
		self.content:addChild(tipText)
		
	   	tipText = createLabel({str = data.kill_boss_user.name or "无", size = 22, color = ccc3(255,255,255),width = 400})
		setAnchPos(tipText,180, 275)
		self.content:addChild(tipText)
	    
	    tipText = display.newSprite(PATH.."boss/last_rank.png")
	    setAnchPos(tipText, 70, 245)
	    self.content:addChild(tipText)
	    
	    local str = ""
	    for k, v in pairs(data.boss_top_user) do
		    str = str .. v.name .. "   "
	    end
	    
	   	tipText = createLabel({str = string.len(str) > 0 and str or "无", size = 22, color = ccc3(255,255,255),width = 250})
		setAnchPos(tipText,180, 270,0,1)
		self.content:addChild(tipText)
	    
	    tipText = display.newSprite(PATH.."boss/start_time.png")
	    setAnchPos(tipText, 240, 175,0.5)
	    self.content:addChild(tipText)
	    
	   	local timeText = createLabel({str = "剩余开启时间:", size = 18, color = ccc3(255,255,255),width = 400})
		setAnchPos(timeText,140, 105)
		self.content:addChild(timeText)
		
	   	local startTime = createLabel({str = timeConvert(data.boss_open_time), size = 18, color = ccc3(255,255,255),width = 400})
		setAnchPos(startTime,260, 105)
		self.content:addChild(startTime)
		
		Clock:addTimeFun("boss_start",function()
			if data.boss_open_time > 0 then
				data.boss_open_time = data.boss_open_time - 1
				startTime:setString(timeConvert(data.boss_open_time))
			end
		end)
		
	else
		local progress = KNProgress:new(PATH.."boss/", {"hp_bg.png", "hp.png"}, 80, 285 ,{
			showText = true,
			color = ccc3(255,255,255),
			cur = data.boss_info.hp,
			max = data.boss_info.org_hp,
			leftIcon = {"icon.png",15,30}
		})
		self.content:addChild(progress:getLayer())
		
		--排名
		local tipText = display.newSprite(PATH.."boss/cur_rank.png")
	    setAnchPos(tipText, 70, 250)
		self.content:addChild(tipText)
		
    	tipText = createLabel({str = data.boss_user_info.rank, size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(tipText,165, 250)
		self.content:addChild(tipText)
	    
	    --攻击次数，总伤害
	    tipText = display.newSprite(PATH.."boss/attack_info.png")
	    setAnchPos(tipText, 70, 220)
	    self.content:addChild(tipText)
	    
    	tipText = createLabel({str = data.boss_user_info.count, size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(tipText,140, 220)
		self.content:addChild(tipText)
		
		tipText = createLabel({str = data.boss_user_info.num, size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(tipText,310, 220)
		self.content:addChild(tipText)
		
	    
	    --帮会加成信息
	    tipText = display.newSprite(PATH.."boss/gang_info.png")
	    setAnchPos(tipText, 70, 190)
	    self.content:addChild(tipText)
	    
		tipText = createLabel({str = data.alliance_lv, size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(tipText,165, 190)
		self.content:addChild(tipText)
		
		tipText = createLabel({str = data.alliance_jc.."%", size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(tipText,345, 190)
		self.content:addChild(tipText)
	    
	    tipText = display.newSprite(PATH.."boss/rest_time.png")
	    setAnchPos(tipText, 250, 310)
	    self.content:addChild(tipText)
	    
	    tipText = display.newSprite(COMMONPATH.."gold.png")
	    setAnchPos(tipText, 90, 100)
	    self.content:addChild(tipText)
	    
    	local gold = createLabel({str = data.fh_gold, size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(gold,120, 102)
		self.content:addChild(gold)
	    
    	local timeText = createLabel({str = timeConvert(data.boss_end_time), size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(timeText,380, 315)
		self.content:addChild(timeText)
		
    	local coldTime = createLabel({str = timeConvert(data.fight_time), size = 20, color = ccc3(255,255,255),width = 400})
		setAnchPos(coldTime,310, 102)
		self.content:addChild(coldTime)
		
		local count = 0
		
		Clock:addTimeFun("boss_fight_cold",function()
			if data.fight_time > 0 then
				data.fight_time = data.fight_time - 1
				coldTime:setString(timeConvert(data.fight_time))
			end
			
			if data.boss_end_time > 0 then
				data.boss_end_time = data.boss_end_time - 1
				timeText:setString(timeConvert(data.boss_end_time))
			
			end
			
			count = count + 1
			if count % data.la_time == 0 then
				HTTP:call("activity", "get_ultimate_boss_info", {type = "ultimate_boss"}, {
					no_mask = true,
					no_loading = true,
					success_callback = function(sh)
							data = sh.data
							self:refresh(data)
							if #data.sh_show > 0 then
								for i = math.random(1,math.ceil(#data.sh_show / 2)), math.random(math.ceil(#data.sh_show / 2),#data.sh_show) do
									local img = getImageNum(data.sh_show[i].hp,COMMONPATH.."cirt.png")
									setAnchPos(img,math.random(200,300),math.random(350,500),0.5,0.5)
									self.content:addChild(img)
									
									img:addChild(display.newSprite( IMG_PATH ..  "image/scene/battle/effect/reduce_flag.png", -10, 25))
									
									img:setScale(0)
									img:runAction(getSequenceAction(CCEaseElasticOut:create(CCScaleTo:create(0.8,0.7)),CCCallFunc:create(function()
										img:runAction(getSequenceAction(getSpawnAction(CCMoveTo:create(0.5,ccp(img:getPositionX(),img:getPositionY() + 100)),CCFadeOut:create(0.5)),CCCallFunc:create(function()
											self.content:removeChild(img,true)
										end)))
									end)))
								end
							end
					end
				})
			end
			
		end)
	end
    
    local state = {
	    left = {
		    {"rank.png",function()
			    HTTP:call("activity", "receive_ultimate_boss_top", {},{
				    success_callback = function(result)
					    self:rank(result)
				    end
			    })
		    end},
		    {"revive.png", function()
			    HTTP:call("activity", "receive_ultimate_boss_fh", {},{
				    success_callback = function(result)
					    data  = result.data
					    self:refresh(data)
					    KNMsg.getInstance():flashShow("复活成功，你可以继续挑战BOSS")
				    end
			    })
		    end}
	    },
	    right = {
		    {"start.png", function()
			    if data.boss_open_time > 0 then
				    KNMsg.getInstance():flashShow("boss战还未开始")
				else
					switchScene("activity",{findCurKeyByName="ultimate_boss"},function()
					    KNMsg.getInstance():flashShow("boss战开始")
					end)
			    end
		    end},
		    {"atk.png",function()
			    HTTP:call("activity" , "execute", {},{
				    success_callback = function(result)
						DATA_Battle:setMod("guide")
						DATA_Battle:setAct("guide")
						DATA_Battle:set( result )
						DATA_Result:set({data = result,type = "mission"})

						switchScene("boss" , {overFun = function() switchScene("activity", {findCurKeyByName = "ultimate_boss"}, function()
							KNMsg.getInstance():flashShow("本次伤害值:"..result.sh_hp)
						end) end})
				    end
			    })
		    end}
	    }
    }
    
    local leftBtn = KNBtn:new(COMMONPATH,{"btn_bg_red.png", "btn_bg_red_pre.png"},50,130,{
	    front = PATH.."boss/"..state.left[curState][1],
	    callback = state.left[curState][2] 
    })
    self.content:addChild(leftBtn:getLayer())
    
    
    local rightBtn = KNBtn:new(COMMONPATH,{"btn_bg_red.png", "btn_bg_red_pre.png"},280,130,{
	    front = PATH.."boss/"..state.right[curState][1],
	    callback = state.right[curState][2] 
    })
    self.content:addChild(rightBtn:getLayer())
    
    if data.award_show_state == 1 then
		self:awardTip(data)
	end
end

function M:rank(data)
	local temp = display.newLayer()
	
	local mask = KNMask:new({item = temp})			
	
	local bg = display.newSprite(COMMONPATH.."desc_bg.png")	
	setAnchPos(bg, 240, 425, 0.5, 0.5)
	bg:setScaleX(1.1)
	temp:addChild(bg)
	
	
	local info
	local function list(kind)
		if info then
			temp:removeChild(info,true)
		end
		info = display.newLayer()
		
		local scroll = KNScrollView:new(0,230,480,350,5,false,0,{priority = -132})
		info:addChild(scroll:getLayer())
		
		local listInfo
		
		if kind == "self" then
			listInfo = data.user_top
			local tip = display.newSprite(PATH.."boss/my_rank.png") 
			setAnchPos(tip, 60, 200)
			info:addChild(tip)
			
			tip = display.newSprite(PATH.."boss/my_hit.png") 
			setAnchPos(tip, 260, 200)
			info:addChild(tip)
			
	    	tip = createLabel({str = data.boss_user_info.user_rank, size = 20, color = ccc3(0,0,0),width = 400})
			setAnchPos(tip,170, 202)
			info:addChild(tip)
			
			tip = createLabel({str = data.boss_user_info.num, size = 20, color = ccc3(0,0,0),width = 400})
			setAnchPos(tip,360, 202)
			info:addChild(tip)
		else
			listInfo = data.alliance_top
			local tip = display.newSprite(PATH.."boss/gang_rank_text.png") 
			setAnchPos(tip, 60, 200)
			info:addChild(tip)
			
			tip = display.newSprite(PATH.."boss/total_hit.png") 
			setAnchPos(tip, 260, 200)
			info:addChild(tip)
			
	    	tip = createLabel({str = data.boss_user_info.alliance_rank, size = 20, color = ccc3(0,0,0),width = 400})
			setAnchPos(tip,170, 202)
			info:addChild(tip)
			
			tip = createLabel({str = data.boss_user_info.alliance_num, size = 20, color = ccc3(0,0,0),width = 400})
			setAnchPos(tip,380, 202)
			info:addChild(tip)
		end
		
		for k, v in pairs(listInfo) do
			local bg = display.newSprite(COMMONPATH.."item_bg.png")
			
			local rank
			if k < 3 then
				rank = display.newSprite(IMG_PATH.."image/scene/ranklist/"..k..".png")	
			else
				rank = display.strokeLabel(k.."", 0, 0, 55, ccc3(0xed, 0x17, 0x16))
			end
			setAnchPos(rank,420,20,1)
			bg:addChild(rank)
			
			if kind == "self" then
				local icon = KNBtn:new(COMMONPATH , { getHeadPath(v.img) } , 17 , 24 , {
							front = COMMONPATH.."role_frame.png",
							scale = true , 
							parent = scroll,
							callback = function()
								local uid = DATA_Rank:get(kind, "list",pos, "uid")
								if not uid  then
									switchScene("userinfo")
								else
									HTTP:call("profile","get",{ touid = uid },{success_callback = 
										function()
											local otherPalyerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/otherPlayerInfo")
											display.getRunningScene():addChild( otherPalyerInfo:new():getLayer() )
										end})
								end
							end
						}):getLayer()
				bg:addChild(icon)
				
				local name = display.strokeLabel(v.name, 100, 55, 24 ,nil, nil, nil, {
					dimensions_width = 270,
					dimensions_height = 30 ,
					align = 0
				})
				bg:addChild(name)
				
				name = display.strokeLabel("伤害血量:"..v.num, 100, 25, 24 ,nil, nil, nil, {
					dimensions_width = 270,
					dimensions_height = 30 ,
					align = 0
				})
				bg:addChild(name)
			else
				local name = display.strokeLabel(v.name.."(Lv"..v.lv..")", 130, 55, 24 ,nil, nil, nil, {
					dimensions_width = 270,
					dimensions_height = 30 ,
					align = 0
				})
				bg:addChild(name)
				
				name = display.newSprite(PATH.."boss/gang.png")
				setAnchPos(name,60,60)
				bg:addChild(name)
				
				name = display.newSprite(PATH.."boss/total_hit.png")
				setAnchPos(name,10,25)
				bg:addChild(name)
				
				name = display.strokeLabel(v.num, 130, 20, 24 ,nil, nil, nil, {
					dimensions_width = 270,
					dimensions_height = 30 ,
					align = 0
				})
				bg:addChild(name)
			end
			
			
			scroll:addChild(bg)
		end
		scroll:alignCenter()
		
		temp:addChild(info)
	end
	
	
	
	local group = KNRadioGroup:new()
	
	local tab = {
		{"self"},
		{"gang"}
	}
	
	for k,v in pairs(tab) do
		local btn = KNBtn:new(PATH.."boss/", {v[1].."_rank.png", v[1].."_rank_select.png"}, 80 + (k - 1) * 150, 580, {
			priority = -132,
			callback = function()
				list(v[1])		
			end
		},group)
		temp:addChild(btn:getLayer())
	end
	
	group:chooseByIndex(1,true)
	
--	bg = display.newSprite(PATH.."boss/award_title.png")	
--	setAnchPos(bg, 240, 590,0.5)
--	temp:addChild(bg)
--	
--	bg = display.newSprite(PATH.."boss/kill_text.png")	
--	setAnchPos(bg, 40, 560)
--	temp:addChild(bg)
--	
--	bg = display.newSprite(PATH.."boss/kill_bg.png")	
--	setAnchPos(bg, 240, 480, 0.5)
--	temp:addChild(bg)
	
--	local name = createLabel({str = data.kill_boss_user.name, size = 24, color = ccc3(0,0,0),width = 400})
--	setAnchPos(name, 160, 505)
--	temp:addChild(name)
--	
--	local btn = awardCell(data.kill_boss_award[1], {})
--	setAnchPos(btn, 370, 485)
--	temp:addChild(btn)
--	
--	bg = display.newSprite(PATH.."boss/self_text.png")	
--	setAnchPos(bg, 41, 440)
--	temp:addChild(bg)
--	
--	bg = display.newSprite(PATH.."boss/self_bg.png")	
--	setAnchPos(bg, 240, 280, 0.5)
--	temp:addChild(bg)
--	
--	local num = createLabel({str = data.boss_user_info.num, size = 24, color = ccc3(0,0,0),width = 400})
--	setAnchPos(num, 160, 395)
--	temp:addChild(num)
--	
--	num = createLabel({str = data.boss_user_info.rank, size = 24, color = ccc3(0,0,0),width = 400})
--	setAnchPos(num, 200, 365)
--	temp:addChild(num)
--	
--	num = createLabel({str = data.boss_user_info.alliance_rank, size = 24, color = ccc3(0,0,0),width = 400})
--	setAnchPos(num, 390, 365)
--	temp:addChild(num)
	
	
	
	local close = KNBtn:new(COMMONPATH, {"back_img.png", "back_img_press.png"}, 20, 580, {
		priority = -132,
		callback = function()
				mask:remove()
		end
	})
	temp:addChild(close:getLayer())
	
	self.layer:addChild(mask:getLayer(),10)
end

function M:awardTip(data)
	local temp = display.newLayer()
	
	local mask = KNMask:new({item = temp})			
	
	local bg = display.newSprite(COMMONPATH.."bg_img.png")	
	setAnchPos(bg, 240, 425, 0.5, 0.5)
	bg:setScaleX(1.1)
	temp:addChild(bg)
	
	bg = display.newSprite(PATH.."boss/award_title.png")	
	setAnchPos(bg, 240, 590,0.5)
	temp:addChild(bg)
	
	bg = display.newSprite(PATH.."boss/kill_text.png")	
	setAnchPos(bg, 40, 560)
	temp:addChild(bg)
	
	bg = display.newSprite(PATH.."boss/kill_bg.png")	
	setAnchPos(bg, 240, 480, 0.5)
	temp:addChild(bg)
	
	local name = createLabel({str = data.kill_boss_user.name, size = 24, color = ccc3(0,0,0),width = 400})
	setAnchPos(name, 160, 505)
	temp:addChild(name)
	
	local btn = awardCell(data.kill_boss_award[1], {})
	setAnchPos(btn, 370, 485)
	temp:addChild(btn)
	
	bg = display.newSprite(PATH.."boss/self_text.png")	
	setAnchPos(bg, 41, 440)
	temp:addChild(bg)
	
	bg = display.newSprite(PATH.."boss/self_bg.png")	
	setAnchPos(bg, 240, 280, 0.5)
	temp:addChild(bg)
	
	local num = createLabel({str = data.boss_user_info.num, size = 24, color = ccc3(0,0,0),width = 400})
	setAnchPos(num, 160, 395)
	temp:addChild(num)
	
	num = createLabel({str = data.boss_user_info.rank, size = 24, color = ccc3(0,0,0),width = 400})
	setAnchPos(num, 200, 365)
	temp:addChild(num)
	
	num = createLabel({str = data.boss_user_info.alliance_rank, size = 24, color = ccc3(0,0,0),width = 400})
	setAnchPos(num, 390, 365)
	temp:addChild(num)
	
	for k, v in pairs(data.user_award) do
		local btn = awardCell(v, {name = false})
		setAnchPos(btn, 80 + (k - 1) * 120, 295)
		temp:addChild(btn)
	end
	
	
--			local titleText = display.newSprite(PATH.."help_title.png")
--			setAnchPos(titleText, 240, 600, 0.5)
--			temp:addChild(titleText)
	
	
	local ok = KNBtn:new(COMMONPATH, {"btn_bg_red.png", "btn_bg_red_pre.png"}, 160, 230, {
		front = COMMONPATH.."ok.png",
		priority = -132,
		callback = function()
			HTTP:call("activity", "receive_ultimate_boss_award_show", {}, {
				success_callback = function(result)
					data.award_show_state = 0
					mask:remove()
				end
			})
		end
	})
	temp:addChild(ok:getLayer())
	
	self.content:addChild(mask:getLayer(),10)
end

function M:show(params)
	local this = {}
	setmetatable(this,self)
	self.__index = self
	
    this.layer = display.newLayer()
    
    local bg = display.newSprite(PATH.."boss/act_bg.jpg")
    setAnchPos(bg, 240, 400, 0.5, 0.5)
    this.layer:addChild(bg)
    
    local img = display.newSprite(PATH.."boss/boss_img.png")
    setAnchPos(img, 240, 470, 0.5, 0.5)
     this.layer:addChild(img)
     
     
    
    local seq = getSequenceAction(CCMoveTo:create(0.8,ccp(240,490)),CCMoveTo:create(0.8,ccp(240,470)))
    tolua.cast(seq,"CCActionInterval")
    
    img:runAction(CCRepeatForever:create(seq))
    
    local name = display.newSprite(PATH.."boss/name_bg.png")
    setAnchPos(name, 240, 675, 0.5, 0.5)
     this.layer:addChild(name)
    
   name = display.newSprite(PATH.."boss/boss_name.png")
    setAnchPos(name, 240, 673, 0.5, 0.5)
     this.layer:addChild(name)
     
     
	local lv = createLabel({str = "Lv"..ACTIVITY:getData().boss_info.lv, size = 24, color = ccc3(207,143,77),width = 400})
	setAnchPos(lv,240 + name:getContentSize().width / 2, 671,0,0.5)
	this.layer:addChild(lv)

     
     
	local help = KNBtn:new(COMMONPATH, {"help.png", "help_press.png"}, 420, 655, {
		callback = function()
			local temp = display.newLayer()
			
			local mask = KNMask:new({item = temp})			
			
			local bg = display.newSprite(IMG_PATH.."image/scene/mission/bg.png")	
			setAnchPos(bg, 240, 425, 0.5, 0.5)
			temp:addChild(bg)
			
			local scroll = KNScrollView:new(40, 280, 400, 320)

			
--			local titleText = display.newSprite(PATH.."help_title.png")
--			setAnchPos(titleText, 240, 600, 0.5)
--			temp:addChild(titleText)
			
--			local helpText = createLabel({str = replaceStr(str), color = ccc3(0, 0, 0), width = 400, height = 0, size = 18, height = 0})
			local helpText = CCLabelTTF:create(replaceStr(ACTIVITY:getData().content), FONT, 20) 
			helpText:setDimensions(CCSize(400,0))
			helpText:setColor(ccc3(0, 0, 0))
			helpText:setHorizontalAlignment(0)
			
			scroll:addChild(helpText)
			temp:addChild(scroll:getLayer())
			
			local ok = KNBtn:new(COMMONPATH, {"btn_bg_red.png", "btn_bg_red_pre.png"}, 160, 230, {
				front = COMMONPATH.."ok.png",
				priority = -132,
				callback = function()
					mask:remove()
				end
			})
			temp:addChild(ok:getLayer())
			
			this.layer:addChild(mask:getLayer(),10)
		end
	})
	this.layer:addChild(help:getLayer())
    
   
   this:refresh(ACTIVITY:getData())

    ACTIVITY.viewLayer:addChild( this.layer )
 
end
return M
