--超值月卡
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show( params )
	params = params or {}
	local topParams = params
	local isParent = params.parentLayer and true or false
	local parentLayer ,  data = nil , nil 
	local curLayer = display.newLayer()
	if isParent then
		parentLayer =  params.parentLayer
		data = params.data
	else
		parentLayer = ACTIVITY.viewLayer
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} })
	end
	parentLayer:addChild( curLayer )
	
--	data.received = 10
--	data.awardstate = 2

	
	
	local scroll = KNScrollView:new( 0, 130, 480, 240 , 10 , false )
	local function createItem( params )
		params = params or {}
		dump(params)
		local layer = display.newLayer()
		
		local bg = display.newSprite( COMMONPATH .. "item_bg2.png" )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		
		local str = "价值" .. params.data.day * params.data.gold  .. "黄金(每天领" .. params.data.gold .. ",领".. params.data.day .. "天)"
		local card = awardCell( { cid = params.data.cid } , { parent = scroll , tipStr = str } ) 
		setAnchPos( card , 6 , 35 , 0 , 0 )
		layer:addChild( card )
		
		layer:addChild( display.strokeLabel( params.data.name , 80, 55 , 24 , ccc3( 0xb3 , 0x19 , 0x19 ) ) )
		
--		local textElement = { 
--								{ text = "每天" , addX = 77 , width = 40 , align = 1} , 
--								{ text = params.data.max .. "*" .. params.data.gold .. "=" , addX = 144 , width = 85  , align = 1 } , 
--								{ text = tonumber( params.data.max ) * tonumber( params.data.gold ) , addX = 260 , width = 85 , align = 0 } , 
--							}
--		for i = 1 , #textElement do
--			layer:addChild( display.strokeLabel( textElement[i].text , textElement[i].addX , 30 , 20 , ccc3( 0x2d , 0x00 , 0x00 ) , nil , nil , { dimensions_width = textElement[i].width , dimensions_height = 25 , align = textElement[i].align } ) )
--		end
--		layer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 115 , 30 , 0 , 0 ) )
--		layer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 227 , 30 , 0 , 0 ) )
--		
		

		layer:addChild( display.strokeLabel( str , 12, 10 , 20 , ccc3( 0x2d , 0x00 , 0x00 ) ) )
		

		local isEnable = ( tonumber( data.received ) == 0 or tonumber( data.received ) == tonumber( params.data.money ) )--是否激活状态
		
		local isComplete = data.awardstate == 2 --是否领取
		local textData = nil
		if isEnable then 
			if tonumber( data.received ) ~= 0 then
				textData =  { "(" ..  data.awardnum .. "/" ..  params.data.day .. ")" , 16 , ccc3( 0x2c , 0x00 , 0x00 ), ccp( 0 , -35 ) , nil , 17 } 
			end
		end
		
		
		local getBtn 
		getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( ( tonumber( data.received ) == 0 ) and { "btn_bg.png" ,"btn_bg_pre.png"} or ( isComplete and { "btn_bg_dis.png" } or { "btn_bg.png" ,"btn_bg_pre.png"} ) ) or { "btn_bg_dis.png" }  , 
			315 , 
			40 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and ( ( tonumber( data.received ) == 0 ) and "buy.png" or ( isComplete and "get_complete.png" or "get.png")  ) or "buy_grey.png" ) ,
				text = textData  ,
				callback = 
				function()
					if isEnable then	
						if  tonumber( data.received ) == 0  then
							switchScene( "pay" , { card = params.data.money } )
						else 
							if not isComplete then
		 						HTTP:call("activity", "receive_valuablecard", {typeid = data.typeid },{success_callback = 
								function()
									ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() 									
										if isParent then 
											curLayer:removeFromParentAndCleanup(true)
											
											if topParams.refreshFun then
												topParams.refreshFun()
											end
											if data.received ~= 0  then
												getBtn:setEnable( false )
												getBtn:setFront( COMMONPATH .. "get_complete.png" )
											end
											
										else
											ACTIVITY:selectActivity() 
										end     
									end } )
								end})
							end
						end
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	

	
	local gril = display.newSprite( IMG_PATH .. "image/scene/battle/fruit/girl.png" , 210+30 , 304 - 25 , 0 , 0 ) 
	gril:setScale( 0.78 )
	curLayer:addChild( gril )
	curLayer:addChild( display.newSprite( PATH .. "tip_bg.png" , 10 , 465   , 0 , 0 ) )
	local str = "购买月卡后，返还的黄金分30次领取，每天1次绝对超值，赶快行动吧!"
	curLayer:addChild( display.strokeLabel(replaceStr(str), 40 , 471 , 18 , ccc3( 0x2c , 0x00 , 0x00 ), nil, nil, {
				dimensions_width = 226,
				dimensions_height = 90
			}))
	local tipTitle = createTitle( PATH .. "valuablecard_tip_title.png" , { offX = 20 } ) 
	setAnchPos( tipTitle , 10 , 554 , 0 , 0 )  
	curLayer:addChild( tipTitle ) 
	
	curLayer:addChild( display.newSprite( IMG_PATH .. "image/scene/war/info_bg.png" , display.cx , 107 , 0.5 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "title_bg.png" , display.cx , 365 , 0.5 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "month_card_title.png" , display.cx , 365 , 0.5 , 0 ) )
	
	
	
	
	local sort = data.config 
	local isDis = false
	local isExist = { [ data.received .."" ] = data.received , ["50"] = 50 }
	for i = 1 , table.nums( sort ) do
		local curData = sort[i]
		isDis = ( ( CHANNEL_ID == "tmsjIosAppStore" or  CHANNEL_ID == "appFameOfficial" or CHANNEL_ID =="jstfIosAppStore" or CHANNEL_ID =="hysjIosAppStore" or CHANNEL_ID=="tgxyIosAppStore" ) and ( curData.cid == "card10" or curData.cid == "card50" ) )   
		
		if isDis then
			
			if data.received == curData.money then
				isDis = false
			end
		end
		
		if not isDis then
			local item = createItem( { index = i ,  data = curData } )
			scroll:addChild( item )
		end
	end
	scroll:alignCenter()
	curLayer:addChild(scroll:getLayer() )
	
	curLayer:addChild( display.strokeLabel( "提示：一次只能购买一张月卡，每天0点刷新领取" , 60 , 112 , 16 , ccc3( 0x65 , 0xe8 , 0xda ) ) )
	curLayer:addChild( display.strokeLabel( "月卡需在30天内领完,每日领取,不可累积领取！" , 30 , 432 - 60 , 18 , ccc3( 0x65 , 0xe8 , 0xda ) , nil, nil, {
				dimensions_width = 215,
				dimensions_height = 90
			}) )
	
 
end
return M
