--对酒活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local handler
function M:show( params )

	local params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} , frame = {} })
	end
	parentLayer:addChild( curLayer )
	
	
	
	local baseY = 155 
	
	
	local roleSp = display.newSprite( PATH .. "wine_role.png" )
	setAnchPos( roleSp , display.cx , baseY + 275 , 0.5 , 0 )
	curLayer:addChild( roleSp )
	
--	local everydayTime = display.newSprite( PATH .. "everyday_time.png" )
--	setAnchPos( everydayTime , display.cx , baseY + 470  , 0.5 , 0.5 )
--	curLayer:addChild( everydayTime )
	
	local shade = display.newSprite( PATH .. "shade1.png" )
	setAnchPos( shade , display.cx , baseY + 200 - 28  , 0.5 , 0 )
	curLayer:addChild( shade )
	
	local wineTimeSp1 = display.newSprite( PATH .. "wine_one.png" )
	setAnchPos( wineTimeSp1 , 110 - 30  , baseY + 200   , 0 , 0 )
	curLayer:addChild( wineTimeSp1 )
	
	local wineTimeSp2 = display.newSprite( PATH .. "wine_two.png" )
	setAnchPos( wineTimeSp2 , 283  , baseY + 200   , 0 , 0 )
	curLayer:addChild( wineTimeSp2 )
	
	local wineTimeBg = display.newSprite( PATH .. "wine_time_bg.png" )
	setAnchPos( wineTimeBg , display.cx  , baseY + 130  , 0.5 , 0 )
	curLayer:addChild( wineTimeBg )
	
	local wineFlag = display.newSprite( PATH .. "wine_flag.png" )
	setAnchPos( wineFlag , 80  , baseY - 35  , 0 , 0 )
	curLayer:addChild( wineFlag )
	
	local wineTimeText = display.strokeLabel( ""  , display.cx - 316 / 2, baseY + 128 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 316 , dimensions_height = 30 , align = 1 } )
	curLayer:addChild( wineTimeText )
	
	local tempAwardData = { [1] = { cid = data.award.cid , num = data.award.num } , }
	for i = 1 , #tempAwardData do
		local curProp = awardCell( tempAwardData[i] )
		setAnchPos( curProp , display.cx + ( i - 1 ) * 85 + 43 , 190 )
		curLayer:addChild( curProp )
	end
	
	
	
	
	
	local isEnable = false	--是否修改
	local isFrist = true	--是否修改过
	local getBtn
	local function createGetBtn()
		if getBtn then
			getBtn:removeFromParentAndCleanup(true)	-- 清除自己
			getBtn = nil
		end
		getBtn = KNBtn:new( COMMONPATH , 
		isEnable and { "btn_bg_red.png" ,"btn_bg_red_pre.png"} or { "btn_bg_red2.png" } , 
		display.cx , 
		baseY - 25 ,
		{
			priority = -130,
			front = PATH .. ( isEnable and "my_wine.png" or "my_wine_grey.png" ) ,
			callback = 
			function()
				if isEnable then
					HTTP:call("activity", "receive_wine", { typeid = data.typeid },{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = "" , onComplete = 
							function() 
								if isParent then 
									curLayer:removeFromParentAndCleanup(true)
									topParams.refreshFun()
								else
									ACTIVITY:selectActivity() 
								end 
							end } )
					end})
				else
--					KNMsg.getInstance():flashShow( "今天奖励已领取！" )
				end
			end
		}):getLayer()
		curLayer:addChild( getBtn )
	end
	
	local function refreshTime()
		local str , isShow =  DATA_Activity:getWineInfo()
		wineTimeText:setString( replaceStr( str ) )
		if isFrist then
			isFrist = false
			isEnable = isShow
			createGetBtn()
		end
		if isEnable ~= isShow then
			isEnable = isShow
			createGetBtn()
		end
	end
	handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(refreshTime , 1 , false)
	ACTIVITY:setHandler( handler )
	refreshTime()
 	
	local isOtherScene = false 	--是否其它界面
    local function flashFun()
      local flashData = data.giftpurchase   --是否存在闪购 
     -- flashData = { buy_type = "pay" ,  price = 10 , award = { { cid = 7003 , num = 10 } } }
      if flashData then
       
        local isGoldBuy = flashData.buy_type ~= "pay" 
        
      
        local FLASHPATH = PATH
        local tempLayer = baseMask( { 
                        bgInfo = {path = IMG_PATH.."image/scene/mission/wipe_bg.png" , y = 280 } , 
                        titlePath = { path = FLASHPATH .. "flash_buy_title.png"  , offX = 0  } , 
                        priority = -201 , 
                      } )
                      
                      
	tempLayer:addChild( display.newSprite( PATH .. "server_pay_popup.png" , display.cx , 420 , 0.5 , 0  ) )
											
											
                      
                      
                      
	tempLayer:addChild( display.strokeLabel( "幸运闪购来袭，您本次可闪购的物品如下:"  , 0 , 566 , 18, ccc3( 0x00 , 0x00 , 0x00 ) , nil , nil , { dimensions_width = 480 , dimensions_height = 30 , align = 1 } ) )
	tempLayer:addChild( display.strokeLabel( "幸运价:" .. flashData.price .. ( isGoldBuy and replaceStr( "黄金" ) or "元" ) , 285 , 566 - 87  , 18, ccc3( 0x00 , 0x00 , 0x00 ) ) )
	if not isGoldBuy then
		-- tempLayer:addChild( display.strokeLabel( "温馨提示：此处的购买不会获得" .. replaceStr( "黄金" ) .. "，闪购物品由邮件发送！"  , 60 , 360 , 18, ccc3( 0xb4 , 0x03 , 0x00 ) , nil , nil , { dimensions_width = 366 , dimensions_height = 60 , align = 1 } ) )
		tempLayer:addChild( display.strokeLabel( "说明：点击购买，付款成功后可通过邮件领取该闪购物品（闪购不属于充值购买" .. replaceStr( "黄金" ) .. "）！"  , 60 , 360 , 18, ccc3( 0xb4 , 0x03 , 0x00 ) , nil , nil , { dimensions_width = 366 , dimensions_height = 60 , align = 1 } ) )
		
	end
        
        
        local icon = awardCell( flashData.award[1] , { name = true , star = true ,} )
        setAnchPos( icon , display.cx - 35 , 475 , 0.5 , 0 )
        tempLayer:addChild( icon )
        
        local function cancelFun()

          KNMsg.getInstance():boxShow( "关闭闪购后将会失去闪购机会哦" ,{ 
                  confirmText = COMMONPATH .. "confirm.png" , 
                  confirmFun = function() 
                  	HTTP:call("activity", "receive_giftpurchase_del", { },{success_callback = function()end}) 
      	    		if isOtherScene then
			    		switchScene( "home" )
			    	end
                  end , 
                  cancelFun = function()         	
                  		if not isOtherScene then
	        				flashFun()
                  		end
        	 		end 
                  } )
        end
                      
        tempLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" } , 72 ,  320  , {
                    priority = -201 ,
                    front = COMMONPATH .. "buy.png" , 
                    callback = function()
                      if isGoldBuy then
                        --黄金购买
                        HTTP:call("activity", "receive_giftpurchase", {},{success_callback = function( tempData ) tempLayer:remove() inform( tempData ) end})
                      else
                      	tempLayer:remove()
                        switchScene( "pay" , { closeFun = function() isOtherScene = true cancelFun() end , flashBuy = { money = flashData.price , type = 2 } } )
                      end
                    end
                    } ):getLayer() )
                    
              
                    
        tempLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" } , 257 ,  320  , {
                    priority = -201 ,
                    front = COMMONPATH .. "cancel.png" , 
                    callback = function()
                      tempLayer:remove()
						cancelFun()
                    end
                    } ):getLayer() )
                    
        tempLayer:addChild( display.newSprite( FLASHPATH .. "privilege_flag.png" , 40 , 450  , 0 , 0  ) )
        
        
      end
  end
  flashFun()
	
end
return M
