--超值兑换
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )

	ACTIVITY:baseLayout({ line = {} })
	
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()

		local img = "item_bg.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			
		end
		
		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		
		layer:addChild( display.newSprite( PATH .. "add.png" , 87 , 40 , 0 , 0 ) )
		layer:addChild( display.newSprite( PATH .. "equal.png" , 193 , 40 , 0 , 0 ) )
		layer:addChild( display.strokeLabel( "(" .. params.data.have_num .."/" .. params.data.num .. ")" , 370 , 17 , 20 ,ccc3( 255 , 255 , 255 ) ) )
		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , 2 do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll ,  name = {color=ccc3(255,255,255)} } )
			setAnchPos( curProp , 20 + ( i - 1 ) * 100 , 30 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end


		for i=3 , 6 do
			local index = i - 2

			if itemAwardData[index+2] then 
				local curProp = awardCell( itemAwardData[index+2] , { parent = scroll , noScale = true } )
				setAnchPos( curProp , 243 + (index % 2 == 1 and 0 or 53) , index <= 2 and 60 or 7 )
				local size = curProp:getContentSize()
				curProp:setContentSize( CCSizeMake( size.width * 0.6 , size.height * 0.6 ) )
				curProp:setScale(0.6)

				layer:addChild( curProp )
				awardProp[ #awardProp + 1 ] = curProp
			else
				local emptyBtn = KNBtn:new( COMMONPATH , { "empty_btn.png" } ,0 , 0 , 
								 { 
								 	parent = scroll , 
								 	callback = function()
									 	
							 		 end
								 }):getLayer()
				local size = emptyBtn:getContentSize()
				emptyBtn:setContentSize( CCSizeMake( size.width * 0.9 , size.height * 0.9 ) )
				emptyBtn:setScale(0.9)
				setAnchPos( emptyBtn , 243 + (index % 2 == 1 and 0 or 53) , index <= 2 and 60 or 7 )
				layer:addChild( emptyBtn )
			end

		end




		local isEnable =  tonumber( params.data.have_num ) < tonumber( params.data.num )
		local isComplete = tonumber( params.data.have_num ) >= tonumber( params.data.num )
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "btn_bg_dis.png" }  or { "btn_bg.png" ,"btn_bg_pre.png"} ) or { "btn_bg_dis.png" } , 
			350 , 
			44 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "xchange.png" ) or "get_over.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						
						if  DATA_Vip:get("viplv") < params.viplv then
							KNMsg.getInstance():boxShow( "您的VIP等级未达到，暂不能领取该奖励！" ,{ 
																	confirmText = PATH .. "become_vip.png" , 
																	cancelText = COMMONPATH .. "back.png" , 
																	confirmFun = function() switchScene("pay") end , 
																	cancelFun = function() end 
																	} )
							return
						end
						HTTP:call("activity", "receive_xchange", { typeid = data.typeid , index = params.data.id },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	local sort = data.config 
	for i = 0 , 10 do
		local curData = ( isNew and sort[ i ] or sort[ i .. "" ] )
		if curData then
			local tempLayer = display.newLayer()
			if isNew and i == 1 then
				tempLayer:addChild( display.strokeLabel( "VIP0以上用户可兑换" , 154 , 0 , 20 , ccc3( 0xff , 0xfb , 0xd6 ) ) )
				tempLayer:setContentSize( CCSizeMake( 460 , 28 )  )
			else
			
				if i ~= 0 then
					local vipFlag = display.newSprite( IMG_PATH .. "image/scene/vip/vip" .. i .. ".png" , 0 , 0 , 0 , 0 ) 
					tempLayer:addChild( display.strokeLabel( "VIP" .. i .. "以上用户可兑换" , 154 , 0 , 20 , ccc3( 0xff , 0xfb , 0xd6 ) ) )
					tempLayer:addChild( vipFlag )
					tempLayer:setContentSize( CCSizeMake( 460 , vipFlag:getContentSize().height  ) )
				else
					tempLayer:addChild( display.strokeLabel( "VIP0以上用户可兑换" , 154 , 0 , 20 , ccc3( 0xff , 0xfb , 0xd6 ) ) )
					tempLayer:setContentSize( CCSizeMake( 460 , 28 )  )
				end
			end
			scroll:addChild( tempLayer )
			for j = 1 , #curData do
				local itmeData = curData[j]
				local item = createItem( { viplv = i - 1 , data = itmeData } )
				scroll:addChild( item )
			end
		end
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 585 + 20 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 588 + 20 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	
	
	
 
end
return M
