--活动页面
local M = {

	LAYER_TYPE_MAIN=1, --1 为主界面活动列表界面,2 为单个活动界面
	btnList={},
}

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local data
local handler
local curClock
local activityType
local icon
local curKey = "1"	--
local isNewYear = true	--是否新年活动
local curFace		--当前界面
local activityList = {}


function M:setHandler( value )
	handler = value
end
function M:getCurKey()
	return curKey
end
function M:new(params)
	curKey = params and params.curKey or "1"
	curFace = nil

	local this = {}
	setmetatable(this , self)
	self.__index = self

	-- 基础层
	this.baseLayer = display.newLayer()
	this.listLayer = display.newLayer()
	this.viewLayer = display.newLayer()


	isNewYear = DATA_Activity:getIsNewYear()

	-- 背景
	-- local bg = display.newSprite( PATH .. ( isNewYear and "newyear/" or "" )  .. "activity_bg.png")
	-- setAnchPos( bg , 0 , 88 )						-- 70 是底部公用导航栏的高度
	-- this.baseLayer:addChild( bg )
	local bg = display.newSprite( COMMONPATH .. "dark_bg.png")
	setAnchPos( bg , 0 , 88 )						-- 70 是底部公用导航栏的高度
	this.baseLayer:addChild( bg )

	activityList = DATA_Activity:getlist()
	icon = DATA_Activity:getIcon()
	-- dump(activityList)
	 dump(icon)

	if  (CHANNEL_ID=="game1" or CHANNEL_ID=="game1_bujiami") and __INNER_HAS_AD_SDK__ then

		local   allnumbers=table.nums(activityList)

		local   nextnumberstr=allnumbers+1

		activityList[""..nextnumberstr] = "freeFindGold"
			icon[""..nextnumberstr] = {
			icon = "freeFindGold",
			iconname = "freeFindGold_name",
			modeid = nextnumberstr,
			typeid = "freeFindGold"
		}
	end


	local  iconPosy=10
	if  (CHANNEL_GROUP=="tgxy" or CHANNEL_GROUP=="tgxy2") then
			iconPosy=20
	end

	local scroll = KNScrollView:new( 15, 110, 455, 630, 10 , false ,0, {
			--debug=true
		} )
	this.listLayer:addChild(scroll:getLayer() )
	local  itemBg
	local pos = {40,180,320}
	local x = 1

	for i=1,table.nums(activityList) do
		local curName = activityList[ i .. ""]
		local curIcon = icon[ i .. ""]

		if (i-1)%3==0 then
			local img = "activity_item.png"
			if G_new_year_skin and G_new_year_skin==1 then
				img="activity_item_2015.png"
			end
			itemBg = display.newSprite(PATH ..img)
	       	setAnchPos(itemBg,0,0)
	       	scroll:addChild(itemBg)
	       	x=1
       	end




       	local activityBtn = KNBtn:new( PATH .. "list/" , { curIcon.icon  .. ".png" , "select.png" } , pos[x] ,iconPosy,
       						{
       						id=curName,
       						noHide = true,
       						selectZOrder = 1,
       						other = {{ PATH .. "list/" .. curIcon.iconname .. ".png" , 5 , 3} , ( curName == "payment" or curName == "singlepaymax" ) and { PATH .. "list/curfew.png" , 5 , 33} or nil} ,
       						callback=function (  )

							--[[
									self:clearAllClock()
									this:requestData( { typeid = curIcon.typeid , index = i , typename = curName } )

									this.listLayer:removeFromParentAndCleanup(true)
									this.LAYER_TYPE_MAIN=2
							--]]
									self:clearAllClock()
									this:requestData( { typeid = curIcon.typeid , index = i , typename = curName , switchParams = params } )

									this.listLayer:removeFromParentAndCleanup(true)
									this.LAYER_TYPE_MAIN=2

       							end

       						})

       	itemBg:addChild(activityBtn:getLayer())
       	x=x+1

       	this.btnList[curName]=activityBtn

	end




	this.baseLayer:addChild(this.viewLayer , 1 )
	this.baseLayer:addChild(this.listLayer)


	if params and params.findCurKeyByName then
		for key , value in pairs(activityList) do
			if value == params.findCurKeyByName then
				curKey = key
				this.btnList[params.findCurKeyByName]:call()

				break
			end
		end
	end


	-- 显示公用层 底部公用导航以及顶部公用消息
	this.infoLayer = InfoLayer:new( "activity" , 0  , { title_text = PATH.."activity_new_title.png" ,tail_hide = true, closeCallback = function()
		if this.LAYER_TYPE_MAIN==1 then
			switchScene("home")
		elseif this.LAYER_TYPE_MAIN==2 then
			--活动
			HTTP:call("activity" , "get", {} , {
				success_callback = function()
					switchScene("activity")
				end
			})

		end
	end} )
	this.baseLayer:addChild( this.infoLayer:getLayer(),2 )


	-- 新手引导
	if KNGuide:getStep() == 10101 then
		local activity_index = self:getActivityIndex("exciting_activities")
		if activity_index > 0 then
			-- local btn = scroll:getItems(activity_index)
			local btn = this.btnList["exciting_activities"]
			local btn_range = btn:getRange()

			KNGuide:show( btn:getLayer() , {
				x = btn_range:getMinX(),
				y = btn_range:getMinY(),
				remove = true,
				callback = function()
					--[[
					local activity_index = self:getActivityIndex("xxxx")
					dump(activity_index)

					if activity_index > 0 then
						-- local btn = scroll:getItems(activity_index)
						local btn = this.btnList["lvup"]
						local btn_range = btn:getRange()

						KNGuide:show( btn:getLayer() , {
							x = btn_range:getMinX(),
							y = btn_range:getMinY(),
						})
					end
					]]
				end
			})
		end
	end


	-- 新手引导
	if KNGuide:getStep() == 15801 then
		local activity_index = self:getActivityIndex("logincount")
		if activity_index > 0 then
			local btn = this.btnList["logincount"]
			local btn_range = btn:getRange()

			KNGuide:show( btn:getLayer() , {
				x = btn_range:getMinX(),
				y = btn_range:getMinY(),
				remove = true
			})
		end
	end


	return this
end




function M:getLayer()
	return self.baseLayer
end
function M:getCurFace()
	return curFace
end
--数据切换
function M:requestData( params )
	HTTP:call("activity", "get", { type = params.typeid } , {success_callback =
	function( tempData )
		if params.index then
			curKey =  params.index .. ""
		end
		if params.parentLayer then
			params.data = tempData.data
			params.isFirst = true
		end
		self:selectActivity( params.typename , params )
	end})
end
function M:getActivityIndex(gettype)
	local index = 0
	for i = 1 , table.nums(activityList) do
		if gettype == activityList[i .. ""] then
			index = i
			break
		end
	end

	return index
end
function M:getActivityType()
	return activityType
end
--刷新数据
function M:selectActivity( _activityType , params )

	activityType = _activityType or DATA_Activity:getCurType()

	curFace = nil
	data = DATA_Activity:getCurData()

	data.noremove = nil
	local paramsFiltration = nil
	if params and params.parentLayer then								--只有精彩活动走这里
		paramsFiltration = {
		parentLayer = params.parentLayer ,
		data = ( params.isFirst and params.data or data )  , 	--不是第一次，则可能是点击领取后的数据，这里有更新数据的意思
		refreshFun = function() self:clearAllClock( { noWine = true }) self:selectActivity( _activityType , params ) end  --refreshFun回调刷新自己
		}
		data.noremove = true
		params.isFirst = false
	elseif params then
		paramsFiltration = params
	end


	if self.viewLayer and not data.noremove then
		if handler then
			CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handler)
			handler = nil
		end
		self.awardProp = nil
		self.viewLayer:removeFromParentAndCleanup(true)	-- 清除自己
		self.viewLayer = display.newLayer()
		self.baseLayer:addChild(self.viewLayer , 1 )
	end

	dump(icon[curKey].modeid)

	if icon[curKey].modeid == 1 then 		--列表list形式
		self:listActivity()
	elseif icon[curKey].modeid == 2 then	--按照运营要求的新模板,对半分格式
		self:halfTempleteActivity()
	elseif icon[curKey].modeid == 3 then	--单独开发
		local manLayer = requires(IMG_PATH,"GameLuaScript/Scene/activity/cell/" .. activityType )
		manLayer:show(paramsFiltration)
	elseif icon[curKey].modeid == 4 then
		local tmplateLayer = requires(IMG_PATH,"GameLuaScript/Scene/activity/cell/" .. activityType )
		tmplateLayer:show(data)
	elseif icon[curKey].modeid == 5 then	--百宝折扣
		local baibaoLayer = requires(IMG_PATH,"GameLuaScript/Scene/activity/cell/" .. activityType )
		baibaoLayer:show(data)
	elseif icon[curKey].modeid == 6 then	--超值馈送
		local kuisongLayer = requires(IMG_PATH,"GameLuaScript/Scene/activity/cell/" .. activityType )
		kuisongLayer:show(data)
	end

end
function M:getData()
	return data
end

function M:setCurFace( value )
	curFace = value
end


--对半分模板
function M:halfTempleteActivity(  )
	self:baseLayout({ line = {y=670} })
	dump(data)
	self.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 595 + 30 , 0 , 0 ) )	--活动时间
	self.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 598 + 30 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	self.baseLayer:addChild( display.newSprite( PATH .. "bg2.jpg" , 0 , 100 , 0 , 0 ) )
	self.viewLayer:addChild( display.newSprite( PATH .. "kaiQiang.png" , 283 , 416 , 0 , 0 ))
	self.viewLayer:addChild(display.strokeLabel( "今日已累计充值:\n"..data.charge , 330 , 380 , 18, ccc3( 255 , 255 , 255 )  ))
	--self.viewLayer:addChild( display.newSprite( PATH .. "frame3.png" , 30 , 340 , 0 , 0 ))
	--self.viewLayer:addChild( display.newSprite( PATH .. "frame3.png" , 250 , 340 , 0 , 0 ))
	local currentRound = display.newSprite( PATH .. "lun"..data.current_round..".png" , 205 , 386 , 0 , 0 )
	local currentRoundTime = display.newSprite( PATH .. "time"..data.current_round..".png" , 175 , 420 , 0 , 0 )
	self.viewLayer:addChild(currentRound)
	self.viewLayer:addChild(currentRoundTime)
	--帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 420 , 610 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {
													titlePath = COMMONPATH.."help_title.png" ,
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} ,
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } ,
												priority = -129 }
												)

					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end

					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )
					scroll:addChild( createText() )

					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	self.viewLayer:addChild( helpBtn )

	--马上充值
	local chongBtn = KNBtn:new( COMMONPATH ,
			{"long_btn.png","long_btn_pre.png"} ,
			350 ,
			570 ,
			{
				front =PATH.."maChong.png" ,
				callback =
				function()
					pushScene("pay",{closeFun=function ()
						popScene()
					end})
				end
			})
	self.viewLayer:addChild( chongBtn:getLayer() )

	--劲爆预览
	local jinBtn = KNBtn:new( COMMONPATH ,
			{"long_btn.png","long_btn_pre.png"} ,
			350 ,
			510 ,
			{
				front =PATH.."jinBao.png" ,
				callback =
				function()
						HTTP:call("activity","we_shopping_show_award",{typeid=data.typeid},{success_callback=
							function(receiveData)
								dump(receiveData)

								local tempLayer = baseMask( {
													titlePath = PATH.."jiangLiYuLan.png" ,
													bgInfo = { y = 180 ,  path = PATH  .. "frame.png"
												} ,
												isShowBack = {x = 25 , y = 565+70 , backFun = function()  end, } ,
												priority = -131 }
												)

								local scroll = KNScrollView:new( 25 , 200  , 430 , 275+150 , 10 ,  false , nil , { priority = -133 } )
								tempLayer:addChild(scroll:getLayer())

								for i=1,#receiveData do
									local contentLayer = display.newLayer()
									contentLayer:setContentSize(CCSizeMake(430,340))

									scroll:addChild(contentLayer)

									contentLayer:addChild( display.newSprite( PATH .. "frame5.png" , 20 , 190 , 0 , 0 ) )
									contentLayer:addChild( display.newSprite( PATH .. "frame5.png" , 20 , 35 , 0 , 0 ) )
									contentLayer:addChild( display.newSprite( PATH .. "day"..i..".png" , 30 , 290 , 0 , 0 ) )
									contentLayer:addChild( display.newSprite( PATH .. "day"..i..".png" , 30 , 133 , 0 , 0 ) )
									contentLayer:addChild( display.newSprite( PATH .. "frame3.png" , 120 , 305 , 0 , 0 ) )
									contentLayer:addChild( display.newSprite( PATH .. "frame3.png" , 120 , 145 , 0 , 0 ) )
									contentLayer:addChild(display.strokeLabel( "累计充值"..receiveData[i]['LJ'].money.."元" , 160 , 310 , 18, ccc3( 255 , 255 , 255 )  ))
									contentLayer:addChild(display.strokeLabel( "单笔充值"..receiveData[i]['DB'].money.."元" , 160 , 150 , 18, ccc3( 255 , 255 , 255 )  ))


									for j=1,#receiveData[i]['LJ']['award'] do
										local curProp = awardCell( receiveData[i]['LJ']['award'][j] , { parent = scroll,priority=-131 } )
										setAnchPos(curProp,50+(j-1)*90,220)
										contentLayer:addChild(curProp)
									end

									for j=1,#receiveData[i]['DB']['award'] do
										local curProp = awardCell( receiveData[i]['DB']['award'][j] , { parent = scroll,priority=-131 } )
										setAnchPos(curProp,50+(j-1)*90,60)
										contentLayer:addChild(curProp)
									end


								end


							end})
				end
			})
	self.viewLayer:addChild( jinBtn:getLayer() )

	local scroll
	--左
	local zuoBtn = KNBtn:new( PATH ,
			{"sign.png" } ,
			180 , 385,

			{
				scale=true,
				callback =
				function()
					if scroll:getCurIndex()>1 then
						scroll:setIndex(scroll:getCurIndex()-1,false)
						currentRound:setTexture(display.newSprite(PATH.."lun"..scroll:getCurIndex()..".png"):getTexture())
						currentRoundTime:setTexture(display.newSprite(PATH.."time"..scroll:getCurIndex()..".png"):getTexture())
					end
				end
			})
	self.viewLayer:addChild( zuoBtn:getLayer() )

	--又
	local youBtn = KNBtn:new( PATH ,
			{"sign.png" } ,
			290 , 385,

			{
				scale=true,
				callback =
				function()
					if scroll:getCurIndex()<3 then
						scroll:setIndex(scroll:getCurIndex()+1,false)
						currentRound:setTexture(display.newSprite(PATH.."lun"..scroll:getCurIndex()..".png"):getTexture())
						currentRoundTime:setTexture(display.newSprite(PATH.."time"..scroll:getCurIndex()..".png"):getTexture())
					end
				end
			})
	self.viewLayer:addChild( youBtn:getLayer() )
	youBtn:setFlip(true)


	 scroll = KNScrollView:new(30, 130, 420, 250, 0,true, 1, {
			page_callback = function()
						currentRound:setTexture(display.newSprite(PATH.."lun"..scroll:getCurIndex()..".png"):getTexture())
						currentRoundTime:setTexture(display.newSprite(PATH.."time"..scroll:getCurIndex()..".png"):getTexture())
			end
		})
	--scroll:setEnable(false)

	self.viewLayer:addChild(scroll:getLayer())

	for i=1,#data.data do
		local tempLayer = display.newLayer()
		tempLayer:setContentSize(CCSizeMake(420,250))
		scroll:addChild(tempLayer)

		tempLayer:addChild( display.newSprite( PATH .. "frame3.png" , 0 , 210 , 0 , 0 ))
		tempLayer:addChild( display.newSprite( PATH .. "frame3.png" , 220 , 210 , 0 , 0 ))

		local ljData = data.data[i]['LJ']	--累计充值
		local dbData = data.data[i]['DB']  --单笔充值

		--*****************累计
		tempLayer:addChild(display.strokeLabel( "今日累计充值"..ljData.money.."元" , 20 , 215 , 18, ccc3( 255 , 255 , 255 )  ))
		tempLayer:addChild(display.strokeLabel( "今日单笔充值"..dbData.money.."元" , 240 , 215 , 18, ccc3( 255 , 255 , 255 )  ))

		local pos = {{15,130},{105,130},{15,50},{105,50}}

		for j=1,#ljData['award'] do
			local curProp = awardCell( ljData['award'][j] , { parent = scroll } )
			setAnchPos(curProp,pos[j][1],pos[j][2])
			tempLayer:addChild(curProp)
		end

		for j=1,#dbData['award'] do
			local curProp = awardCell( dbData['award'][j] , { parent = scroll } )
			setAnchPos(curProp,pos[j][1]+235,pos[j][2])
			tempLayer:addChild(curProp)
		end

		tempLayer:addChild(display.strokeLabel( "("..ljData.times.."/"..ljData.total_times..")" , 130 , 15 , 18, ccc3( 255 , 255 , 255 )  ))
		tempLayer:addChild(display.strokeLabel( "("..dbData.times.."/"..dbData.total_times..")" , 350 , 15 , 18, ccc3( 255 , 255 , 255 )  ))
		
		if ljData.times==ljData.total_times then
			tempLayer:addChild(display.newSprite( PATH .. "qiangWan.png" , 10 , 90 , 0 , 0 ))
		end
		if dbData.times==dbData.total_times then
			tempLayer:addChild(display.newSprite( PATH .. "qiangWan.png" , 240 , 90 , 0 , 0 ))
		end
		local status = data.data[i]['status']
		
		if status=="ing" then
			tempLayer:addChild(display.newSprite(PATH .. "xianQiang.png", 200 , 60 , 0 , 0))
		end


		local getLjBtn = KNBtn:new( COMMONPATH ,
			{"btn_bg.png","btn_bg_pre.png","btn_bg_dis.png"} ,
			15 ,
			0 ,
			{
				front =COMMONPATH.."get.png" ,
				callback =
				function()
					if ljData.is_get==0 then
						HTTP:call("activity","we_shopping_get_award",{type="LJ",round=scroll:getCurIndex(),typeid=data.typeid},{success_callback=
							function(receiveData)
								dump(receiveData)
								switchScene("activity",{findCurKeyByName="we_shopping"},function(  )
															KNMsg.getInstance():flashShow( receiveData.msg )
													end )
							end})
					else
						KNMsg:getInstance()flashShow("已经领取过了")
					end
				end
			})
		tempLayer:addChild( getLjBtn:getLayer() )
		if ljData.is_get==1 then
			getLjBtn:setEnable(false)
			getLjBtn:setFront(COMMONPATH.."get_complete.png")
		end

		local getDbBtn = KNBtn:new( COMMONPATH ,
			{"btn_bg.png","btn_bg_pre.png","btn_bg_dis.png"} ,
			250 ,
			0 ,
			{
				front =COMMONPATH.."get.png" ,
				callback =
				function()
					if dbData.is_get==0 then
						HTTP:call("activity","we_shopping_get_award",{type="DB",round=scroll:getCurIndex(),typeid=data.typeid},{success_callback=
							function(receiveData)
								dump(receiveData)
								switchScene("activity",{findCurKeyByName="we_shopping"},function(  )
															KNMsg.getInstance():flashShow( receiveData.msg )
													end )
							end})
					else
						KNMsg:getInstance()flashShow("已经领取过了")
					end
				end
			})
		tempLayer:addChild( getDbBtn:getLayer() )
		if dbData.is_get==1 then
			 getDbBtn:setEnable(false)
			 getDbBtn:setFront(COMMONPATH.."get_complete.png")
		end

	end
	scroll:setIndex(data.current_round,false)

-- 状态机制 如下
-- 	not_yet       还没开始
-- round_over    当前这一轮已经结束
-- ing           当前这一轮正在进行中
-- tomorrow      当天三轮全部结束，等待明天第一轮
-- activity_over 活动结束
	--状态栏显示
	local str = ""
	local status = data.data[data.current_round]['status']  --当前那一轮的状态
	dump(status)

	local frame4=display.newSprite(PATH.."frame4.png", 90 , 220 , 0 , 0)

	if status=="not_yet" then
		self.viewLayer:addChild(frame4)
		str="第"..data.current_round.."轮抢购即将开始:"
		frame4:addChild(display.strokeLabel( str , 70 , 40 , 18, ccc3( 255 , 255 , 255 )))
		local timeLab = display.strokeLabel("" , 120 , 10 , 18 , ccc3( 255 , 255 , 255) )
		frame4:addChild(timeLab)
		local TIME = data.data[data.current_round]['time']

		Clock:addTimeFun("QMQG_TIME_CLOCK", function()
			    if TIME > 0 then
						TIME = TIME - 1
						if display.getRunningScene().name == "activity" then
							timeLab:setString(timeConvert(TIME,nil,false))

						end
						--timeLab:setString(timeConvert(GLOBAL_ONLINE_AWARD_TIME,nil,true))
				else
					Clock:removeTimeFun("QMQG_TIME_CLOCK")
					frame4:removeFromParentAndCleanup(true)

				end
			end)

	elseif status=="round_over" then
		if data.current_round==3 then return end
		self.viewLayer:addChild(frame4)
		str="第"..data.current_round.."轮已经结束,距离下一轮抢购:"
		frame4:addChild(display.strokeLabel( str , 70 , 40 , 18, ccc3( 255 , 255 , 255 )))
		local timeLab = display.strokeLabel("" , 120 , 10 , 18 , ccc3( 255 , 255 , 255) )
		frame4:addChild(timeLab)

		local TIME = data.data[data.current_round+1]['time']

		Clock:addTimeFun("QMQG_TIME_CLOCK", function()
			    if TIME > 0 then
						TIME = TIME - 1
						if display.getRunningScene().name == "activity" then
							timeLab:setString(timeConvert(TIME,nil,false))

						end
						--timeLab:setString(timeConvert(GLOBAL_ONLINE_AWARD_TIME,nil,true))
				else
					Clock:removeTimeFun("QMQG_TIME_CLOCK")
					frame4:removeFromParentAndCleanup(true)

				end
			end)


	elseif status=="ing" then
		

	elseif status=="tomorrow" then
		self.viewLayer:addChild(frame4)
		str="本次抢购已经结束,\n请期待明天新的一轮"
		frame4:addChild(display.strokeLabel( str , 40 +30, 40-20 , 18, ccc3( 255 , 255 , 255 )))

	elseif status=="activity_over" then
		self.viewLayer:addChild(frame4)
		str="活动已经结束"
		frame4:addChild(display.strokeLabel( str , 100 , 40 , 18, ccc3( 255 , 255 , 255 )))
	end




end


--列表
function M:listActivity()

	self:baseLayout({ line = {} })
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()

		local img,vipBarImg = "item_bg.png","vip_bg_bar.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			vipBarImg="vip_bg_bar_2015.png"
		end

		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )


		layer:addChild( display.newSprite( PATH .. vipBarImg , 107 , 82 , 0 , 0 ) )
		layer:addChild( display.strokeLabel( params.data.content , 107, 80 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 231 , dimensions_height = 25 , align = 1 } ) )

		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end

		local isEnable =  true
		local isComplete = false
		if data.received then
			--是否已经领取
			for j = 1 , #data.received do
				if tonumber( data.received[j]) == tonumber( params.index ) then
					isComplete = true
					break
				end
			end
		end
		local getBtn = KNBtn:new( COMMONPATH ,
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } ,
			305 ,
			18 ,
			{
--				priority = -130,
				parent = scroll ,
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "all_get.png" ) or "get_over.png" ) ,
				callback =
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end

						self:sendFun( { typeid = data.typeid , index = params.index } )
					else
					end
				end
			})
		layer:addChild( getBtn:getLayer() )


		layer:setContentSize( bg:getContentSize() )
		return layer , getBtn
	end

	local guide_step = KNGuide:getStep()
	local guide_btn = nil

	local sort = data.config
	for i = 1 , #sort do
		local curData = sort[i]
		local item , getBtn = createItem( { index = i -1 , viplv = curData.viplv , data = curData } )
		scroll:addChild( item )

		if i == 1 and data.type == "logincount" and (guide_step == 10003 or guide_step == 15802) then
			guide_btn = getBtn
		end
	end
	scroll:alignCenter()
	self.viewLayer:addChild(scroll:getLayer() )

	self.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )

	self.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 585 + 20 , 0 , 0 ) )	--活动时间
	self.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 588 + 20 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间

	self.viewLayer:addChild( display.strokeLabel( data.showcontent or "" , 125 , 565 , 20, ccc3( 0xfe , 0xfc , 0xd3 ) , nil , nil , {dimensions_width = 340 ,	dimensions_height = 24 , align = 2	} ) )	--活动时间

	if guide_btn then
		local btn_range = guide_btn:getRange()
		KNGuide:show( guide_btn:getLayer() , {
			x = btn_range:getMinX(),
			y = 463,
			callback = function()
				GLOBAL_INFOLAYER:refreshBtn()
			end
		})
	end

end
--活动领取
function M:sendFun( params )
	params = params or {}
	HTTP:call("activity", "receive", params ,{success_callback =
	function()
		self:getAction( { onComplete = function() self:selectActivity() end } )
	end})
end

--是否有活动说明
function M:baseLayout( params )

	if self.viewLayer==nil then
		CCLuaLog("ViewLayer--NIL")
		self.viewLayer = display.newLayer()
		self.baseLayer:addChild(self.viewLayer , 1 )
	end

	params = params or {}

		if params.title_bg then
				self.infoLayer = InfoLayer:new( "activity" , 0  , { title_text =params.title_bg ,tail_hide = true, closeCallback = function()
				if self.LAYER_TYPE_MAIN==1 then
					switchScene("home")
				elseif self.LAYER_TYPE_MAIN==2 then
				HTTP:call("activity" , "get", {} , {
				success_callback = function()
					switchScene("activity")
				end
			})
		end
		end} )
			self.baseLayer:addChild(self.infoLayer:getLayer(),2 )
		else

	end

	if data.tips and data.tips ~= "" then

		local activityTitle
		local activityText

		local contentLayer = display.newLayer()
		contentLayer:setContentSize(CCSizeMake(460,120))

		local  scroll = KNScrollView:new( 7 , 630 , 462 , 120 , 5 , false,0,
		 							{
		 							--debug =true
		 							} )

		if params.textSize then
				activityTitle = display.strokeLabel( "活动内容：" , 17 , 100, params.textSize  , ccc3( 0xff , 0xff , 0xfd ) , nil , nil , {
					dimensions_width = 100 ,
					dimensions_height = 24,
					align = 0
				})

				activityText = display.strokeLabel( data.tips , 105 ,23, params.textSize  , ccc3( 0xff , 0xff , 0xfd ) , nil , nil , {
					dimensions_width = 354,
					dimensions_height = 100,
					align = 0
				})
		else
				activityTitle = display.strokeLabel( "活动内容：" , 17 ,100, 20 , ccc3( 0xff , 0xff , 0xfd ) , nil , nil , {
					dimensions_width = 100 ,
					dimensions_height = 24,
					align = 0
				})

				activityText = display.strokeLabel( data.tips , 105 , 23, 20 , ccc3( 0xff , 0xff , 0xfd ) , nil , nil , {
					dimensions_width = 354,
					dimensions_height = 100,
					align = 0
				})
		end
		 contentLayer:addChild(activityTitle)
		 contentLayer:addChild(activityText)
		 scroll:addChild(contentLayer)
		--self.baseLayer:addChild( scroll:getLayer() )
		self.viewLayer:addChild( scroll:getLayer() )
		--self.viewLayer:addChild( activityTitle )
		--self.viewLayer:addChild( activityText )

	end

	--分隔线
	if params.line then
		local lineData = params.line or {}
		local pathStr = lineData.path or COMMONPATH .. "tab_line.png"
		if isNewYear then
			pathStr = PATH .. "newyear/tab_line.png"
		end
		local addX = lineData.x or display.cx
		local addY = lineData.y or 643
		local line = display.newSprite( pathStr )
		setAnchPos(line , addX , addY , 0.5 , 0.5 )
		self.viewLayer:addChild( line )
	end

	if params.noShowBg then return end



	--背景
	if params.frame then
		local framsData = params.frame or {}
		local pathStr = framsData.path or PATH .. ( ( G_new_year_skin==1 and "newyear/" or "" ) .. "frame.png")

		local addX = framsData.x or display.cx
		local addY = framsData.y or 107

		local frame = display.newSprite( pathStr )
		setAnchPos(frame , addX , addY , 0.5 )
		self.viewLayer:addChild( frame )

		if not framsData.path and isNewYear then
			--self.viewLayer:addChild( display.newSprite( PATH .. "newyear/banger.png" , display.cx , 500 - 120  , 0.5 , 0  )  )
		end
	end

end
--删除时钟
function M:delHandler()
	if handler then
		CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handler)
		handler = nil
	end
end
function M:downTime( key , timeTextAry ,downFun , _type )
	local type = _type and _type or 0
	local timeText = {}
	local function refreshTime()
		local curTime = downFun()
		if curTime < 0 then curTime = 0 end
		local dayNum = math.floor( tonumber(timeConvert( curTime , "hour"))/24 )
		curTime = curTime - dayNum * 86400
		timeTextAry[1]:setString( dayNum )												--天
		timeTextAry[2]:setString( math.mod( timeConvert( curTime , "hour") , 24 )  )	--时
		timeTextAry[3]:setString( timeConvert( curTime , "min")  )						--分
		timeTextAry[4]:setString( timeConvert( curTime , "sec")  )						--秒
		if curTime <= 0 then
			Clock:removeTimeFun( key )
		end
	end
	--24小时，不展示天数
	local function refreshTime1()
		local curTime = downFun()
		if curTime < 0 then curTime = 0 end
		local dayNum = math.floor( tonumber(timeConvert( curTime , "hour"))/24 )
		curTime = curTime - dayNum * 86400

		timeTextAry[1]:setString( math.mod( timeConvert( curTime , "hour") , 24 ) .. ":" .. timeConvert( curTime , "min") .. ":" .. timeConvert( curTime , "sec") )
		if curTime <= 0 then
			timeTextAry[1]:setString("")
			Clock:removeTimeFun( key )
		end
	end

	--只展示小时数（大于24小时也会显示），不展示天数
	local function refreshTime2()
		local curTime = downFun()
		if curTime < 0 then curTime = 0 end
		--local dayNum = math.floor( tonumber(timeConvert( curTime , "hour"))/24 )
		--curTime = curTime - dayNum * 86400
		timeTextAry[1]:setString( timeConvert( curTime , "hour") .. ":" .. timeConvert( curTime , "min") .. ":" .. timeConvert( curTime , "sec") )
		if curTime <= 0 then
			-- timeTextAry[1]:setString("")
			Clock:removeTimeFun( key )
		end
	end

	curClock = key
	if type == 0 then
		Clock:addTimeFun( key , refreshTime )
	elseif type == 1 then
		Clock:addTimeFun( key , refreshTime1 )
	elseif type == 2 then
		Clock:addTimeFun( key , refreshTime2 )
	end
end
--清除当前运行的时钟
function M:clearClock()
	Clock:removeTimeFun( curClock )
end
--领取动画，暂时不做
function M:getAction( params )
	local awardProp = params.awardProp	or {}--奖励道具
	local completeFun = params.onComplete or function()end
	completeFun()
--	KNMsg.getInstance():flashShow( "今天奖励已领取！" )
end


--清除所有可能的时钟
function M:clearAllClock( params )
	params = params or {}

	self:clearClock()
	if not params.noWine then
		DATA_Activity:delWineData()		--清除对酒数据，以停止时钟
	end

	Clock:removeTimeFun( "wineClock" )
	Clock:removeTimeFun( "payTime" )
	Clock:removeTimeFun( "newest_free_lottery" )
	Clock:removeTimeFun( "boss_fight_cold" )
	Clock:removeTimeFun( "boss_start" )
	self:delHandler()
end







return M
