local role = requires(IMG_PATH, "GameLuaScript/Scene/battleNew/role")
local M = {}

function M.launch(scene, data, func)
	for i,v in ipairs(data) do
		if scene.roles[v.group][v.index+1] then
			scene.roles[v.group][v.index+1]:removeSelf()
			scene.roles[v.group][v.index+1] = nil
		end
		local roleData = scene.backs[v.group][v.back_index+1]
		if roleData then
			roleData._index = v.index
			scene.roles[v.group][v.index+1] = role.new(roleData):addTo(scene):born()
		end
		scene.ui:removeBack(v.group, v.back_index+1)
	end
	scheduler.performWithDelayGlobal(func, 1*scene.speed)
end

return M