--[[

战斗背景

]]


local M = {}


local logic = requires(IMG_PATH,"GameLuaScript/Scene/boss/logicLayer")
local isSkip = false	--默认没有跳过

function M:create( )
	local layer = display.newLayer()

	-- 初始化
	isSkip = false

	-- 添加战斗背景中部
	local bg = display.newSprite(IMG_PATH.."image/scene/battle/boss/battle_bg.jpg")
	display.align(bg , display.CENTER , display.cx , display.cy)
	layer:addChild(bg)
	
    return layer
end
--返回是否点击跳过按钮
function M:getIsSkip( )
	return isSkip
end
function M:setIsSkip( flag )
	isSkip = flag
end

return M
