-- 各种竞技的排行榜
local KNBtn = requires(IMG_PATH,"GameLuaScript/Common/KNBtn")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local SCENECOMMON = IMG_PATH.."image/scene/common/"
local M = {

}


function M:new( params )
	local this = {}
	setmetatable(this , self)
	self.__index = self
	
	params = params or {}

	dump(params)
  
	local layer = display.newLayer()
	local tabs = {
					["mission"]={
						['titleImg']="saoDangTitle.png",
						['2ndTxt']="zongSaoDang.png",
						['suffix']=" 次",--后缀

					},
					["equipFb"]={
						['titleImg']="saoDangTitle.png",
						['2ndTxt']="zongSaoDang.png",
						['suffix']=" 次",--后缀

					},
					["athletics"]={
						['titleImg']="jingJiTitle.png",
						['2ndTxt']="zongPanSheng.png",
						['suffix']=" 名",--后缀

					},
					["diggings"]={
						['titleImg']="shouYiTitle.png",
						['2ndTxt']="zongShousYi.png",
						['suffix']=" 银两",--后缀

					},



					}
	
	
	local tempLayer = baseMask( {  
												titlePath = SCENECOMMON..tabs[params.type]['titleImg'] , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
	
	tempLayer:addChild(display.newSprite(SCENECOMMON.."fg.png",50,380,0,0))

	tempLayer:addChild(display.newSprite(SCENECOMMON.."myRank.png",50,510-20,0,0))

	--我的排名
	tempLayer:addChild(display.strokeLabel( params.rank ==0 and "无" or params.rank , 250 ,495 , 20 , ccc3( 244, 229, 172 )))


	tempLayer:addChild(display.newSprite(COMMONPATH.."line.png",30,475,0,0))

	tempLayer:addChild(display.newSprite(SCENECOMMON..tabs[params.type]['2ndTxt'],60,460-20,0,0))

	--昨日总扫荡
	tempLayer:addChild(display.strokeLabel( params.num ..tabs[params.type]["suffix"], 250 ,445 , 20 , ccc3( 244, 229, 172 )))

	tempLayer:addChild(display.newSprite(COMMONPATH.."line.png",30,425,0,0))

	tempLayer:addChild(display.newSprite(SCENECOMMON.."xiangCha.png",60,410-20,0,0))

	--相差上一名
	tempLayer:addChild(display.strokeLabel( params.diff_num..tabs[params.type]["suffix"] , 250 ,395 , 20 , ccc3( 244, 229, 172 )))




	tempLayer:addChild(display.strokeLabel( "注:数据相同,优先达到名次的排列在前面" , 70 ,320 , 20 , ccc3( 0xff , 0x00 , 0x00 )))

	
	return this
end
return M