collectgarbage("setpause"  ,  100)
collectgarbage("setstepmul"  ,  5000)


-- [[ 包含各种 Layer ]]
local WarLayer = requires(IMG_PATH,"GameLuaScript/Scene/war/warlayer")

GANG_WAR = nil

local M = {}

function M:create(args)
	local scene = display.newScene("war")

	---------------插入layer---------------------
	GANG_WAR = WarLayer:new(args)
	scene:addChild(GANG_WAR:getLayer())
	---------------------------------------------
	
	audio.preloadMusic(IMG_PATH .. "sound/battle_bg.mp3")
	SimpleAudioEngine:sharedEngine():setBackgroundMusicVolume(1)
	audio.playMusic( IMG_PATH .. "sound/battle_bg.mp3" , true )
	
	function scene:onEnter()

		--进入帮战场景的时候进行  用serverId 和 帮派名称进行登陆
		if device.platform == "android" and ( ( __INNER_VERSION__ and __INNER_VERSION__ >= 4 and CHANNEL_GROUP ~= "td") and  __INNER_HAS_YUNWAVOICESDK__  ) then 
			local userJob
			local gangData = DATA_Gang:get("list")

			if gangData and gangData.userstate then 
				local jobConfig = { ["100"] = '帮主' , ["95"] = "副帮主" , ["90"] = "堂主" , ["0"] = '帮众' }
				userJob = jobConfig[ gangData.userstate.."" ]
			end
			
			if device.platform == "android" and gangData.name then 	
				DirectChannel.instance():call(
				{
					clazz = "yunwa",
					action = "yunwa_login",
					id = DATA_Session:get("server_id") .. "_" .. gangData.name,
					uid = DATA_Session:get("uid"),
					userName = DATA_User:get("name"),
					userJob = userJob,
					callback = function(response)
						dump(response , "response")
						DATA_Info:insertVoiceData( "gang" , response )
					end
				})
			end
		end
		
		DATA_Info:setIsMsg()
	end
	function scene:onExit()
		Clock:removeTimeFun( "task" )
--		DATA_Info:addActionBtn( "gang" , nil )	----删帮会聊天 按钮标记
	end
	return scene
end


return M
