--[[

	武将技能  和 穿戴装备 数据

]]--
DATA_ROLE_SKILL_EQUIP = {

}
local _data = {}

function DATA_ROLE_SKILL_EQUIP:init()
	_data = {}
end

function DATA_ROLE_SKILL_EQUIP:set( data )
	_data = data
end

--根据装备id获取英雄id判断此装备是否已穿戴,天赋技能不判断
function DATA_ROLE_SKILL_EQUIP:getRoleId(id, type, isCid , zhenfa)
		local roleId , roleInfo

		for k, v in pairs(_data) do
			for sk, sv in pairs(v) do
				if type == "skill" then
					if string.sub(sk, 1, 1) == "s" and (tonumber(sv[isCid and "cid" or "id"]) == tonumber(id)) then
						roleId = k
						break
					end
				elseif type == "equip" then
					if string.sub(sk, 1, 1) == "e" and (tonumber(sv[isCid and "cid" or "id"]) == tonumber(id)) then
						roleId = k
						break
					end
				end
			end
			if roleId then
				break
			end
		end

		if zhenfa and G_zhenfa_equip ~= nil and table.nums(G_zhenfa_equip) ~= 0 then
			for key , v in pairs(G_zhenfa_equip) do
				for key1 , v1 in pairs(v) do
					if tonumber(v1.id) == tonumber(id) then
						roleId = v1.gid .. ""
						roleInfo = v
						break
					end
				end
				
				if roleId then
					break
				end
			end
		end 
		
	return roleId , roleInfo
end

--根据装备id 判断  是否已经在阵法英雄里面装备
function DATA_ROLE_SKILL_EQUIP:isDressdOnZhenFa(id)
	local num = 0
	if G_zhenfa_equip and table.nums(G_zhenfa_equip) ~= 0 then 
		for k, v in pairs(G_zhenfa_equip) do
			for sk, sv in pairs(v) do
				if string.sub(sk, 1, 1) == "e" and (tonumber(sv["id"]) == tonumber(id)) then
					if k == "heart" then 
						num = 0
					else
						num = tonumber(string.sub(k,5,5))
					end

					return true , num
				end
			end
		end
	end
	return false , num
end

--根据英雄id 判断  是否穿戴eCid的装备
function DATA_ROLE_SKILL_EQUIP:isDressdOnZhenFaHero(id , eCid)
	local num = 0
	if G_zhenfa_equip and table.nums(G_zhenfa_equip) ~= 0 then 
		for k, v in pairs(G_zhenfa_equip) do
			for sk, sv in pairs(v) do

				if string.sub(sk, 1, 1) == "e" and (tonumber(sv["gid"]) == tonumber(id)) and (tonumber(sv["equip_cid"]) == tonumber(eCid)) then
					if k == "heart" then 
						num = 0
					else
						num = tonumber(string.sub(k,5,5))
					end

					return true , num
				end

			end
		end
	end
	return false , num
end



--获取id对应英雄是否穿戴eCid的装备
function DATA_ROLE_SKILL_EQUIP:isDress(id, eCid)
	if id then
		if _data[id..""] then
			for k, v in pairs(_data[id..""]) do
				if tonumber(v["cid"]) == tonumber(eCid) then
						return true
					end
			end
		end
	end
	return false
end

function DATA_ROLE_SKILL_EQUIP:update(type,key,data)
	_data[type][key] = data
end
--获取对应id英雄技能装备信息
function DATA_ROLE_SKILL_EQUIP:getIdInfo(id)
	return _data[id..""] or nil
end
function DATA_ROLE_SKILL_EQUIP:getTable(type)
	return type and _data[ type.."" ] or _data
end


function DATA_ROLE_SKILL_EQUIP:get(roleId , zhenfa)
	if not _data then return nil end

	if _data[roleId] then return _data[roleId] end

	if zhenfa == true and G_zhenfa_equip ~= nil and table.nums(G_zhenfa_equip) ~= 0 then
		for key , v in pairs(G_zhenfa_equip) do
			for key1 , v1 in pairs(v) do
				if tonumber(v1.gid) == tonumber(roleId) then
					local equip_info = clone(v)

					for key1 , v1 in pairs(v) do
						equip_info[key1].cid = v1.equip_cid
						equip_info[key1].lv = DATA_Bag:get("equip" , v1.id , "lv")
					end
					
					return equip_info
				end
			end
		end
	end

	return nil
end

function DATA_ROLE_SKILL_EQUIP:haveData(type)
	if not _data[type] then
		return false
	end
	return true
end

function DATA_ROLE_SKILL_EQUIP:count(type)
	if _data[type] then
		return table.nums(_data[type])
	else
		return 0
	end
end

function DATA_ROLE_SKILL_EQUIP:get_data()
	return _data
end

function DATA_ROLE_SKILL_EQUIP:get_size()
	return table.getn(_data)
end

return DATA_ROLE_SKILL_EQUIP