--[[

帐户数据

]]


DATA_Vip = {}


-- 私有变量
local _data = {}

function DATA_Vip:init()
	_data = {}
end

function DATA_Vip:set(data)
	_data = data
end

function DATA_Vip:set_type( name , data )
	_data[name .. ""] = data
end

function DATA_Vip:getBagMax()
	local list = getSortList(_data["vipinfo"]["bagconf"], function(l,r) return tonumber(l) < tonumber(r) end)
	local max
	for i = 1, #list do
		if _data["viplv"] >= tonumber(list[i]) then
			max = _data.vipinfo["bagconf"][list[i]..""]
		end
	end
	return max
end

--是否是vip
function DATA_Vip:isVip()
	return _data["viplv"]~= 0
end

function DATA_Vip:get(key)
	if key == nil then return _data end
	return _data[key]
end

return DATA_Vip