
--帮会团购2015版本

local LanPATH = IMG_PATH .. "image/scene/activity_new/lantern/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local ACTIVITY_PATH = IMG_PATH .. "image/scene/activity_new/"
local PATH = ACTIVITY_PATH .. "alliance_activity/"


local M = 
{
	data,
	scroll,
	data_product_config,
	data_interal_to_gift_config,
	curLayer,
	jifen,
	type,
	msgstr,
}


function M:show( params )

	params =  params  or  { }

	self.data = { }
	self.data_product_config = { }
	self.data_interal_to_gift_config = { }
	self.type = nil
	self.msgstr = { }

	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	self.curLayer = nil
	self.jifen = nil 

	if params.parentLayer then

		self.data = params.data

	else

		self.data = ACTIVITY:getData()

	end

	ACTIVITY:baseLayout( { line = { y = 662 } } )

	self:noChange(self.data)

	if self.data.product_config then 
		
		self.data_product_config = self.data.product_config

		self:freshBuy(self.data_product_config)

	end

	if self.data.interal_to_gift_config  then 

		self.data_interal_to_gift_config = self.data.interal_to_gift_config


		if self.data.alliance_interal then 

			self.jifen = self.data.alliance_interal

		end 

		self:fresh( self.data_interal_to_gift_config , self.jifen )

	end 

	if self.data.typeid then 
		self.type = self.data.typeid
	end 

	

end

function M:noChange( params )
	
	--	非变化项

	ACTIVITY.viewLayer:addChild( display.newSprite(ACTIVITY_PATH.."activity_time_text.png" , 20 , 622 , 0 , 0 ) )  --活动时间icon

	if params.endtime ~= nil then 

		ACTIVITY.viewLayer:addChild( display.strokeLabel( params.endtime , 120 , 622 , 20 , ccc3( 0xfe , 0xfc , 0xd3 ) ) ) --活动时间

	end 

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH.."bg.png" , display.cx , display.cy - 70 , 0.5 , 0.5 ) )	--添加背景

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH.."mid_bg.png" , display.cx , display.cy / 2 + 170 , 0.5 , 0.5 ) , 1 )  --添加中间隔条

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH.."title.png" , display.cx , display.cy / 2 + 172 , 0.5 , 0.5 ) , 1 )   --添加中间的title

	ACTIVITY.viewLayer:addChild( display.newSprite( PATH.."cur.png" , 100 , 570 , 0.5 , 0.5 ) )			--添加当前帮派积分的背景icon



	--	添加帮助按钮

	local rules = "" 

	if  params.rules then 

		rules = params.rules

	end 

	local helpingBtn = KNBtn:new( COMMONPATH , {"help.png" , "help_press.png"} , 428 , 617 , {
		priority = -130,
		callback = function()

			local tempLayer = baseMask({  
				titlePath = COMMONPATH .. "help_title.png" , 
				bgInfo = { 
					y = 270 ,  
					path = IMG_PATH  .. "image/scene/mission/wipe_bg.png" 
				} , 
				isShowBack = { 
					x = 35 , 
					y = 565 , 
					backFun = function() end 
				} , 
				priority = -131
			})
						
			local scroll
			local strConfig = rules
			local function createText()
				local helpTips = createLabel({	
					str = strConfig , 
					x = 60 , 
					y = 55,
					size = 18, 
					width = 340,
					color = ccc3(46 , 18 , 14)
					})
				return helpTips
			end
			
			scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -131 } )	
			scroll:addChild(createText())
			
			tempLayer:addChild(scroll:getLayer())

		end
	})

	ACTIVITY.viewLayer:addChild(helpingBtn:getLayer())

	local jifenBtn = KNBtn:new(COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" } ,
		290,
		555,
		{
			front = PATH.."paiming_btn.png", 
			priority = -131 ,
			noTouch = false ,
			callback = function()
					
				--  排行积分

				HTTP:call("activity","alliance_activity_user_ranking",{ type = self.type } , {
					success_callback = function(data)

						local tempLayer = baseMask( { 
							titlePath = PATH.."paiming_title.png" , 
							bgInfo = { 
								y = 90 ,
								path = PATH.."paiming_bg.png"},
								isShowBack = {
									x = 15 ,
									y = 545 , 
									backFun = function() end
								}
							})

	

						--	添加排名
						local function createItem( index , value )
							
							local layer = display.newLayer()

							local item_bg = "item_bg.png"

							--	添加背景
							local bg = display.newSprite( COMMONPATH..item_bg )
							setAnchPos( bg , 0 , 0 )
							layer:addChild( bg )

							--	添加人物头像

							if value and value.logo then

								local head_icon = KNBtn:new( COMMONPATH , { getHeadPath( value.logo ) } , 25 , 22 , { 
									front = COMMONPATH .. "role_frame.png" , 
									parent = parent ,
									callback = function()
										
									end
								})
								layer:addChild( head_icon:getLayer() )

							end 

							--	添加玩家名字和等级
							local name_Lv = "孤独求败  Lv500" 

							if value and value.username and value.lv then 
							
								name_Lv = value.username .."  Lv" .. value.lv
							
							end 

							layer:addChild( display.strokeLabel( name_Lv , 120 , 60 , 20 , ccc3( 0x00 , 0x00 , 0x00  ) ) )
							
							--	添加贡献积分
							local jifen = "贡献积分: 5060"
							
							if value and value.integral then 

								jifen = "贡献积分: "..value.integral

							end 

							layer:addChild( display.strokeLabel( jifen , 120 , 30 , 20 , ccc3( 0x00 , 0x00 , 0x00 )))

							--	添加右边的名次
							local text
							local x 
							local y

							local pos = tonumber(index)
							if pos < 4 then
								text = display.newSprite(PATH..pos..".png")
								x = 415
								y = 15
							else
								text = display.strokeLabel(pos.."", 0, 0, 48, ccc3(0xed, 0x17, 0x16))
								if pos < 10 then 
									x = 400
								elseif pos < 100 then 
									x = 415
								elseif pos < 1000 then 
									x = 420
								elseif pos < 10000 then 
									x = 425
								elseif pos < 100000 then 
									x = 430
								elseif pos < 1000000 then 
									x = 435
								else
									x = 440 
								end 
								y = 30
							end

							setAnchPos(text, x, y, 1)
							layer:addChild(text)

							layer:setContentSize( bg:getContentSize() )



							return layer 


						end

						local scroll = KNScrollView:new( 18 , 180 , 445 , 366 , 10 , false , nil , { priority = -132  } )

						if data.ranking and table.nums(data.ranking) > 0 then 

							for i , v in pairs(data.ranking) do 

								local item = createItem( i , v )
								scroll:addChild( item )

							end 


						end 

						scroll:alignCenter( )
						tempLayer:addChild( scroll:getLayer() )
						--添加帮派总积分
						tempLayer:addChild( display.newSprite( PATH.."score_bg.png" , 30 , 122 , 0  , 0  ) )
						tempLayer:addChild( display.newSprite( PATH.."bang_score.png" , 40 , 130 , 0 , 0  ) )
						tempLayer:addChild( display.strokeLabel( data.total_integral or "" , 168 , 131 , 20 , ccc3( 0xff , 0xfe , 0xd3 ) ) )

						tempLayer:addChild( display.newSprite( PATH.."score_bg.png" , 251 , 122 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH.."ren_score.png" , 261 , 130 , 0 , 0 ) )
						tempLayer:addChild( display.strokeLabel( data.current_integral or "" , 399 , 131 , 20 , ccc3( 0xff , 0xfe , 0xd3 ) ) )
						--添加个人总积分
					end
				})

			end
		})

	ACTIVITY.viewLayer:addChild( jifenBtn:getLayer() ) 


end

function M:fresh( params , jifen )
	
	--	刷新项目
	--	帮派积分
	--	积分排名
	--	箱子显亮

	self.curLayer = display.newLayer()

	self.curLayer:addChild( display.strokeLabel( jifen or "0" , 165 , 559 , 20 , ccc3( 0xfe , 0xfc , 0xd3 ) ) )

	for i = 1 ,#params do 

		local myIndex = i 
		self.msgstr[myIndex] = nil 

		local circle1 = display.newSprite( LanPATH.."circle1.png" , 70 + ( i - 1 )*85 , 450 , 0.5 , 0.5 )

		self.curLayer:addChild(circle1)

		local itemData = params[i] 

		local  signBg = "sign_grey.png"
		local  boxBg = "box_grey.png"

		local integral = nil 

		if itemData.integral then 

			integral=itemData.integral

		end 		

		if tonumber(jifen) >= tonumber(itemData.integral) then 

			signBg = "sign.png"
			boxBg = "box.png"

			circle1:addChild( display.newSprite( LanPATH.."circle2.png" , 34 , 34 , 0.5 , 0.5) )			

		end

		local sign = display.newSprite( LanPATH..signBg , 33 , 95 , 0.5 , 0.5 )
		circle1:addChild( sign ) 

		local signNum = display.strokeLabel( integral or "" , 13 , 45 , 18 ,ccc3( 0xff , 0xff , 0xff ) )
		sign:addChild( signNum )

		--	添加箱子按钮

		local boxBtn = KNBtn:new( LanPATH , { boxBg } , 5, 10 ,
			{
				scale = true ,
				priority = -131 ,
				callback = function()

					local received = itemData.received 
					local getBtn = nil 
					local bgImg = { "btn_bg_red.png","btn_bg_red_pre.png" }
					local jifen = tonumber( jifen )
					local integral = itemData.integral 
					local noTouch = true

					local function freshBtn( flag , bg )

						if self.msgstr[myIndex] == nil then 

							if jifen < integral then 

								bgImg = { "btn_bg_red2.png","btn_bg_red2.png" }
								noTouch = true

							else

								if flag == 1 then 

									bgImg = { "btn_bg_red2.png","btn_bg_red2.png" }
									noTouch = true

								else

									bgImg = { "btn_bg_red.png","btn_bg_red_pre.png" }
									noTouch = false

								end 

							end 
							

						else

							bgImg = { "btn_bg_red2.png","btn_bg_red2.png" }
							noTouch = true

						end 

						getBtn = KNBtn:new( COMMONPATH , bgImg , 50 , 35 ,
							{
								front = COMMONPATH .. "get.png",
								priority = -135 ,
								scale = true ,
								noTouch = noTouch , 
								callback = function()

									--领取奖品接口
								
									HTTP:call( "activity" , "alliance_activity_get_gift" , { type = self.type , sort = itemData.sort  } , { 

										success_callback = function(data)

										
											if data.data.str then 

												self.msgstr[myIndex] = data.data.str

												if getBtn~=nil then 

													getBtn:getLayer():removeFromParentAndCleanup( true )
													freshBtn( 1 , bg )
													KNMsg.getInstance():flashShow( data.data.str )

												end 

											end 

										end

									})

								end	
							})
						bg:addChild( getBtn:getLayer() )
					end
					
					local mask 
					local tempLayer = display.newLayer()

					local bg = display.newSprite( COMMONPATH.."tip_bg.png" )
					setAnchPos( bg , 25 , 300 )
					tempLayer:addChild( bg )

					bg:addChild( display.newSprite( LanPATH.."scoreToLab.png" , 20 , 210 , 0 , 0 ) )

					local posx = 130 
				
					if  itemData.integral < 10 then 
						posx = 130
					elseif itemData.integral < 100 then 
						posx = 125
					elseif itemData.integral < 1000 then 
						posx = 121
					elseif  itemData.integral < 10000 then 
						posx = 117
					else 

					end 

					

					bg:addChild( display.strokeLabel( itemData.integral or "" , posx , 213 , 20 ,ccc3( 0x00 , 0x00 , 0x00 ) ) )

					local shade_bg = display.newSprite(COMMONPATH .. "shade_bg2.png",-10,100,0,0)
					shade_bg:setScaleY(0.5)
					bg:addChild(shade_bg)

					if itemData.gifts and table.nums(itemData.gifts) > 0 then 
						
						for j = 1 , #itemData.gifts do
							local curProp = awardCell( itemData.gifts[j] , { priority = -135 })
							setAnchPos( curProp , 60 + ( j - 1 ) * 110 , 110 )
							bg:addChild( curProp )
						end

					end

					-- 添加关闭按钮
					local closeBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png","btn_bg_red_pre.png" } , 245 , 35 ,
						{
							front = COMMONPATH .. "colse_text.png",
							priority = -135 ,
							scale = true ,
							callback = function()
								mask:remove()
							end
						}
					)

					bg:addChild( closeBtn:getLayer() )

					--	添加领取按钮
					freshBtn( tonumber(received) , bg )

					mask=KNMask:new( { item = tempLayer , click = function( x , y ) end , priority = -135  } )
					self.curLayer:addChild( mask:getLayer() , 2 )

				end
			})
		circle1:addChild( boxBtn:getLayer() )

	end

	--	添加进度条

	local scoreBar = KNBar:new( "score" , 18 , 360 , { maxValue = 500 , curValue = tonumber(jifen) , color = ccc3( 0xff , 0xff , 0xff  ) } )
	self.curLayer:addChild( scoreBar ) 


	ACTIVITY.viewLayer:addChild(self.curLayer , 1 )

end

function M:freshBuy( params )
	
	--	刷新项目
	--	购买按钮
	self.scroll = KNScrollView:new( 7 , 110 ,  462 , 250 , 13 , false )

	local product_config = params 

	for i = 1 ,#product_config do

		local item = self:createItem( i , product_config[i] , product_config )

		self.scroll:addChild( item ) 

	end 

	self.scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(self.scroll:getLayer() )

end

function M:createItem( index , value , product_config )
		
	--	购买
	local  layer = display.newLayer()

	local bg = display.newSprite( COMMONPATH.."item_bg.png")
	setAnchPos( bg , 0.5 , 0.5 )
	layer:addChild( bg )
	layer:setContentSize( bg:getContentSize() )

	layer:addChild( display.newSprite( PATH.."jifen_bg.png" , 115 , 105 , 0.5 , 0.5  ) )

	local jifen = ""

	if value.integral then 

		jifen = value.integral.."积分"

	end 

	layer:addChild( display.strokeLabel( jifen , 60 , 95 , 20 , ccc3( 0xfe , 0xfc , 0xd3 ) ) )
	
	layer:addChild( display.newSprite( COMMONPATH.."gold.png" , 360 , 82 , 0.5 , 0.5 ) )

	layer:addChild( display.strokeLabel( value.price or "" , 378 , 72 , 20 , ccc3( 0x0 , 0x0 , 0x0 ) ) )

	local buyBtn = KNBtn:new(	COMMONPATH , tonumber(value.already_buy) < tonumber(value.total_limit)  and  { "btn_bg.png" , "btn_bg_pre.png" } or { "btn_bg_grey.png" , "btn_bg_grey.png" } ,
		330,
		30,
		{
			parent = self.scroll , 
			front = tonumber(value.already_buy) < tonumber(value.total_limit) and  ( COMMONPATH.."buy.png" ) or ( COMMONPATH.."buy_grey.png" ) , 
			noTouch = tonumber(value.already_buy) >= tonumber(value.total_limit)  ,
			callback = function()

				HTTP:call( "activity" , "alliance_activity_buy" , { key = value.key , type= self.type  } , { 

					success_callback = function( data )

						local msg = data.data.str 

						self.curLayer:removeFromParentAndCleanup( true )
						self.scroll:getLayer():removeFromParentAndCleanup( true )

						local dataFresh = data.data 

						if dataFresh.product_config then 
		
							self.data_product_config = dataFresh.product_config
							self:freshBuy(self.data_product_config)

						end

						if dataFresh.interal_to_gift_config  then 

							self.data_interal_to_gift_config = dataFresh.interal_to_gift_config

							if dataFresh.alliance_interal then 

								self.jifen = dataFresh.alliance_interal

							end 

							self:fresh( self.data_interal_to_gift_config , self.jifen )

						end 

						KNMsg.getInstance():flashShow( msg )

					end

				 })

				
			end
		})

	layer:addChild( buyBtn:getLayer() )

	local gifts = { }

	if value.gifts then 

		gifts = value.gifts

	end 

	if gifts ~= nil and table.nums(gifts) > 0 then 

		for i = 1 , table.nums(gifts) do 
			
			local cell = awardCell( gifts[i] , { parent = self.scroll })
			setAnchPos( cell , 40 + (i - 1)*90 , 15 , 0.5 , 0.5 )
			layer:addChild( cell )

		end 

	end

	local str = ""

	if value.already_buy and value.total_limit then 

		str = "("..value.already_buy.."/"..value.total_limit..")"

	end 

	layer:addChild( display.strokeLabel( str , 352 , 8 , 20 , ccc3( 0x0 , 0x0 , 0x0 ) ) )



	return layer

end

return M

