--周年感恩
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/anniversary/"
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNSlider = requires(IMG_PATH, "GameLuaScript/Common/KNSlider")
function M:show()

	local data = ACTIVITY:getData()
	--dump(data)
 	ACTIVITY:baseLayout({ line = {} })

 	local layer = display.newLayer():addTo(ACTIVITY.viewLayer)
 	display.newSprite(PATH .."bg.png", display.cx, display.cy+60):addTo(layer)
 	
 	if CHANNEL_GROUP=="hy" then
 		display.strokeLabel("暑假乐残页可在宝藏楼和任务BOSS关卡获得", display.cx-170, display.cy-74 , 18, ccc3(0, 0, 0)):addTo(layer)
 	else
 		display.strokeLabel("周年庆残页可在宝藏楼和闯关BOSS关卡获得", display.cx-170, display.cy-74 , 18, ccc3(0, 0, 0)):addTo(layer)
 	end
 	

 	--周年庆个数
 	local zhou = display.strokeLabel(data['synthesisconfig'][1]['propnum'].."/"..data['synthesisconfig'][1]['count'], display.cx-160, display.cy-10 , 21, ccc3(255, 255, 255)):addTo(layer)
 	local nian = display.strokeLabel(data['synthesisconfig'][2]['propnum'].."/"..data['synthesisconfig'][2]['count'], display.cx-15, display.cy+40 , 21, ccc3(255, 255, 255)):addTo(layer)
 	local qing = display.strokeLabel(data['synthesisconfig'][3]['propnum'].."/"..data['synthesisconfig'][3]['count'], display.cx+135, display.cy-10, 21, ccc3(255, 255, 255)):addTo(layer)
 	local count = display.strokeLabel("可用周年庆: "..data['synthesis_znq']['propnum'], display.cx-65, display.cy-51 , 21, ccc3(255, 255, 255)):addTo(layer)
 	 	if CHANNEL_GROUP=="hy" then
 		count:setString("可用暑假乐："..data['synthesis_znq']['propnum'])
 	end
 
 	--全部合成
	local composeBtn = KNBtn:new(PATH, {"btn1.png","btn2.png"} , display.cx,  display.cy+5, {
		front = PATH .."btn-text.png",
		anchMid = true,
		callback = function()
				HTTP:call("activity", "receive_anniversary_synthesis", { },{success_callback = 
						function(receivedata)
							dump(receivedata)

							HTTP:call("activity" , "get", {} , {
											success_callback = function()
													switchScene("activity",{findCurKeyByName="anniversary"}, function()
																inform(receivedata)
														end)
											end
										})
							
						end})

		end
	})
	layer:add(composeBtn:getLayer())


	local tempScrollView = KNScrollView:new(15,105,460,223,2,false,0,{	
	   		 priority = -130,
	    	 --debug=true,
	    })
  
    layer:addChild(tempScrollView:getLayer())

     --兑换滑动条
     --max 可兑换次数最大值，index list下标
	local function exchangeSlider(max,min,index)
	 		local mask = baseMask( {isShowBack = { x = 35 , y = 510 } ,  bgInfo = { path = COMMONPATH .."tip_bg.png",  y = 300 } } )
	 		
	 		local numSp = display.newSprite(PATH.."num.png",150,480,0,0)
	 		mask:addChild(numSp)
	 		
	 		local numBg = display.newSprite(COMMONPATH.."page_bg.png",252,475,0,0)
	 		mask:addChild(numBg)

	 		local num = display.strokeLabel("1", 280,480, 20, ccc3(255, 255, 255))
	 		mask:addChild(num)

	 		local slider
	 		 slider = KNSlider:new( "buy" ,  {
						x = 150 , 
						y =400, 
						minimum = 1 , 
						maximum = max-min, 
						value = 1 , 
						callback  = function( _curIndex )
							num:setString(_curIndex)
						end,
						priority = -140
					})
			mask:addChild( slider )


			--增减按钮
		local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} ,  128+255 ,  275-60+208  , {
			scale = true,
			priority = -130,
			callback = function()
				if slider:getValue()<max then
					slider:setValue( slider:getValue()+1 )
				end

			end
		})
		addBtn:getLayer():setScale(0.8)
		mask:addChild(addBtn:getLayer())
		local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 90 ,  275-60+208  ,{
			scale = true,
			priority = -130,
			callback = function()
				if slider:getValue()> min then
				 	 slider:setValue( slider:getValue()-1 )
				   
				end

			end
		})
		minusBtn:setFlip(true)
		minusBtn:getLayer():setScale(0.8)
		mask:addChild(minusBtn:getLayer())



			local okBtn = KNBtn:new(COMMONPATH, {"btn_bg.png","btn_bg_pre.png"} , 120,  360, {
					front = COMMONPATH .."ok.png",

					priority=-131,
					callback = function()
							HTTP:call("activity", "receive_anniversary_exchange", {index=index-1,num=slider:getValue() },{success_callback = 
								function(data)
									dump(data)
									HTTP:call("activity" , "get", {} , {
											success_callback = function()
													switchScene("activity",{findCurKeyByName="anniversary"}, function()
																inform(data)
														end)
											end
										})
									
									
								end})
					end
					})
			mask:add(okBtn:getLayer())

			local cancleBtn = KNBtn:new(COMMONPATH, {"btn_bg.png","btn_bg_pre.png"} , 310,  360, {
				front = COMMONPATH .."cancel.png",
				priority=-131,
				callback = function()
						mask:remove()
				end
			})
			mask:add(cancleBtn:getLayer())

	end

    for i=1,#data['exchangeconfig'] do
    	local item = display.newSprite(PATH.."linebg.png",0,0,0,0)
    	tempScrollView:addChild(item)

    	local addSp = display.newSprite(PATH.."add.png",106,42,0,0)
    	item:addChild(addSp)

    	local dengSp = display.newSprite(PATH.."to.png",225,42,0,0)
    	item:addChild(dengSp)

    	for j=1,2 do
    		local curProp = awardCell( data['exchangeconfig'][i]['exchange_award'][j],{ parent = tempScrollView })
    		setAnchPos( curProp , 28 + ( j - 1 ) * 120 , 25 )
    		item:addChild(curProp)
    	end

    	local award =awardCell( data['exchangeconfig'][i]['award'][1],{ parent = tempScrollView } )
    	setAnchPos( award , 265 , 25 )
    	item:addChild(award)

    	

    	local exchangeBtn = KNBtn:new(COMMONPATH, {"btn_bg.png","btn_bg_pre.png"} , 390,  60, {
			front = COMMONPATH .."exchange.png",
			parent=tempScrollView,
			anchMid = true,
			callback = function()
					exchangeSlider(data['exchangeconfig'][i]['max'],data['exchangeconfig'][i]['num'],i)
			end
		})
		item:add(exchangeBtn:getLayer())

		local ciShu = display.strokeLabel(data['exchangeconfig'][i]['num'].."/"..data['exchangeconfig'][i]['max'],370, 17, 18, ccc3(255, 255, 255))
		item:addChild(ciShu)

    end

   


end




return M
