--国庆 收集活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} })
	local function createItem( params )
		params = params or {}
		
		local layer = display.newLayer()

		local img,vipBarImg = "item_bg.png","gangpay_bg_bar.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			vipBarImg="vip_bg_bar_2015.png"
		end
		
		local bg = display.newSprite( PATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		bg:addChild( display.newSprite( PATH .. "erect_line.png" , 244 , 0 , 0 , 0 ) )
		
		bg:addChild( display.newSprite( PATH .. "shade4.png" , 10 , 13 , 0 , 0 )   ) 
		
		
		bg:addChild( display.newSprite( PATH .. "bar1.png" , 40 , 130 , 0 , 0  ) )
		layer:addChild( display.strokeLabel( "搜集物品" , 85, 132 , 18, ccc3( 0xff , 0xfc , 0xd3 )  ) )
		
		bg:addChild( display.newSprite( PATH .. "bar2.png"  , 272 , 130  , 0 , 0 ) )
		layer:addChild( display.strokeLabel( "奖励" , 290 , 132 , 18, ccc3( 0xff , 0xfc , 0xd3 )  ) )
		
		
		
		
		local itemAwardData = params.data
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local noNumConver = true
			if itemAwardData[i].cid == "silver" then
				noNumConver = nil
			end
			local curProp = awardCell( itemAwardData[i] , { noNumConver = noNumConver , name = true } )
			local offX = ( i == 3 and 40 or 0 ) 
			setAnchPos( curProp , 28 + ( i - 1 ) * 104 + offX , 47 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		layer:addChild( display.strokeLabel( "(" .. ( itemAwardData[3].received == 2 and 1 or 0 ) .. "/1)" , 380, 40 , 18, ccc3( 0x2c , 0x00 , 0x00 )  ) )
		
		
		local isEnable =  true
		local isComplete = false
		if itemAwardData[3].received == 0 then
			isEnable = true
		elseif itemAwardData[3].received == 1  then
			isEnable = true
		elseif itemAwardData[3].received == 2  then
			isComplete = true
		end
		
		
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "btn_bg_dis.png" }  or { "btn_bg.png" ,"btn_bg_pre.png"} ) or { "btn_bg_dis.png" } , 
			360 , 
			70 ,
			{
				priority = -130,
				front = COMMONPATH .. ( isEnable and (isComplete and "get_complete.png" or  "get.png" ) or "get_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if itemAwardData[3].cid~="silver" then
							if isBagFull() then
							    return false
							end
						end
						HTTP:call("activity", "receive_collect", { typeid = data.typeid , index = params.index - 1  },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	for i = 1  , #data.list do
		for j = 1 , #data.list[i] do
			data.list[i][j].num = data.list[i][j].num .. "/" .. data.list[i][j].max
		end
		table.insert( data.list[i] , data.award[i] )
	end
	
	for i = 1 , #data.list do
		local item = createItem({ index = i , data = data.list[i] })
		scroll:addChild( item )
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 570 , 0 , 0 ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime , 120, 610 , 18, ccc3( 0xfd , 0xfa , 0xd7 )) )
	
	
end
return M
