--每日福利
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local handler
function M:show( params )

	local params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} , frame = {} })
	end
	parentLayer:addChild( curLayer )
	
	
	
	
	local tipStr = data.content or "" --提示文字
	local textWidth = 400
	
	local function createItem( tempParams )
		local layer = display.newLayer()
		local curText  =  KNTextField:create( { str = tempParams.str , size = ( tempParams.size or 20 ) , color = ( tempParams.color or textColor ) , width = ( tempParams.width or textWidth ) } ) 
		layer:addChild( curText )
		layer:setContentSize( CCSize:new( ( tempParams.width or textWidth ) , curText:getContentSize().height + 30 )  )
		return layer
	end

	local scroll
	scroll = KNScrollView:new( 40 , 110 , 400 , 550 , 10 , false , 0 , { priority = -201 })
	
	if type( tipStr ) == "table" then
		for i = 1 , table.nums( tipStr ) do
			local item = createItem( { str = tipStr[i] , size = 20 , color = ccc3( 0x00 , 0x00 , 0x00 ) }  )
			scroll:addChild( item )
		end
	elseif type( tipStr ) == "string" then
		
		local item = createItem( { str = tipStr , size = 20 , color = ccc3( 0x00 , 0x00 , 0x00 ) } )
		scroll:addChild( item )
	end

	scroll:alignCenter()
	curLayer:addChild( scroll:getLayer() )
	

	
end
return M
