--十一国庆  每日首充
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout( { line = {} , frame = {} } )
	
	local baseY = 270
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 585 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "", 120 , 588 , 20, ccc3( 0x2c , 0x00 , 0x00 )  ) )	--活动时间
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_tip_text.png" , 40 , 540 , 0 , 0 ) )	--活动说明
	local str = ""
	for i = 1 , #data.content do
		str = str .. data.content[i] .. "\n"
	end
	ACTIVITY.viewLayer:addChild( display.strokeLabel( str , 40, 400 , 18, ccc3( 0xfe , 0x00 , 0x00 ) , nil , nil , 
													{ 
														dimensions_width = 400 , 
														dimensions_height = 130 , 
														align = 0 
													} ))	
													
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "have_pay.png" , display.cx , 117 + 300 , 0.5 , 0 ) )	--已充值多少黄金
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.paygold  , 282, 118 + 300 , 20, ccc3( 0x2c , 0x00 , 0x00 ) , nil , nil , 
													{ 
														dimensions_width = 80 , 
														dimensions_height = 25 , 
														align = 1 
													} ))	
													
	
	
	local function createItem( index )
		local addY = baseY - ( index - 1 ) * 130
		
		local shade1 = display.newSprite( PATH .. "shade1.png" )
		setAnchPos(shade1 , display.cx , addY , 0.5 )
		ACTIVITY.viewLayer:addChild( shade1 )
		local lastTitle = display.newSprite( PATH .. ( index == 1 and "full_100.png" or "full_500.png") )
		setAnchPos(lastTitle , 40 , shade1.y + shade1:getContentSize().height - 20 , 0 , 0 )
		ACTIVITY.viewLayer:addChild( lastTitle )
		
		local curAwards = data.list[index].award
		for i = 1 , #curAwards do
			local curProp = awardCell( curAwards[i] )
			setAnchPos( curProp , 50 + ( i - 1 ) * 75 , addY + 20 )
			ACTIVITY.viewLayer:addChild( curProp )
		end
		
		--领取按钮
		local isComplete = false
		local isEnable = true		--是否可领取
		if data.list[index].received == 0  then
			--不可领
			isEnable = false
			isComplete = false
		elseif data.list[index].received == 1 then
			--可领
			isEnable = true
			isComplete = false
		elseif data.list[index].received == 2 then
			isEnable = true
			isComplete = true
		end
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" } or { "long_btn.png" ,"long_btn_pre.png"} )  or ( isComplete and { "long_btn_grey.png" } or { "long_btn.png" ,"long_btn_pre.png"} ) , 
			330 , 
			addY + 30 ,
			{
				front = COMMONPATH .. ( isEnable and  ( isComplete  and "get_over.png" or "get_award.png" ) or "goto_pay.png" ),
				callback = 
				function()
					if not isEnable and not isComplete then
						switchScene("pay")
					elseif isEnable and  not isComplete then
						HTTP:call("activity", "receive_everydaypay", { typeid = data.typeid , index = index - 1 },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = ACTIVITY.awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					end
				end
			}):getLayer()
		ACTIVITY.viewLayer:addChild( getBtn )
	end
	for i = 1 , 2 do
		createItem( i )
	end
	
	
end
return M
