--新的累积冲值 累充大礼   ； 增加 可领取次数
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()

	local AT = 1 --多活动标记
	ACTIVITY:baseLayout({ line = {} })
	local scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()

		local img,vipBarImg = "item_bg.png","vip_bg_bar.png"
		if G_new_year_skin and G_new_year_skin==1 then
			img="item_bg_2015.png"
			vipBarImg="vip_bg_bar_2015.png"
		end
		
		local bg = display.newSprite( COMMONPATH .. img )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		layer:addChild( display.newSprite( PATH .. vipBarImg , 107 , 82 , 0 , 0 ) )
		local str 
		if  AT == 1 then
			str =  "累积充值" .. params.condition .. "元可领"
		elseif AT == 2 then
			str = "今日累充" .. ( params.condition == 1 and "任意" or params.condition ) .. "元可领" 
		elseif AT == 3 then
			str = "累积" .. params.condition .. "天充值都达到88元可领" 
		end
		layer:addChild( display.strokeLabel( str or "" , 107, 80 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 231 , dimensions_height = 25 , align = 1 } ) )
		
		local itemAwardData = params.data.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i] , { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		
		local isEnable =  true
		local isComplete = false

		if  tonumber(params.data.received) >= tonumber(params.data.num)  or tonumber(params.data.received) >= tonumber(params.data.award_num) then
			isComplete = true
		end


		layer:addChild( display.strokeLabel( "可领取(" .. params.data.received .."/".. params.data.num .. ")" , 305, 10 , 18, ccc3( 0x2c , 0x00 , 0x00 )) )
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } , 
			305 , 30 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_award_grey.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						
						if  tonumber( data.payyuan ) < tonumber( params.condition ) then
							local str 
							if AT == 1 then
								str =  "累计充值"  .. params.condition .. "元才可领取该奖励,你当前充值的金额未达到,暂不能领取该奖励"
							elseif AT == 2 then
								str = "今日累充" .. params.condition .. "元才可领取该奖励,你当前充值的金额未达到,暂不能领取该奖励"
							elseif AT == 3 then
								str = "累积" .. params.condition .. "天充值都达到88元才可领取该奖励,你当前充值的金额未达到,暂不能领取该奖励"
							end
							KNMsg.getInstance():boxShow( str ,{ 
																confirmText = COMMONPATH .. "pay.png" , 
																cancelText = COMMONPATH .. "back.png" , 
																confirmFun = function() switchScene("pay") end , 
																cancelFun = function() end 
																} )
							return
						end
						
						HTTP:call("activity", "receive", { typeid = data.typeid , index = params.index - 1 },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	
	
	local sort= data.config  
	if ACTIVITY:getActivityType() == "paycount" then					--累积冲值 累充大礼
		AT = 1
	elseif ACTIVITY:getActivityType() == "everydayrecharge" then		--每日累充
		AT = 2
	elseif ACTIVITY:getActivityType() == "everydaygifts" then		--天天有礼
		AT = 3
	end
	for i = 1 , table.nums( sort ) do
		local curData = ( AT == 1 and sort[i .. "" ] or sort[i] )
		local item = createItem( { index = i , condition = curData.condition , data = curData } )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	local addXElement = { 239 , 228  , 223 }
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "add_up_pay" .. AT .. ".png", addXElement[ AT ] , 562 , 0 , 0 ) )	--累计充值
	ACTIVITY.viewLayer:addChild( display.strokeLabel( ( AT == 3 and data.payyuan or data.payyuan .. "元" ), ( AT == 3 and 310 or 380 ), 566 , 18, ccc3( 0xfd , 0xfa , 0xd7 ) ) )	--累计充值
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_awards_title.png" , 25 , 562 , 0 , 0 ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 605 , 0 , 0  ) )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime , 120, 610 , 18, ccc3( 0xfd , 0xfa , 0xd7 )) )
	
 
end
return M
