--十一国庆  每日任务
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"

local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show()
	local data = ACTIVITY:getData()
	local text = {}		--任务文字
	local textFlag = {}	--是否完成标记
	local function createPage( index )
		if ACTIVITY.awardProp then
			for i ,v in pairs(ACTIVITY.awardProp) do
				v:removeFromParentAndCleanup(true)	-- 清除自己
			end
		end
		
		local award = data.award
		
		ACTIVITY.awardProp = {}
		for i = 1 , #award do
			local curProp = awardCell( award[i] )
			setAnchPos( curProp , 50 + ( i - 1 ) * 75 , 190 )
			ACTIVITY.viewLayer:addChild( curProp )
			ACTIVITY.awardProp[ #ACTIVITY.awardProp + 1 ] = curProp
		end
		
		--文字设置
		ACTIVITY.taskText = {}
		local condition = data.condition
		local isEnable = true
		for i = 1 , #condition do
			local curData = condition[i]
			if i <= #condition then
				local completeState = "  (".. curData.num .. "/" .. curData.max ..")"
				text[i]:setString( i .. ":" .. curData.name .. completeState)
				if curData.num >= curData.max then
					text[i]:setColor( ccc3( 0xef , 0x00 , 0x00 ) )
					textFlag[i]:setVisible( true )
				else
					text[i]:setColor( ccc3( 0x2c , 0x00 , 0x00 ) )
					textFlag[i]:setVisible( false )
					isEnable = false 
				end
			else
				text[i]:setString( "" )
				textFlag[i]:setVisible( false )
			end
		end
		
		
		--领取按钮
		local isComplete = false
		if data.received == 0  then
			--不可领
			isEnable = false
		elseif data.received == 1 then
			--可领
			isEnable = true
		elseif data.received == 2 then
			isComplete = true
		end
		
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "btn_bg_red2.png" } or { "btn_bg_red.png" ,"btn_bg_red_pre.png"} )  or { "btn_bg_red2.png" } , 
			display.cx - 72 , 
			120 ,
			{
				priority = -130,
				front = COMMONPATH .. ( isEnable and  (isComplete  and "get_complete.png" or "get.png") or ( isComplete and "get_complete.png" or "get_grey.png" ) ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						HTTP:call("activity", "receive_everydaytask", { typeid = data.typeid , index = index },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = ACTIVITY.awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "当前任务未完成不可领取！" )
					end
				end
			}):getLayer()
		ACTIVITY.viewLayer:addChild( getBtn )
		
	end
	
	ACTIVITY:baseLayout( { line = {} , frame = {} } )
	
	local baseY = 87
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 585 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime , 120 , 588 , 20, ccc3( 0x2c , 0x00 , 0x00 )  ) )	--活动时间
	
	local shade1 = display.newSprite( PATH .. "shade3.png" )
	setAnchPos( shade1 , display.cx , baseY + 200 , 0.5 )
	ACTIVITY.viewLayer:addChild( shade1 )
	
	local todayTitle = display.newSprite( PATH .. "target_task.png" )
	setAnchPos(todayTitle , 40 , shade1.y + shade1:getContentSize().height - 20 , 0 , 0 )
	ACTIVITY.viewLayer:addChild( todayTitle )
	
	local shade2 = display.newSprite( PATH .. "shade1.png" )
	setAnchPos(shade2 , display.cx , baseY + 80 , 0.5 )
	ACTIVITY.viewLayer:addChild( shade2 )
	local lastTitle = display.newSprite( PATH .. "target_award.png" )
	setAnchPos(lastTitle , 40 , shade2.y + shade2:getContentSize().height - 20 , 0 , 0 )
	ACTIVITY.viewLayer:addChild( lastTitle )
	
	
	for i = 1 , 8 do
		text[i] = display.strokeLabel( "111" , 70, 530 - i * 30 , 18, ccc3( 0x2c , 0x00 , 0x00 ) , nil , nil , { dimensions_width = 360 , dimensions_height = 30 , align = 0 } )
		ACTIVITY.viewLayer:addChild( text[i] )
		
		textFlag[i] = display.newSprite( PATH .. "complete_flag.png")
		setAnchPos( textFlag[i] , 48, 546 - i * 30 )
		ACTIVITY.viewLayer:addChild( textFlag[i] )
	end
	
	--生成默认奖励页面
	createPage( 1 )
	
end
return M
