--烟花积分活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} })
	local scroll
	local function createItem( params )
		params = params or {}
		
		local layer = display.newLayer()
		
		local bg = display.newSprite( PATH .. "newyear/item_bg2.png" )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		
		local lvBg = display.newSprite( PATH .. "newyear/title_tip_bg1.png" )
		setAnchPos( lvBg , 108 , 130 + 70 - 118 )
		bg:addChild( lvBg )
		local lvGiftText = display.strokeLabel( "积分达到" .. params.num .. "可领" , 135, 135 + 65 - 118  , 18, ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 180 , dimensions_height = 25 , align = 1 } )
		bg:addChild( lvGiftText )
		
		local itemAwardData = params.award
		local awardProp = {}
		for i = 1 , #itemAwardData do
			local curProp = awardCell( itemAwardData[i], { parent = scroll } )
			setAnchPos( curProp , 28 + ( i - 1 ) * 85 , 10 )
			layer:addChild( curProp )
			awardProp[ #awardProp + 1 ] = curProp
		end
		
		
		local isEnable =  true
		local isComplete = false
		if data.received_one then
			--是否已经领取
			for j = 1 , #data.received_one do
				if tonumber( data.received_one[j]) == tonumber( params.index ) then
					isComplete = true
					break
				end
			end
		end
		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "btn_bg_dis.png" }  or { "btn_bg.png" ,"btn_bg_pre.png"} ) or { "btn_bg_dis.png" } , 
			340 , 
			18 ,
			{
				priority = -130,
				front = COMMONPATH .. ( isEnable and (isComplete and "get_complete.png" or  "get.png" ) or "get_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then
						if isBagFull() then
						    return false
						end
						HTTP:call("activity", "receive_firework", { type = "one" , index = params.index   },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
						end})
					else
--						KNMsg.getInstance():flashShow( "今天奖励已领取！" )
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		
		layer:setContentSize( bg:getContentSize() )
		return layer
	end
	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )
	
	if isNew then
		ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 595 + 12 , 0 , 0 ) )	--活动时间
		ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 598 + 12 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	end
	scroll = KNScrollView:new( 0, 94, 480, 470 , 10 , false )
	
	for i = 1 , table.nums( data.config ) do
		local tempTable = data.config[ i ]
		tempTable.index = i - 1 
		local item = createItem( tempTable )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	ACTIVITY.viewLayer:addChild(scroll:getLayer() )
	
	
	ACTIVITY.viewLayer:addChild( display.strokeLabel( "您当前积分:" .. data.fireworkone  , 100 , 565 , 20, ccc3( 0xfe , 0xfc , 0xd3 ) , nil , nil , {dimensions_width = 340 ,	dimensions_height = 24 , align = 2	} ) )	--活动时间
end
return M
