--首充礼包
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ line = {} , frame = {} })
	
	local baseY = 107
	
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "firstpay_tip.png" , display.cx , 513 , 0.5 , 0  ) )
	local awardBg = display.newSprite( PATH .. "shade1.png" , display.cx , 275 , 0.5 , 0  ) 
	awardBg:setScaleY(1.4)
	ACTIVITY.viewLayer:addChild( awardBg )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "firstpay_award_title.png" , 42 , 409 , 0 , 0  ) )
	
	--今天奖励
	local awardProp = {}
	local curAward = data.config.award
	for i = 1 , #curAward do
		local curProp = awardCell( curAward[i] ,{ name = true })
		setAnchPos( curProp ,67 + ( i - 1 ) * 94 , 330 )
		ACTIVITY.viewLayer:addChild( curProp )
		awardProp[ #awardProp + 1 ] = curProp
	end
	
	--领取按钮
	local getBtn = KNBtn:new( COMMONPATH , 
		{ "btn_bg_red.png" ,"btn_bg_red_pre.png"} , 
		60 , 
		145 ,
		{
			priority = -130,
			front = PATH .. "cost_text.png"  ,
			callback = 
			function()
				pushScene("pay" , { closeFun = function() popScene() end })
			end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( getBtn )
	
	local isEnable =  ( tonumber( data.paygold ) ~= 0 and  tonumber( data.received ) == 0 )
	local getBtn = KNBtn:new( COMMONPATH , 
		isEnable and { "btn_bg_red.png" ,"btn_bg_red_pre.png"} or { "btn_bg_red2.png" } , 
		270 , 
		145 ,
		{
			priority = -130,
			front = COMMONPATH .. ( isEnable and "all_get.png" or "no_all_get.png" ) ,
			callback = 
			function()
				if isEnable  then
					HTTP:call("activity", "receive_firstpay", {typeid = data.typeid},{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
					end})
				else
--					KNMsg.getInstance():flashShow( "今天奖励已领取！" )
				end
			end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( getBtn )
end
return M
