--新的累积冲值 累充大礼   ； 增加 可领取次数
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/box_gift/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

local config_day , config_money ,money_day , upConfig , bottomConfig , type_id

function M:show( param )
	local data = ACTIVITY:getData()

	if param and param.gift_day_data then 
		data =  param.gift_day_data		
	end

	ACTIVITY:baseLayout({ line = {} })

	-- dump(data , "data")

	config_day = data.activity_day or {}
	config_money = data.activity_money or {}
	money_day = data.money_day or {}
	upConfig = data.config or {}
	bottomConfig = data.s_config or {}

	type_id = data.typeid

	local viewLayer = display.newLayer()

	viewLayer:addChild( display.strokeLabel( "活动时间:" .. (data.endtime or "") , 20 , 615 , 20, ccc3( 255 , 255 , 255 )  ) )	--活动时间

	local img= "up_bg.png"
	if G_new_year_skin and G_new_year_skin==1 then
		img= "up_bg_2015.png"
	end
	viewLayer:addChild( display.newSprite( PATH .. img , display.cx , 331 , 0.5 , 0 ) )

	viewLayer:addChild( display.newSprite( PATH .. "bottom_bg.png" , display.cx , 94 , 0.5 , 0 ) )

	viewLayer:addChild( display.newSprite( PATH .. "everyday_pay_gift.png" , 46 , 581 , 0 , 0 ) )

	viewLayer:addChild( display.newSprite( PATH .. "today_pay.png" , 250 , 581 , 0 , 0 ) )

	viewLayer:addChild( display.newSprite( PATH .. "pay_count.png" , 49 , 283 , 0 , 0 ) )

	viewLayer:addChild( display.strokeLabel( data.payyuan or "" , 384 , 580 , 18, ccc3( 0x2c , 0x00 , 0x00 ) , nil ) )				--今日累计充值多少元
	
	for i=1,#config_day do

		local pay_day = display.newSprite( PATH .. "pay_day.png" , 146 + ( i -1 ) * 103, 283 , 0 , 0 )

		pay_day:addChild( display.strokeLabel( config_day[i] or "" , 43 , 0 , 18, ccc3( 255 , 255 , 255 ) , nil ) )

		viewLayer:addChild( pay_day )
		
	end

	--上面的滚动
	local upScroll = KNScrollView:new( 30, 343, 424, 228 , 0 , false )

	for i=1,#config_money do
		local itemLayer = self:createUpItem(i, upScroll)
		upScroll:addChild( itemLayer )
	end

	viewLayer:addChild( upScroll:getLayer() )


	--下面的滚动
	local bottomScroll = KNScrollView:new( 30, 106, 428, 171 , 10 , false )
	for i=1,#config_money do
		local itemLayer = self:createBottomItem(i)

		bottomScroll:addChild( itemLayer )
	end

	viewLayer:addChild( bottomScroll:getLayer() )

	ACTIVITY.viewLayer:addChild( viewLayer )
	
end



function M:createBottomItem(money_index , parent)
	local layer = display.newLayer()

	layer:setContentSize( CCSizeMake(424,65) )

	local rmbImg = display.newSprite( PATH .. "rmb.png" , 67 , 23 , 0 , 0 )

	layer:addChild( rmbImg )

	local line = display.newSprite( PATH .. "line.png" , 22 , 2 , 0 , 0 )
	layer:addChild( line )

	line:addChild( display.strokeLabel( "已完成"..money_day[money_index].."天" , 5 , 6 , 12, ccc3( 222 , 222 , 200 ) , nil ) )

	local money = display.strokeLabel( config_money[money_index] or "" , 43 , 0 , 18, ccc3( 255 , 255 , 255 ) , nil )
	setAnchPos( money , -5 , 0 , 1 , 0 )
	rmbImg:addChild( money )


	local box_data = bottomConfig[money_index]
	for i=1,#box_data do	

		local data = box_data[i] or {}

		local state = "unfinished"
		if data.set_state ~= 0 then 
			if data.received == 0 then 
				state = "get"
			else
				state = "get_over"
			end
		end

		local boxBtn = KNBtn:new( PATH , state == "get_over" and {"box_gray.png"} or { "box.png" } , 113 + (i-1)* 111 , 0 ,
			{
				parent = parent , 
				front = (state == "get_over") and PATH .. "get_completed.png" or nil,
				callback = function()
					self:showBoxAwardLayer( { data = data , day_index = i , money_index = money_index , state = state } )
				end
			})
		layer:addChild( boxBtn:getLayer() )
		boxBtn:setEnable( not (state == "get_over") )
	end

	return layer
end



function M:createUpItem(money_index ,parent)
	local layer = display.newLayer()
	layer:setContentSize( CCSizeMake(414,77) )

	layer:addChild( display.newSprite( PATH .. "pay_rmb_can_get.png" , 16 , 34 , 0 , 0 ) )

	layer:addChild( display.strokeLabel( config_money[money_index] or "" , 56 , 34 , 18, ccc3( 255 , 255 , 255 ) , nil ) )

	local data = upConfig[money_index]

	local itemAwardData = data.award
	for i = 1 , #itemAwardData do
		local curProp = awardCell( itemAwardData[i] , { parent = parent } )
		setAnchPos( curProp , 167 + ( i - 1 ) * 80 , 8 )
		layer:addChild( curProp )
	end
	

	local state = "unfinished"
	if data.set_state ~= 0 then 
		if data.received == 0 then 
			state = "get"
		else
			state = "get_over"
		end
	end

	local getBtn = KNBtn:new( COMMONPATH , (state == "get_over") and {"btn_bg_grey.png"} or { "btn_bg.png" ,"btn_bg_pre.png"} , 
		328 , 19 ,
		{
			parent = scroll , 
			front = (state == "get_over" and COMMONPATH or PATH) .. state .. ".png" ,
			callback = 
			function()
				
				if state == "unfinished" then 
					KNMsg.getInstance():flashShow( "未达到领取条件" )
					return 
				end

				HTTP:call("activity", "receive_gift_day ", { typeid = type_id , index = money_index - 1 },{
					success_callback = function(param)
						dump(param , "param")
						inform(param)
						DATA_Activity:setCurData(param.data)
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )

					end
				})

			end
		})
	getBtn:setEnable( not( state=="get_over" ) )
	layer:addChild( getBtn:getLayer() )

	return layer
end

function M:showBoxAwardLayer(param)

	local layer = display.newLayer()

	local condition = display.newSprite( PATH .. "get_award_condition.png" , 120 , 422 , 0 , 0 )

	layer:addChild( condition )

	condition:addChild( display.strokeLabel( config_day[param.day_index] or "" , 97 , 28 , 18, ccc3( 43 , 0 , 0 ) , nil ) )
	condition:addChild( display.strokeLabel( config_money[param.money_index] or "" , 174 , 28 , 18, ccc3( 43 , 0 , 0 ) , nil ) )

	condition:addChild( display.strokeLabel( money_day[param.money_index] .."/" .. config_day[param.day_index] , 141 , 0 , 18, ccc3( 43 , 0 , 0 ) , nil ) )


	local data = param.data

	local itemAwardData = data.award
	for i = 1 , #itemAwardData do
		local curProp = awardCell( itemAwardData[i] , {priority = -151} )
		setAnchPos( curProp , 104 + ( i - 1 ) * (#itemAwardData>2 and 120 or 180) , 330 )
		layer:addChild( curProp )
	end

	local state = param.state or "unfinished"

	local mask 

	mask = showTip({
		content = layer,
		priority = -151,
		close = {
		normal = "back_img.png",
		pre = "back_img_press.png",
		},
	})

	local getBtn = KNBtn:new( COMMONPATH , (state == "get_over") and {"btn_bg_red2.png"} or { "btn_bg_red.png" ,"btn_bg_red_pre.png"} , 175 , 270 ,
		{
			front =  (state == "get_over" and COMMONPATH or PATH) .. state .. ".png" ,
			priority = -151,
			callback = 
			function()
				if state == "unfinished" then 
					KNMsg.getInstance():flashShow( "未达到领取条件" )
					return 
				end

				HTTP:call("activity", "receive_gift_day_all", { typeid = type_id , index = param.money_index - 1 , key = param.day_index - 1 },{
					success_callback = function(param)

						mask:remove()

						inform(param)
						DATA_Activity:setCurData(param.data)
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
					end
				})

			end
		})
	getBtn:setEnable( not(state == "get_over") )
	layer:addChild( getBtn:getLayer() )

end


return M
