--成长计划
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show( params )

	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} })
	end
	parentLayer:addChild( curLayer )
	
	local scroll = KNScrollView:new( 0, 110 + parentLayreOffY , 480 , 275 , 10 , false )
	local isFirstItem = true 
	local function createItem( params )
		params = params or {}
		local layer = display.newLayer()
		
		local bg = display.newSprite( COMMONPATH .. "item_bg2.png" )
		setAnchPos( bg , 0 , 0 )
		layer:addChild( bg )
		
		layer:addChild( display.newSprite( PATH .. "vip_bg_bar.png" , 10 , 63 , 0 , 0 ) )
		layer:addChild( display.newSprite( PATH .. "grow_lv_text.png" , 30 , 25 , 0 , 0 ) )
		layer:addChild( display.strokeLabel( params.data.lv  , 80 , 25 , 20 , ccc3( 0x6c , 0x23 , 0x1e ) ) )
		
		
		layer:addChild( display.strokeLabel( params.data.lv .. "级成长基金" , 30 , 65 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )
		
		
		local tempAward = awardCell( params.data.award[1] , { parent = scroll })
		setAnchPos( tempAward , 245  , 30 , 0 , 0 )
		layer:addChild( tempAward  )
		
		
		

		local isEnable = tonumber( data.shop ) == 1 --是否激活状态
		local isComplete = false  --是否领取
		
		if table.nums(data.received) >= 1 then
			for t = 1 , table.nums( data.received ) do
				if data.received[t] == params.index then
					isComplete = true
				end
			end
		end
		
		if isComplete then isEnable = false end
		
		if isEnable and tonumber(  DATA_User:get("lv")  )  < tonumber( params.data.lv ) then isEnable = false end
			
		
		
--		local textData = nil
--		if isEnable then 
--			if tonumber( data.received ) ~= 0 then
--				textData =  { "(" ..  data.awardnum .. "/" ..  params.data.max .. ")" , 16 , ccc3( 0x2c , 0x00 , 0x00 ), ccp( 0 , -35 ) , nil , 17 } 
--			end
--		end

		local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and { "btn_bg.png" ,"btn_bg_pre.png"} or { "btn_bg_dis.png" } , 
			315 , 
			40 ,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and  "get.png"  or ( isComplete and "get_over.png" or "get_grey.png")  ) ,
--				text = textData  ,
				callback = 
				function()
					if isEnable then	
						if not isComplete then
	 						HTTP:call("activity", "receive_growth_plan_gold", { index = params.index },{success_callback = 
							function()
								ACTIVITY:getAction( { awardProp = awardProp , onComplete = function()								
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end
								end } )
							end})
						end
					end
				end
			}):getLayer()
		layer:addChild( getBtn )
		
		if isFirstItem and isParent then
			isFirstItem = false
			layer:setContentSize( CCSize( bg:getContentSize().width , bg:getContentSize().height + parentLayreOffY ) )
		else
			layer:setContentSize( bg:getContentSize() )
		end
		return layer
	end
	
	curLayer:addChild( display.newSprite(PATH .. "config_bg.png" , display.cx , 100 , 0.5 , 0  ) )	
	
	local payBtn = KNBtn:new( PATH , 
			{ "grow.png" ,"grow_pre.png" } , 
			260 , 
			400 ,
			{
				front = COMMONPATH .. "buy.png" ,
				callback = 
				function()
					
					HTTP:call("activity", "receive_growth_plan_shop", {},{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() 									
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end 
								end } )
					end})
				end
			}):getLayer()
	curLayer:addChild( payBtn )
	
	local buyBtn = KNBtn:new( PATH , 
			{ "grow.png" ,"grow_pre.png" } , 
			100 , 
			400 ,
			{
				front = COMMONPATH .. "pay.png" ,
				callback = 
				function()
					switchScene( "pay" )
				end
			}):getLayer()
	curLayer:addChild( buyBtn )
			
	curLayer:addChild( display.strokeLabel( data.gold , 390  , 410 , 20 , ccc3( 0xf8 , 0xe6 , 0xe6 ) ) ) 
	curLayer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 455 , 420 ) )
	
	curLayer:addChild( display.newSprite( PATH .. "grow_tip_bg.png" , display.cx , 450 , 0.5 ,0 ) )
	curLayer:addChild( display.newSprite( PATH .. "grow_title.png" , display.cx , 570 , 0.5 ,0 ) )
	curLayer:addChild( display.newSprite( PATH .. "grow_return_text.png" , display.cx , 540 , 0.5 ,0 ) )
	curLayer:addChild( display.newSprite( PATH .. "grow_value_text.png" , display.cx , 500 , 0.5 ,0 ) )
	curLayer:addChild( display.newSprite( PATH .. "grow_vip_text.png" , display.cx , 470 , 0.5 ,0 ) )
	
	
			
	local sort = data.config 
	for i = 1 , table.nums( sort ) do
		local curData = sort[i .. ""]
		local item = createItem( { index = i ,  data = curData } )
		scroll:addChild( item )
	end
	scroll:alignCenter()
	curLayer:addChild(scroll:getLayer() )
 
end
return M
