--国庆活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/guoqing_activity/"
local ACTIVITY_PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")



function M:show( params )
	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		
		data = ACTIVITY:getData()
		--dump(data)
		ACTIVITY:baseLayout({ line = {} })
	end
	parentLayer:addChild( curLayer,2 )
	dump(data)
	ACTIVITY.viewLayer:addChild( display.newSprite( ACTIVITY_PATH .. "activity_time_text.png" , 20 , 585+30 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 588+30 , 20, ccc3( 0x2c , 0x00 , 0x00 )  ) )	--活动时间

	ACTIVITY.baseLayer:addChild( display.newSprite( PATH .. "bg.jpg" , 0 , 100 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "diLong.png" , 20 , 595 + 15-60-10 , 0 , 0 ) )
	curLayer:addChild( display.strokeLabel("第"..data.current_level.."层" , 50+115 , 595-23-10 , 22, ccc3( 255 , 255 , 255 )))--第n层

	if data.is_pass ==1 then
		curLayer:addChild( display.newSprite( PATH .. "tongGuan.png" , 290-40 , 225-30 , 0 , 0 ),10 )
	end

	curLayer:addChild( display.newSprite( PATH .. "atPos.png" , 20+20 , 595 -27-10 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "tongGuanLab.png" , 20+5 , 595-75-10  , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "killAllLab.png" , 20+5+100 , 595-75 -10 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "tiaoZhanNumLab.png" , 20+3 , 595-105-10  , 0 , 0 ) )
	curLayer:addChild( display.strokeLabel(data.challenge_times , 40+90 , 595-105-10 , 20, ccc3( 255 , 255 , 255 ))) --挑战次数
	curLayer:addChild( display.newSprite( PATH .. "tongGuanJiangLi.png" , 20+3 , 595-135-10 , 0 , 0 ) )
	--curLayer:addChild( display.newSprite( PATH .. "di.png" , 40 , 595-162 -10, 0 , 0 ) )
	--curLayer:addChild( display.newSprite( PATH .. "di.png" , 40, 595-187-10 , 0 , 0 ) )
	
	--nonum=true
	for i=1,#data.level_gift.award do
			local curProp = awardCell( data.level_gift.award[i] ,{noNumAndBg=true } )
			setAnchPos( curProp , 30 +(i-1)*60 , 400+15 )
			curProp:setScale(0.4)
			--数量
			local num = display.strokeLabel("X"..data.level_gift.award[i]['num'] , 60+(i-1)*62 , 400+15 , 17, ccc3( 255, 255, 255 )  )

			curLayer:addChild( curProp )
			curLayer:addChild( num )
	end
	
	curLayer:addChild( display.newSprite( PATH .. "diRenTouXiangBg.png" , 290, 220 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 110 , 115, 0 , 0 ) )
	curLayer:addChild( display.strokeLabel(data.reset_gold , 140 , 115 , 20, ccc3( 255 , 255 , 255 ))) --充值黄金值

	--怪物头像
	local enemyTouXiang = display.newSprite(IMG_PATH.. "image/hero/s_general"..data.level_gift.icon..".png")
	setAnchPos(enemyTouXiang,290+10,228)
	curLayer:addChild(enemyTouXiang)

	local frame = display.newSprite(COMMONPATH.."role_frame.png")
	setAnchPos(frame,-2,-3)
	enemyTouXiang:addChild(frame)

	--购买次数
	local addTimesBtn = KNBtn:new(COMMONPATH, {"add_small.png", "add_small_press.png"}, 150,485-8, {
		callback = function()
				local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270+85 ,  path = COMMONPATH.."tip_bg.png"
												} , 
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
				tempLayer:addChild(display.strokeLabel("你将消耗20黄金,购买一次挑战\n次数" , 90 , 115+400 , 22, ccc3( 0 , 0 , 0 )))


				local okBtn = KNBtn:new(COMMONPATH, { "btn_bg_red.png"  , "btn_bg_red_pre.png"  } , 160, 400 , {
						scale = true,
						priority = -129 , 
						front=COMMONPATH.."ok.png",
						callback = function()

								HTTP:call("activity", "guoqing_buy_challenge_times", {  index = params.id },{success_callback = 
									function(data)
										--dump(data)
													HTTP:call("activity","get",{  } , {
														success_callback = function(  )
																switchScene("activity",{findCurKeyByName="guoqing_activity"})
																end
													})
										
									end})

								
							
						end
					})
				tempLayer:addChild(okBtn:getLayer())

			
		end
	})
	curLayer:addChild(addTimesBtn:getLayer())	



	--帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 420 , 580 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	curLayer:addChild( helpBtn )

	local yuLanBtn = KNBtn:new( PATH , {"boxYuLan.png","boxYuLan_pre.png"}, 30 , 310 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = PATH.."paTaTitle.png" , 
													bgInfo = { y = 160 ,  path = COMMONPATH  .. "change_bg.png"
												} , 
												isShowBack = {x = 15 , y = 565+80 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					
					scroll = KNScrollView:new( 68-48+15 , 293-100  , 380+55-20 , 275+160 , 10 ,  false , nil , { priority = -133 } )	


					for i=1,#data['box_gift_config'] do
						local itemBg =  display.newSprite( COMMONPATH .. "item_bg2.png" , 0 , 0, 0 , 0 )
						scroll:addChild(itemBg)

						local titleBg = display.newSprite( PATH .. "title_bg.png" , -5 , 75, 0 , 0 )
						titleBg:setScale(0.6)
						itemBg:addChild(titleBg)
						itemBg:addChild(display.newSprite( PATH .. "shiLianTa.png" , 8 , 88, 0 , 0 ))
						itemBg:addChild(display.strokeLabel(data['box_gift_config'][i]['level'] , 50+22 , 88 , 22, ccc3( 255 , 255 , 255 )))

						for j = 1 , #data['box_gift_config'][i]['gifts'] do
								local curProp = awardCell( data['box_gift_config'][i]['gifts'][j] ,{priority=-134})
								setAnchPos( curProp , 60 + ( j - 1 ) * 110 , 15 )
								itemBg:addChild( curProp )
								
						end

					end
					
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	curLayer:addChild( yuLanBtn )


	local haoLiBtn = KNBtn:new( PATH , {"haoLi.png","haoLi_pre.png"}, 30 , 220 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = PATH.."paTaHaoLiTitle.png" , 
													bgInfo = { y = 160 ,  path = COMMONPATH  .. "change_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565+80 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					
					scroll = KNScrollView:new( 68-48+15 , 293-100  , 380+55-20 , 275+160 , 10 ,  false , nil , { priority = -133 } )	
					
					for i=1,#data['god_gift_config'] do
						local itemBg =  display.newSprite( COMMONPATH .. "item_bg2.png" , 0 , 0, 0 , 0 )
						scroll:addChild(itemBg)

						local titleBg = display.newSprite( PATH .. "title_bg.png" , -5 , 75, 0 , 0 )
						titleBg:setScale(0.6)
						itemBg:addChild(titleBg)
						if data['god_gift_config'][i]['type']=="god" then
							itemBg:addChild(display.newSprite( PATH .. "tianShenTa.png" , 8 , 88, 0 , 0 ))
						elseif data['god_gift_config'][i]['type']=="god_frame" then
							itemBg:addChild(display.newSprite( PATH .. "shenJunTa.png" , 8 , 88, 0 , 0 ))
						elseif data['god_gift_config'][i]['type']=="god_emperor" then
							itemBg:addChild(display.newSprite( PATH .. "shenHuangTa.png" , 8 , 88, 0 , 0 ))
						end
						
						itemBg:addChild(display.strokeLabel(data['god_gift_config'][i]['num'] , 50+22-15 , 88 , 22, ccc3( 255 , 255 , 255 )))

						for j = 1 , #data['god_gift_config'][i]['gifts'] do
								local curProp = awardCell( data['god_gift_config'][i]['gifts'][j] ,{priority=-134})
								setAnchPos( curProp , 40 + ( j - 1 ) * 90 , 15 )
								itemBg:addChild( curProp )
								
						end

						local optBtn = KNBtn:new(COMMONPATH,  {"btn_bg.png","btn_bg_pre.png","btn_bg_dis.png" }, 305 , 25 , {
									priority = -134,
									scale = true,
									front=COMMONPATH.."get.png",
									callback = function()
											
											HTTP:call("activity", "guoqing_get_award", {  key = (i-1) },{success_callback = 
												function(data)
													--dump(data)
															HTTP:call("activity","get",{  } , {
																	success_callback = function(  )
																			switchScene("activity",{findCurKeyByName="guoqing_activity"},function(  )
																							KNMsg.getInstance():flashShow( data.data.str )
																					end )

																			end
																})

													
													
												end})
										

									end})
						itemBg:addChild(optBtn:getLayer())

						if data['god_gift_config'][i]['is_get']==1 then

								optBtn:setEnable(false)
								optBtn:setFront(COMMONPATH.."get_over.png")
						end


					end
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	curLayer:addChild( haoLiBtn )



	local resetBtn = KNBtn:new(COMMONPATH, { "btn_bg_red.png"  , "btn_bg_red_pre.png"  } , 70, 140 , {
			scale = true,
			priority = -129 , 
			front=PATH.."reset.png",
			callback = function()
				local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270+85 ,  path = COMMONPATH.."tip_bg.png"
												} , 
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
				tempLayer:addChild(display.strokeLabel("重置挑战楼层将消耗100黄金,\n确认重置吗?\n(每天仅限重置一次)" , 90 , 115+400 , 22, ccc3( 0 , 0 , 0 )))


				local okBtn = KNBtn:new(COMMONPATH, { "btn_bg_red.png"  , "btn_bg_red_pre.png"  } , 160, 400 , {
						scale = true,
						priority = -129 , 
						front=COMMONPATH.."ok.png",
						callback = function()

								HTTP:call("activity", "guoqing_reset", {  },{success_callback = 
									function(data)
										--dump(data)
													HTTP:call("activity","get",{  } , {
														success_callback = function(  )
																switchScene("activity",{findCurKeyByName="guoqing_activity"})
																end
													})
										
									end})

								
							
						end
					})
				tempLayer:addChild(okBtn:getLayer())
			end
		})
	curLayer:addChild(resetBtn:getLayer())


	local tiaoZhanBtn = KNBtn:new(COMMONPATH, { "btn_bg_red.png"  , "btn_bg_red_pre.png" ,"btn_bg_red2.png" } , 260, 140 , {
			scale = true,
			priority = -129 , 
			front=PATH.."tiaoZhanLab.png",
			callback = function()
				SOCKET:getInstance("battle"):call("activity" , "guoqing_x" , "execute" , { type = "", target ="" } )
			end
		})
	curLayer:addChild(tiaoZhanBtn:getLayer())

	if data.is_pass ==1 then
		tiaoZhanBtn:setEnable(false)
	end
	
end
return M
