
--		六一儿童节  2015版本

local M = {}
-- local PATH = IMG_PATH .. "image/scene/activity_new/hallowmas_activity/"
local PATH = IMG_PATH .. "image/scene/activity_new/childrenDay/"
local ACTIVITY_PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local SCENECOMMON = IMG_PATH.."image/scene/common/"



function M:show( params )

	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = { y = 668 } })
	end
	

	parentLayer:addChild( curLayer,2 )
	curLayer:addChild( display.newSprite( PATH .. "upText.png" , 20 , 585+50, 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "up_bg.png" , 20 , 420+16 , 0 , 0 ) )

	curLayer:addChild( display.newSprite( PATH .. "down_bg.png" , 18 , 180 , 0 , 0 ) )

	curLayer:addChild( display.newSprite( PATH .. "down_title.png" , 20+153 , 180+114 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "line.png" , 100 , 520 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "keZhuaCiShu.png" , 45 , 150 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "huifuTime.png" , 50 , 110 , 0 , 0 ) )
	curLayer:addChild( display.newSprite( PATH .. "dangQian.png" , 40 , 410 , 0 , 0 ) )--当前星数
	curLayer:addChild(display.strokeLabel( data.data.own_star_num or "0" , 140 , 410 , 20, ccc3( 255 , 255 , 255 )  ) )
	curLayer:addChild(display.strokeLabel( data.data.own_power.."/"..data.data.max_power or "0" , 180 , 150 , 20, ccc3( 255 , 255 , 255 )  ) )

	local score_bar = KNBar:new("long_red2" ,  35 , 391 , { maxValue = data.data.max_star_num  , curValue =  data.data.own_star_num  , color = ccc3( 255,255,255 )  })
	curLayer:addChild( score_bar )

	local ghostIcons = {}
	--绘制上部4个小鬼
	for i=1,#data.data['search_ghost'] do
		local x = 60+(i-1)*100
		local y = 515+math.random(-15,15)
		
		local frame = display.newSprite(SCENECOMMON  .. "skill_frame2.png" , x-2 , y-2 , 0 , 0 )
		curLayer:addChild(frame)

		local ghost_icon = display.newSprite( PATH .. "ghost_icon/"..data.data['search_ghost'][i]['value']..".png" , x , y , 0 , 0 )
		curLayer:addChild(ghost_icon)
		ghostIcons[i]=ghost_icon

		if data.data['search_ghost'][i]['is_found']==1 then
			local frames = display.newFramesWithImage(ACTIVITY_PATH.."tip_eff.png" , 12 )
	        local tip = display.playFrames(x + 34  , y + 35 , frames , 0.2 , { forever = true ,  })
	        tip:setScale( 0.8 )
	        curLayer:addChild(tip)
	    end
	end


	--帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 420-360 , 580-230 , {
				scale = true,
				front= PATH.."activity_desc.png" ,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 25 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.rules
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	curLayer:addChild( helpBtn )


	--绘制下部5个小鬼
	for i=1,#data.data['random_ghost'] do
		local x = 50+(i-1)*80
		local y = 207
		

		-- local ghost_icon = display.newSprite( PATH .. "ghost_icon/"..data.data['random_ghost'][i]..".png" , x , y , 0 , 0 )
		-- curLayer:addChild(ghost_icon)
		local iconBtn
		iconBtn = KNBtn:new( SCENECOMMON , {"skill_frame2.png"}, x , y , {
				scale = true,
				front= PATH .. "ghost_icon/"..data.data['random_ghost'][i]..".png" ,
				callback = function()
					 local iconClone = display.newSprite( PATH .. "ghost_icon/"..data.data['random_ghost'][i]..".png", x , y , 0 , 0)
					curLayer:addChild(iconClone)
					 local array = CCArray:create()
					 array:addObject( CCMoveTo:create( 0.15,ccp(220 ,500)))
					 array:addObject( CCCallFunc:create(function()  
									iconClone:setVisible(false)--隐藏
											HTTP:call("activity", "hallowmas_activity_catch_ghost", { key = data.data['random_ghost'][i] },{success_callback = 
											function(receiveData)
													--检查抓的小鬼是否刚好为抓到的第四只正确的小鬼,如果是则播放动画
													local count = 0
													local lastGhostKey = 0 --最后一只未被抓到的鬼的key
													for i=1,#data.data['search_ghost'] do
														if data.data['search_ghost'][i]['is_found']==0 then lastGhostKey=data.data['search_ghost'][i]['value'] end
														
														if data.data['search_ghost'][i]['is_found']==1 then count=count+1 end

													end

													if count==3 and lastGhostKey~=0 then
														
														if data.data['random_ghost'][i]== lastGhostKey then --抓到了最后一只
															for i=1,#ghostIcons do
																local ghost = ghostIcons[i]
																local arrayActs = CCArray:create()
																arrayActs:addObject( CCMoveTo:create( 0.3,ccp(220 ,430)))
																arrayActs:addObject( CCCallFunc:create(function()
																						switchScene("activity",{findCurKeyByName="hallowmas_activity"}, function(  )
																								KNMsg.getInstance():flashShow( receiveData.msg )
																						end )
																					end ) )
																ghost:runAction(CCSequence:create(arrayActs))

															end
														else
															switchScene("activity",{findCurKeyByName="hallowmas_activity"}, function(  )
																							KNMsg.getInstance():flashShow( receiveData.msg )
																					end )

														end	
													else
														switchScene("activity",{findCurKeyByName="hallowmas_activity"}, function(  )
																							KNMsg.getInstance():flashShow( receiveData.msg )
																					end )
													end

													
											end})				

								 end))


					 local seq =  CCSequence:create(array)


					 iconClone:runAction(seq)

				end
		}):getLayer()
		curLayer:addChild( iconBtn )

	end

	
	local getBtn

	local function showAwardPage( receiveData )
						local tempLayer = baseMask( {  
									--titlePath = COMMONPATH.."help_title.png" , 
									bgInfo = { y = 180 ,  path = PATH  .. "tip_bg.png"
								} , 
								isShowBack = {x = 35-20 , y = 565+70 , backFun = function()  end } , 
								priority = -129 }
								)

						
						local getActiViBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 60 , 210 , {
							scale = true,
							front= PATH.."get_activity.png" ,
							priority = -130,
							callback = function()
									HTTP:call("activity", "hallowmas_activity_get_prize", { },{success_callback = 
										function(data)
												tempLayer:remove()
												getBtn:call()
												local handler
												local function delayRealize()
													CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handler)
													handler = nil
													inform(data)
												end
												handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(delayRealize , 1.0 , false)
												
												
										end})


							end
							}):getLayer()
						tempLayer:addChild( getActiViBtn )

						local gaojiBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png","btn_bg_red2.png"}, 270 , 210 , {
							scale = true,
							front= PATH.."gaoJi.png" ,
							priority = -130,
							callback = function()

									HTTP:call("activity", "hallowmas_activity_upgrade_prize", { },{success_callback = 
										function(data)
												tempLayer:remove()
												getBtn:call()
										end})
									

							end
							})
						tempLayer:addChild( gaojiBtn:getLayer())
						tempLayer:addChild( display.newSprite( PATH .. "dangQian_s.png" , 70 , 190 , 0 , 0 ) )--当前星数
						tempLayer:addChild(display.strokeLabel( receiveData.own_star_num or "0" , 170 , 190 , 20, ccc3( 255 , 255 , 255 )  ) )
						tempLayer:addChild(display.strokeLabel( "60级以上可以升级" , 280 , 190 , 20, ccc3( 1, 176, 207 )  ) )

						if receiveData['prize_type']=="high" then
							gaojiBtn:setEnable(false)
							gaojiBtn:setFront(PATH.."yiShengJi.png")
						end

						--8个框坐标
						local framePos = { {312,256+20},{185,276+20},{63,341+20},{185,405+20},{320,394+20},{318,513+20},{200,524+20},{76,550+20}}

						for i=1,#receiveData['prize_config'] do

							local curProp = awardCell( receiveData['prize_config'][i][receiveData['prize_type']..'_arr'][1] ,{priority=-134})
							setAnchPos( curProp , framePos[i][1],framePos[i][2] )
							tempLayer:addChild( curProp )

							tempLayer:addChild(display.strokeLabel( receiveData['prize_config'][i]['num'].."星" ,framePos[i][1]+15,framePos[i][2]-20 , 18, ccc3( 255 , 255 , 255 )  ) )

							if receiveData['prize_config'][i]['is_get']==1 then
								tempLayer:addChild(display.newSprite( ACTIVITY_PATH .. "get_over.png" , framePos[i][1],framePos[i][2] , 0 , 0 ) )
							end

						end


						tempLayer:addChild( display.newSprite( PATH .. "left.png" , 261 , 313 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH .. "left.png" , 130 , 343 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH .. "right.png" , 133 , 435 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH .. "right.png" , 261 , 435 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH .. "up.png" , 338 , 488 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH .. "left.png" , 268 , 556 , 0 , 0 ) )
						tempLayer:addChild( display.newSprite( PATH .. "left.png" , 151 , 575 , 0 , 0 ) )

	end

	--领取提示
	 getBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 420-350+210 , 580-230 , {
				scale = true,
				front= PATH.."get_activity.png" ,
				callback = function()


						HTTP:call("activity", "hallowmas_activity_prize_dialog", { },{success_callback = 
								function(data)
										-- dump(data)
										showAwardPage(data)
								end})	

						


				end
		})
	curLayer:addChild( getBtn:getLayer() )
	
	--刷新小鬼
	local refershBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"}, 350-40 , 150-20 , {
				scale = true,
				front= PATH.."refershGhost.png" ,
				callback = function()
						HTTP:call("activity", "hallowmas_activity_refresh_ghost", {},{success_callback = 
											function(data)
													switchScene("activity",{findCurKeyByName="hallowmas_activity"})
											end})	
				end
		}):getLayer()
	curLayer:addChild( refershBtn )
	curLayer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 350 , 100 , 0 , 0 ) )--当前星数

	curLayer:addChild(display.strokeLabel( data.refresh_gold or "0" , 390 , 105 , 18, ccc3( 255 , 255 , 255 )  ) )

	--次数恢复时间
	local timeLab = display.strokeLabel( "0" , 190 , 110 , 20, ccc3( 255 , 255 , 255 )  )
	curLayer:addChild( timeLab)

	local refershTime = data.data.renew_seconds
	Clock:addTimeFun("HALLOWMAS_TIME_CLOCK", function()
				--print(refershTime)
			    if refershTime > 0 then
			    		
						refershTime = refershTime - 1
						
						if display.getRunningScene().name == "activity" then							
							timeLab:setString(timeConvert(refershTime,nil,false))
							timeLab:setVisible(true)
						end
					
				else
					Clock:removeTimeFun("HALLOWMAS_TIME_CLOCK")
					--switchScene("activity",{findCurKeyByName="hallowmas_activity"})
					
					
				end
			end)
	
end
return M
