--火之意志
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	
	ACTIVITY:baseLayout({ line = {} })
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "yizhi_bg.png" , display.cx , 90 , 0.5 , 0 ) )
	
	------------------------
	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )
	if isNew then
		ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20, 608, 0, 0 ) )	--活动时间
		ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "", 120, 608, 20, ccc3( 0xfe, 0xfc, 0xd3 )  ) )	--活动时间
	end
	------------------------

	-- 获取帮助
	local helpBtn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png", "help_press.png"}, 370 + 64 , 585,
	{
		callback = function()
			local mask = baseMask( {isShowBack = true, bgInfo = { path = IMG_PATH .. "image/scene/chat/" .. "info_bg_small.png",  y = 136 } } )
			-- 规则




			local rule = "1.活动期间,每日可信仰火之意志,每次信仰可获1颗火之意志点\n\n" ..
						 "2.每次信仰火之意志后将会有1小时的冷却时间\n\n" ..
						 "3.每日最多可获10颗意志点和领取1次火之意志的馈赠\n\n" .. 
						 "4.领取馈赠时,会消耗当前所有的火之意志点,意志点越多,免费雇佣忍者的数量和星级越高\n\n" ..	
						 "5.玩家可使用99黄金,领取高级馈赠,可使当次免费雇佣的忍者奖励数量x2\n\n" .. 
						 "6.每日的火之意志点会在当日24点清空,请在当日领取火之意志的馈赠"
			mask:addChild( display.strokeLabel( rule, 29, 160, 18, ccc3( 0x00, 0x00, 0x00 ), nil, nil,
			{
				dimensions_width = 419,
				dimensions_height = 357,
				align = 0,
			}) )
		end
	})
	ACTIVITY.viewLayer:addChild( helpBtn:getLayer() )
	
	-- 获取帮助
	local str = "说明：集齐10颗意志点，必获一名4星忍者或5星忍者"
	ACTIVITY.viewLayer:addChild( display.strokeLabel( str, 33 , 570 , 18, ccc3( 0x56 , 0xde , 0xde ) ) )
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "yizhi_tip.png" , display.cx , 242 , 0.5 , 0 ) )
	
	local isEnable = false
	if tonumber( data.info.countdown) <=0 then	--是否修改
		isEnable = true
	end
	local yizhiBtn = KNBtn:new( PATH , { "yizhi_btn1.png" }, display.cx - 62 , 210 ,
	{
		front = PATH .. ( isEnable and "yizhi_btn2.png" or "yizhi_btn1.png" ) , 
		other = { {COMMONPATH .. "egg_num_bg.png" , 46 + 36 , 66 } },
		text = { data.info.num , 18 , ccc3(0xff,0xff,0xff) , ccp( 30 , 24 ) , nil , 17 },
		callback = function()
			HTTP:call("activity", "receive_hy_yizhi", {},{success_callback = 
			function()
				ACTIVITY:getAction( { awardProp = "" , onComplete = function() ACTIVITY:selectActivity() end } )
			end})
		end
	})
	ACTIVITY.viewLayer:addChild( yizhiBtn:getLayer() )
	
	local timeText = {}
	local timeX , timeY = 215 , 210
	for i = 1 , 1 do
		timeText[i] = display.strokeLabel( " "  , timeX + ( i - 1 )* 50 , timeY , 18 , ccc3( 0x38 , 0x0f , 0x09 ) )
		ACTIVITY.viewLayer:addChild( timeText[i] )
	end
	ACTIVITY:downTime( "yizhi" , timeText , 
	function() 
		local curSec = DATA_Activity:getyizhiDataTime() 
		if tonumber( curSec ) <=0 then	--是否修改
			isEnable = true
			yizhiBtn:setFront( PATH .. "yizhi_btn2.png" )
			timeText[1]:setString( "" )
		end
	return curSec
	end , 1 ) 
	
	for i = 1 , 2 do
		local getBtn = KNBtn:new( COMMONPATH , ( tonumber( data.received ) == 1 and { "big_dis.png" } or  { "big.png" , "big_pre.png" } ), 60 + ( i - 1 ) * 225  , 136 ,
		{
			front = PATH .. "yizhi_text" .. i .. ( tonumber( data.received ) == 1 and "_dis" or  "" ) .. ".png" , 
			callback = function()
					local mask = baseMask( { bgInfo = { path = COMMONPATH .. "tip_bg1.png",  y = 300 } } )
					mask:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" } , 50 , 330 , {
									priority = -131 ,
									front = COMMONPATH .. "confirm.png" , 
									callback = function()
										mask:remove()
										HTTP:call("activity", "receive_hy_yizhi_lottery", { index = ( i - 1 ) },{success_callback = 
										function( _data )
											local tempData = _data
											local KNCardpopup = requires(IMG_PATH,"GameLuaScript/Common/KNCardpopup")							
											local index = 1
											local function pop()
												local card_popup = KNCardpopup:new(tempData[index] , function()
														index = index + 1
														if index <= table.nums( tempData ) then
															pop()
														end
													end , {
														end_x = -80,
														end_y = -350,
													})
												display.getRunningScene():addChild(card_popup:play())						
											end
											pop()
											ACTIVITY:getAction( { awardProp = "" , onComplete = function() ACTIVITY:selectActivity() end } )
										end})
									end
									} ):getLayer() )
					mask:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" } , 275 , 330 , {
									priority = -131 ,
									front = COMMONPATH .. "cancel.png" , 
									callback = function()
										mask:remove()
									end
									} ):getLayer() )
					mask:addChild( display.newSprite( PATH .. "yizhi_text.png" , display.cx , 450 , 0.5 , 0 ) )
					
					mask:addChild( display.strokeLabel( 1 , 360 , 500 - 15 , 20 , ccc3( 0x00, 0x00, 0x00 ) ) )
					mask:addChild( display.strokeLabel( data.info.num  , 360 - 43 , 500 - 15 - 30  , 20 , ccc3( 0x00, 0x00, 0x00 ) ) )
					mask:addChild( display.strokeLabel( "您确定现在领取"  , 360 - 43 - 224 , 500 - 15 - 80  , 20 , ccc3( 0x00, 0x00, 0x00 ) ) )
					mask:addChild( display.strokeLabel( "吗？"  , 360 - 43 + 25 , 500 - 15 - 80  , 20 , ccc3( 0x00, 0x00, 0x00 ) ) )
					mask:addChild( display.newSprite( PATH .. "yizhi_text" .. i .. ".png" , 240 , 500 - 15 - 80 , 0 , 0 ) )
								
			end
		})
		getBtn:setEnable( tonumber( data.received ) == 0 )
		ACTIVITY.viewLayer:addChild( getBtn:getLayer() )
	end
	
	ACTIVITY.viewLayer:addChild( display.newSprite( COMMONPATH .. "gold.png" ,  309 , 102 , 0 , 0 ) )
	
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.gold , 344 , 106 , 20 , ccc3( 0xf5 , 0xea , 0x2e ) ) )
	
	
 
end
return M
