--中秋花灯
local M = {
	
}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local LanPATH = IMG_PATH .. "image/scene/activity_new/lantern/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()


	local data = ACTIVITY:getData()
	local selectAnswer = "" --选中的答案
	dump(data)
	ACTIVITY:baseLayout({ line = {} , frame = {path = PATH .. "frame.png" , y = 100 } })

	local parentLayer = ACTIVITY.viewLayer
	--dump(data)
	local contentLayer = display.newLayer()
	parentLayer:addChild(contentLayer)
	contentLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 595 + 15 , 0 , 0 ) )	--活动时间
	contentLayer:addChild( display.strokeLabel( data.endtime or "" , 120 , 598 + 15 , 20, ccc3( 0xfe , 0xfc , 0xd3 )  ) )	--活动时间
	

	local customBg = display.newSprite(PATH.."custom_bg.png",25,140,0,0)
	contentLayer:addChild(customBg)

	--当前积分
	local scoreLab = display.newSprite(LanPATH.."score.png",40,585,0,0)
	contentLayer:addChild(scoreLab)
	local scoreNum = display.strokeLabel(data['hd_num'] , 90 , 2 , 18, ccc3( 55 , 16 , 11 ))
	scoreLab:addChild(scoreNum)

	--帮助提示
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 420 , 580 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {  
													titlePath = COMMONPATH.."help_title.png" , 
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} , 
												isShowBack = {x = 35 , y = 565 , backFun = function()  end } , 
												priority = -129 }
												)
								
					local scroll
					local strConfig = data.content
					local function createText()
						local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					
					scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -133 } )	
					scroll:addChild( createText() )
					
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	contentLayer:addChild( helpBtn )

	
	
	local score_bar
	-- 显示结果层
	local function showResult(dtData)
		
		local resultLayer =display.newLayer()
		resultLayer:setContentSize(CCSizeMake(370,200))
		setAnchPos(resultLayer,55,150)
		contentLayer:addChild(resultLayer)

		local tongJi = display.newSprite(LanPATH.."tongJi.png",35,190,0.5,0.5)
		resultLayer:addChild(tongJi)

		for i=1,#dtData['config'] do
			local queName = display.strokeLabel( "题目 "..i..": " , 120 , 170-(i-1)*25 , 20, ccc3( 55 , 16 , 11) )
			resultLayer:addChild(queName)

			if dtData['config'][i]['an']==dtData['config'][i]['true'] then --如果玩家作答的是正确答案
				resultLayer:addChild(display.strokeLabel( "正确" , 190 , 170-(i-1)*25 , 20, ccc3( 140, 217, 41) ) )
			elseif dtData['config'][i]['an']=="e" then --未作答
				resultLayer:addChild(display.strokeLabel( "错误" , 190 , 170-(i-1)*25 , 20, ccc3( 255, 0, 0) ) )
			else
				resultLayer:addChild(display.strokeLabel( "错误" , 190 , 170-(i-1)*25 , 20, ccc3( 255, 0, 0) ) )
			end

		end

		local getScore = display.newSprite(LanPATH.."getScore.png",125,35,0,0)
		resultLayer:addChild(getScore)
		getScore:addChild(display.strokeLabel( dtData['sum'] , 90 , 2 , 20, ccc3( 55 , 16 , 11) ))

		score_bar:setCurValue(data['hd_num'])
		scoreNum:setString(data['hd_num'])
		local resultOkBtn = KNBtn:new(COMMONPATH, { "btn_bg.png"  , "btn_bg_pre.png"  } , 140, -10 , {
			scale = true,
			priority = -131 , 
			front=COMMONPATH.."ok.png",
			callback = function()
				switchScene("activity",{findCurKeyByName="lantern"})
			end
		})
		resultLayer:addChild(resultOkBtn:getLayer())

	end 





	local quesionLayer
-------------------------------------
	--创建答题层并播放动画
	local function createQuesionLayer(dtData)
		--答题层
		selectAnswer="" --置空
		local answerPos = {
							{40,110},
							{200,110},
							{40,60},
							{200,60},
							}
		local abcd = {"A","B","C","D"}

		if dtData['few']==5 then  --最后一题已经答完
			showResult(dtData)
			return
		end
		local quesIndex=dtData['few']+1  --当前这一题的下标
		quesionLayer =display.newLayer()  --CCLayerColor:create(ccc4(222,0,100,100))
		quesionLayer:setContentSize(CCSizeMake(370,200))
		setAnchPos(quesionLayer,55,150)
		contentLayer:addChild(quesionLayer)

		local choiceLab=display.newSprite(LanPATH.."choice.png",10,170,0.0,0.0)
		quesionLayer:addChild(choiceLab)

		local answerTimeLab=display.newSprite(LanPATH.."answerTimeLab.png",10,10,0.0,0.0)
		quesionLayer:addChild(answerTimeLab)
		--答题时间倒计时
		local timeLab = display.strokeLabel("" , 105 , 13 , 18 , ccc3( 0 , 0 , 0) )
		quesionLayer:addChild(timeLab)
		--quesionLayer:addChild(display.strokeLabel("秒" , 130 , 13 , 18 , ccc3( 0 , 0 , 0) ))
		local GLOBAL_ONLINE_AWARD_TIME = (data['dt_time']==0 and 1 or data['dt_time'])

		Clock:addTimeFun("ONLINE_TIME_CLOCK", function()
			    if GLOBAL_ONLINE_AWARD_TIME > 0 then
			    		
						GLOBAL_ONLINE_AWARD_TIME = GLOBAL_ONLINE_AWARD_TIME - 1
						
						if  timeLab~=nil and display.getRunningScene().name == "activity" then							
							timeLab:setString(timeConvert(GLOBAL_ONLINE_AWARD_TIME,"sec",true))
							timeLab:setVisible(true)
						end
						
				else
					Clock:removeTimeFun("ONLINE_TIME_CLOCK")	
					if selectAnswer =="" and quesIndex <=5 then  --如果超时且并未选择答案
						HTTP:call("activity","receive_lantern_dt",{tid=(quesIndex-1),isgold=0 } , {
							success_callback = function( receiveData )
								dump(receiveData)
								data=receiveData['data']
								timeLab:setString("超时未作答")
								local trueAns =	 data['dt_config']['config'][quesIndex]['true']
								local truePos --正确答案的pos
									for k,v in pairs(abcd) do
										if v==trueAns then
											truePos=answerPos[k]
										end
									end
								local  right=display.newSprite(LanPATH.."right.png",truePos[1]-25,truePos[2]-5,0,0)
								quesionLayer:addChild(right,-1)
								local  blink=  CCBlink:create(1 , 3)
								right:runAction(blink)

								--延时三秒切换下一题
								local handler
								local function delayRealize()
									CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handler)
									handler = nil
									quesionLayer:removeFromParentAndCleanup(true)
									createQuesionLayer(data['dt_config'])
								end
								handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(delayRealize , 3 , false)

								
							end
						})
					end
					
				end
			end)


		local quesName = display.strokeLabel("问题 "..quesIndex.." : "..dtData['config'][quesIndex]['desc'].." ?" , 20 , 140 , 20, ccc3(55 , 16 , 11 ) )
		quesionLayer:addChild(quesName)

		
		for i=1,4 do--绘制4个答案

			local checkBox =display.newSprite(COMMONPATH.."check_false.png",answerPos[i][1]-10 , answerPos[i][2]-3,0,0)
			quesionLayer:addChild(checkBox)

			local answerKey = abcd[i]
			local answer = display.strokeLabel(answerKey..". ".. dtData['config'][quesIndex][answerKey] , answerPos[i][1]+18 , answerPos[i][2] , 20, ccc3(55 , 16 , 11 ))
			quesionLayer:addChild(answer)

			local answerBtn = KNBtn:new(LanPATH, { "answerBg.png"  } , answerPos[i][1] , answerPos[i][2] , {
				priority = -131 , 
				callback = function()
					
					selectAnswer=abcd[i]--玩家选中的答案
					HTTP:call("activity","receive_lantern_dt",{tid=(quesIndex-1),index=abcd[i],isgold=0 } , {
							success_callback = function( receiveData )
								dump(receiveData)
								data=receiveData['data']
								local userAns =  data['dt_config']['config'][quesIndex]['an']
								local trueAns =	 data['dt_config']['config'][quesIndex]['true']

								if userAns==trueAns then --玩家回答正确
									local truePos --正确答案的pos
									for k,v in pairs(abcd) do
										if v==trueAns then
											truePos=answerPos[k]
										end
									end
									local  right=display.newSprite(LanPATH.."right.png",truePos[1]-25,truePos[2]-5,0,0)
									quesionLayer:addChild(right,-1)

									local duiGou =display.newSprite(LanPATH.."duiGou.png",truePos[1]-15,truePos[2]-5,0,0)
									quesionLayer:addChild(duiGou,2)
									local  blink=  CCBlink:create(1 , 3)
									right:runAction(blink)


								else--回答错误
									local truePos,userPos --正确答案的pos,玩家答案pos
									for k,v in pairs(abcd) do
										if v==trueAns then
											truePos=answerPos[k]
										elseif v==userAns then
											userPos=answerPos[k]
										end
									end
									
									if userPos~=nil and truePos~=nil then
										local  right=display.newSprite(LanPATH.."right.png",truePos[1]-25,truePos[2]-5,0,0)
										quesionLayer:addChild(right,-1)
										local  blink=  CCBlink:create(1 , 3)
										right:runAction(blink)

										local  wrong=display.newSprite(LanPATH.."wrong.png",userPos[1]-25,userPos[2]-5,0,0)
										quesionLayer:addChild(wrong,-1)

										local duiGou =display.newSprite(LanPATH.."duiGou.png",userPos[1]-15,userPos[2]-5,0,0)
										quesionLayer:addChild(duiGou,2)
									else
										print("超时作答")
									end

								end

								--延时三秒切换下一题
								local handler
								local function delayRealize()
									CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handler)
									handler = nil
									quesionLayer:removeFromParentAndCleanup(true)
									createQuesionLayer(data['dt_config'])
								end
								handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(delayRealize , 3 , false)

								
							end
						})

				end
				})
				quesionLayer:addChild(answerBtn:getLayer())

			
		end
		--免答
		local mdBtn
			 mdBtn = KNBtn:new(COMMONPATH, { "btn_bg.png"  ,"btn_bg_pre.png"   } , 208, 0 , {
			scale = true,
			priority = -131 , 
			front=LanPATH.."mianDa.png",
			callback = function()

				HTTP:call("activity","receive_lantern_dt",{tid=quesIndex-1,isgold=1 } , {
							success_callback = function( receiveData )
								mdBtn:setEnable(false)
								dump(receiveData)
								data=receiveData['data']

								local trueAns =	 data['dt_config']['config'][quesIndex]['true']
								local truePos
								for k,v in pairs(abcd) do
									if v==trueAns then
										truePos=answerPos[k]
									end
								end
								local  right=display.newSprite(LanPATH.."right.png",truePos[1]-25,truePos[2]-5,0,0)
								quesionLayer:addChild(right,-1)
								local duiGou =display.newSprite(LanPATH.."duiGou.png",truePos[1]-15,truePos[2]-5,0,0)
								quesionLayer:addChild(duiGou,2)
								local  blink=  CCBlink:create(1 , 3)
								right:runAction(blink)

								local handler
								local function delayRealize()
									CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handler)
									handler = nil
									quesionLayer:removeFromParentAndCleanup(true)
									createQuesionLayer(data['dt_config'])
								end
								handler = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(delayRealize , 3 , false)


							end
						})
			end
		})
		quesionLayer:addChild(mdBtn:getLayer())

		local gold = display.newSprite(COMMONPATH.."gold.png",310,23,0.5,0.5)
		quesionLayer:addChild(gold)

		gold:addChild(display.strokeLabel(data.md_gold , 35 , 3 , 18, ccc3( 55 , 16 , 11 )  )  )

	end


----------------------------------

	--构建五个积分和宝箱标记
	for i=1, #data['award_config'] do
		local circle = display.newSprite(LanPATH.."circle1.png",70+(i-1)*85,480,0.5,0.5)
		contentLayer:addChild(circle)

		local signBg = "sign_grey.png"
		local boxBg = "box_grey.png"
		
		if data['hd_num']>=data['award_config'][i]['num'] then
			signBg="sign.png"
			boxBg="box.png"

			circle:addChild(display.newSprite(LanPATH.."circle2.png",34,34,0.5,0.5))

		end
		local sign = display.newSprite(LanPATH..signBg,33,100,0.5,0.5)
		circle:addChild(sign)

		local signNum = display.strokeLabel(data['award_config'][i]['num'] , 13 , 45 , 18, ccc3( 255 , 255 , 255 )  )
		sign:addChild(signNum)

		

		local boxBtn = KNBtn:new(LanPATH, {  boxBg  } , 5, 10 , {
			scale = true,
			priority = -131 , 
			callback = function()
							local mask
							
							local tempLayer =display.newLayer()
							--setAnchPos(xianYinLayer,0,0,0.5,0.5)

							--背景
--							local bg = display.newSprite(COMMONPATH.."tip_bg.png")
						 	local bg = display.newSprite(COMMONPATH.."tip_bg.png")
							setAnchPos(bg,25,350)
							tempLayer:addChild(bg)

							local scoreToLab = display.newSprite(LanPATH.."scoreToLab.png",80,200,0,0)
							bg:addChild(scoreToLab)

							bg:addChild(display.strokeLabel(data['award_config'][i]['num'] , 180 , 205 , 20, ccc3( 0 , 0 , 0 )))

							local shade_bg = display.newSprite(COMMONPATH.."shade_bg2.png",-10,80,0,0)
							shade_bg:setScaleY(0.6)
							bg:addChild(shade_bg)

							for j = 1 , #data['award_config'][i]['award'] do
								local curProp = awardCell( data['award_config'][i]['award'][j] ,{priority=-134})
								setAnchPos( curProp , 60 + ( j - 1 ) * 110 , 100 )
								bg:addChild( curProp )
								
							end

						 	--关闭按钮
						    local close = KNBtn:new(COMMONPATH,  {"back_img.png","back_img_press.png" }, 10 , 200 , {
									priority = -134,
									scale = true,
									callback = function()
										
										mask:remove()

									end})
							bg:addChild(close:getLayer())

						 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= -133})

						 	contentLayer:addChild(mask:getLayer())
						 	local okBgImg =  { "btn_bg_red.png"  , "btn_bg_red_pre.png" }
						 	local okFrontImg = "get.png"
						 	if data['hd_num']<data['award_config'][i]['num'] then
						 		okBgImg={"btn_bg_red2.png"}
						 		okFrontImg="get_grey.png"
						 	end

						 	if data['award_config'][i]['received']==1 then
						 		okBgImg={"btn_bg_red2.png"}
						 		okFrontImg="get_over.png"
						 	end

						 	local okBtn = KNBtn:new(COMMONPATH,  okBgImg , 140, 20 , {
										front=COMMONPATH..okFrontImg,
										priority = -134 , 
										callback = function()
											  if data['hd_num']<data['award_config'][i]['num'] then
											  	print("未达到条件")
											  	return
											  else
											  	HTTP:call("activity","receive_lantern_award",{index=(i-1)} , {
															success_callback = function( receiveData )
																dump(receiveData)
																mask:remove()
																inform(receiveData)

															end
														})

											  end
										end
									})
						 	bg:addChild(okBtn:getLayer())
				
			end
		})

		circle:addChild(boxBtn:getLayer())

	end

	


	local guessLab = display.newSprite(LanPATH.."guessLab.png",243,388,0.5,0.5)
	contentLayer:addChild(guessLab)

	 score_bar = KNBar:new("score" ,  18 , 328 , { maxValue = 1000  , curValue =  data['hd_num']  , color = ccc3( 255,255,255 )  })
	contentLayer:addChild( score_bar )


	if data.open_state==0 then--未开始答题
		local tempLayer = display.newLayer()
		contentLayer:addChild(tempLayer)
		local activeTimeLab = display.newSprite(LanPATH.."activeTimeLab.png",110,260,0,0)
		tempLayer:addChild(activeTimeLab)

		local gold = display.newSprite(COMMONPATH.."gold.png",210,160,0.5,0.5)
		tempLayer:addChild(gold)

		gold:addChild(display.strokeLabel(data.open_gold==0 and "免费" or data.open_gold  , 35 , 3 , 18, ccc3( 55 , 16 , 11 )  )  )

		local answerBtn = KNBtn:new(COMMONPATH, { "btn_bg_red.png"  , "btn_bg_red_pre.png" } , 170, 180 , {
			scale = true,
			front=LanPATH.."startAnswer.png",
			priority = -131 , 
			callback = function()
					HTTP:call("activity","receive_lantern_open",{ } , {
							success_callback = function( receiveData )
								dump(receiveData)
								data=receiveData['data']
								tempLayer:removeFromParentAndCleanup(true)
								createQuesionLayer(receiveData['data']['dt_config'])--第一题
							end
						})
			end
		})

		tempLayer:addChild(answerBtn:getLayer())
	elseif data.open_state==1 then--答题中
		createQuesionLayer(data['dt_config'])
	end



	
end




return M
