
--五一活动

local M = {
	curLayer,
	parentLayer,
	parentLayreOffY,
	pos,
	diceCenter,
	curLayerget,
	data,
	news,
	arrayFresh,
	arrayFreshLuck,
	scroll,
	scrollLuck,
	lucky_value,
	circle_num,
	offY,
	offX,
}

local ACTIVITY_PATH = IMG_PATH .. "image/scene/activity_new/"
local PATH = ACTIVITY_PATH .. "mayday_activity/"
local LANPATH = IMG_PATH .. "image/scene/activity_new/lantern/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show(params)

	self.data=nil
	ACTIVITY:baseLayout({line = {y=699},textSize=17})

	self.parentLayer = params.parentLayer or ACTIVITY.viewLayer
	self.arrayFresh={}
	self.arrayFreshLuck={}
	self.lucky_value=nil
	self.circle_num=nil

	local isParent = params.parentLayer and true or false
	if params.parentLayer then
		dump("parentLayer")
		self.data = params.data
		self.parentLayreOffY = 25
	else
		dump("~parentLayer")
		self.data = ACTIVITY:getData()
	end

	self.news=nil
	if self.data.news then 
		self.news=self.data.news
	end

	local posX=20
	local posY=517
	local addX=90
	local addY=83

	self.pos=
	{
		{["x"]=posX,["y"]=posY},
		{["x"]=posX+addX,["y"]=posY},
		{["x"]=posX+addX*2,["y"]=posY},
		{["x"]=posX+addX*3,["y"]=posY},
		{["x"]=posX+addX*4,["y"]=posY},
		{["x"]=posX+addX*4,["y"]=posY-addY},
		{["x"]=posX+addX*4,["y"]=posY-addY*2},
		{["x"]=posX+addX*4,["y"]=posY-addY*3},
		{["x"]=posX+addX*4,["y"]=posY-addY*4},
		{["x"]=posX+addX*3,["y"]=posY-addY*4},
		{["x"]=posX+addX*2,["y"]=posY-addY*4},
		{["x"]=posX+addX*1,["y"]=posY-addY*4},
		{["x"]=posX,["y"]=posY-addY*4},
		{["x"]=posX,["y"]=posY-addY*3},
		{["x"]=posX,["y"]=posY-addY*2},
		{["x"]=posX,["y"]=posY-addY},
	}

	dump(CHANNEL_GROUP)
	self.offY=display.cy-10
	self.offX=display.cx+10
	if CHANNEL_GROUP == "tmsj" or CHANNEL_GROUP=="tmsjtest" then
		self.offY=display.cy-12
		self.offX=display.cx+8
	elseif CHANNEL_GROUP == "tmsj2"  then
		self.offY=display.cy-10
		self.offX=display.cx+10
	elseif CHANNEL_GROUP=="hyylt" or CHANNEL_GROUP=="hy" then
		self.offY=display.cy-25
		self.offX=display.cx
	elseif CHANNEL_GROUP=="dhsh" or CHANNEL_GROUP=="qosh"  then
		self.offY=display.cy-30
		self.offX=display.cx+5
	elseif CHANNEL_GROUP=="tgxy" or CHANNEL_GROUP=="tgxy2" then
		self.offY=display.cy-20
		self.offX=display.cx
	elseif CHANNEL_GROUP == "td" or CHANNEL_GROUP == "jstf" then
		self.offY=display.cy-10
		self.offX=display.cx+10
	else
	end

	local myparams={}
	myparams.throw_condition=self.data.throw_condition or {}
	myparams.gold=self.data.gold
	myparams.location=self.data.location

	local mygift={}
	mygift=self.data.circle_gift or {}
	local mylucky_gift={}
	mylucky_gift=self.data.lucky_gift

	self:noChange(self.data.rules or "",self.data.zhuanpan_gift or {},myparams or {},mygift,mylucky_gift,self.news)
	self:fresh(self.data)

end

function M:noChange(rules,zhuanpan_gift,myparams,mygift,mylucky_gift,news)

	if mygift~=nil and table.nums(mygift)>0 then 
		for i,v in pairs(mygift) do

			if tonumber(v.is_get)==0 then 
				self.arrayFresh[i]=true
			elseif tonumber(v.is_get)==1 then 
				self.arrayFresh[i]=false
			else
				self.arrayFresh[i]=false
			end 
			
		end 
	end

	if mylucky_gift~=nil and table.nums(mylucky_gift)>0 then 
		for i,v in pairs(mylucky_gift) do

			if tonumber(v.is_get)==0 then 
				self.arrayFreshLuck[i]=true
			elseif tonumber(v.is_get)==1 then
				self.arrayFreshLuck[i]=false
			else
				self.arrayFreshLuck[i]=false
			end 

		end 
	end  

	ACTIVITY.viewLayer:addChild( display.newSprite(ACTIVITY_PATH .. "activity_time_text.png" , 20 , 662 , 0 , 0 ))	--活动时间
	ACTIVITY.viewLayer:addChild(display.newSprite(PATH .. "bg.png" , 5 , 90 , 0 , 0))									--背景图片

	local helpingBtn = KNBtn:new( COMMONPATH , {"help.png" , "help_press.png"} , 428 , 655 , {
		priority = -130,
		callback = function()

			local tempLayer = baseMask({  
				titlePath = COMMONPATH .. "help_title.png" , 
				bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png" } , 
				isShowBack = { x = 35 , y = 565 , backFun = function() end } , 
				priority = -131
			})
						
			local scroll
			local strConfig=rules
			local function createText()
				local helpTips = createLabel({str = strConfig , x = 60 , y = 55,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
				return helpTips
			end
			
			scroll = KNScrollView:new( 68 , 293  , 380 , 275 , 10 ,  false , nil , { priority = -131 } )	
			scroll:addChild(createText())
			
			tempLayer:addChild(scroll:getLayer())

		end
	})

	ACTIVITY.viewLayer:addChild(helpingBtn:getLayer())

	--			添加转盘的gifts

	if zhuanpan_gift~=nil and table.nums(zhuanpan_gift)>0 then 
		local nums=#zhuanpan_gift
		for i=1,nums do 
			ACTIVITY.viewLayer:addChild( display.newSprite(PATH .. "cellBg.png" ,self.pos[i].x,self.pos[i].y, 0 , 0 ),1)
			--	添加各种奖励
			local curProp = awardCell(zhuanpan_gift[i][1])
			setAnchPos(curProp,self.pos[i].x+5,self.pos[i].y+5)
			ACTIVITY.viewLayer:addChild(curProp,1)
			--	起点
			if i==1 then 
				ACTIVITY.viewLayer:addChild(display.newSprite(PATH .. "startBg.png" ,self.pos[i].x+17,self.pos[i].y+25, 0 , 0 ),1)
			end 
			
		end 
	end


	ACTIVITY.viewLayer:addChild( display.newSprite(PATH .. "hasRuns.png" , 34 , 612 , 0 , 0 ))	--已跑圈数
	ACTIVITY.viewLayer:addChild( display.newSprite(PATH .. "luck.png" , 243 , 612 , 0 , 0 ))	--幸运值
	ACTIVITY.viewLayer:addChild( display.newSprite(PATH .. "shineBg.png" , 20 , 206 , 0 , 0 ))	--闪亮背景
	ACTIVITY.viewLayer:addChild( display.newSprite(PATH .. "getBg.png" , display.cx , 287 , 0.5 , 0.5 ))	--获取背景
	

	local getBtnRuns=KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},
		160,
		600,
		{
			front=COMMONPATH.."get.png",
			priority=-130,
			noTouch=false,
				callback=function()

					local tempLayer=baseMask(
					{
						titlePath={path=PATH.."titleRingrun.png",offX=-10},
						bgInfo={y=114,path=PATH.."bg2.png"},
						isShowBack = { x = 23 , y = 532 , backFun = function() 
							
						end } ,
					})

					tempLayer:addChild(display.newSprite(PATH.."ringRun1.png",76,542,0,0))	
					self:myTemplateFresh(mygift,tempLayer)
				end
		})
	ACTIVITY.viewLayer:addChild(getBtnRuns:getLayer(),5)


	local getBtnLuck=KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},
		360,
		600,
		{
			front=COMMONPATH.."get.png",
			priority=-130,
			noTouch=false,
				callback=function()
					
					local tempLayer=baseMask(
					{
						titlePath={path=PATH.."luckManTitle.png",offX=-10},
						bgInfo={y=114,path=PATH.."bg2.png"},
						isShowBack = { x = 23 , y = 532 , backFun = function() 
							
						end } ,
					})

					tempLayer:addChild(display.newSprite(PATH.."ringRun2.png",76,542,0,0))	
					self:myTemplateFreshLuck(mylucky_gift,tempLayer)
				end
		})
	ACTIVITY.viewLayer:addChild(getBtnLuck:getLayer(),5)

	local diceBtn

	diceBtn=KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},
		display.cx/2+89,
		317,
		{
			front=PATH.."diceBtn.png",
			priority=-130,
			noTouch=false,
				callback=function()
			
					HTTP:call("activity" , "mayday_activity_throw",{},{
						success_callback = function(data)
							
							self.diceCenter:removeFromParentAndCleanup(true)
							--			掷骰子效果
							local effect = requires(IMG_PATH,"GameLuaScript/Common/KNEffect")
							--			大约10秒中停止效果
							effect.get(PATH, "dice",true,function()
								effect.get(PATH, "dice",true,function()
										-- dump(data)
										self.curLayer:removeFromParentAndCleanup(true)
										local mydata=data.data 
										data.data.doit=1
										mydata.msg=data.msg
										self.data.location=data.data.location
										self.data.throw_num=data.data.throw_num
										self:fresh(mydata or {})
								end,.06):pos(display.cx+10,self.offY):addTo(ACTIVITY.viewLayer)
							end,.06):pos(self.offX,self.offY):addTo(ACTIVITY.viewLayer)
						end
					}) 

				end
		})
	ACTIVITY.viewLayer:addChild(diceBtn:getLayer(),5)
	ACTIVITY.viewLayer:addChild(display.strokeLabel("次数:" , display.cx/2+42,277, 20, ccc3(0xfe , 0xfc , 0xd3)))


	local getBtn=KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},
		display.cx/2+89+42,
		267,
		{
			front=PATH.."get.png",
			priority=-130,
			noTouch=false,
				callback=function()

				local tempLayer=baseMask(
				{
					titlePath={path=PATH.."getTitle.png",offY=-46,offX=-10},
					bgInfo={y=display.cy/2,path=COMMONPATH.."tip_bg3.png"},
					isShowBack = { x = 15 , y = 565 , backFun = function()
						self.curLayer:removeFromParentAndCleanup(true)
						-- dump(self.data)
						self:fresh(self.data)
					end } ,
					priority = -131
				})	

				tempLayer:addChild(display.strokeLabel("完成1个任务可获得1次掷骰子的机会" ,30,540,20,ccc3(0x0,0x0,0x0)))
				tempLayer:addChild(display.newSprite(PATH.."gb1.png",display.cx,display.cy-40,0.5,0.5))	

				local trickNum=0
				local blessNUm=0
				local gangCliffNum=0
				local mineSnatchNum=0
				local propsBugNum=0
				local revengeNum=0

				local posSet={

					{["x"]=50,["y"]=488},
					{["x"]=156,["y"]=488},
					{["x"]=235,["y"]=488},
					{["x"]=386,["y"]=488},

					{["x"]=50,["y"]=428},
					{["x"]=156,["y"]=428},
					{["x"]=235,["y"]=428},
					{["x"]=386,["y"]=428},

					{["x"]=50,["y"]=368},
					{["x"]=156,["y"]=368},
					{["x"]=235,["y"]=368},
					{["x"]=386,["y"]=368},
				}

				local layer
				
				local function fresh(params)
					layer=display.newLayer()
					if myparams.throw_condition~=nil and table.nums(myparams.throw_condition)>0 then 
						local   index=1
						local   count=1
						for i,v in pairs(myparams.throw_condition) do
							local str=nil
							
							if v.des then
								if tonumber(v.has)>=tonumber(v.need) then  
									v.has=v.need
								end 
								str=count.."."..v.des.."( "..(v.has or "0").."/"..(v.need or "0")..")"
							end

							if tonumber(v.has)>=tonumber(v.need) then 
								layer:addChild(display.strokeLabel(str or "",posSet[index].x,posSet[index].y,18,ccc3(207,80,67)))
								layer:addChild(display.newSprite(PATH.."repair_sign.png",posSet[index].x,posSet[index].y+10,0.5,0.5))	
							else 
								layer:addChild(display.strokeLabel(str or "",posSet[index].x,posSet[index].y,18,ccc3(0xfe,0xfc,0xd3)))
							end

							index=index+2
							count=count+1

						end 
					end 
					layer:addChild(display.newSprite(PATH.."buy.png",72,312,0.5,0.5))	
					layer:addChild(display.strokeLabel("掷骰子次数+6",110,300,20,ccc3(0xfe,0xfc,0xd3)))
					layer:addChild(display.newSprite(PATH.."spending.png",312,312,0.5,0.5))	
					layer:addChild(display.strokeLabel((myparams.gold or "").."黄金",342,300,20,ccc3(0xfe,0xfc,0xd3)))
					tempLayer:addChild(layer)
				end

				-- dump(myparams)
				fresh(myparams)
				local buyBtn=KNBtn:new(COMMONPATH,{"btn_bg_red.png","btn_bg_red_pre.png"},
					175,
					248,
					{
						front=COMMONPATH.."buy.png",
						priority=-131,
						noTouch=false,
						callback=function()

							HTTP:call("activity" , "mayday_activity_buy",{},{
								success_callback = function(data)
									-- dump(data)
									myparams.gold=data.gold
									-- dump(data)
									self.data.throw_num=data.throw_num
									self.data.location=data.location
									layer:removeFromParentAndCleanup(true)
									-- dump(self.data)
									fresh(myparams)
									KNMsg:getInstance():flashShow("购买成功，掷骰子次数+6")
								end
							})

						end 
					})
				tempLayer:addChild(buyBtn:getLayer())
			end
		})
	ACTIVITY.viewLayer:addChild(getBtn:getLayer(),5)

	ACTIVITY.viewLayer:addChild(display.strokeLabel(self.data.endtime or "" , 120 ,662, 20, ccc3(0xfe , 0xfc , 0xd3)))

	--底部公告背景
	local bottomBg=display.newSprite(PATH .. "bottomBg.png" , display.cx , 145 , 0.5 , 0.5 )
	ACTIVITY.viewLayer:addChild(bottomBg)
	--添加播报
	-- self.news="恭喜玩家【加勒比海盗*来打酱油的】在跑环中获得五星装备锦囊!"
	-- self.news="恭喜玩家【加勒比海】在跑环中获得五星装备锦囊!"
	local len=string.len(self.news or "") 
	local posY=126
	if len<=67 then 
		posY=117
	else 

	end 
	ACTIVITY.viewLayer:addChild(display.strokeLabel(self.news or "",33,posY,18,ccc3(0xfe,0xfc,0xd3),nil,nil,{
		dimensions_width = bottomBg:getContentSize().width - 30,
		dimensions_height = bottomBg:getContentSize().height-28
	}))

end

function M:fresh(params)

	self.curLayer=display.newLayer()
	self.parentLayer:addChild(self.curLayer,10)

	local lucky_numPosY=315
	if params.lucky_value then 
		if tonumber(params.lucky_value)<10 then 
			lucky_numPosY=330
		elseif tonumber(params.lucky_value)<100 then 
			lucky_numPosY=325
		elseif tonumber(params.lucky_value)<1000 then 
			lucky_numPosY=322
		elseif tonumber(params.lucky_value)<100000 then 
		elseif tonumber(params.lucky_value)<1000000	 then 
		end
	end

	local circle_numPosY=130
	if params.circle_num then 
		if params.circle_num<10 then 
			circle_numPosY=135
		elseif params.circle_num<100 then 
			circle_numPosY=129
		elseif params.circle_num<1000 then 
			circle_numPosY=124
		end 
	end

	if self.lucky_value==nil then 
		self.lucky_value=params.lucky_value
	end

	if self.circle_num==nil then 
		self.circle_num=params.circle_num
	end 



	local  lucky_valueLab = display.strokeLabel(self.lucky_value or "" , lucky_numPosY ,613, 20, ccc3(0xfe , 0xfc , 0xd3))
	local  circle_numLab = display.strokeLabel(self.circle_num or "" , circle_numPosY ,613, 20, ccc3(0xfe , 0xfc , 0xd3)) 

	self.curLayer:addChild(lucky_valueLab)
	self.curLayer:addChild(circle_numLab)

	local posX=display.cx/2+108
	if params.throw_num >99 then 
		posX=display.cx/2+88
	elseif params.throw_num>9 then
		posX=display.cx/2+98 
	else
	end 
	self.curLayer:addChild(display.strokeLabel(params.throw_num or "" ,posX,277, 20, ccc3(0xfe , 0xfc , 0xd3)))

	local rand_num=6
	if params.rand_num then 
		rand_num=params.rand_num
	end 



	self.diceCenter=display.newSprite(PATH..rand_num..".png",self.offX,self.offY,0.5,0.5)
	self.curLayer:addChild(self.diceCenter)	

	if params.doit then 

		if params.location then 
			local index=params.location-params.rand_num
			if index<0 then
				index=index+16
			elseif index==0  then
				index=16
			else

			end  
			local select1=display.newSprite(COMMONPATH.."select1.png",self.pos[index].x+39,self.pos[index].y+39,0.5,0.5)
			select1:setScale(1.2)
			self.curLayer:addChild(select1)

			local count=0
			local index1=params.location-params.rand_num
			if index1<0 then
				index1=index1+16
			elseif index1==0  then
				index1=16
			else

			end 
			dump(index1) 
			local function run(time)
				handle=CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(
				function()

					if index1==17 then 
						index1=1
					else 
					end
					select1:setPosition(self.pos[index1].x+39,self.pos[index1].y+39) 
					if count==rand_num then 
						
						CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(handle)
						handle = nil
						KNMsg.getInstance():flashShow(params.msg)

						if lucky_valueLab then
							self.lucky_value=params.lucky_value or ""
							lucky_valueLab:setString(self.lucky_value)
						end

						if circle_numLab then 
							self.circle_num=params.circle_num or ""
							circle_numLab:setString(self.circle_num)
						end  


					
					end
					count=count+1
					index1=index1+1
				end,time,false)
			end
			run(0.65)    
		end

	else

		if params.location then 
			local index=params.location
			dump(index)
			local select1=display.newSprite(COMMONPATH.."select1.png",self.pos[index].x+39,self.pos[index].y+39,0.5,0.5)
			select1:setScale(1.2)
			self.curLayer:addChild(select1)
		end

	end 

end

function M:myTemplateFresh(mygift,tempLayer)
	self.scroll=KNScrollView:new( 18 , 130  , 445 , 406 , 10 ,  false , nil , { priority = -131 })
	if mygift~=nil and table.nums(mygift)>0 then 
		for i,v in pairs(mygift) do
			local item =self:createItem(i,v,mygift,tempLayer)
			self.scroll:addChild(item)
		end 
	end
	self.scroll:alignCenter()
	tempLayer:addChild(self.scroll:getLayer(),1) 
end

function M:createItem(index,value,mygift,tempLayer)
	local layer=display.newLayer()
	local img="item_bg.png"
	local bg=display.newSprite(COMMONPATH..img)
	setAnchPos(bg,0.5,0.5)
	layer:addChild(bg)
	layer:setContentSize(bg:getContentSize())

	layer:addChild(display.newSprite(ACTIVITY_PATH.."vip_bg_bar.png",display.cx,92))

	if value.circle_num then 
		layer:addChild(display.strokeLabel("跑完"..value.circle_num.."圈可领",190,80,18,ccc3(0xff,0xff,0xff)))
	end 

	if value.gift and table.nums(value.gift)>0 then
		for i=1,table.nums(value.gift) do
			local cell=awardCell(value.gift[i],{ parent = self.scroll })
			setAnchPos(cell,30+(i-1)*80,10,0.5,0.5)
			layer:addChild(cell)
		end 
	end 

	local getBtn=KNBtn:new(COMMONPATH,self.arrayFresh[index]==true and {"btn_bg_red.png","btn_bg_red_pre.png"} or{"btn_bg_red2.png","btn_bg_red2.png"},
		286,
		30,
		{
			front=self.arrayFresh[index]==true and COMMONPATH.."all_get.png" or COMMONPATH.."get_over.png",
			priority=-130,
			noTouch=false,
			callback=function()

				HTTP:call("activity" , "mayday_activity_get_circle_gift",{index=value.circle_num,type="circle"},{
					success_callback = function(data)

						self.scroll:getLayer():removeFromParentAndCleanup(true)
						self.arrayFresh[index]=false
						self:myTemplateFresh(mygift,tempLayer)
						KNMsg.getInstance():flashShow(data.msg)
 					end 
 				})
									
			end
		})
	layer:addChild(getBtn:getLayer())

	return layer
end

function M:myTemplateFreshLuck(mygift,tempLayer)
	self.scrollLuck=KNScrollView:new( 18 , 130  , 445 , 406 , 10 ,  false , nil , { priority = -132 })
	if mygift~=nil and table.nums(mygift)>0 then 
		for i,v in pairs(mygift) do
			local item =self:createItemforLuck(i,v,mygift,tempLayer)
			self.scrollLuck:addChild(item)
		end 
	end
	self.scrollLuck:alignCenter()
	tempLayer:addChild(self.scrollLuck:getLayer(),1) 
end

function M:createItemforLuck(index,value,mygift,tempLayer)
	local layer=display.newLayer()
	local img="item_bg.png"
	local bg=display.newSprite(COMMONPATH..img)
	setAnchPos(bg,0.5,0.5)
	layer:addChild(bg)
	layer:setContentSize(bg:getContentSize())

	layer:addChild(display.newSprite(ACTIVITY_PATH.."vip_bg_bar.png",display.cx,92))

	if value~=nil and table.nums(value)>0 then 
		if value.gift~=nil and table.nums(value.gift)>0 then 
			for i=1,table.nums(value.gift) do 
				local cell=awardCell(value.gift[i],{ parent = self.scrollLuck })
				setAnchPos(cell,30+(i-1)*80,10,0.5,0.5)
				layer:addChild(cell)
				end 
			end 
	end 
						

	if value.lucky_value then 
		layer:addChild(display.strokeLabel("幸运值"..value.lucky_value.."可领",190,80,18,ccc3(0xff,0xff,0xff)))
	end 

	local getBtn=KNBtn:new(COMMONPATH,self.arrayFreshLuck[index]==true and {"btn_bg_red.png","btn_bg_red_pre.png"} or{"btn_bg_red2.png","btn_bg_red2.png"},
		286,
		30,
		{
			front=self.arrayFreshLuck[index]==true and COMMONPATH.."all_get.png" or COMMONPATH.."get_over.png",
			priority=-130,
			noTouch=false,
			callback=function()
				HTTP:call("activity" , "mayday_activity_get_circle_gift",{index=value.lucky_value,type="lucky"},{
					success_callback = function(data)

						self.scrollLuck:getLayer():removeFromParentAndCleanup(true)
						self.arrayFreshLuck[index]=false
						self:myTemplateFreshLuck(mygift,tempLayer)
						KNMsg.getInstance():flashShow(data.msg)

 					end 
 				})

			end
		})
	layer:addChild(getBtn:getLayer())

	return layer

end

return M
