--[[


												摇钱树活动


]]--

local  M={ }
local  PATH=IMG_PATH.."image/scene/activity_new/moneytree/"
local  ACTIVITY_PATH=IMG_PATH.."image/scene/activity_new/"
local  InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local  KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local  KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local  baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local  KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local  KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local  KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local  KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local  KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local  SCENECOMMON = IMG_PATH.."image/scene/common/"
local  effect = requires(IMG_PATH,"GameLuaScript/Common/KNEffect")
local  NEWPKNAME=ACTIVITY_PATH.."new_pkgame/"
local  ALLIANCE_ACTIVITY=IMG_PATH.."image/scene/activity_new/alliance_activity/"
local  EQUITPATH = IMG_PATH .. "image/scene/equipSprite/"
local  MISSION=IMG_PATH.."image/scene/mission/"
local  KNSlider = requires(IMG_PATH, "GameLuaScript/Common/KNSlider")

local topParams
local parentLayer
local isParent

local curLayer
local myLayer
local commonLayer
local myLayerbg
local award={}
local awardTest={}
local grow_total="100"
local grow_available="0"
local lv=""
local mater=""
local endtime=""
local myshow ="1"

local our_tree_grow_lv="0"
local our_tree_grow_max="0"
local our_tree_grow_value="0"
local our_tree_shake_num="0"

local material_cid=""
local rules=""
local allAmountText=""

--[[				摇钱树活动    			]]--

function M:show(params)
	M:baseInit(params)
	-- M:dataTest()
	M:myTree()
end

function M:dataTest()

	awardTest[1]={
		cid="17138",
		num="20"
	}

	awardTest[2]={
		cid="17144",
		num="30"
	}

	awardTest[3]={
		cid="17147",
		num="1"
	}

	awardTest[4]={
		cid="17147",
		num="1"
	}

	awardTest[5]={
		cid="17147",
		num="1"
	}

end

function M:baseInit(params)

	params = params or {}

	topParams = params
	-- parentLayer = params.parentLayer or ACTIVITY.viewLayer
	isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	curLayer=display.newLayer()
	local data = ACTIVITY:getData()

	if params then

		if (params["data"]) then

			if (params["data"]["data"]) then

				data=params["data"]["data"]

			end

		end

	end

	if data.grow_total then
		grow_total=data.grow_total
	end

	if data.grow_available then
		grow_available=data.grow_available
	end
	if data.lv then
		lv=data.lv
	end

	if data.material then
		mater=data.material
	end

	if data.endtime then
		endtime=data.endtime
	end

	if data.our_tree_grow_lv then
		our_tree_grow_lv=data.our_tree_grow_lv
	end

	if data.our_tree_grow_max then
		our_tree_grow_max=data.our_tree_grow_max
	end

	if data.our_tree_grow_value then
		our_tree_grow_value=data.our_tree_grow_value
	end

	if data.our_tree_shake_num then
		our_tree_shake_num=data.our_tree_shake_num
	end

	if data.material_cid then
		material_cid=data.material_cid
	end

	if data.rules then
		rules=data.rules
	end

	ACTIVITY:baseLayout({ line = {y=695} ,textSize=16,title_bg=COMMONPATH.."moneytree_title.png"})
	parentLayer = params.parentLayer or ACTIVITY.viewLayer
	parentLayer:addChild(curLayer,2)
	--					活动时间
	ACTIVITY.viewLayer:addChild( display.newSprite(ACTIVITY_PATH .. "activity_time_text.png" ,19,624+35, 0 , 0 ) ) --添加活动主题的背景
	curLayer:addChild( display.strokeLabel(endtime or "",118 , 626+35 ,18, ccc3( 228 , 227 , 226 )  ) )

	--					添加活动的背景
	ACTIVITY.baseLayer:addChild( display.newSprite(PATH .. "background.png" ,1,93, 0 , 0 ) ) --添加活动主题的背景

	local myLayerbg = display.newLayer()
	ACTIVITY.baseLayer:addChild(myLayerbg,2)
	--					添加帮助按钮
	local helpBtn = KNBtn:new( COMMONPATH , {"help.png","help_press.png"}, 421 , 603 , {
				scale = true,
				callback = function()
					local tempLayer = baseMask( {
													titlePath = COMMONPATH.."help_title.png" ,
													bgInfo = { y = 270 ,  path = IMG_PATH  .. "image/scene/mission/wipe_bg.png"
												} ,
												isShowBack = {x = 35 , y = 570 , backFun = function()  end } ,
												priority = -129 }
												)
					local scroll
					local strConfig = rules
					local function createText()
						local helpTips = createLabel({str = strConfig or "" , x = 60 , y = 66,size = 18, width = 340,color = ccc3(46 , 18 , 14)})
						return helpTips
					end
					scroll = KNScrollView:new( 68 ,310  , 380 , 275 , 10 ,false , nil , { priority = -133 } )
					scroll:addChild( createText() )
					tempLayer:addChild( scroll:getLayer() )
				end
		}):getLayer()
	myLayerbg:addChild(helpBtn)
end

function M:myTree()

	myLayer = display.newLayer()
	--					添加摇钱树背景
	myLayer:addChild( display.newSprite(PATH .. "mymoneytree.png" ,1,93, 0 , 0 ) ) --添加摇钱树的背景
	--					添加排行榜按钮
	local rankListBtn = KNBtn:new( COMMONPATH , {"rankList.png","rankList_press.png"}, 20 , 568 , {
			scale = true,
			callback = function()
				--	进入排行榜场景
				HTTP:call("activity", "money_tree_ranking", {}, {
					success_callback = function(data)
						pushScene("rankListScene",{data=data})
					end
				})
			end
	}):getLayer()
	myLayer:addChild(rankListBtn)
	--					添加我的摇钱树的文字背景
	myLayer:addChild( display.newSprite(PATH .. "mymoneytreeText.png" ,103,593, 0 , 0 ) ) --添加摇钱树的背景
	--					添加切换按钮
	local shiftBtn = KNBtn:new( COMMONPATH , {"shiftr.png","shift_pressr.png"}, 386 , 434 , {
		scale = true,
		callback = function()
			myLayer:setVisible(false)
			myLayer:removeFromParentAndCleanup(true)
			myLayer=nil
			M:commonTree()
		end
		}):getLayer()
	myLayer:addChild(shiftBtn)
	--					添加进度条
	local       maxValue_=grow_total
	local       curValue_=""..grow_available

	CCLuaLog("lv:"..lv)
	local newBar
	if lv==7 then
		newBar=KNBar:new("moneytree" ,14,572, { maxValue = maxValue_ , curValue = curValue_ ,isMaxNow="1",curMyValue=grow_available})
	else
		newBar=KNBar:new("moneytree" ,14,572, { maxValue = maxValue_ , curValue = curValue_ })
	end
	myLayer:addChild(newBar)
	--					添加我的摇钱树等级
	myLayer:addChild( display.newSprite(PATH .. "mylevel.png" ,65,217, 0 , 0 ) ) --添加我的摇钱树等级
	--					添加我的摇钱树等级数据
	local  mytreelevel=lv
	myLayer:addChild( display.strokeLabel(mytreelevel or "",210 , 217 ,18, ccc3( 228 , 227 , 226 )  ) )	--活动内容

	--					添加摇一摇按钮
	local shakeBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},288 ,201 , {
					front=PATH.."shake.png",
					scale = true,
					callback = function()
						local str1="你使劲的摇了摇你的摇钱树，掉落了:"
						local str2="摇钱树等级越高，掉落物品会越丰厚哦!"
						--				自己摇一摇接口
						HTTP:call("activity", "shake_money_tree_show", {}, {
							success_callback = function(data)
								M:showShakeAwardPage({str1=str1,str2=str2,data=data,type="mytree"})
							end
						})
					end
			}):getLayer()
	myLayer:addChild(shakeBtn,1 )
	--					添加培养按钮
	local trainBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},64 ,137 , {
					front=PATH.."train.png",
					scale = true,
					callback = function()
						CCLuaLog("cid:"..material_cid)
						CCLuaLog("mater:"..mater)
						award=
						{
							cid=material_cid,
							num=mater
						}
						dump(award)
						M:train(award)
					end
			}):getLayer()
	myLayer:addChild(trainBtn,1 )
	--					添加购买按钮
	local buyBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},288 ,137 , {
			front=PATH.."buy.png",
			scale = true,
			callback = function()

				--			购买接口
				HTTP:call("activity", "money_tree_buy", {}, {
					success_callback = function(data)

							myLayer:setVisible(false)
							myLayer:removeFromParentAndCleanup(true)
							myLayer=nil

							ACTIVITY.viewLayer:setVisible(false)
							ACTIVITY.viewLayer:removeFromParentAndCleanup(true)
							ACTIVITY.viewLayer=nil

							self:show(data)
							KNMsg.getInstance():flashShow(data.msg)
						end
				})
			end
	})
	myLayer:addChild(buyBtn:getLayer())
	--				添加发财土
	local      fattenSoil="发财土: "..mater
	myLayer:addChild( display.strokeLabel(fattenSoil or "",96 , 87+25 ,18, ccc3( 228 , 227 , 226 )  ) )	--发财土内容
	--					添加黄金成长值
	local      amount="30"
	local      goldGroupUpAmount=amount.."黄金/"..amount.."成长值"
	myLayer:addChild( display.strokeLabel(goldGroupUpAmount or "",96+185+16 , 87+25 ,18, ccc3( 228 , 227 , 226 )  ) )	--黄金成长值内容
	ACTIVITY.viewLayer:addChild(myLayer,1)

end

function M:commonTree()

	commonLayer = display.newLayer()

	commonLayer:addChild( display.newSprite(PATH .. "commonmoneytree.png" ,1,93, 0 , 0 ) ) --添加摇钱树的背景
	commonLayer:addChild( display.newSprite(PATH .. "commonmoneytreeText.png" ,163,593, 0 , 0 ) ) --添加摇钱树的背景
	--					添加进度条
	CCLuaLog("our_tree_grow_max:"..our_tree_grow_max)
	CCLuaLog("our_tree_grow_value:"..our_tree_grow_value)
	local       maxValue_=our_tree_grow_max
	local       curValue_=""..our_tree_grow_value
	CCLuaLog("our_tree_grow_lv:"..our_tree_grow_lv)
	local newBar
	if our_tree_grow_lv==7 then
		newBar=KNBar:new("moneytree" ,14,572, { maxValue = maxValue_ , curValue = curValue_ ,isMaxNow="1",curMyValue=our_tree_grow_value})
	else
		newBar=KNBar:new("moneytree" ,14,572, { maxValue = maxValue_ , curValue = curValue_ })
	end
	commonLayer:addChild(newBar)
	--					添加我的摇钱树等级
	commonLayer:addChild( display.newSprite(PATH .. "commonlevel.png" ,65,217, 0 , 0 ) ) --添加我的摇钱树等级
--					添加大家的摇钱树等级数据
	local  mytreelevel=our_tree_grow_lv
	commonLayer:addChild( display.strokeLabel(mytreelevel or "",220, 217 ,18, ccc3( 228 , 227 , 226 )  ) )

	commonLayer:addChild( display.newSprite(PATH .. "commontreehas.png" ,43,117, 0 , 0 ) ) --添加我的摇钱树等级

	local  allAmount=our_tree_shake_num
	local  posx=235
	if allAmount<10 then
	elseif allAmount<100 then
	 	posx=230
	elseif allAmount<1000 then
		posx=225
	elseif allAmount<10000 then
		posx=220
	elseif allAmount<100000 then
		posx=215
	else
		posx=207
	end

	allAmountText=display.strokeLabel(allAmount or "",posx , 118 ,20, ccc3( 228 , 227 , 226 )  )
	commonLayer:addChild(allAmountText)	--活动内容

	-- 	--					添加大家的摇一摇按钮
	local shakeBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},150,158 , {
			front=PATH.."shake.png",
			scale = true,
			callback = function()
				CCLuaLog("大家摇一摇......")
					local level=our_tree_grow_lv
					local str1="你当前摇动了"..level.."级的大摇钱树，总共掉落了:"
					local str2="你的摇钱树等级提升，或大家摇钱树等级提升,\n收益会更大哦！前1000名摇一摇更有额外惊喜!"
					HTTP:call("activity", "shake_our_money_tree_show", {}, {
							success_callback = function(data)
								dump(data)
								--CCLuaLog("our_tree_shake_num:"..our_tree_shake_num)
								--local shake_num=data.our_tree_shake_num+1
								--CCLuaLog("shake_num:"..shake_num)
								--allAmountText:setString(""..shake_num)
								M:showShakeAwardPage({str1=str1,str2=str2,data=data,type="commontree"})
							end
					})

				end
	}):getLayer()

	commonLayer:addChild(shakeBtn,1 )

	--					添加切换按钮
	local shiftBtn = KNBtn:new( COMMONPATH , {"shiftl.png","shift_pressl.png"}, 42 , 428 , {
		scale = true,
		callback = function()
			--switchScene("activity",{findCurKeyByName="money_tree"})
			 HTTP:call("activity","get",{  } , {
				success_callback = function()
	       			switchScene("activity",{findCurKeyByName="money_tree"},
	       			function ()

	      		 	end)
				end
			})
		end
	})
	commonLayer:addChild(shiftBtn:getLayer())
	ACTIVITY.viewLayer:addChild(commonLayer,1)

end

function M:showShakeAwardPage(params)

	local type=""
	if params.type then
		type=params.type
	end
	local bgpath="tip_bg3.png";
	local tempLayer = baseMask({
			bgInfo = {
				y = 238 ,
				path = COMMONPATH  .. bgpath ,
				priority = -129
			}}
	)

	local layer = display.newLayer()
	local bg = display.newSprite(PATH.."awardshake.png")
	setAnchPos(bg, 238,666, 0.5, 0.5)
	local bgtitle = display.newSprite(MISSION.."title_bg.png")
	setAnchPos(bgtitle, 274,670, 0.5, 0.5)
	layer:addChild(bgtitle)
	layer:addChild(bg,1)
	tempLayer:addChild(layer,10)

	local str1=""
	local str2=""
	local data={}

	if params.str1 then
		str1=params.str1
	end

	if params.str2 then
		str2=params.str2
	end

	if params.data then
		data=params.data
	end

	tempLayer:addChild(display.strokeLabel(str1 or "",45,580,22,ccc3(0 , 0 , 0)  ) )
	tempLayer:addChild(display.strokeLabel(str2 or "",37,280,19,ccc3(255 , 0 , 0)  ) )

	--				确认按钮
	local okBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},75 ,335 , {
		front=PATH.."get.png",
		scale = true,
		priority = -131,
		callback = function()

			if type=="mytree" then

				HTTP:call("activity", "shake_money_tree", {}, {
					success_callback = function(data)
						dump(data)
						KNMsg.getInstance():flashShow(data.msg)
					end
				})



			elseif type=="commontree" then

				HTTP:call("activity", "shake_our_money_tree", {}, {
					success_callback = function(data)
						dump(data)
						local shake_num=data.our_tree_shake_num
						CCLuaLog("shake_num:"..shake_num)
						allAmountText:setString(""..shake_num)
						KNMsg.getInstance():flashShow(data.msg)
					end
				})


			else

			end
			tempLayer:remove()
		end
	}):getLayer()
	tempLayer:addChild(okBtn)

	--				取消按钮
	local cancelBtn = KNBtn:new( COMMONPATH , {"btn_bg_red.png","btn_bg_red_pre.png"},255 ,335 , {
		front=COMMONPATH.."cancel.png",
		scale = true,
		priority = -131,
		callback = function()
			tempLayer:remove()
		end
	}):getLayer()
	tempLayer:addChild(cancelBtn)


	tempLayer:addChild(display.newSprite(PATH.."common_bg.png",50,420,0,0))

	--							左右滑动显示奖励
	if scroll then
		tempLayer:removeChild(scroll:getLayer(),true)
	end
	local scroll = KNScrollView:new(75,280,320,395,18,true,0,{priority=-131})


	if data.award then
		local award=data.award
		local len=table.nums(award)
		CCLuaLog("len:"..len)
		for i = 1 ,len do
			local item =M:createItem(award,i)
			scroll:addChild(item)
		end
	end

	scroll:alignCenter()
	tempLayer:addChild(scroll:getLayer(),10)
end

function M:createItem(params,index)

	params=params or { }
	local layer=display.newLayer()

	local bg = display.newSprite(COMMONPATH.."role_frame.png")
	setAnchPos(bg,-5,-5)
	layer:addChild(bg)
	layer:setContentSize(bg:getContentSize())


	local curProp = awardCell(params[index])
	setAnchPos(curProp,0,0)
	layer:addChild(curProp,1)
	layer:setContentSize(curProp:getContentSize())

	return layer

end

function M:train(params)

	local baseX = display.cx
	local baseY = display.cy

	params=params or { }

	local bgpath="tip_bg.png";
	local tempLayer = baseMask({
			bgInfo = {
				y = 238 ,
				path = COMMONPATH  .. bgpath },
				priority = -129
			}
	)

	local numText = display.strokeLabel(1 .. "" , baseX + 130 , baseY-26, 20 , ccc3(223,191,43) , nil , nil , { dimensions_width = 36 , dimensions_height = 30 ,align = 1 } )
	tempLayer:addChild(numText,1)

	local function changeValue()
		--CCLuaLog("..."..num)
		numText:setString(""..num)
	end

	--				确认按钮
	local okBtn = KNBtn:new( COMMONPATH , {"btn_bg.png","btn_bg.png"},105 ,285 , {
		front=COMMONPATH.."confirm_big.png",
		scale = true,
		priority = -131,
		callback = function()
			--							培养接口
			HTTP:call("activity", "money_tree_feed", {num=num}, {
					success_callback = function(data)

						myLayer:setVisible(false)
						myLayer:removeFromParentAndCleanup(true)
						myLayer=nil

						ACTIVITY.viewLayer:setVisible(false)
						ACTIVITY.viewLayer:removeFromParentAndCleanup(true)
						ACTIVITY.viewLayer=nil

						self:show(data)
						KNMsg.getInstance():flashShow(data.msg)

					end
			})
			tempLayer:remove()
		end
	}):getLayer()
	tempLayer:addChild(okBtn)

	local cancleBtn = KNBtn:new( COMMONPATH , {"btn_bg.png","btn_bg.png"},285 ,285 , {
		front=COMMONPATH.."cancel.png",
		scale = true,
		priority = -131,
		callback = function()
			tempLayer:remove()
		end
	}):getLayer()
	tempLayer:addChild(cancleBtn)

	--				显示需要培养的礼物
	local curProp = awardCell(params)
	setAnchPos(curProp,200,400)
	tempLayer:addChild(curProp)

	tempLayer:addChild( display.newSprite(PATH .. "num_text.png",310,405,0,0))
	tempLayer:addChild( display.newSprite(PATH .. "num_bg.png",370,400,0,0))

	local slider = KNSlider:new( "buy" ,  {
		x = baseX - 106 ,
		y = baseY +60 ,
		minimum = 1 ,
		maximum = 99,
		value = 1 ,
		callback  = function( _curIndex )
			num = _curIndex
			changeValue()
		end,
		priority = -140
	})
	tempLayer:addChild( slider )


	local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , baseX + 128 , baseY-90, {
		scale = true,
		priority = -130,
		callback = function()
			if num < 99 then
				num = num + 1
				slider:setValue( num )
				changeValue()
			end
		end
	})

	local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , baseX - 165 , baseY-90,{
		scale = true,
		priority = -130,
		callback = function()
			if num > 1 then
				num = num - 1
				slider:setValue( num )
				changeValue()
			end
		end
	})
	minusBtn:setFlip(true)

	addBtn:getLayer():setScale( 0.9 )
	minusBtn:getLayer():setScale( 0.9 )
	tempLayer:addChild(addBtn:getLayer())
	tempLayer:addChild(minusBtn:getLayer())

end

return M
