--双倍返限
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show()
	local data = ACTIVITY:getData()
	ACTIVITY:baseLayout({ frame = { path = PATH .. "newyear/n2beipay_bg.png" } })
	ACTIVITY.viewLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 + 40  , 585 , 0 , 0 ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.endtime or "" , 120 + 40 , 588 , 20 , ccc3( 0x00 , 0x00 , 0x00 )  ) )	--活动时间
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.pay , 326 - 30, 237 , 18, ccc3( 0x44 , 0xd9 , 0xdd ) , nil , nil , { dimensions_width = 60 , dimensions_height = 25 , align = 1 } ) )
	
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.rebates , 353, 212 , 18, ccc3( 0x44 , 0xd9 , 0xdd )  ) )
	ACTIVITY.viewLayer:addChild( display.strokeLabel( data.max , 0 , 175 , 18, ccc3( 0xef , 0xd2 , 0x5a ) , nil , nil , { dimensions_width = 480 , dimensions_height = 25 , align = 1 } ) )
	
	ACTIVITY.viewLayer:addChild( display.newSprite( COMMONPATH .. "gold.png" , 317  , 208 , 0 , 0 ) )	
	
	local isEnable =  true
	local isComplete = false
	
	if data.received then
		--是否已经领取
		if table.nums( data.received ) > 0 then
			isComplete = true
		end
	end
	local getBtn = KNBtn:new( COMMONPATH , 
		isEnable and ( isComplete and { "btn_bg_red2.png" }  or { "btn_bg_red.png" ,"btn_bg_red_pre.png"} ) or { "btn_bg_red2.png" } , 
		display.cx - 73  , 
		130 ,
		{
			front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "get_award.png" ) or "get_over.png" ) ,
			callback = 
			function()
				if isEnable and not isComplete then
					if tonumber(data.pay) == 0 then
						KNMsg.getInstance():flashShow( "您今天暂未充值，暂不可领取奖励，请前往充值！" )
						return false
					end
					if isBagFull() then
					    return false
					end
					HTTP:call("activity", "receive_n2beipay", { typeid = data.typeid },{success_callback = 
					function()
						ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() ACTIVITY:selectActivity() end } )
					end})
				else
				end
			end
		}):getLayer()
	ACTIVITY.viewLayer:addChild( getBtn )
 
end
return M
