--登陆活动
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:show( params )
	local CURPATH = PATH .. "sign_in/"
	params = params or {} 
	local topParams = params
	local parentLayer = params.parentLayer or ACTIVITY.viewLayer
	local isParent = params.parentLayer and true or false
	local parentLayreOffY = 0
	local curLayer = display.newLayer()
	local data = nil
	if params.parentLayer then
		data = params.data
		
		parentLayreOffY = 25
		setAnchPos( curLayer , 0 , parentLayreOffY , 0 , 0  )
	else
		data = ACTIVITY:getData()
		ACTIVITY:baseLayout({ line = {} , frame = {} })
	end
	parentLayer:addChild( curLayer )
	dump( data )
	curLayer:addChild( display.newSprite( CURPATH .. "sign_bg.png" , display.cx , 105 , 0.5 , 0  ) )
	

	local isNew = ( ( data.endtime and  data.endtime ~= "" ) and true or false )
  
	if isNew then
		curLayer:addChild( display.newSprite( PATH .. "activity_time_text.png" , 20 , 612 , 0 , 0  ) )
     	curLayer:addChild(display.strokeLabel( data.endtime  , 120 , 615 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )
	end



	local award = data.config
	for i = 1, table.nums( award ) do
		local function ClickFun()
			HTTP:call("activity", "receive_sign_in", { index = i },{success_callback = 
			function()
				ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() 									
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end 
								end } )
			end})	
		end
		local btn = awardCell( award[ i .. "" ] , { noStarColor = true , name = { size = 22 , color = ccc3( 0x2b , 0x07 , 0x07 ) } , ClickFun = ClickFun })
		--btn:addChild( display.strokeLabel( award[i].price , 48, -32 , 18, ccc3( 0x2b , 0x07 , 0x07 )  )  )
		local addX = ( i < 4 and 103  or  47 ) + ( i - ( i < 4 and 1 or 4 ) ) * 107
		local addY = i < 4 and 500  or  370 
		setAnchPos(btn, addX , addY , 0.5 , 0.5 )
		btn:setScale( 0.8 )
		curLayer:addChild(btn)


		curLayer:addChild( display.newSprite( CURPATH .. "week_bg.png" , addX - 3 , addY + 70 , 0 , 0   ) )
		curLayer:addChild( display.newSprite( CURPATH.. "week" .. i ..".png" ,addX - 3 , addY + 70 , 0 , 0  ) )
		

    
		if data.received[ i .. "" ] ~= 0  then
			curLayer:addChild( display.newSprite( CURPATH .. "get_over.png" , addX - 20 , addY + 20 , 0 , 0   ) ) 
		else
      if i == tonumber(data.w) then
        local frames = display.newFramesWithImage(PATH.."tip_eff.png" , 12 )
        local tip = display.playFrames(addX + 35  , addY + 35 , frames , 0.2 , { forever = true ,  })
        tip:setScale( 0.8 )
        curLayer:addChild(tip, 2)  
     end
		end
	end






	curLayer:addChild( display.newSprite( CURPATH.. "assist_bg.png" , display.cx , 170 , 0.5 , 0  ) )

	local isVip = tonumber( data.vip_config.viplv ) > 0 
	
	
	curLayer:addChild( display.newSprite( CURPATH.. "tiptext" .. ( isVip and 1 or 2 )..  ".png" , ( isVip and display.cx or 199 )  , 253  + 17  , 0.5 , 0  ) )
	
	if isVip then
		curLayer:addChild(display.strokeLabel( data.vip_config.viplv  , 195 + 20 , 255 + 17 , 20 , ccc3( 0xff , 0xfc , 0xd1 ) ) )

		local getBtn = KNBtn:new( COMMONPATH , { "btn_bg.png" , "btn_bg_pre.png" ,  "btn_bg_dis.png" } , display.cx - 40  , 130 , 
				{
					front = COMMONPATH .. ( data.vip_received == 0 and "get.png" or "get_over2.png" ) ,
					callback = 
					function()
						HTTP:call("activity", "receive_sign_in_vipgift", { index = i },{success_callback = 
						function()
							ACTIVITY:getAction( { awardProp = awardProp , onComplete = function() 									
									if isParent then 
										curLayer:removeFromParentAndCleanup(true)
										topParams.refreshFun()
									else
										ACTIVITY:selectActivity() 
									end end } )
						end})	
					end
				}):getLayer()
		curLayer:addChild( getBtn )
	else

		local payBtn = KNBtn:new( COMMONPATH , { "btn_bg.png" , "btn_bg_pre.png" ,  "btn_bg_dis.png" } , 343  , ( isVip and 248 or 268 )  , 
				{
					front = COMMONPATH .. "pay.png" ,
					callback = 
					function()
						switchScene( "pay" )
					end
				}):getLayer()
		curLayer:addChild( payBtn )

	end


	local award = data.vip_config.vipaward
	for i = 1, table.nums( award ) do	
		local btn = awardCell( award[ i ] , { noStarColor = true , name = ( not isVip and  { color = ccc3( 0x2b , 0x07 , 0x07 ) } or nil ) })		
		local addX , addY = 112 + ( i - 1 ) * 101 , ( isVip and 180	or 180 )	
		setAnchPos(btn, addX , addY , 0.5 , 0.5 )		
		curLayer:addChild(btn)
	end
	

	local helpBtn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png", "help_press.png"}, 400 , 560 ,
	{
		callback = function()
			local mask = baseMask( {isShowBack = true, bgInfo = { path = IMG_PATH .. "image/scene/chat/" .. "info_bg_small.png",  y = 136 } } )
			-- 规则
			local scroll = KNScrollView:new( 0 , 160 , 480 , 380 , 10 , false , 0 , { priority = -201 })
			local rule = {"1.每日登录奖励需在当日领取,次日过期" ,
						 "2.登录奖励每周一轮,且会在每周一自动刷新" ,
						 "3.vip用户可根据VIP等级每日领取额外奖励" ,
						 "4.非vip用户成为vip马上享有额外奖励" ,							 
						 "5.打开不同礼袋可获各种丰厚奖励\n" ..
						 "    【大黄金袋】:打开随机获得:100~150黄金\n" ..
						 "    【宝石袋】:打开随机获得5~10个成品宝石\n" ..
						 "    【银币袋】:打开随机获得:50000~80000银币\n" ..
						 "    【" .. replaceStr("鸡血袋") .. "】:打开随机获得1~3个小" .. replaceStr( "鸡血丸") .. ",一定几率额外可获1个大" .. replaceStr( "鸡血丸") .. "\n" .. 
						 "    【小黄金袋】:打开随机获得50~100黄金\n" ..
						 "    【传功丹袋】:打开随机获得5~15个普通传功丹,一定几率额外可获1个秘制传功丹\n" .. 
						 "    【装备碎片袋】:打开随机获得2星装备碎片3~6个,一定几率额外可获3星装备碎片x1" }
			
				local function createItem( tempParams , index )
					tempParams = tempParams or {}
					local layer = display.newLayer()
					
					layer:addChild( display.strokeLabel( tempParams, 0 , 0, 18, ccc3( 0x00, 0x00, 0x00 ), nil, nil,
					{
						dimensions_width = 419,
						dimensions_height = ( index == 5 and 500 or 25 ) ,
						align = 0 ,
					}) )
					
					layer:setContentSize( CCSize:new( 419 , ( index == 5 and 500 or 25 ) )  )
					return layer
				end
				
				
				
				
				for i = 1 , table.nums( rule ) do
					local item = createItem( rule[i] , i )
					scroll:addChild( item )
				end
				scroll:alignCenter()
				mask:addChild(scroll:getLayer() )
		end
	})
	curLayer:addChild( helpBtn:getLayer() )
end
return M
