--超值馈送
local M = {}
local PATH = IMG_PATH .. "image/scene/activity_new/super_present/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local KNClock = requires(IMG_PATH, "GameLuaScript/Common/KNClock")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNTextField = requires(IMG_PATH,"GameLuaScript/Common/KNTextField")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

local typeid=""
local payyuan=0
local curLayer=nil
local scroll=nil
local type=""
local msgTip=""


function M:show(params)

	local  end_time="3月16号零点——3月17号零点"
	local  now_days="1"
	curLayer=nil
	scroll=nil
	typeid=""
	payyuan=0
	type=""
	msgTip=""

	ACTIVITY:baseLayout({line = {y=650}})
	
	curLayer = display.newLayer()
	scroll = KNScrollView:new(0,110, 480, 470 , 10 , false )

	
	curLayer:addChild(display.newSprite(PATH .. "activity_time.png" ,19,620, 0 , 0 ))
	if params and params.endtime then
		end_time=params.endtime
	end
	curLayer:addChild(display.strokeLabel(end_time,118 , 622 ,18, ccc3( 228 , 227 , 226 )  ) )
	curLayer:addChild(display.newSprite(PATH .. "activity_awards_title.png" ,19,624-36, 0 , 0 ))
	curLayer:addChild(display.newSprite(PATH .. "current_jihuo.png" ,249,624-36, 0 , 0 ))

	if params.activite_day then 
		now_days=params.activite_day
	end 

	curLayer:addChild(display.strokeLabel(now_days,376, 627-37 ,18, ccc3( 228 , 227 , 226 )  ) )

	local config={}

	if params.config then
		config=params.config
	end

	if params.typeid then 
		typeid=params.typeid
	end 

	if params.payyuan then 
		payyuan=params.payyuan
	end  

	if config~=nil and config~={} and table.nums(config)>0 then 

		for i=1 ,table.nums(config) do 
			
			scroll:addChild(self:createItem(i,config[i]))

		end 

	end

	scroll:alignCenter()
	curLayer:addChild(scroll:getLayer() ) 

	ACTIVITY.viewLayer:addChild(curLayer,6)

end

function M:createItem(index,value)

	params = value or {}
	local layer = display.newLayer()
	local award={}
	local chargeMon=0
	local condition=0
	local received=0

	if params.money then 
		chargeMon=params.money
	end 

	if params.condition then 
		condition=params.condition
	end 

	if params.received then 
		received=params.received		
	end 

	local str1="第"..condition.."天"
	local str2="累计充值"..chargeMon.."元可领"

	if params.award then 
		award=params.award
	end 
		
	local itemImg= "item_bg.png"
		
	local bg = display.newSprite(COMMONPATH .. itemImg)
	setAnchPos( bg , 0 , 0 )
	layer:addChild(bg)

	layer:addChild(display.newSprite(PATH.."bg_bar1.png",20,80,0,0))
	layer:addChild(display.strokeLabel(str1,40,85,18, ccc3( 228 , 227 , 226 )  ) )

	layer:addChild(display.newSprite(PATH.."bg_bar2.png",150,80,0,0))
	layer:addChild(display.strokeLabel(str2,200,84,18, ccc3( 228 , 227 , 226 )  ) )

	local isEnable=true
	local isComplete=received~=0

	local getBtn = KNBtn:new( COMMONPATH , 
			isEnable and ( isComplete and { "long_btn_grey.png" }  or { "long_btn.png" ,"long_btn_pre.png"} ) or { "long_btn_grey.png" } , 
			305, 
			10,
			{
				parent = scroll , 
				front = COMMONPATH .. ( isEnable and (isComplete and "get_over.png" or  "get_award.png" ) or "get_award_grey.png" ) ,
				callback = 
				function()
					if isEnable and not isComplete then

						HTTP:call("activity","receive_super_present", { typeid = typeid , index = index },{success_callback = 
							function(data)

								if data.type then 
									type=data.type
								end

								if type=="tips" then

									if data.msg then 
										msgTip=data.msg
									end
									KNMsg.getInstance():boxShow(msgTip,{ 
									confirmText = COMMONPATH .. "pay.png" , 
									cancelText = COMMONPATH .. "back.png" , 
									confirmFun = function() switchScene("pay") end , 
									cancelFun = function() end 
									})

								else
									KNMsg.getInstance():flashShow(data.msg)
									if curLayer~=nil then 
										curLayer:removeFromParentAndCleanup(true)		
									end
									self:show(data.data) 
								end   

						end})
					else
					end 
				end
			}):getLayer()
	layer:addChild(getBtn)

	for i = 1 ,#award do
		local curProp = awardCell(award[i],{ parent = scroll })
		setAnchPos(curProp,30+(i-1)*95,10)
		layer:addChild(curProp,2)
	end

	layer:setContentSize(bg:getContentSize() )
	return layer
	
end

return M
