--日常主界面

local M = {
	dailyTaskData,
}

local PATH = IMG_PATH .. "image/scene/dailyTask/"
local SCENECOMMON = IMG_PATH.."image/scene/common/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")

function M:new(args)
	local this = {}
	setmetatable(this , self)
	self.__index = self
	
	--初始化数据
    -- dump(args)
	dump(DATA_NewDailyTask:get())
	this.dailyTaskData=DATA_NewDailyTask:get()
	-- 基础层
	this.baseLayer = display.newLayer()

	-- 显示公用层 底部公用导航以及顶部公用消息
	this.infoLayer = InfoLayer:new( "dailyTask" , 0 , { title_text = PATH.."dailyTaskTitle.png", tail_hide = true, closeCallback = function()
		switchScene("home")
	end} )
	this.baseLayer:addChild( this.infoLayer:getLayer() )	
	
	-- 背景
	local bg = display.newSprite( COMMONPATH .. "dark_bg.png")
	setAnchPos( bg , 0 , 88 )						-- 70 是底部公用导航栏的高度
	this.baseLayer:addChild( bg )
	
	local bottom = display.newSprite(COMMONPATH .."bg_big.png" , display.cx,display.cy,0.5,0.5)
	this.baseLayer:addChild(bottom)
    bottom:setScaleX(1.05)

    --宝箱
	-- for i=1,#this.dailyTaskData['award'] do
	-- 	local boxImg,eff,boxBtn 
	-- 	if this.dailyTaskData['award'][i]['finish'] == 0 and this.dailyTaskData['point']>=this.dailyTaskData['award'][i]['point']then --正常
	-- 		boxImg = "box"..i..".png"
	-- 		--箱子背景动画
	-- 		eff = display.newSprite(PATH.."eff.png",98+(i-1)*145 , 688 ,0.5,0.5)
	-- 		eff:setScale(0.45)
	-- 		this.baseLayer:addChild(eff)
	-- 		local array = CCArray:create()
	-- 		array:addObject(CCRotateTo:create(6,720))
	-- 		local seq = CCSequence:create(array)
	-- 		seq = tolua.cast(seq,"CCActionInterval")
	-- 		local rep = CCRepeatForever:create( seq )
	-- 		eff:runAction(rep)

	-- 	elseif this.dailyTaskData['award'][i]['finish'] == 1 then--打开
	-- 		boxImg="box"..i.."_open.png"
	-- 	elseif  this.dailyTaskData['point']< this.dailyTaskData['award'][i]['point'] then--灰显
	-- 		boxImg="box"..i.."_grey.png"
	-- 	end
	-- 	 boxBtn = KNBtn:new( PATH , { boxImg  } , 50+(i-1)*145 , 640 , {
	-- 		scale=true,
	-- 		id=i,
	-- 		text={l2("dailyTask_key1")..this.dailyTaskData['award'][i]['point']..l2("dailyTask_key2") , 16 , ccc3(255, 251, 213) , ccp( -5 , -55 ) , nil , 18},
	-- 		callback = function ( )
				
	-- 				this:showBoxAward(this.dailyTaskData['award'][i] )
				
	-- 		end
	-- 	})

	-- 	this.baseLayer:addChild(boxBtn:getLayer())
	-- end
	
	-- --箭头
	-- for i=1,2 do
	-- 	this.baseLayer:addChild( display.newSprite(COMMONPATH.."next.png",160*i, 670 ))
	-- end
	--进度条
	-- local activePointBar = KNBar:new("dailyTaskPoint" ,  30 , 250 , { maxValue = this.dailyTaskData['total_point'] , curValue = this.dailyTaskData['point']  })
	-- activePointBar:setIsShowText( true )
	-- this.baseLayer:addChild(activePointBar)

	local tips = display.strokeLabel("每日24:00 重置所有任务(剩余天数"..this.dailyTaskData['remain_day']..")" , 90 , 120+590 , 18, ccc3( 54, 15, 13 )  )
	this.baseLayer:addChild(tips)


	local tempScrollView = KNScrollView:new(17,145-23,445,435+150,1,false,0,{
	
	   		 priority = -130,
	    	 --debug=true,
	    })
    tempScrollView:alignCenter()
    this.baseLayer:addChild(tempScrollView:getLayer())

    local guide_btn
    for i = 1, #this.dailyTaskData['list'] do
    	local lineLayer = display.newLayer()
    	lineLayer:setContentSize(CCSizeMake(443,113))
    	tempScrollView:addChild(lineLayer)

    	local itemBg = display.newSprite(COMMONPATH.."item_bg.png",0,0,0,0)
    	lineLayer:addChild(itemBg)

    	local iconBg = display.newSprite(SCENECOMMON.."skill_frame2.png",40,20,0,0)
    	itemBg:addChild(iconBg)
    	local icon = display.newSprite(PATH.."icon/"..this.dailyTaskData['list'][i]['go'].."_icon.png",44,24,0,0)
    	itemBg:addChild(icon)
    	icon:setScale(0.97)
    	
    	itemBg:addChild(display.strokeLabel( this.dailyTaskData['list'][i]['definition'] , 120 , 67 , 20, ccc3( 54, 15, 13 )  ))
    	itemBg:addChild(display.strokeLabel( this.dailyTaskData['list'][i]['name'] , 120 , 45 , 18, ccc3( 54, 15, 13 )  ))
    	itemBg:addChild(display.strokeLabel( "奖励： " , 120 , 20 , 18, ccc3( 0, 0, 0 )  ))
    	--print("******************************"..i)

    	for j=1,#this.dailyTaskData['list'][i]['award'] do

    		--dump(this.dailyTaskData['list'][i]['award'][j] )

    		local curProp = awardCell( this.dailyTaskData['list'][i]['award'][j] ,{nonum=true } )
			setAnchPos( curProp , 165 +(j-1)*60 , 17 )
			curProp:setScale(0.4)
			--数量
			local num = display.strokeLabel("X"..this.dailyTaskData['list'][i]['award'][j]['num'] , 195+(j-1)*62 , 20 , 17, ccc3( 0, 0, 0 )  )

			itemBg:addChild( curProp )
			itemBg:addChild( num )

    	end


    	--完成次数
    	local ciShu = display.strokeLabel( this.dailyTaskData['list'][i]['finish'].."/"..this.dailyTaskData['list'][i]['num'] , 350 , 65 , 20, ccc3( 54, 15, 13 )  )
    	itemBg:addChild(ciShu)


    	local goSceneTab = {"friend","home","activity","forge_mergeHero","forge_mergeEquip",
			"incubation","mutilFb","fb_petFb","fb_equipFb","mission","athletics",
			"pvp_rob","forge_splitHero","forge_splitEquip","strengthen",
		}
    	if this.dailyTaskData['list'][i]['finish'] < this.dailyTaskData['list'][i]['num'] then

	    	local goBtn = KNBtn:new( COMMONPATH ,(DATA_User:get('lv')< this.dailyTaskData['list'][i]['lv'] and { "btn_bg_grey.png" } or { "btn_bg.png", "btn_bg_pre.png" })  , 320 , 20 , {
				scale = true,
				front = PATH..(DATA_User:get('lv')< this.dailyTaskData['list'][i]['lv'] and "goTextGrey.png" or "goText.png"),
				parent = tempScrollView,
				callback = function (  )
					local goSceneStr = this.dailyTaskData['list'][i]['go']
					local lvLimit = this.dailyTaskData['list'][i]['lv']
					if DATA_User:get('lv')<lvLimit then
						KNMsg:getInstance():flashShow("该任务需要"..lvLimit.."级")
						return
					end
					if goSceneStr=="friend" then
						HTTP:call("friends","get",{},{success_callback=function()
							switchScene("friend")
						end})
					elseif goSceneStr=="home" then
						switchScene("home")
					elseif goSceneStr=="activity" then
						HTTP:call("activity" , "get", {} , {
							success_callback = function()
									switchScene("activity",{findCurKeyByName="exciting_activities"})
							end
						})
					elseif goSceneStr=="forge_mergeHero" then
						switchScene("forge" , { index = 1})
					elseif goSceneStr=="forge_mergeEquip" then
						switchScene("forge" , { index = 2})
					elseif goSceneStr=="incubation" then
						switchScene("incubation")
					elseif goSceneStr=="multiFb" then
						switchScene("multiFb")
					elseif goSceneStr=="fb_petFb" then
						HTTP:call("inspetnew" , "get",{},{success_callback = function()
							switchScene("fb" , { state = "pet" } )
						end })
					elseif goSceneStr=="fb_equipFb" then
						HTTP:call("insequip" , "get",{},{success_callback = function(data)
  							switchScene("fb" , { state = "equip" , map = data.current_map } )
  						end })
					elseif goSceneStr=="mission" then
						HTTP:call("mission" , "get",{},{success_callback = function()
							switchScene("mission")
						end })
					elseif goSceneStr=="athletics" then
						HTTP:call("athletics","get",{},{success_callback = 
						function(data)
							switchScene("athletics",{data = data })	
						end})
					elseif goSceneStr=="pvp_rob" then
						HTTP:call("rob", "get", {}, {
							success_callback = function(data)
								switchScene("pvp",{ state="rob",robData=data })
							end
						})
					elseif goSceneStr=="forge_splitHero" then
						switchScene("forge" , { index = 1})
					elseif goSceneStr=="forge_splitEquip" then
						switchScene("forge" , { index = 2})
					elseif goSceneStr=="strengthen" then	
						local equips =  DATA_Bag:get("equip")
						local randomEquipId --随机一件装备id
						for k,v in pairs(equips) do
							randomEquipId=k
							break
						end
						
						HTTP:call("shop","cuilian_config",{} , {
							success_callback = function( tempData )
								pushScene("strengthen",{ type = "strength_equip" , targetID = randomEquipId ,vipConfig=tempData})
							end
						})
					end
					
				end
			})
	    	itemBg:addChild(goBtn:getLayer())

	    	if i == 1 and KNGuide:getStep() == 15401 then
	    		guide_btn = goBtn
	    	end
    	else
    		-- itemBg:addChild( display.newSprite(PATH.."isDone.png",378, 40 ))
    		ciShu:setColor(ccc3(255,0,0))
    		if this.dailyTaskData['list'][i]['receive'] == 0 then --可领，未领奖
    			local getBtn = KNBtn:new( COMMONPATH , { "btn_bg.png", "btn_bg_pre.png" } , 320 , 20 , {
				scale = true,
				front = COMMONPATH.."get.png",
				parent = tempScrollView,
				callback = function (  )
						HTTP:call("task" , "receiveAward", {id=this.dailyTaskData['list'][i]['id']} , {
										success_callback = function(data)
											
											switchScene("dailyTask",{},function ()
												inform(data)
											end)
											
											
										end
									})

					
				end})
				itemBg:addChild(getBtn:getLayer())
			else 
				itemBg:addChild( display.newSprite(COMMONPATH.."btn_bg_grey.png",358, 45 ))
				itemBg:addChild( display.newSprite(COMMONPATH.."get_over.png",358, 45 ))
    		end


    	end

    end

    if guide_btn then
		local btn_range = guide_btn:getRange()
    	KNGuide:show(guide_btn:getLayer() , {
    		x = btn_range:getMinX(),
			y = btn_range:getMinY(),
    		remove = true,
    	})
    end


	return this.baseLayer 
end

-- function M:showBoxAward( awardData )
	

-- 			local mask
			
-- 			local tempLayer =display.newLayer()
-- 			--setAnchPos(xianYinLayer,0,0,0.5,0.5)

-- 			--背景
-- 			local bg = display.newSprite(COMMONPATH.."tip_bg.png")
-- 		 	--local bg = display.newSprite(COMMONPATH.."bg_smaller.png")
-- 			setAnchPos(bg,25,120+200)
-- 			tempLayer:addChild(bg)

-- 			local title_text =  display.newSprite(PATH.."boxTitle.png",160+50, 190+40 )
-- 			bg:addChild(title_text)

-- 			for i=1,#awardData['msg'] do
-- 				local awardTxt = display.strokeLabel(i..":  " .. awardData['msg'][i], 160 ,170-(i-1)*30  , 20, ccc3( 255, 252, 214 )  )
-- 				bg:addChild(awardTxt)
-- 			end

		 
-- 		 	--关闭按钮
-- 		    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 15 , 515-310 , {
-- 					priority = -134,
-- 					scale = true,
-- 					callback = function()
						
-- 						mask:remove()

-- 					end})
-- 			bg:addChild(close:getLayer())


-- 			--领取按钮
-- 			local btnImg = {"btn_bg_red.png","btn_bg_red_pre.png" }
-- 			local frontImg = "get.png"
-- 			if self.dailyTaskData['point']< awardData['point'] then
-- 				btnImg={"btn_bg_red2.png"}
-- 				frontImg="get_grey.png"
-- 			elseif awardData['finish'] ==1 then
-- 				btnImg={"btn_bg_red2.png"}
-- 				frontImg="get_over.png"
-- 			end
-- 			local getBtn
-- 		    		getBtn = KNBtn:new(COMMONPATH,btnImg , 170-27 , 30 , {
-- 					priority = -134,
-- 					front= COMMONPATH..frontImg,
-- 					scale = true,
-- 					callback = function()
-- 						 if self.dailyTaskData['point']< awardData['point'] then
-- 						 	KNMsg:getInstance():flashShow("未达到领取条件")
-- 						 else
-- 						 	HTTP:call("task" , "receiveAward", {id=awardData['boxid']} , {
-- 										success_callback = function(data)
											
-- 											switchScene("dailyTask",{},function ()
-- 												inform(data)
-- 											end)
											
											
-- 										end
-- 									})
-- 						 end

-- 					end})
-- 			bg:addChild(getBtn:getLayer())


-- 		 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= -133})

-- 		 	self.baseLayer:addChild(mask:getLayer())


	
-- end



return M