collectgarbage("setpause"  ,  100)
collectgarbage("setstepmul"  ,  5000)


-- [[ 包含各种 Layer ]]
local godCellLayer = requires(IMG_PATH,"GameLuaScript/Scene/godCell/godCellLayer")



local M = {}

local isFirstIn = true

function M:create( params )
	local scene = display.newScene("godCell")

	---------------插入layer---------------------
	local godCellLayer = godCellLayer:new( params )
	scene:addChild( godCellLayer.baseLayer )
	---------------------------------------------
	
	function scene:onEnter()
		local tempStr = ""
		if params.data.return_msg_g ~= "" then tempStr = tempStr .. params.data.return_msg_g .. "\n" end
		if params.data.return_msg_p ~= "" then tempStr = tempStr .. params.data.return_msg_p .. "\n" end

		if tempStr~="" and isFirstIn then 
			isFirstIn = false
			showTip({
				cy = 150,
				content = createLabel({str = tempStr , width = 360, size = 18}),
				center = {
					remove = true
				}
			})
		end
	end

	function scene:onExit()
	end
	return scene
end

return M
