local PATH = IMG_PATH.."image/scene/godwar/"
local BAG_PATH = IMG_PATH.."image/scene/bag/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNRadioGroup = requires(IMG_PATH , "GameLuaScript/Common/KNRadioGroup")--require "GameLuaScript/Common/KNRadioGroup"
local KNBtn = requires(IMG_PATH,"GameLuaScript/Common/KNBtn")--require "GameLuaScript/Common/KNBtn"
local KNCheckBox = requires (IMG_PATH,"GameLuaScript/Common/KNCheckBox")
local bagLayer = class("bagLayer", function() return display.newLayer() end)
bagLayer.__index = bagLayer

function bagLayer:ctor(data, idx, back_func, use_func)

	local json = requires(IMG_PATH, "GameLuaScript/Network/dkjson")
	io.writefile("/Users/kuniu/Desktop/data.txt", json.encode(data), "w")

	local data = data
	local bagConfig = {
		{"equip", "tab_equip", "bag"},
		{"skill", "tab_skill", "skill"},
	}
	local curConfig = bagConfig[idx or 1]
	local curPage = 1
	local maxPage = 1
	local upt
	local freshBtn
	local isSell = 0 --是否是出售状态
	local selectIds = {}--出售选中的装备index
	local selectskillIds = {}--丢弃玩家的技能
	local selectsFlag = 0 
	local shuijingLab--剩余水晶

	local title = PATH.."bag_title.png"
	if idx then
		title = PATH .."bag/" ..curConfig[1] ..".png"
	end

	display.newSprite("image/common/dark_bg.png"):addTo(self):center()

	--info
	local infoLayer = InfoLayer:new( "bag" , 0 , { disableChat = true, hideNavigation = true,preCall = function() self.goOut = true end, titleBg = PATH.."top_title_bg.png", title_text = title, bottom = PATH.."bottom_bg.png",tail_hide = true,  priority = -150, closeOffset = -35 ,closeCallback = function()
		if back_func then back_func() end
	end} )
	self:addChild(infoLayer:getLayer())

	--scroll
	local scrollh = 550
	if idx then
		scrollh = 610
	end
	local scroll

 	--tab
 	if not idx then
	 	local temp
		local startX,startY = 20,670
		local group = KNRadioGroup:new()
		for i = 1, #bagConfig do
			temp = KNBtn:new(COMMONPATH.."tab/",{"tab_star_normal.png","tab_star_select.png"},startX,startY,{
				disableWhenChoose = true,
				upSelect = true,
				front = {COMMONPATH.."tab/"..bagConfig[i][2].."_normal.png",COMMONPATH.."tab/"..bagConfig[i][2]..".png"},
				callback = function()
					curConfig = bagConfig[i]
					upt()
				end
			},group)
			self:addChild(temp:getLayer())
			startX = startX + temp:getWidth() + 4
		end
		display.newSprite(COMMONPATH.."tab_line.png", display.cx, 665):addTo(self)
		display.newSprite(PATH.."bag/shuijing.png", 253, 715):addTo(self)
		display.newSprite(PATH.."bag/godCoin.png", 234, 684):addTo(self)
		display.newSprite(PATH.."bag/upDargon.png", 380, 684):addTo(self)
	 	display.strokeLabel(data.coin_num .."", 262, 673, 20, ccc3(255, 255, 200)):addTo(self)
	 	display.strokeLabel(data.fight_dragon_num .."", 419, 673, 20, ccc3(255, 255, 200)):addTo(self)
	 	shuijingLab = display.strokeLabel(data.material_num .."", 301, 702, 20, ccc3(255, 255, 200)):addTo(self)
 	end

 	--page
	display.newSprite(COMMONPATH.."page_bg.png", display.cx, 30):addTo(self)
	local pagelabel = display.strokeLabel("", display.cx-15, 17, 20, ccc3(255, 255, 200)):addTo(self)
	local pre = KNBtn:new(COMMONPATH,{"next_big.png"}, 163, 30, {
		anchMid = true,
		scale = true,
		flipX = true,
		callback = function()
			if curPage > 1 then
				curPage = curPage-1

				dump(selectsFlag)
				if selectsFlag == 1 then 
					upt(1)
					freshBtn(1)
				else 
					upt()
				end
				
			end
		end
	})
	self:addChild(pre:getLayer())
	local next = KNBtn:new(COMMONPATH,{"next_big.png"}, 310, 30, {
		anchMid = true,
		scale = true,
		callback = function()
			if curPage < maxPage then
				curPage = curPage+1

				dump(selectsFlag)
				if selectsFlag == 1 then 
					upt(1)
					freshBtn(1)
				else 
					upt()
				end

			end
		end
	})
	self:addChild(next:getLayer())

	--text
 	local txt = display.strokeLabel("神战中的装备和技能每届需要重新获取", 46, 70, 20, ccc3(93, 226, 205))
 	txt:addTo(self)

 	--个数
 	local listCountLabel = display.strokeLabel("0/300", 17, 17, 20, ccc3(255, 255, 200)):addTo(self)

	--出售
	local sellBtn
	local giveUpBtn 
	local okGiveupBtn 
	local cancelUpBtn

	freshBtn = function( flag )

		if flag then

			txt:setVisible(false) 

			if giveUpBtn then 

				giveUpBtn:getLayer():removeFromParentAndCleanup(true)
				giveUpBtn = nil

			end 

			if okGiveupBtn == nil then 
				--确定按钮实现技能的丢弃
				okGiveupBtn= KNBtn:new( COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},293,50,
					{
						front = COMMONPATH.."ok.png",
						scale = true , 
						callback = function( )

							selectsFlag = 0
								
							local idsStr = nil

							if selectskillIds ~= nil and table.nums(selectskillIds) > 0 then

								for k , v in pairs(selectskillIds) do 

									if idsStr == nil then 

										idsStr = v

									else

										idsStr = idsStr..","..v

									end

								end 

							end

							dump(idsStr)

							HTTP:call("fengshen", "removeSkill ", { ids = idsStr } , {
									  success_callback = function( receiveData )

											data = receiveData["bag_data"][3] 
											selectskillIds = { }
											upt()
											freshBtn()
											KNMsg:getInstance():flashShow(receiveData.msg)


									   end
							})


						end
					})

				self:addChild(okGiveupBtn:getLayer())
			
			end 

			if cancelUpBtn == nil then 

				--		添加取消按钮
				cancelUpBtn = KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},390,50,{
					front = COMMONPATH.."cancel.png",
					callback = function()
						
						selectsFlag = 0
						selectskillIds = { }
						upt()
						freshBtn()

					end})

				self:addChild(cancelUpBtn:getLayer())

			end 	

		else

			if okGiveupBtn then

				okGiveupBtn:getLayer():removeFromParentAndCleanup(true)
				okGiveupBtn = nil

			end

			if cancelUpBtn then 

				cancelUpBtn:getLayer():removeFromParentAndCleanup(true)
				cancelUpBtn = nil

			end 

			if giveUpBtn == nil then 
				--丢弃按钮
				giveUpBtn= KNBtn:new( COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},375,10,
				 	{
						front = PATH.."give_up.png",
						scale = true , 
						callback = function( )

							selectsFlag = 1
							upt(1)
							freshBtn(1)
							

						end
					})
				self:addChild(giveUpBtn:getLayer())
			end
		end 

	end

 	
 	sellBtn = KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},15+360,10,{
		front = PATH.."bag_sell.png",
		scale = true,
		callback = function()
			if isSell == 0 then
				isSell=1
				txt:setVisible(false)
				sellBtn:showBtn(false)
				upt()
			end
				
		end})
	self:addChild(sellBtn:getLayer())

 -- 	 --test
	-- for i=1,32 do
	-- 	data[curConfig[3]][#data[curConfig[3]]+1] = data[curConfig[3]][1]
	-- end

 	--upt
 	local tempLayer 
 	local yiXuanLab
 	local totalLab

 	--		显示列表==

 	upt = function( flag )

 		if "skill" == curConfig[1] then
 			
			selectIds={}
			isSell=0
			txt:setVisible(true)
			sellBtn:showBtn(false)
			
			freshBtn()

			if flag then 
				if giveUpBtn then 
					giveUpBtn:getLayer():removeFromParentAndCleanup(true)
					giveUpBtn = nil
				end 

			end 

		else
			selectsFlag = 0
			--	删除那个丢弃按钮
			if giveUpBtn and giveUpBtn:getLayer() then 
				giveUpBtn:getLayer():removeFromParentAndCleanup(true)
				giveUpBtn = nil
			end

			if okGiveupBtn and okGiveupBtn:getLayer() then 
				okGiveupBtn:getLayer():removeFromParentAndCleanup(true)
				okGiveupBtn = nil
			end

			if cancelUpBtn and cancelUpBtn:getLayer() then 
				cancelUpBtn:getLayer():removeFromParentAndCleanup(true)
				cancelUpBtn = nil 
			end  

			if 0 == isSell then
				sellBtn:showBtn(true)
			end
 		end
 	 	--scroll
 	 	

 		if tempLayer then 
 			tempLayer:remove()
 		end
 		tempLayer= display.newLayer()
 		scroll = KNScrollView:new(16, 100, 440, scrollh, 5)
 		tempLayer:addChild(scroll:getLayer())
 		self:add(tempLayer)

 		local begin = (curPage-1)*10+1

 		for i=begin, begin+10 do
 			
 			if i > #data[curConfig[3]] then
 				break
 			end
 			
 			local v = data[curConfig[3]][i]
 			
 			repeat

	 			if isSell==1 and v.gid~=0 then --出售时不显示已经装备的道具
	 				break
	 			end

				local bg = display.newSprite(COMMONPATH .."item_bg.png"):addTo(scroll)
				local isShowLv = true
				if "skill" == curConfig[1] then
					isShowLv = getConfig("skill", v.cid).isgod == 0
					if flag then 
 						
 					else

 					end 
				end
				if isShowLv then
					display.strokeLabel((v.name or "") .."    Lv" .. (v.lv or "") , 92, 66, 20, ccc3(0, 0, 0)):addTo(bg)
				else
					display.strokeLabel((v.name or "") .."    " .. (v.lv or "") .."段" , 92, 66, 20, ccc3(0, 0, 0)):addTo(bg)
				end
				if "weapon" == v.type then
					display.strokeLabel("攻击: +" .. (v.total_initial or ""), 92, 43, 18, ccc3(255, 0, 0)):addTo(bg)
				elseif "defender" == v.type then
					display.strokeLabel("防御: +" .. (v.total_initial or ""), 92, 43, 18, ccc3(255, 0, 0)):addTo(bg)
				elseif "shoe" == v.type then
					display.strokeLabel("敏捷: +" .. (v.total_initial or ""), 92, 43, 18, ccc3(255, 0, 0)):addTo(bg)
				elseif "jewelry" == v.type then
					display.strokeLabel("生命: +" .. (v.total_initial or ""), 92, 43, 18, ccc3(255, 0, 0)):addTo(bg)
				end
				for i = 1, v.star do
					display.newSprite(COMMONPATH .."star.png", 74+i*28, 28):scale(.8):addTo(bg)
				end
				if 0 ~= v.gid then
					display.newSprite(BAG_PATH .."equiped.png", 300, 54):addTo(bg)
					display.strokeLabel((v.hero_name or v.general_name) .."已装备",430,18,16,ccc3(0x2c,0x00,0x00)):anchor(1, .5):addTo(bg)
				end
				if isSell==1 then
					local chkBox
						 chkBox = KNCheckBox:new(370,35,{path=COMMONPATH,
								parent=scroll,
								checkBoxOpt = function ()
									if chkBox:isSelect() then
										selectIds[i]=i-1
									else
										selectIds[i]=nil
									end
									--计算选中的道具
									yiXuanLab:setString(table.nums(selectIds))
									totalLab:setString(data.price*table.nums(selectIds) )

								end ,
								file={"checkbox_bg.png","checkbox_choose.png"}})
					bg:addChild(chkBox:getLayer())

					if selectIds[i] then
						chkBox:check(true)
					end

				end
				if idx then
					if "equip" == curConfig[1] or "skill" == curConfig[1] then
							local use = KNBtn:new(COMMONPATH , {"btn_bg.png", "btn_bg_pre.png"} , 350, 30, {
							front = COMMONPATH.."equipment.png",
							callback= function() if use_func then use_func(i-1) end end
						})
						bg:addChild(use:getLayer())
					end
				end
				local icon = KNBtn:new(IMG_PATH.."image/scene/common/", {"skill_frame1.png"},13,25,{
					other = {COMMONPATH.."star_border/border_"..getConfig(curConfig[1], v.cid, "star")..".png", -14, -14},
					front = getImageByType(v.cid , "s"),
					callback= function() 
						pushScene("detail" , {
							detail = curConfig[1],
							data = v,
							priority = -151,
							godwar = true,
							noNavigation = true,
						})
					end
				})
				bg:addChild(icon:getLayer())

				--	添加按钮
				if flag then 

					if v.dress then 

						if v.dress == 1 then 

						else
							--丢弃按钮
							local chkBox 
							chkBox= KNCheckBox:new(370,35,{path=COMMONPATH,
									parent=scroll,
									checkBoxOpt = function ()

										if chkBox:isSelect() then

											selectskillIds[i]=i-1

										else

											selectskillIds[i]=nil

										end

									end ,
									file={"checkbox_bg.png","checkbox_choose.png"}
									})
							bg:addChild(chkBox:getLayer())

							if selectskillIds[i] then
								chkBox:check(true)
							end

						end 

					end 

				
				end 


			until true
 		end

 		if isSell==1 then
 			tempLayer:addChild( display.newSprite(PATH .."bag_num_text.png" ,60, 65 , 0 , 0 ))
 			
 			tempLayer:addChild(  display.newSprite(PATH .."bag_num_bg.png" ,100, 60 , 0 , 0 ))
 			
 			 yiXuanLab = display.strokeLabel("0", 115, 65, 20, ccc3(255, 255, 255))
 			tempLayer:addChild(yiXuanLab)
 			
 			tempLayer:addChild(  display.newSprite(PATH .."crystal_flag.png" ,152-7, 62 , 0 , 0 ))
 			
 			tempLayer:addChild(  display.newSprite(PATH .."bag_value_bg.png" ,180, 60 , 0 , 0 ))
 			
 			 totalLab = display.strokeLabel("0", 210, 65, 20, ccc3(255, 255, 255))
 			tempLayer:addChild(totalLab)


		 	local okBtn = KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},300,55,{
					front = COMMONPATH.."ok.png",
					callback = function()
						dump(selectIds)
						
						local str = ""
						for k,v in pairs(selectIds) do
							str=str..(str=="" and "" or "," )..v
						end
						
						HTTP:call("fengshen", "sellEquip", {ids=str}, {
								success_callback = function(receiveData)
									dump(receiveData)
									data=receiveData
									shuijingLab:setString(data.material_num)
									selectIds={}
									upt()
									KNMsg:getInstance():flashShow("出售成功")

								end })

					end})
			tempLayer:addChild(okBtn:getLayer())

			local cancelBtn = KNBtn:new(COMMONPATH,{"btn_bg.png","btn_bg_pre.png"},390,55,{
					front = COMMONPATH.."cancel.png",
					callback = function()
						selectIds={}
						isSell=0
						txt:setVisible(true)
						sellBtn:showBtn(true)
						upt()
					end})
			tempLayer:addChild(cancelBtn:getLayer())
 			

 		end

 		--page
 		maxPage = math.ceil(#data[curConfig[3]]/10)
 		pagelabel:setString(curPage .."/" ..maxPage)

 		--count
 		listCountLabel:setString(#data[curConfig[3]] .."/300")

 	end 

 	upt()
end

return bagLayer