local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNBtn = requires(IMG_PATH,"GameLuaScript/Common/KNBtn")
local KNBar = requires(IMG_PATH,"GameLuaScript/Common/KNBar")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")
local LootLayer = requires(IMG_PATH , "GameLuaScript/Scene/godwar/lootLayer")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local PATH = IMG_PATH .."image/scene/godwar/join/"
local data , coolieData = nil , nil
local M= {}
local backFunc
local isHttpRefresh
local curPos = 1
function M:new( params )

	local this = {}
	setmetatable(this , self)
	self.__index = self
	params = params or {}

	isHttpRefresh = true
	data = params.data
	backFunc = params.backFunc or backFunc
	curPos = 1

	this.baseLayer = display.newLayer()

	local t = 0
	local function refresh()
		if data then
			if data.release_cd and ( tonumber( data.release_cd ) > 0 ) then
				data.release_cd = tonumber( data.release_cd ) - 1
			end
		end
		if isHttpRefresh then
			t = t + 1
			if t > 10 then
				t = 0
				HTTP:call("fengshenkuli", "get", {}, {
					success_callback = function(tempData)
						dump(tempData)
						data = tempData
						this:refreshData(1)
					end})
			end
		end
	end
	Clock:addTimeFun( "joinLayerRefresh" , refresh )

	isHttpRefresh = true

	this:coolieState( { index = 9 , isSelf = true } , true )

	return this
end
function M:getLayer()
	return self.baseLayer
end
--招贤纳士
function M:create( params )
	if self.viewLayer then
		delObj( self.viewLayer )
	end

	self.viewLayer = display.newLayer()
	self.baseLayer:addChild( self.viewLayer )


	self.viewLayer:addChild( display.newSprite( PATH .. "join_bg.jpg" , display.cx , display.cy , 0.5 , 0.5 ) )

	self.viewLayer:addChild( display.newSprite( PATH .. "state_bg.png" , 16 , 660 , 0 , 0 ) )
	self.viewLayer:addChild( display.newSprite( PATH .. "info_text.png" , 152 , 670 , 0 , 0 ) )

	self.viewLayer:addChild( display.strokeLabel( data.isfree ~= 1 and  "苦力" or "自由身" , 255 , 705 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )
	self.viewLayer:addChild( display.strokeLabel( data.my_shuijing , 255 , 668 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )


	self:createSeat()

	--	self.viewLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 60  , 30 , {
	--			scale = true ,
	--			front = PATH .. "one_key.png" ,
	--			callback=
	--			function()
	--				HTTP:call("fengshenkuli", "receive", { to_uid = "-1" }, {
	--				success_callback = function(tempData)
	--					if tonumber( tempData.num ) == 0 then
	--						KNMsg:getInstance():flashShow( "当前无可收获的能量水晶" )
	--					else
	--						KNMsg:getInstance():flashShow( "收获了能量水晶一共".. tempData.num .. "枚，赶紧提升实力吧！" )
	--					end
	--					data = tempData["get"]
	--					self:refreshData( 1 )
	--				end})
	--
	--			end
	--		}):getLayer() )

	local function refresh(type)

	end

	--	local  jlBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 270  , 30 , {
	--			scale = true ,
	--			front = PATH .. "loot_text.png" ,
	--			callback=
	--			function()
	--				refresh()
	--			end
	--		})
	--	--劫掠水晶
	--	self.viewLayer:addChild(jlBtn:getLayer() )

	--	self.viewLayer:addChild( display.newSprite( PATH .. "loot_num.png" , 320 ,  80 , 0 , 0 ) )
	--	self.viewLayer:addChild( display.strokeLabel( (data.luejie_max - data.luejie_cur) .. "/" .. data.luejie_max , 420 , 110 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )
	--	self.viewLayer:addChild( display.strokeLabel( data.bei_luejie_cur .. "/" .. data.bei_luejie_max , 420 , 85 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )

	--上贡
	self.viewLayer:addChild(createLabel({str = "水晶:"..data.slave_contribute, size = 24, color = ccc3(255,255,255), x =  130, y =10,width = 300}))
	self.viewLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 100  , 50 , {
		scale = true ,
		front = IMG_PATH .. "image/scene/godwar/give.png" ,
		callback=
		function()
			HTTP:call("fengshenkuli", "collect_contribution", {}, {
				success_callback = function(tempData)
					data = tempData["get"]
					self:refreshData( 1 )
					KNMsg.getInstance():flashShow("苦力一共上贡了"..tempData.num.."水晶，苦力战力越高，上贡的水晶越多哦")
				end
			})
		end
	}):getLayer() )

	self.viewLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 250  , 50 , {
		scale = true ,
		front = PATH.."get_all.png" ,
		callback=
		function()
			HTTP:call("fengshenkuli", "receive_all", {}, {
				success_callback = function(tempData)
					data = tempData["get"]
					self:refreshData( 1 )
					KNMsg:getInstance():flashShow( "获得".. tempData.num .. "水晶！" ..(tempData.contibute > 0 and "上贡了"..tempData.contibute.."水晶" or "") )
				end
			})
		end
	}):getLayer() )

	--苦力记录
	self.viewLayer:addChild( KNBtn:new( COMMONPATH , { "btn_bg.png" , "btn_bg_pre.png"} , 75  , 620 , {
		scale = true ,
		front = PATH .. "record_text.png" ,
		callback=
		function()
			local mask = baseMask( {isShowBack = true, bgInfo = { path = IMG_PATH .. "image/scene/chat/" .. "info_bg_small.png",  y = 136 } } )

			local scroll = KNScrollView:new( 0 , 160 , 480 , 380 , 15 , false , 0 , { priority = -201 })

			local function createItem( tempParams , index )
				params = params or {}
				local layer = display.newLayer()

				layer:addChild( display.newSprite( IMG_PATH .. "image/scene/godwar/loot/looted_point.png" , 0 , 30 , 0 , 0 ) )

				layer:addChild( display.strokeLabel( tempParams, 30 , 0, 18, ccc3( 0x00, 0x00, 0x00 ), nil, nil,
				{
					dimensions_width = 390,
					dimensions_height = 57,
					align = 0,
				}) )

				local label = CCLabelTTF:create(tempParams , FONT , 18)
				local label_size = label:getContentSize()
				local line = (  label_size.width > 450 and 1 or 2 )

				layer:setContentSize( CCSize:new( 419 ,  45 )  )

				return layer
			end




			for i = 1 , table.nums( data.log ) do
				local item = createItem( data.log[i] , i )
				scroll:addChild( item )
			end
			scroll:alignCenter()
			mask:addChild(scroll:getLayer() )

		end
	}):getLayer() )



	-- 获取帮助
	local helpBtn = KNBtn:new(IMG_PATH .. "image/scene/multiFb", {"help.png", "help_press.png"}, 430 , 700 ,
	{
		callback = function()
			local mask = baseMask( {isShowBack = true, bgInfo = { path = IMG_PATH .. "image/scene/chat/" .. "info_bg_small.png",  y = 136 } } )
			-- 规则
			local rule = "获得：抓苦力可以获得大量的能量水晶，苦力的战力越高，能够获得的能量水晶越多\n\n" ..
			"时间：每个苦力最多给你工作6个小时\n\n" ..
			"水晶：每分钟都可以来收获一次水晶。累计2个小时不收取，则能量水晶不累积\n\n" ..
			"劫掠：如果能量水晶不足，还可以通过“劫掠水晶”来获得其他玩家身上的能量水晶哦。目标的战力越强，能够获得的能量水晶越多\n"

			mask:addChild( display.strokeLabel( rule, 29, 137, 18, ccc3( 0x00, 0x00, 0x00 ), nil, nil,
			{
				dimensions_width = 419,
				dimensions_height = 357,
				align = 0,
			}) )
		end
	})
	self.viewLayer:addChild( helpBtn:getLayer() )

	self.viewLayer:addChild(InfoLayer:new( "join" , 0 , { disableChat = true, hideNavigation = true ,  titleBg = IMG_PATH .."image/scene/godwar/top_title_bg.png", title_text = PATH.."join_title.png", bottom = IMG_PATH .."image/scene/godwar/bottom_bg.png" , tail_hide = true,  priority = -150, closeOffset = -35 ,closeCallback = function()
			if backFunc then
				for key , v in pairs( data.my_slave ) do
					Clock:removeTimeFun( "coolie" .. v.uid )
				end
				backFunc()
			end
		end} ):getLayer())


end
--刷新界面
function M:refreshData( type )
	if type == 1 then	--刷新整个界面
		self:create()
	elseif type == 2 then	--只刷新座位
		self:createSeat()
	end
end
--创建界面座位数据
function M:createSeat()
	if self.seatLayer then
		delObj( self.seatLayer )
	end

	self.seatLayer = display.newLayer()
	self.baseLayer:addChild( self.seatLayer )
	local addrConfig = {
		{ x = 50 , y = 480 } ,
		{ x = 180 , y = 523 } ,
		{ x = 310 , y = 480 } ,
		{ x = 339 , y = 328 } ,
		{ x = 310 , y = 180 } ,
		{ x = 180 , y = 115 } ,
		{ x = 50 , y = 180 } ,
		{ x = 10 , y = 328 } ,
		{ x = 80 , y = 663 , isSelf = true } ,
	}
	local tempTable = {}
	for key , v in pairs( data.my_slave ) do
		tempTable[ v.pos .. "" ] = v
	end

	--	local tempTableD = tempTable["8"]
	--	tempTable["8"] = tempTable["3"]
	--	tempTable["3"] = tempTableD

	data.my_slave = tempTable

	for i = 1  ,  table.nums( addrConfig ) do
		addrConfig[i].data = data.my_slave[i .. "" ]
		addrConfig[i].index = i
		local tempObj = self:itemCell( addrConfig[i] )
		self.seatLayer:addChild(  tempObj )
	end

	local hill
	hill = KNBtn:new(PATH, {"hill.png","hill_pre.png"},150, 285,{
		text = {"水晶总量："..data.mine_cur, 20, ccc3(255,255,255), ccp(0, -100)},
		callback = function()
			local tipBg
			local temp = display.newLayer()
			local bg = display.newSprite(PATH.."hill_bg.png")
			setAnchPos(bg, 240, 430, 0.5, 0.5)
			temp:addChild(bg)
			temp:addChild(createLabel({str = data.mine_can_collect.."水晶", size = 20, color = ccc3(255,255,255), x =  250, y =400}))
			temp:addChild(createLabel({str = "(每日凌晨恢复满值)", size = 20, color = ccc3(255,0,0), x = 200, y = 475, width = 300}))
			temp:addChild(createLabel({str = data.mine_cur.."水晶", size = 20, color = ccc3(255,255,255), x =  340, y =510}))
			temp:addChild( display.strokeLabel( "劫掠次数:"..((data.luejie_max - data.luejie_cur) .. "/" .. data.luejie_max) , 80 , 250 , 20 , ccc3( 0x2c , 0x0 , 0x0 ) ) )
			temp:addChild( display.strokeLabel( "被劫次数:"..(data.bei_luejie_cur .. "/" .. data.bei_luejie_max) , 280 , 250 , 20 , ccc3( 0x2c , 0x0 , 0x0 ) ) )



			temp:addChild(KNBtn:new(COMMONPATH, {"btn_bg_red.png","btn_bg_red_pre.png"}, 140, 350,{
				priority = -151,
				front = PATH.."achieve.png",
				callback = function()
					HTTP:call("fengshenkuli", "collect_mine", {},{
						success_callback = function(re)
							tipBg:remove()
							data = re["get"]
							self:refreshData( 1 )
							hill:call()
							if data.absent_days > 0 then
								local temp = display.newLayer()
								local tip = createLabel({str = "本次神战您有"..data.absent_days.."天没有挖过水晶，现在可以一次补领水晶"..data.absent_material.."，花费黄金"..data.absent_gold.."\n取消则放弃今日购买机会", width = 300, size = 20})
								setAnchPos(tip,240,400,0.5,0.5)
								temp:addChild(tip)

								local gold = display.newSprite(COMMONPATH.."gold.png")
								setAnchPos(gold,70,260)
								temp:addChild(gold)

								gold =createLabel({str = data.absent_gold, width = 300, size = 20})
								setAnchPos(gold,110, 260)
								temp:addChild(gold)

								showTip({
									priority = -160,
									content = temp,
									left = {
										remove = true,
										callback = function()
											HTTP:call("fengshenkuli","collect_mine_1",{},{
												success_callback = function(result)
													tipBg:remove()
													data = re["get"]
													self:refreshData( 1 )
													KNMsg.getInstance():flashShow("成功领取"..result.day_num.."天的水晶："..result.collect_num)
												end
											})
										end
									},
									right = {
										remove = true,
									}
								})
							end
							KNMsg.getInstance():flashShow("成功收获水晶"..re.num)
						end
					})
				end
			}):getLayer())

			temp:addChild(KNBtn:new(COMMONPATH, {"btn_bg_red.png","btn_bg_red_pre.png"}, 300, 350,{
				priority = -151,
				front = PATH.."get_all.png",
				callback = function()
					HTTP:call("fengshenkuli","collect_mine_all",{},{
						success_callback = function(result)
							tipBg:remove()
							data = result["get"]
							self:refreshData( 1 )
							hill:call()
							if data.absent_days > 0 then
								local temp = display.newLayer()
								local tip = createLabel({str = "本次神战您有"..data.absent_days.."天没有挖过水晶，现在可以一次补领水晶"..data.absent_material.."，花费黄金"..data.absent_gold.."\n取消则放弃今日购买机会", width = 300, size = 20})
								setAnchPos(tip,240,400,0.5,0.5)
								temp:addChild(tip)

								local gold = display.newSprite(COMMONPATH.."gold.png")
								setAnchPos(gold,70,260)
								temp:addChild(gold)

								gold =createLabel({str = data.absent_gold, width = 300, size = 20})
								setAnchPos(gold,110, 260)
								temp:addChild(gold)

								showTip({
									priority = -160,
									content = temp,
									left = {
										remove = true,
										callback = function()
											HTTP:call("fengshenkuli","collect_mine_1",{},{
												success_callback = function(result)
													tipBg:remove()
													data = re["get"]
													self:refreshData( 1 )
													KNMsg.getInstance():flashShow("成功领取"..result.day_num.."天的水晶："..result.collect_num)
												end
											})
										end
									},
									right = {
										remove = true,
									}
								})
							end
							KNMsg.getInstance():flashShow("成功收获水晶"..(result.collect_1 + result.collect_2 + result.collect_3) )
						end
					})
				end
			}):getLayer())

			local gold = display.newSprite(COMMONPATH.."gold.png")
			setAnchPos(gold, 315, 320)
			temp:addChild(gold)

			temp:addChild(createLabel({str = data.collect_onetime_gold, size = 20, color = ccc3(0x2c,0,0), x =  350, y =322}))


			gold = display.newSprite(PATH.."hill.png")
			setAnchPos(gold, 30, 320)
			gold:setScale(0.6)
			temp:addChild(gold)

			local text  = display.newSprite(PATH.."rest_material.png")
			setAnchPos(text, 160, 510)
			temp:addChild(text)

			text  = display.newSprite(PATH.."per_hour_text.png")
			setAnchPos(text, 170, 435)
			temp:addChild(text)

			temp:addChild(createLabel({str = data.kaicai_gold, size = 20, color = ccc3(0x2c,0,0), x =  90, y =190}))

			local time = createLabel({str = timeConvert(data.mine_clock), size = 20, color = ccc3(0x2c,0,0), x =  180, y =325})
			temp:addChild(time)
			Clock:addTimeFun("collect_mine", function()
				if data.mine_clock > 0 then
					data.mine_clock = data.mine_clock - 1
					time:setString(timeConvert(data.mine_clock))
				end
			end)


			--			temp:addChild(createLabel({str = "次数:"..data.kaicai_rest.."/"..data.kaicai_max, size = 20, color = ccc3(0x2c,0,0), x =  50, y =270, width = 300}))
			--			temp:addChild(createLabel({str = "次数:"..data.bag_rest, size = 20, color = ccc3(0x2c,0,0), x =  330, y =270, width = 300}))

			--			temp:addChild(KNBtn:new(PATH, {"gang_fu.png","gang_fu_pre.png"}, 350, 350,{
			--				priority = -151,
			--				callback  = function()
			--					local cailiao = display.newLayer()
			--
			--					cailiao:addChild(createLabel({str = "本帮所有成员可额外获得一次免费开采机会", size = 20, color = ccc3(0xff,0,0), x =  50, y =300, width = 400}))
			--					cailiao:addChild(display.newSprite(PATH.."buy_cailiao.png",120, 500))
			--					cailiao:addChild(display.newSprite(PATH.."material.png",240, 400))
			--
			--					local gold = display.newSprite(COMMONPATH.."gold.png")
			--					setAnchPos(gold, 50, 210)
			--					cailiao:addChild(gold)
			--					cailiao:addChild(createLabel({str = data.kaicai_gold, size = 20, color = ccc3(0x2c,0,0), x =  90, y =210}))
			--
			--					showTip({
			--						bg = IMG_PATH.."image/scene/godwar/tip_bg.png",
			--						priority = -200,
			--						content = cailiao,
			--						left = {
			--							callback = function()
			--								HTTP:call("fengshen", "buyCaiLiao", {}, {success_callback = function(result)
			--									switchScene( "godwar" , { join = "revolt"}, function()
			--										KNMsg.getInstance():flashShow("购买材料包成功，所有帮会成员开采次数增加")
			--									end)
			--								end})
			--							end
			--						},
			--						right = {
			--							remove = true
			--						}
			--					})
			--				end
			--
			--			}):getLayer())
			--
			local function refresh(type)
				HTTP:call("fengshen","getJLList",{refresh = type },{
					success_callback = function(tempData)
						isHttpRefresh = false
						tempData.backFun = function() isHttpRefresh = true end
						tempData.fun = refresh
						tempData.times2 = data.bei_luejie_cur
						self.baseLayer:addChild( LootLayer:new(tempData):getLayer(),11 )
					end
				})
			end

			tipBg = showTip({
				bg = PATH.."coolie_list_bg.png",
				title_bg = IMG_PATH.."image/scene/godwar/change_title_bg.png",
				title_text = PATH.."hill_state.png",
				titleOffsetY = 5,
				titleTextY = 5,
				offsetY = 20,
				parent = self.baseLayer,
				priority = priority or -150,
				content = temp,
				close = {
					normal = "back_img.png",
					pre = "back_img_press.png",
					remove = true,
				},
				center = {
					front = PATH.."loot_text.png",
					callback = function()
						refresh(0)
					end
				},
			})
		end

	})
	self.seatLayer:addChild(hill:getLayer())

	if data.mine_clock <= 0 then
		local getFlag = display.newSprite(PATH.."hand_flag.png")
		setAnchPos(getFlag,280, 440)
		self.seatLayer:addChild(getFlag)

		local mineBtn = KNBtn:new(PATH,{"crystal_flag.png"}, 160, 320,{
			scale = true,
			callback = function()
				HTTP:call("fengshenkuli", "collect_mine", {},{
					success_callback = function(re)
						data = re["get"]
						self:refreshData( 1 )
						if data.absent_days > 0 then
							local temp = display.newLayer()

							local tip = createLabel({str = "本次神战您有"..data.absent_days.."天没有挖过水晶，现在可以一次补领水晶"..data.absent_material.."，花费黄金"..data.absent_gold.."\n取消则放弃今日购买机会", width = 300, size = 20})
							setAnchPos(tip,240,400,0.5,0.5)
							temp:addChild(tip)

							local gold = display.newSprite(COMMONPATH.."gold.png")
							setAnchPos(gold,40,400)
							temp:addChild(gold)

							gold =createLabel({str = data.absent_gold, width = 300, size = 20})
							setAnchPos(gold,40, 400)
							temp:addChild(gold)

							showTip({
								priority = -160,
								content = gold,
								left = {
									remove = true,
									callback = function()
										HTTP:call("fengshenkuli","collect_mine_1",{},{
											success_callback = function(result)
												KNMsg.getInstance():flashShow("成功领取"..result.day_num.."天的水晶："..result.collect_num)
											end
										})
									end
								},
								right = {
									remove = true,
								}
							})
						end
						KNMsg.getInstance():flashShow("成功收获水晶"..re.num)
					end})
			end
		})
		self.seatLayer:addChild(mineBtn:getLayer())

	end

	self.seatLayer:addChild(KNBtn:new( COMMONPATH , { "btn_bg.png", "btn_bg_pre.png" } , 330, 693 , {
		scale = true ,
		priority = -201 ,
		front = PATH .. "fight_back.png" ,
		callback=
		function()
			HTTP:call("fengshenkuli","escape",{},{
				success_callback = function(tempData)
					data = tempData["get"]
					DATA_Battle:setMod("guide")
					DATA_Battle:setAct("revolt")
					DATA_Battle:set( tempData["report"] )
					DATA_Result:set( {type = "revolt" , success = tempData["success"] } )
					switchScene("battle" , {})

				end
			})
		end
	}):getLayer() )
end
--抢抓苦力

function M:coolieList(  )

	local mask = baseMask( { isShowBack = { y = 615 } ,   bgInfo = { path =IMG_PATH .. "image/scene/godwar/tip_bg.png",  y = 305 }  } )
	mask:addChild( display.newSprite( IMG_PATH .. "image/scene/godwar/change_title_bg.png" , display.cx , 700 - 68 , 0.5 , 0) )
	mask:addChild( display.newSprite( PATH .. "list_title.png" , display.cx , 720  - 68  , 0.5 , 0) )
	mask:addChild( display.strokeLabel( "战力越高的苦力能挖出的水晶就越多" , 80 , 605 , 20 , ccc3( 0x2c , 0x00 , 0x00 ) ) )
	mask:addChild( display.strokeLabel( "只能使用本服阵容抓取苦力" , 80 + 50 , 605 - 280  , 20 , ccc3( 0x2c , 0x00 , 0x00 ) ) )



	local scroll, temp
	local function createScroll()
		scroll = KNScrollView:new( 0 , 200 , 480 , 400 , 10 , false , 0 , { priority = -150 })
		local function createItem( tempParams , index )
			temp = tempParams
			local layer = display.newLayer()

			local bg = display.newSprite( PATH .. "item_bg.png" )
			setAnchPos( bg , 0 , 0 )
			layer:addChild( bg )



			--人物图像
			local isMan = false	--是否有主人  被抓就有主人
			if tonumber( tempParams.my_master ) ~= 0 then
				isMan = true
			end


			local headBtn = KNBtn:new( COMMONPATH , { getHeadPath( tempParams.head ) } , 35 , 45 ,
			{
				parent = scroll ,
				priority = -150 ,
				front = COMMONPATH .. "role_frame.png" ,
				other = { PATH .. ( isMan and  "coolie_flag.png" or "free_flag.png"  ) , -5 , 35  } ,
				callback =
				function()
				end
			}):getLayer()
			layer:addChild( headBtn )


			local textConfig = {
				( isMan and "主人战力：" .. tempParams.my_master_ability .. "(将和苦力主人发生战斗！)" or "将和对方发生战斗" ) ,
				tempParams.name ,
				"Lv" .. tempParams.level ,
				"战力：" .. tempParams.shenli .. "(每分钟挖取：" .. tempParams.shuijing .. "水晶)" ,
			--								"大区：" .. "   " .. tempParams.server_name  ,
			}

			for i = 1 , table.nums( textConfig ) do
				layer:addChild( display.strokeLabel( textConfig[i] , 110 - ( ( i == 1 or i == 4 ) and 90 or 0 ) , ( 120 - ( i - 1 ) * 37 ) , 18 , ccc3( 0xfe , 0xfb , 0xd2 ) ) )
			end


			layer:setContentSize( bg:getContentSize() )
			return layer
		end

		for i = 1 , table.nums( coolieData ) do
			local item = createItem( coolieData[i] , i )
			setAnchPos(item, 50 , 430)
			mask:addChild(item)
			--			scroll:addChild( item )
		end
		--		scroll:alignCenter()
		mask:addChild(scroll:getLayer() )
	end

	createScroll()

	local solicitBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 70  , 360 ,
	{
		parent = scroll ,
		front = PATH .. "solicit.png" ,
		priority = -151 ,
		callback = function()
			HTTP:call("fengshenkuli","catch_kuli",{ to_uid = temp.uid , to_uid_server_id = temp.server_id , pos = curPos },{
				success_callback = function(tempData)
					data = tempData["get"]
					self:refreshData( 2 )
					isHttpRefresh = false
					mask:remove()

					DATA_Battle:setMod("guide")
					DATA_Battle:setAct("join")
					DATA_Battle:set( tempData["report"] )
					DATA_Result:set( { type = "join" , success = tempData["success"] , slave_name = tempData["slave_name"] , slave_server_name = tempData["slave_server_name"], skill = tempData.skill, skill_full = tempData.skill_full } )
					switchScene("battle" , {})
				end
			})
		end
	}):getLayer()
	mask:addChild( solicitBtn )

	local function directCatch()
		local layer = display.newLayer()
		--		local mask = baseMask( { priority = -155,isShowBack = { y = 615,  priority = -155 } ,   bgInfo = { path =IMG_PATH .. "image/scene/godwar/tip_bg.png",  y = 305 }  } )
		local mask = KNMask:new({item = layer, priority = -155})

		local bg = display.newSprite(IMG_PATH.."image/scene/common/level_bg.png")
		setAnchPos(bg, 240, 500, 0.5, 0.5)
		layer:addChild(bg)

		bg = display.newSprite(PATH.."target.png")
		setAnchPos(bg, 50, 490)
		layer:addChild(bg)


		local inputText
		local inputBg = KNBtn:new( PATH , { "input_bg.png" } , 140  , 480 ,{
			priority = -155,
			callback = function()
				inputText:startInput()
			end
		})
		layer:addChild(inputBg:getLayer())

		inputText = KNInputText:new(
		{	width = 145,
			height = 28,
			size = 20 ,
			defStr = "(请输入id)",
			existStr = nil,
			defColor = ccc3( 255,255,255 ),
			inputColor = ccc3( 0x4d, 0x15, 0x15 ),
			priority = -155,
		})
		setAnchPos( inputText:getLayer() , 150, 500 )
		layer:addChild( inputText:getLayer() )


		local look = KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 300  , 480 ,{
			priority = -155,
			front = PATH.."look.png",
			callback = function()
				HTTP:call("fengshenkuli","kuli_info",{ to_uid = inputText:getString()},{
					success_callback = function(data)
						inputText:stopInput()
						mask:remove()
						dump(data)
						local info = data.info
						local layer = display.newLayer()

						local bg = display.newSprite( PATH .. "item_bg.png" )
						setAnchPos( bg , 0 , 0 )
						layer:addChild( bg )
						
						local uid = display.newSprite(PATH.."target.png")
						setAnchPos(uid, 40, 160)
						layer:addChild(uid)
						
						uid = createLabel({str = info.uid, color = ccc3(255,255,255),size = 24, x = 130, y = 160, width = 300})
						layer:addChild(uid)

						--人物图像
						local isMan = false	--是否有主人  被抓就有主人
						if tonumber( info.my_master ) ~= 0 then
							isMan = true
						end


						local headBtn = KNBtn:new( COMMONPATH , { getHeadPath( info.head ) } , 35 , 45 ,
						{
							parent = scroll ,
							priority = -150 ,
							front = COMMONPATH .. "role_frame.png" ,
							other = { PATH .. ( isMan and  "coolie_flag.png" or "free_flag.png"  ) , -5 , 35  } ,
							callback =
							function()
							end
						}):getLayer()
						layer:addChild( headBtn )


						local textConfig = {
							( isMan and "主人战力：" .. info.my_master_ability .. "(将和苦力主人发生战斗！)" or "将和对方发生战斗" ) ,
							info.name ,
							"Lv" .. info.level ,
							"战力：" .. info.shenli .. "(每分钟挖取：" .. info.shuijing .. "水晶)" ,
						--								"大区：" .. "   " .. tempParams.server_name  ,
						}

						for i = 1 , table.nums( textConfig ) do
							layer:addChild( display.strokeLabel( textConfig[i] , 110 - ( ( i == 1 or i == 4 ) and 90 or 0 ) , ( 120 - ( i - 1 ) * 37 ) , 18 , ccc3( 0xfe , 0xfb , 0xd2 ) ) )
						end


						layer:setContentSize( bg:getContentSize() )
						
						local gold = display.newSprite(COMMONPATH.."gold.png")
						setAnchPos(gold, 250, -40)
						layer:addChild(gold)
						
						gold = createLabel({str = data.gold,size = 24, x = 280, y = -40})
						layer:addChild(gold)
						
						local solicitBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 100  , -45 ,
								{
									parent = scroll ,
									front = PATH .. "solicit.png" ,
									priority = -201 ,
									callback = function()
										HTTP:call("fengshenkuli"," catch_kuli_by_uid",{ to_uid = info.uid, pos = curPos },{
											success_callback = function(tempData)
												data = tempData["get"]
												self:refreshData( 2 )
												isHttpRefresh = false
												mask:remove()
							
												DATA_Battle:setMod("guide")
												DATA_Battle:setAct("join")
												DATA_Battle:set( tempData["report"] )
												DATA_Result:set( { type = "join" , success = tempData["success"] , slave_name = tempData["slave_name"] , slave_server_name = tempData["slave_server_name"], skill = tempData.skill, skill_full = tempData.skill_full } )
												switchScene("battle" , {})
											end
										})
									end
								}):getLayer()
							layer:addChild( solicitBtn )
						
						showTip({
							priority = -200,
							offsetY = 50,
							contentOffsetY = -50,
							content = layer,
							close = {
								normal = "back_img.png",
								pre = "back_img_press.png",
								x = 5,
							},
						})
					end
				})
			end
		})
		layer:addChild(look:getLayer())

		local close = KNBtn:new( COMMONPATH , { "back_img.png" , "back_img_press.png"} , 20  , 530 ,{
			priority = -155,
			callback = function()
				mask:remove()
			end
		})
		layer:addChild(close:getLayer())

		display.getRunningScene():addChild(mask:getLayer(), 10)

	end

	local directBtn = KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 250  , 360 ,
	{
		parent = scroll ,
		front = PATH .. "direct.png" ,
		priority = -151 ,
		callback = function()
			directCatch()
			--			return
			--			HTTP:call("fengshenkuli","catch_kuli",{ to_uid = temp.uid , to_uid_server_id = temp.server_id , pos = curPos },{
			--				success_callback = function(tempData)
			--					data = tempData["get"]
			--					self:refreshData( 2 )
			--					isHttpRefresh = false
			--					mask:remove()
			--
			--					DATA_Battle:setMod("guide")
			--					DATA_Battle:setAct("join")
			--					DATA_Battle:set( tempData["report"] )
			--					DATA_Result:set( { type = "join" , success = tempData["success"] , slave_name = tempData["slave_name"] , slave_server_name = tempData["slave_server_name"] } )
			--					switchScene("battle" , {})
			--				end
			--			})
		end
	}):getLayer()
	mask:addChild( directBtn )

	mask:addChild(KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 280, 460, {
		scale = true ,
		priority = -151 ,
		front = COMMONPATH .. "refresh.png" ,
		callback=
		function()
			HTTP:call("fengshenkuli", "get_list", {}, {
				success_callback = function(tempData)
					--							scroll:getLayer():removeAllChildren( )
					if scroll then
						scroll:getLayer():removeFromParentAndCleanup( true )
						scroll = nil
					end

					coolieData = tempData

					createScroll()
				end})
		end
	}):getLayer(),2 )
end

--苦力状态
function M:coolieState( params , isInto )
	--进界面不弹出自由身状态
	if params.isSelf and data.isfree == 1 and tonumber( data.jielue_tag ) ~= 1 and isInto then return end

	isHttpRefresh = false
	local mask = baseMask( {isShowBack = true ,  titlePath = { path = PATH .. ( params.isSelf and "self_state_title.png" or "coolie_state_title.png" ) , offX = - 23 , offY = -40 }, bgInfo = { path = PATH .. "coolie_bg.png",  y = 240 } , isShowBack = { function() Clock:removeTimeFun( "cooliestate" ) end } } )
	mask:addChild( display.newSprite( PATH .. "coolie_bg2.png" , display.cx , 370 , 0.5 , 0) )



	if params.isSelf then
		local headLayer = self:itemCell( params )
		setAnchPos( headLayer , 63 , 410 , 0 , 0 )
		mask:addChild( headLayer )

		mask:addChild( display.newSprite( PATH .. "self_state.png" , 195 , 492 , 0 , 0 ) )
		mask:addChild( display.strokeLabel( data.isfree ~= 1 and "苦力" or "自由身" , 300 , 495 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )
		mask:addChild( display.strokeLabel( data.isfree ~= 1 and data.isfree or "" , 190 , 375 , 18 , ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 260 , dimensions_height = 114 , align = 0 } ) )

		mask:addChild( display.strokeLabel( data.isfree ~= 1 and "苦力上贡:每次收获自己苦力收益时自动上贡10%" or "", 80 , 540 , 16 , ccc3( 0xff , 0x0 , 0x0 ) ) )


		if data.isfree ~= 1 then
			mask:addChild( display.newSprite( COMMONPATH .. "gold.png" , 210 , 310 , 0 , 0 ) )
			mask:addChild( display.strokeLabel( data.bail_price , 245 , 311 , 18 , ccc3( 0x2c , 0x00 , 0x00 ) ) )

			local btnName = { "revolt" , "contribute" , "accept" }
			for i = 1 , table.nums( btnName ) do
				mask:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 18 + ( i - 1 ) * 150  , 260 , {
					scale = true ,
					priority = -201 ,
					front = PATH .. btnName[i] .. ".png" ,
					callback=
					function()
						if i == 1 then
							HTTP:call("fengshenkuli","escape",{},{
								success_callback = function(tempData)
									data = tempData["get"]
									mask:remove()

									DATA_Battle:setMod("guide")
									DATA_Battle:setAct("revolt")
									DATA_Battle:set( tempData["report"] )
									DATA_Result:set( {type = "revolt" , success = tempData["success"] } )
									switchScene("battle" , {})

								end
							})
						elseif i == 2 then
							HTTP:call("fengshenkuli","bail",{},{
								success_callback = function(tempData)
									data = tempData["get"]
									mask:remove()
									isHttpRefresh = true
									self:refreshData( 1 )
								end
							})
						elseif i == 3 then
							mask:remove()
							isHttpRefresh = true
						end
					end
				}):getLayer() )
			end
		elseif tonumber( data.jielue_tag ) == 1 then--是否被劫掠
			if true then
				return --屏蔽该弹出界面( 2014.7.17 具体问小马)
			end
			mask:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 166  , 280 , {
				scale = true ,
				priority = -201 ,
				front = PATH .. "revenge_text.png" ,
				callback=
				function()
					mask:remove()
					HTTP:call("fengshen","getJLList",{ },{
						success_callback = function(tempData)
							isHttpRefresh = false
							tempData.backFun = function() isHttpRefresh = true end
							tempData.isPopup = true
							tempData.times2 = data.bei_luejie_cur
							self.baseLayer:addChild( LootLayer:new( tempData ):getLayer() )
						end
					})

				end
			}):getLayer() )
			mask:addChild( display.strokeLabel( "有玩家偷走了你的水晶，是否复仇？" , 190 , 375 , 18 , ccc3( 0xfd , 0xfa , 0xd7 ) , nil , nil , { dimensions_width = 260 , dimensions_height = 114 , align = 0 } ) )
		end


	else
		mask:addChild( KNBtn:new( COMMONPATH , { "btn_bg_red.png" , "btn_bg_red_pre.png" , "btn_bg_red2.png" } , 165  , 310 , {
			scale = true ,
			priority = -201 ,
			front = PATH .. "get_out.png" ,
			callback=
			function()
				Clock:removeTimeFun( "cooliestate" )
				HTTP:call("fengshenkuli", "release", { to_uid = params.data.uid , to_uid_server_id = params.data.server_id }, {
					success_callback = function(tempData)
						data = tempData["get"]
						self:refreshData( 2 )
					end})
				mask:remove()
			end
		}):getLayer() )
		mask:addChild( display.newSprite( PATH .. "coolie_text.png" , 197 , 380 , 0 , 0 ) )

		local textConfig = {
			params.data.name ,
			params.data.server_name ,
			params.data.shenli ,
			params.data.award_unit_num .. "个/分钟" ,
		}
		for i = 1 , 4 do
			mask:addChild( display.strokeLabel( textConfig[i] , 300 , 495 - ( i - 1 ) * 37 , 20 , ccc3( 0xff , 0xfb , 0xd5 ) ) )
		end

		local headLayer , timeBar = self:itemCell( params , true )
		setAnchPos( headLayer , 43 , 410 , 0 , 0 )
		mask:addChild( headLayer )

		--
		--		mask:addChild( display.newSprite( COMMONPATH .. "gold.png" , 315 , 318 , 0 , 0 ) )
		--		mask:addChild( display.strokeLabel( data.release_price , 350 , 318 , 20 , ccc3( 0x2f , 0x00 , 0x00 ) ) )


		--		mask:addChild( display.newSprite( PATH .. "surplus_time_text.png" , 360 , 265 , 0 , 0 ) )
		--		mask:addChild( display.strokeLabel( ( data.cur_release_times .. "/" .. data.max_release_times ) , 413 , 265 , 20 , ccc3( 0x2f , 0x00 , 0x00 ) ) )



		local downTimeText2 = display.strokeLabel( "" , 199 , 250 , 18 , ccc3(  0x2c , 0x00 , 0x00 ) )
		setAnchPos( downTimeText2 , 199 , 275 , 0 , 0 )
		mask:addChild( downTimeText2 )


		local downTimeText = display.strokeLabel( "下次收获：" , 350 , 288 , 18 , ccc3( 0xff , 0xfb , 0xd5 ) )
		setAnchPos( downTimeText , 40 , 377 , 0 , 0 )
		mask:addChild( downTimeText )

		local releaseTime = display.strokeLabel( "" , 350 , 288 , 18 , ccc3( 30 , 129 , 128 ) ) 
		setAnchPos( releaseTime , 130 , 555 , 0 , 0 )
		mask:addChild( releaseTime )
		
		if params.data then
			Clock:addTimeFun( "cooliestate" , function() 
				local tempValue = params.data
				local timeValue , curValue , maxTime = tonumber( tempValue.award_speed )  - tonumber( tempValue.recover_time ) , tonumber( tempValue.recover_time ) ,  tonumber( tempValue.award_speed )
				if timeBar then timeBar:setPercent( curValue/maxTime ) end
				downTimeText:setString( "下次收获：" .. timeConvert( timeValue , nil , true ) )

				if tonumber( data.release_cd_effect ) == 1  then
					downTimeText2:setColor( ccc3( 0xff , 0x00 , 0x00 ) )
				else
					downTimeText2:setColor( ccc3( 0x2c , 0x00 , 0x00 ) )
					downTimeText2:setString( timeConvert( data.release_cd , nil , false ) )
				end

				if tonumber( tempValue.release_time ) > 0 then 
					releaseTime:setString( "将在" .. timeConvert(tempValue.release_time) .. "秒后自动释放苦力" )
				else
					releaseTime:removeSelf(true)
				end

			end )
		end
	end
end
function M:downTiem( params )
	local curTime , maxTime , releaseTime =  tonumber( params.recover_time ) ,  tonumber( params.award_speed ) , tonumber( params.release_time )
	
	if  curTime < maxTime then
		 curTime = curTime + 1 
	else
		Clock:removeTimeFun( "coolie" .. params.uid )
	end

	if releaseTime > 0 then 
		releaseTime = releaseTime - 1  
	end
	
	params.release_time = releaseTime
	params.recover_time = curTime
	params.award_speed = maxTime

	return maxTime - curTime , curTime , maxTime
end

function M:itemCell( params , isAction )
	params = params or {}
	local curData = params.data
	local timeValue , curValue , maxTime = 0 , 0 , 0
	local isGet = false
	local otherData , textData ,  hp_bar = nil , nil , nil

	local curState = 0 --0自己  1为空  2抓到了人  3未开放
	if params.isSelf then
		curState = 0
		otherData = {}
		otherData[ #otherData + 1 ] = {COMMONPATH .."role_frame.png" , 0 , 0  }
		otherData[ #otherData + 1 ] = { COMMONPATH .. getHeadPath( DATA_Head:get()["default"] or "19001" ) , 0 , 4  , 9 }

		if data.isfree ~= 1 then
			otherData[ #otherData + 1 ] = { PATH .."lock.png" , -18 , -10  }
		end
	else
		otherData = {}


		if curData then
			curState = 2
			if isAction then
				otherData[ #otherData + 1 ] = { COMMONPATH .. getHeadPath( curData["head"] ) , 35 + 32  , 37 + 32  , 100  , 0.5 , 0.5 }
			end

			if curData.status == 2  then
				otherData[ #otherData + 1 ] = { PATH  .. "overdue2.png" , 35 + 32 - 17  , 37 + 65  , 100  , 0.5 , 0.5 }
			elseif curData.status == 3 then
				otherData[ #otherData + 1 ] = { PATH  .. "overdue.png" , 35 + 32 - 17  , 37 + 65  , 100  , 0.5 , 0.5 }
			end

			textData = textData or {}
			textData[ #textData + 1 ]  = { curData.name , 18 , ccc3( 0xfe , 0xfe , 0xe4 ), ccp( 0 , -33 ) , nil , 17 }

		else
			if params.index > 4  then
				--vip判断开启位
				if DATA_Vip:get("viplv") >= ( ( params.index - 3 ) * 2 - 1 ) then
					otherData[ #otherData + 1 ] = { PATH  .. "grab_text.png" , 35 + 32  , 37 + 50 - 15  , 100  , 0.5 , 0.5 }
					otherData[ #otherData + 1 ] = { PATH.."add.png", 34, 34 }
					curState = 1
				else
					textData = textData or {}
					textData[ #textData + 1 ]  = { "vip" .. ( params.index - 3 ) * 2 - 1 , 30 , ccc3( 0x52 , 0x4a , 0x47 ), ccp( 0 , 33 ) , nil , 17 }
					textData[ #textData + 1 ]  = { "开启" , 30 , ccc3( 0x52 , 0x4a , 0x47 ), ccp( 0 , 0 ) , nil , 17 }
					curState = 3
				end
			else
				--默认开启开启三个位
				otherData[ #otherData + 1 ] = { PATH  .. "grab_text.png" , 35 + 32  , 37 + 50 - 15  , 100  , 0.5 , 0.5 }
				curState = 1
				otherData[ #otherData + 1 ] = { PATH.."add.png", 84, 84 }
			end
		end

	end

	local isClick = true   	--添加点击间隔时间
	local temp = KNBtn:new( PATH , (  params.isSelf and {"role_frame.png" } or { "seat_bg.png" } ) , params.x , params.y , {
		scale = not params.isSelf,
		other = table.nums(otherData) > 0 and otherData or nil ,
		text = textData ,
		callback=
		function()
			if not isClick then
				return
			end
			delayFun( 2 , function() isClick = true end )
			if curState == 0 then
				self:coolieState( params )
			elseif curState == 1 then
				HTTP:call("fengshenkuli", "get_list", {}, {
					success_callback = function(tempData)
						--						local seatConfig = { 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8  }
						coolieData = tempData
						curPos =  params.index
						self:coolieList(  )
					end})
			elseif curState == 2 then
				--领取水晶
				if isGet then
					HTTP:call("fengshenkuli", "receive", { to_uid = curData.uid }, {
						success_callback = function(tempData)
							dump()
							if tempData.num > 0 then
								KNMsg:getInstance():flashShow( "获得".. tempData.num .. "水晶！" ..(tempData.contibute > 0 and "上贡了"..tempData.contibute.."水晶" or "") )
								local tempCrystal_flag = display.newSprite( PATH .. "crystal_flag.png" , params.x , params.y + 74 , 0 , 0 )

								display.getRunningScene():addChild( tempCrystal_flag )
								transition.moveTo( tempCrystal_flag , { time = 0.5 , x = 100 , y = 711 , onComplete = function()
										delObj( tempCrystal_flag )
										data = tempData["get"]
										self:refreshData( 1 )
									end} )
							else
								data = tempData["get"]
								self:refreshData( 1 )
							end

						end})
				else
					if curData.status == 2 or curData.status == 3  then
						HTTP:call("fengshenkuli", "receive", { to_uid = curData.uid }, {
							success_callback = function(tempData)
								if tempData.num > 0 then
									KNMsg:getInstance():flashShow( "该苦力为您工作了"..tempData.minute.."分钟，获得".. tempData.num .. "水晶！"..(tempData.contibute > 0 and "上贡了"..tempData.contibute.."水晶" or "") )

									local tempCrystal_flag = display.newSprite( PATH .. "crystal_flag.png" , params.x , params.y + 74 , 0 , 0 )

									display.getRunningScene():addChild( tempCrystal_flag )
									transition.moveTo( tempCrystal_flag , { time = 0.5 , x = 100 , y = 711 , onComplete = function()
											delObj( tempCrystal_flag )
											data = tempData["get"]
											self:refreshData( 1 )
										end} )
								else
									data = tempData["get"]
									self:refreshData( 1 )
								end

							end})

					else
						self:coolieState( params )
					end
				end
			elseif curState == 3 then
				KNMsg:getInstance():flashShow( "vip".. ( params.index - 3 ) * 2 - 1 .. "级可开启！" )
			end

		end
	})


	if curData then
		hp_bar = KNBar:new("join" , 0 , 0 , { curValue = tonumber( curData.recover_time ) , maxValue = tonumber( curData.award_speed ) } )
		display.align( hp_bar , display.LEFT_BOTTOM , 2 , -5 )
		hp_bar:setIsShowText( false )
		temp:getLayer():addChild( hp_bar )

		--能量水晶
		local pebble = display.newSprite( PATH .. "pebble_text.png" , 0 , 113 , 0 , 0 )
		temp:getLayer():addChild( pebble )
		temp:getLayer():addChild( display.strokeLabel( curData.award_num , 105 , 113 , 18 , ccc3( 0xff , 0xfb , 0xd5 ) ) )

		local upFlag = display.newSprite( PATH .. "up_flag.png" , -5 , 20 )
		temp:getLayer():addChild( upFlag )
		local hammer = display.newSprite( PATH .. "hammer.png" , 0 , 40 , 0 , 0 )
		temp:getLayer():addChild( hammer )
		hammer:setVisible( true )
		upFlag:setVisible( true )

		local crystal_flag = display.newSprite( PATH .. "crystal_flag.png" , 0 , 74 , 0 , 0 )
		local hand_flag = display.newSprite( PATH .. "hand_flag.png" , 90 , 90 , 0 , 0 )
		temp:getLayer():addChild( crystal_flag , 100 )
		temp:getLayer():addChild( hand_flag , 100 )
		crystal_flag:setVisible( false )
		hand_flag:setVisible( false )

		local function upAction()
			setAnchPos( upFlag , -5 , 20 , 0.5 , 0 )
			upFlag:setOpacity(255)
			transition.fadeOut(upFlag, { time = 1 } )
			transition.moveTo( upFlag , { time = 1 , y = 50 , onComplete = upAction })

		end

		local function hammerAction()
			hammer:setRotation( 0 )
			transition.rotateTo( hammer , { time = 0.4 , angle = 30 , onComplete = hammerAction})
		end

		local isFirst = true
		Clock:addTimeFun( "coolie" .. curData.uid , function()
			timeValue , curValue , maxTime = self:downTiem( curData )
			if hp_bar then hp_bar:setPercent( curValue/maxTime ) end
			isGet = ( curValue >= ( maxTime - 1 ) or tonumber( curData.award_cur_time ) >= tonumber( curData.award_speed ) )

			if curData.status == 3 then

				hammer:setVisible( false )
				upFlag:setVisible( false )

				crystal_flag:setVisible( true )
				hand_flag:setVisible( true )
				return
			end

			if tonumber( curData.award_cur_time ) >= tonumber( curData.award_speed ) or curValue >= ( maxTime - 1 ) then
				hammer:setVisible( true )
				upFlag:setVisible( true )

				if isFirst then
					hammerAction()
					upAction()
					isFirst = false
				end

				crystal_flag:setVisible( true )
				hand_flag:setVisible( true )

			else
				--									if curValue >= ( maxTime - 1 ) then
				--										transition.stopTarget( upFlag )
				--										transition.stopTarget( hammer )
				--
				--										hammer:setVisible( false )
				--										upFlag:setVisible( false )
				--
				--										crystal_flag:setVisible( true )
				--										hand_flag:setVisible( true )
				--
				--									else
				if isFirst then
					hammerAction()
					upAction()
					isFirst = false
				end

				hammer:setVisible( true )
				upFlag:setVisible( true )

				crystal_flag:setVisible( false )
				hand_flag:setVisible( false )
				--									end
			end

		end )

	end
	if not isAction and curState == 2 then
		local sprite
		local frames = display.newFramesWithImage( PATH .. "head_eff.png" , 6 )
		if curData.status == 3 then
			sprite = display.newSpriteWithFrame(frames[2] , 0 , 0 )
		else
			sprite = display.playFrames( 0 , 0 , frames , 0.1 ,{forever = true , }	)
		end
		setAnchPos( sprite , 35 + 32  , 37 + 32 , 0.5 , 0.5 )
		temp:getLayer():addChild( sprite , 5 )
	end



	return temp:getLayer() , hp_bar
end

return M
