local ios = {}

function ios.login()
	return channel_delegate:getInst():login(function(dic)
		local post_data = dic
		for k , v in pairs(device.infos) do
			post_data[k] = v
		end
		post_data.plat_index = "android"
		post_data.platform = channel_delegate:getInst():platformName()
		post_data.channel = CHANNEL_ID
		post_data.channel_group = CHANNEL_GROUP
		HTTP:call("verify" , "check" , post_data)
		dump(post_data)
	end)
end

function ios.run()
	local ret = ios.login()
	if ret then
		local PATH = IMG_PATH .. "image/scene/login/"
		local layer = display.newLayer()
		display.newSprite(PATH .. "bg.jpg"):center():addTo(layer)

		--太古切图不一样
		if CHANNEL_GROUP == "tgxy" or CHANNEL_GROUP == "tgxy2" then
			do--云
				local function move(p, left)
					local action = CCArray:create()
					if left then
						action:addObject(CCDelayTime:create(1))
					end
					action:addObject(CCMoveBy:create(15, ccp(display.width*2.5*(left and -1 or 1), 0)))
					action:addObject(CCPlace:create(ccp(-display.width*(left and -1 or 1), p:getPositionY())))
					local seq = CCSequence:create(action)
					return p:run(CCRepeatForever:create(tolua.cast(seq, "CCActionInterval")))
				end
				move(display.newSprite(PATH .."clouddown1.png", -display.width, 0):anchor(.5, 0):addTo(layer))
				move(display.newSprite(PATH .."clouddown2.png", display.width, 0):anchor(0, 0):addTo(layer), true)
				move(display.newSprite(PATH .."cloudup1.png", -display.width, 700):addTo(layer))
				move(display.newSprite(PATH .."cloudup2.png", display.width, 700):anchor(0, .5):addTo(layer), true)
			end
			display.newSprite(PATH .."role.png", display.cx, 536):addTo(layer)
			display.newSprite(PATH .."logo.png", display.cx, 321):addTo(layer)
		end

		--显示版本号
		requires(IMG_PATH,"GameLuaScript/Config/version")
		local label = CCLabelTTF:create(VERSION , FONT , 18)
		setAnchPos(label , 10 , 10)
		label:setColor( ccc3( 255 , 255 , 255 ) )
		layer:addChild( label )

		--登录按钮
		local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
		local loginBtn = KNBtn:new(PATH, {"loginBtn.png" , "loginBtn_pre.png"} , display.cx , 90 , {
			anchMid = true,
			front = PATH .."login.png" , 
			callback = ios.login
		}):getLayer()
		layer:addChild(loginBtn)
		return layer
	end
end

return ios