local stonelist = {layer,the_exp,moduleChip,array_data}
--local stones = requires(IMG_PATH , "GameLuaScript/Scene/mosaic/stone")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
function stonelist:new(moduleChip,x,y,proms)
	local this = {}
	setmetatable(this,self)
	self.__index  = self
	this.layer = display.newLayer()
	this.pageNum = 1
	
	local stone_data = {}
	--stone_data[1] = {}
	this.the_exp = 0
	this.moduleChip = moduleChip
	local exp_data = requires(IMG_PATH, "GameLuaScript/Config/data_stoneexp") 
	local index_stone = 1
	stone_array = {{76 , 85},{156 , 85},{236 , 85},{316 , 85}}
	array_boolean = {false,false,false,false}
	--local ston_data = {}
	local addLyer = nil
	local sv = KNScrollView:new(20,200,439,340,0,false)	
	
	local layers, btns
	local count 
	local select = {}
	
	local function createList()
		layers = {}
		btns = {}
		count = 0
		local temp_count = 0
		local temp_line = 1
		for k,v in pairs(proms.data) do
			if (v["type"] == "stone" or v["type"] == "stoneexp") and v["attr"] ~= "none" then
				for i = 0 , v["num"] - 1 do
					count = count + 1
					temp_count = temp_count + 1
					
					if count > (this.pageNum - 1) * 16 and count <= this.pageNum * 16 then
						if layers[ temp_line ] == nil then
							layers[ temp_line ] = display.newLayer()
							layers[ temp_line ]:setContentSize( CCSizeMake(480 , 80) )
							-- setAnchPos( layers[temp_line] , 0 , (temp_line - 1) * 80)
						end
						
						local the_stone 
						the_stone = KNBtn:new(IMG_PATH.."image/scene/common" , {"skill_frame1.png","yes.png"} , 65 + 80 * (temp_count - 1),0 , {
							front = getImageByType(v["cid"] , "s"),
							other = {{IMG_PATH .. "image/common/egg_num_bg.png",46,46}},
							text = {v["lv"] or 1,18,ccc3(0xff,0xff,0xff),ccp(23,24),nil,17},
							--scale = true,
							noHide = true,
							id = count,
							parent = sv,
							selectable = true,
							selectZOrder = 20,
							selectOffset = {17,-16},
							callback = function()
								local pre_num = 0.7
								if tonumber(proms.cid) == tonumber(v["cid"]) then
									pre_num = 1
								end
								
								if the_stone:isSelect() == true then
									local exp_num 
										
									if v.type == "stoneexp" then
										exp_num = getConfig("prop", v.cid.."", "effect")
									else
										exp_num =  exp_data[v["lv"]..""] * pre_num 
									end
									
									this.moduleChip:set_exp(-(exp_num))
									this:set_array(v["id"],-1, v.type)
									
									select[the_stone:getId()] = nil 
								else 
									if this.moduleChip:get_exp() < this.moduleChip:get_max_exp() then
										local exp_num  
										
										if v.type == "stoneexp" then
											exp_num = getConfig("prop", v.cid.."", "effect")
										else
											exp_num =  exp_data[v["lv"]..""] * pre_num 
										end
										
										this.moduleChip:set_exp(exp_num)
										this:set_array(v["id"],1, v.type)
										
										select[the_stone:getId()] = the_stone:getId()
									else
										KNMsg:getInstance():flashShow("宝石已达到最大等级，不可升级")
										return false
									end
								end
							end
						})
						--stones:new(this.moduleChip,35 + 100 * (temp_count - 1),0 ,{cid = proms.cid,data = v,stonelist = this,index = k},{ callback = function(thiscard) end})
						--setAnchPos(the_stone, x + 80 * (temp_count - 1) , 0 )
						layers[ temp_line ]:addChild(the_stone:getLayer())
						
						btns[count] = the_stone
						
						if select[the_stone:getId()] then
							the_stone:select(true)
						end
						
						if temp_count == 4 then
							temp_line = temp_line + 1
							temp_count = 0
						end
					else
						layers[ temp_line ] = 0
						btns[count] = 0
						if temp_count == 4 then
							temp_line = temp_line + 1
							temp_count = 0
						end
					end
				end
			end
		end
		
		if this.page then
			this.layer:removeChild(this.page, true)
		end
		this.page = display.newLayer()
		
		
		local max = #layers - this.pageNum * 4
		if max > 0 then
			max = this.pageNum * 4
		else
			max = (this.pageNum - 1) * 4 + (max + 4)
		end
		
		local page = createLabel({str = this.pageNum.."/"..math.ceil(#layers / 4), size = 20, color = ccc3(255,255,255)})
		setAnchPos(page, 240, 205, 0.5)
		this.page:addChild(page)
		
		for i = (this.pageNum - 1) * 4 + 1 , max do
			setAnchPos(layers[i], 20, 550 - (i - (this.pageNum - 1) * 4) * 80)
			this.page:addChild( layers[i], 10 )
		end
		
		this.layer:addChild(this.page)
	end
	
	createList()
	
	local preBtn = KNBtn:new(COMMONPATH, {"next.png"}, 40, 380, {
		flipX = true,
		callback = function()
			if this.pageNum > 1 then
				this.pageNum = this.pageNum - 1
				createList()
			else
				KNMsg.getInstance():flashShow("已达首页")
			end
		end
		
	})
	this.layer:addChild(preBtn:getLayer())
	
	local nextBtn = KNBtn:new(COMMONPATH, {"next.png"}, 400, 380, {
		callback = function()
			if this.pageNum < #layers / 4 then
				this.pageNum = this.pageNum + 1
				createList()
			else
				KNMsg.getInstance():flashShow("已达最后一页")
			end
		end
	})
	this.layer:addChild(nextBtn:getLayer())
	
	local allBtn = KNBtn:new(IMG_PATH.."image/scene/mosaic/", {"all_bg.png", "all_pre.png"}, 370, 548, {
		front = IMG_PATH.."image/scene/mosaic/all.png",
		callback = function()
			if this.moduleChip:get_exp() >= this.moduleChip:get_max_exp() then
				KNMsg:getInstance():flashShow("宝石已达到最大等级，不可升级")
				return
			end
			
			local max = #btns - 16 * this.pageNum
			if max > 0 then
				max = this.pageNum * 16
			else
				max = (this.pageNum - 1) * 16 + (max + 16)
			end
			
			for i = (this.pageNum - 1) * 16 + 1 , max do
				btns[i]:call()
				btns[i]:select(not btns[i]:isSelect())
			end
		end
		
	})
	this.layer:addChild(allBtn:getLayer())
	
	this.array_data = {}	
	--[[local index = 1
	local num = 1
	stone_data[1] = {}
	this.array_data = {}
	this.array_data[1] = {}
	for k,v in pairs(proms.data) do
		if v["type"] == "stone" and v["attr"] ~= "none" then
			if num <= 8 then
				stone_data[index][num] = v
				this.array_data[index][num] = {v["id"],0}
				num = num + 1
			else
				num = 1
				index = index + 1
				stone_data[#stone_data + 1] = {}
				this.array_data[#this.array_data + 1] = {}
				this.array_data[index][num] = {v["id"],0}
				stone_data[index][num] = v
				num = num + 1
			end
		end
	end
	
	local s_width = 0
	for k,v in pairs(stone_data) do
		dump(v)
		for i = 1,v[tonumber(k)]["num"] do
			--print("第"..k.."项："..i)
			--local info = stones:new(this.moduleChip,0,70 ,{cid = proms.cid,data = v,stonelist = this,index = k},{ callback = function(thiscard) end})
			--this.layer:addChild(info:getLayer())
		end
		
	end
	
	]]
	--[[local sv = KNScrollView:new(20,163,439,200,0,true,1)	
	for k,v in pairs(stone_data) do
		local info = stones:new(this.moduleChip,0,70 ,{cid = proms.cid,data = v,stonelist = this,index = k},{ callback = function(thiscard) end})
		sv:addChild(info:getLayer(),info)
	end
	this.layer:addChild(sv:getLayer())
	]]
	return this
end

function stonelist:getLayer()
	return self.layer
end

function stonelist:set_exp(add_exp)
	self.the_exp = self.the_exp + add_exp 
end
function stonelist:set_array(id,num, kind)
	local is_add = false
	for k,v in pairs(self.array_data) do
		if v["id"] == id then
			self.array_data[k]["num"] = self.array_data[k]["num"] + num
			self.array_data[k]["type"] = kind
			is_add = true
		end
	end
	if is_add == false then
		self.array_data[#self.array_data + 1] = {id = id,num = num, type = kind}
	end
	--self.array_data[index1][2] =  self.array_data[index1][2] + num
	self.moduleChip:set_array(self.array_data)
	
end

function stonelist:get_exp()
	return self.the_exp
end

return stonelist

