
--多人副本主界面
SILVERWARLAYER_DATA = {
}


local M = {
	mianLayer,
	roomLayer,
	talkLayer,
	LAYER_TYPE=1,
	presentRoomID="",
	checkBox=nil,

}

local PATH = IMG_PATH .. "image/scene/multiFb/"
local InfoLayer = requires(IMG_PATH , "GameLuaScript/Scene/common/infolayer")
local KNRadioGroup = requires(IMG_PATH , "GameLuaScript/Common/KNRadioGroup")
local KNBtn = requires(IMG_PATH , "GameLuaScript/Common/KNBtn")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local KNInputText = requires(IMG_PATH, "GameLuaScript/Common/KNInputText")
local KNCheckBox = requires (IMG_PATH,"GameLuaScript/Common/KNCheckBox")
local LAYER_TYPE_MAIN,LAYER_TYPE_ROOMLIST,LAYER_TYPE_ROOM = 1,2,3

local FBTYPE_SKILL,FBTYPE_EQUIP,FBTYPE_SILVER = 1,2,4
local multiFbPriorityValue = -151

GLOBAL_YAOQING_ROOM_ID=nil  --用于邀请好友，房间id

function M:new(args)
	local this = {}
	setmetatable(this , self)
	self.__index = self
	dump(args)
	if type(args) ~= "table" then args = {} end
   
	-- 基础层
	this.baseLayer = CCLayerColor:create( ccc4(255 , 255 , 255 , 100) )
	
	
	-- 背景
	local bg = display.newSprite( COMMONPATH .. "dark_bg_long.png")
	setAnchPos( bg)
	this.baseLayer:addChild( bg )

	
    this.mianLayer = this:initMainLayer()
    this.baseLayer:addChild(this.mianLayer )

   
	
	-- 显示公用层 底部公用导航以及顶部公用消息
	this.infoLayer = InfoLayer:new( "multiFb" , 0 , { title_text = PATH.."multiFbTitle.png", tail_hide = true,hideNavigation = true,priority = -150 ,closeCallback = function()
		dump(FBTYPE_SILVER)
		if this.LAYER_TYPE==LAYER_TYPE_MAIN then
			switchScene("fb", {coming = "multi"})
		elseif this.LAYER_TYPE == FBTYPE_EQUIP then
			switchScene("multiFb")
		elseif this.LAYER_TYPE == LAYER_TYPE_ROOMLIST then
			switchScene("multiFb")
		elseif this.LAYER_TYPE == FBTYPE_SILVER then
			switchScene("multiFb")
		elseif this.LAYER_TYPE == LAYER_TYPE_ROOM then
		     		  			    local mask									
									local tempLayer =display.newLayer()									
									--背景
									local bg = display.newSprite(COMMONPATH.."tip_bg.png")
									setAnchPos(bg,28,320)
									tempLayer:addChild(bg)
									
									--提示
									local kickLab = display.strokeLabel(replaceStr("是否退出该房间？") , 150, 160 , 22 , ccc3( 62 , 38 , 27) )
								    bg:addChild(kickLab)

								     --确认
								    local backBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 175 , 60 , {
											priority = multiFbPriorityValue,
											scale = true,
											priority= multiFbPriorityValue-2,
											front = COMMONPATH .. "ok.png",
											callback = function()
													   print("leave room "..this.presentRoomID)
													   mask:remove()
													   HTTP:call("fubenroom", "leaveRoom", {rid = this.presentRoomID}, {
																success_callback = function(data)
																    
																    KNMsg:getInstance():flashShow("已离开房间")
																    dump(data)

																	    HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
																				success_callback = function(roomListData)
																				    dump(roomListData)
																				    roomLayer:removeFromParentAndCleanup(true)
																				    local roomListLayer =  this:enterRoomListWithFbType(FBTYPE_SKILL,roomListData)
																					this.baseLayer:addChild(roomListLayer)
																					

																				end
																			})
																end,
																error_callback = function ( data )
																	KNMsg:getInstance():flashShow(data['msg'])
																	 HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
																				success_callback = function(roomListData)
																				    dump(roomListData)
																				    roomLayer:removeFromParentAndCleanup(true)
																				    local roomListLayer =  this:enterRoomListWithFbType(FBTYPE_SKILL,roomListData)
																					this.baseLayer:addChild(roomListLayer)
																					

																				end
																			})

																end
															})


											end})
									bg:addChild(backBtn:getLayer())

								 	--关闭按钮
								    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
											priority = multiFbPriorityValue-2,
											scale = true,
											callback = function()
												
												mask:remove()

											end})
									bg:addChild(close:getLayer())

								 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end,priority= multiFbPriorityValue-1})

								 	roomLayer:addChild(mask:getLayer())

                      
		end


	end} )
	this.baseLayer:addChild( this.infoLayer:getLayer() )	
 


	 --如果是受好友邀请来参加副本，直接进房间
    if args['isForYaoQing'] and args['isForYaoQing'] == 1 then
    	 
    	 this.mianLayer:removeFromParentAndCleanup(true) --清除mainlayer
    	 
    	 HTTP:call("fubenroom", "enterRoom", {rid = args['yaoQingRoomId'],fuid=args['fuid']}, { --args['fuid'],邀请人
								success_callback = function(roomId)
								    dump(roomId)
								    HTTP:call("fubenroom", "getRoomData", {rid = roomId}, {
										success_callback = function(roomData)
										     dump(roomData)
											 
										     roomLayer = this:drawRoomDetailLayer(roomData)
										     this.baseLayer:addChild(roomLayer)

										end
										})

								end
							})

    end


	
	return this 
end


function M:initMainLayer( )
	self.LAYER_TYPE = LAYER_TYPE_MAIN
    local tempLayer = display.newLayer()

    local bgMapSp = display.newSprite(PATH .. "bgMap.jpg")
    setAnchPos(bgMapSp,15,35)
    tempLayer:addChild(bgMapSp)


    local helpBtn = KNBtn:new(PATH, {"help.png","help_press.png"}, 410 , 660 , {
						priority = multiFbPriorityValue,
						scale = true,
						callback = function()
							local mask
							
							local tempLayer =display.newLayer()
							--setAnchPos(xianYinLayer,0,0,0.5,0.5)

							--背景
--							local bg = display.newSprite(COMMONPATH.."tip_bg.png")
						 	local bg = display.newSprite(COMMONPATH.."bg_smaller.png")
							setAnchPos(bg,15,120)
							tempLayer:addChild(bg)

							--标题背景
						 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
						 	setAnchPos(title_bgSp,100,520)
						 	bg:addChild(title_bgSp)

							--标题文字
						 	local title_Sp = display.newSprite(COMMONPATH.."help_title.png")
						 	setAnchPos(title_Sp,65,520)
						 	bg:addChild(title_Sp)


						 	local helpTips = createLabel({str = "1.单人装备本分为4个难度，不同等级开放.\n2.装备本单人进行， 探索过程中可以切换出探索界面，返回副本类型选择界面，点击装备图标返回探索界面，继续探索。\n3.装备本探索中的玩家可以自行手动结束副本，或者退出副本回到难度选择界面。\n4.装备本可以通过雇佣，添加雇佣兵一起战斗副本。\n5.技能本，灵源本，经验本，淬炼本，银两本，每个副本分为4个难度。\n6.技能本，灵源本，经验本，淬炼本，银两本，每个副本分为5个关卡，每个关卡星级越高挑战胜利后获得奖励越多。\n7.技能本，灵源本，经验本，淬炼本，银两本，所有关卡全五星通关后，可开启神秘宝箱获得巨额奖励。", x = 20, y = 15,size = 18, width = 380,color = ccc3(46 , 18 , 14)}) 
						 	setAnchPos(helpTips, 20, 270, 0, 0.5)
						 	bg:addChild(helpTips)
						 	--关闭按钮
						    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 10 , 515 , {
									priority = multiFbPriorityValue-2,
									scale = true,
									callback = function()
										
										mask:remove()

									end})
							bg:addChild(close:getLayer())

						 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end ,priority= multiFbPriorityValue-1})

						 	self.baseLayer:addChild(mask:getLayer())


						end
				})
	 bgMapSp:addChild(helpBtn:getLayer())



	-- local multiFbSp1 = KNBtn:new(PATH, {"skillFb.png","skillFb_select.png"}, 255 , 500 , {
	-- 		priority = multiFbPriorityValue,
	-- 		scale = true,
	-- 		callback = function()
	-- 					HTTP:call("fubenroom", "hasPermission", {}, {
	-- 						success_callback = function(data)
	-- 									HTTP:call("fuben", "getCLInfo", {}, {
	-- 										success_callback = function(data)
	-- 											switchScene("multiwar", {fight = data, fbDid = data.fbDid}, function()
	-- 												showTip({
	-- 							 								priority = -200,
	-- 													content = createLabel({str = "上次副本正在进行中，欢迎您重归队伍", color = ccc3(0x2c, 0, 0), width = 400}),
	-- 													center = {
	-- 														remove = true,
	-- 													}
	-- 												})
	-- 											end)
	-- 										end,error_callback = function()
	-- 											HTTP:call("fuben", "getInfo", { }, {
	-- 										 		success_callback = function(data)
	-- 										 			switchScene("multiwar", data, function()
	-- 						 								showTip({
	-- 							 								priority = -200,
	-- 															content = createLabel({str = "上次副本正在进行中，欢迎您重归队伍", color = ccc3(0x2c, 0, 0), width = 400}),
	-- 															center = {
	-- 																remove = true,
	-- 															}
	-- 														})
	-- 										 			end)
	-- 										 		end, error_callback = function()
	-- 										 			HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
	-- 														success_callback = function(roomListData)
	-- 														    self.mianLayer:removeFromParentAndCleanup(true) --清除mainlayer
	-- 															local roomListLayer =  self:enterRoomListWithFbType(FBTYPE_SKILL,roomListData)
	-- 															self.baseLayer:addChild(roomListLayer)
	-- 														end
	-- 													})
	-- 									 			end})
	-- 									end})	

	-- 					end})
	-- 		end})
	-- bgMapSp:addChild(multiFbSp1:getLayer())
	 
 	local equipFb 
 	equipFb = KNBtn:new(PATH, {"equip_fb.png","equip_fb_select.png"}, 55 , 550 , {
		priority = multiFbPriorityValue,
		scale = true,
		callback = function()
			if isBagFull() then
			    return false
			end
			self.LAYER_TYPE = FBTYPE_EQUIP
			HTTP:call("singlefb", "getSummary", {}, {
				success_callback = function(data)
					if data.curFBCid ~= "" then
						HTTP:call("singlefb", "getCLInfo", {}, {
							success_callback = function(war)
								switchScene("singlewar", {fight = war, fbCid = data.curFBCid})
							end,error_callback = function()
								HTTP:call("singlefb", "getInfo", { }, {
									success_callback = function(data)
										switchScene("singlewar", data)
									end
								})
							end
						})
						return
					end
				    self.mianLayer:removeFromParentAndCleanup(true) --清除mainlayer
				    self.infoLayer:refreshTitle(PATH.."equip_title.png")
				    
				     self.mianLayer = display.newLayer()
				     local line = display.newSprite(COMMONPATH.."tab_line.png")
				     setAnchPos(line, 5, 690)
				     self.mianLayer:addChild(line,1)
				     
				     local info =  display.newSprite(PATH.."todayTimes.png")
				     setAnchPos(info, 5, 710)
				     self.mianLayer:addChild(info,1)
				     
					 self.mianLayer:addChild(createLabel({str = data.remainTimes.."/"..data.maxTimes, size = 20, color = ccc3(255,255,255), width = 200, x = 150, y = 712})) 
					 
					 local buy = KNBtn:new(COMMONPATH, {"add.png", "add_press.png"}, 200, 705,{
						priority = priority,
							callback = function()
							showTip({
								content = createLabel({str = "购买探索次数，需要消耗"..data.timesCost.."金币，（每天最多购买"..data.maxBuyTimes.."次）, 确定购买吗?", size = 24,  width = 400, x = 150, y = 712}),
								left = {
									remove = true,
									callback = function()			
										HTTP:call("singlefb", "buyTimes", {}, {
											success_callback = function()
												KNMsg.getInstance():flashShow("购买成功")
												equipFb:call()
											end
										})
									end
								},right = {
									remove = true,
								}
							})
						end})
					self.mianLayer:addChild(buy:getLayer())
				     
				     info =  display.newSprite(PATH.."hire.png")
				     setAnchPos(info, 260, 710)
				     self.mianLayer:addChild(info,1)
				     
				     local isEmployText = display.strokeLabel( data.employ==0 and "无" or "有"  , 357, 712 , 20 , ccc3(255,255,255) )				
				     self.mianLayer:addChild( isEmployText ) 
					 local hire = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 390 , 700 , {
							 front = PATH.."hire_text.png",
							callback = function()
								if DATA_User:get("lv") < 45 then 
									KNMsg:getInstance():flashShow("等级未满足45级")
									return 
								end

								local hireLayer = requires(IMG_PATH , "GameLuaScript/Scene/multiFb/hireLayer")
								-- KNMsg.getInstance():flashShow("正在努力研发中")
								self.baseLayer:addChild( hireLayer:new({parent = self , other=isEmployText}) , 100)
							end})
					self.mianLayer:addChild(hire:getLayer())
				    
				    local tempStr = "说明：噩梦和深渊难度可使用雇佣兵战斗击杀怪物,雇佣兵只可进行一次副本，当天未使用雇佣兵隔日可继续使用。被雇佣者获得其他玩家黄金和银两的雇佣金。注：噩梦本每天只可以进行探索2次。"
					self.mianLayer:addChild( display.strokeLabel( tempStr, 21, 110, 18, ccc3( 0xff, 0xfb, 0xd4 ), nil, nil,
					{
						dimensions_width = 443,
						dimensions_height = 95,
						align = 0,
					}) )

				     local fbLv = {1, 35,45,50}
				     
				     for i = 1, 4  do
					     local allow = DATA_User:get("lv") >= fbLv[i] 
					     local temp = display.newLayer()
					     setAnchPos(temp, 15, 580 - (i - 1) * 120)
					     
			       	     local  itemBg = display.newSprite(COMMONPATH ..(allow and "item_bg.png" or "item_bg_disable.png"))
			       	     setAnchPos(itemBg,0,0)
			       	     temp:addChild(itemBg)
			       	     
			       	     temp:setContentSize(itemBg:getContentSize())
			
						  
			       	     local itemFg = display.newSprite(PATH .. (i == 1 and "item_fg.png" or (allow and "item_fg"..i..".png" or "item_fg"..i.."_dis.png")))
			       	     setAnchPos(itemFg ,2 , 1)
			       	     itemFg:setScale(0.95)
			       	     temp:addChild(itemFg)
			       	     
			       	     
			       	     itemFg = display.newSprite(PATH .."level.png" )
			       	     setAnchPos(itemFg ,10 , 70)
			       	     temp:addChild(itemFg)
			       	     
 			       	     itemFg = display.newSprite(PATH .."power.png" )
			       	     setAnchPos(itemFg ,130 , 8)
			       	     temp:addChild(itemFg)
			       	     
			       	     temp:addChild(createLabel({str = "最低战力"..data.fuben["equip"..i].ability.."以上", color = ccc3(0x2c, 0, 0), width = 400, x = 190, y = 10, size = 16}))
			       	     
			       	     local gift = createLabel({str = data.fuben["equip"..i].info, color = ccc3(0xff,0xfb,0xd4), size = 18, width = 400, x = 200, y =0 })
			       	     setAnchPos(gift, 410, 75, 1 )
			       	     temp:addChild(gift)
			       	     
			       	     
				       	 itemFg = display.newSprite(PATH ..(allow and "level"..i..".png" or "level"..i.."_dis.png") )
			       	     setAnchPos(itemFg ,70 , 70)
			       	     temp:addChild(itemFg)
			       	     
			       	     if not allow then
					       	 itemFg = display.newSprite(PATH .."level_"..i.."_tip.png" )
				       	     setAnchPos(itemFg ,100 , 0)
				       	     temp:addChild(itemFg)
				       	     itemFg:setScale(0.90)
			       	     end
			
			       	     local skillLabSp = display.newSprite(PATH .. "equip_text.png")
						 setAnchPos(skillLabSp ,10 , 10)
						 temp:addChild(skillLabSp)
						 
						 local bg = allow and {"btn_bg.png", "btn_bg_pre.png" } or {"btn_bg_grey.png"}
						 
						 local go = KNBtn:new(COMMONPATH,bg , 340 , 10 , {
								 front = PATH..(allow and "explore.png" or "explore_dis.png"),
								callback = function()
									if allow then 
										HTTP:call("singlefb", "start", {fbCid = "equip"..i}, {
											success_callback = function()
												HTTP:call("singlefb", "getInfo", {}, {
													success_callback = function(data)
														switchScene("singlewar", data)
													end
												})
											end
										})
									else
										KNMsg.getInstance():flashShow("未满足开启条件")
									end
								end})
						temp:addChild(go:getLayer())
						 
						 self.mianLayer:addChild(temp)
					 end
					 self.baseLayer:addChild(self.mianLayer)
				end
			})
		end
	})
	bgMapSp:addChild(equipFb:getLayer())
	--
	-- 银两副本
	local skillFb = self:createFbBtn("skill",255 , 500 )
	bgMapSp:addChild(skillFb:getLayer())
	local silverFb = self:createFbBtn("silver",210,100)
	bgMapSp:addChild(silverFb:getLayer())
	local expFb = self:createFbBtn("exp",250,250)
	bgMapSp:addChild(expFb:getLayer())
	local spiritFb = self:createFbBtn("sourcehope",150,350)
	bgMapSp:addChild(spiritFb:getLayer())
	local cuilianFb = self:createFbBtn("cuilian",50,150)
	bgMapSp:addChild(cuilianFb:getLayer())

    return tempLayer
end


function M:createFbBtn(fuben_type,x,y)
	-- body
	local fbBtn
	local fbBg
	if CHANNEL_GROUP == "hy" and fuben_type == "sourcehope" then
		 fbBg = {"hpower_fb.png","hpower_fb_select.png"}
		else
		 fbBg = {fuben_type.."_fb.png",fuben_type.."_fb_select.png"}
	end
		fbBtn = KNBtn:new(PATH,fbBg,x,y,{
		priority = multiFbPriorityValue,
		scale = true,
		callback = function()

			if fuben_type=="skill" and isBagFull() then
			    return false
			end

		self.LAYER_TYPE = FBTYPE_SILVER
			HTTP:call("commonfuben", "getList", {fuben_type = fuben_type}, {
					success_callback = function(data)

				    self.mianLayer:removeFromParentAndCleanup(true) --清除mainlayer

				    if CHANNEL_GROUP == "hy" and fuben_type == "sourcehope" then
				    	self.infoLayer:refreshTitle(PATH.."hpower_title.png")
				    else

				    self.infoLayer:refreshTitle(PATH..fuben_type.."_title.png")

				end
				    
				     self.mianLayer = display.newLayer()
				     local line = display.newSprite(COMMONPATH.."tab_line.png")
				     setAnchPos(line, 5, 690)
				     self.mianLayer:addChild(line,1)
				     
				     local info =  display.newSprite(PATH.."todayTimes.png")
				     setAnchPos(info, 5, 710)
				     self.mianLayer:addChild(info,1)
				     dump(data)
					 self.mianLayer:addChild(createLabel({str = data.times.remain_times.."/"..data.times.free_times, size = 20, color = ccc3(255,255,255), width = 200, x = 150, y = 712}),1,999)

					 if data.vip >= 4 and fuben_type ~= "skill" then
					 
					 local buy = KNBtn:new(COMMONPATH, {"add.png", "add_press.png"}, 200, 705,{
						priority = priority,
							callback = function()
							if data.vip >=8 then
							showTip({
								content = createLabel({str = "购买挑战次数，需要消耗"..data.price.."金币, 确定购买吗？(购买次数会重置正在进行中得副本)", size = 24,  width = 400, x = 150, y = 712}),
								left = {
									remove = true,
									callback = function()			
										HTTP:call("commonfuben", "buyTimes", {fuben_type  = fuben_type}, {
											success_callback = function(data)
											dump(data)
												self.mianLayer:removeChildByTag(999,true)
												self.mianLayer:addChild(createLabel({str = data.times.remain_times.."/"..data.times.free_times, size = 20, color = ccc3(255,255,255), width = 200, x = 150, y = 712}),1,999)
												fbBtn:call()
												KNMsg.getInstance():flashShow("购买成功")
											end
										})
									end
								},right = {
									remove = true,
								}
							})
						else 
							KNMsg:getInstance():flashShow("只有VIP8或以上玩家才可购买")
						end
						end})
					self.mianLayer:addChild(buy:getLayer())
				end
				      local allNew = data['list'][fuben_type.."1"]['continue'] == 0 and data['list'][fuben_type.."2"]['continue'] == 0 and data['list'][fuben_type.."3"]['continue'] == 0 and data['list'][fuben_type.."4"]['continue'] == 0
				     for i = 1, 4  do
				     	dump(data)

					     local continue =  data['list'][fuben_type..i]['continue'] == 1
					     local temp = display.newLayer()
					     setAnchPos(temp, 15, 580 - (i - 1) * 120)
					     
			       	     local  itemBg = display.newSprite(COMMONPATH .."item_bg.png")
			       	     setAnchPos(itemBg,0,0)
			       	     temp:addChild(itemBg)
			       	     
			       	     temp:setContentSize(itemBg:getContentSize())
			
						  
			       	     local itemFg = display.newSprite(PATH .. (i == 1 and "item_fg.png" or "item_fg"..i..".png") )
			       	     setAnchPos(itemFg ,2 , 1)
			       	     itemFg:setScale(0.95)
			       	     temp:addChild(itemFg)
			       	     
			       	     
			       	     itemFg = display.newSprite(PATH .."level.png" )
			       	     setAnchPos(itemFg ,10 , 70)
			       	     temp:addChild(itemFg)
			       	     
 			       	     itemFg = display.newSprite(PATH .."power.png" )
			       	     setAnchPos(itemFg ,130 , 8)
			       	     temp:addChild(itemFg)
			       	     
			       	     temp:addChild(createLabel({str = "最低战力"..data.list[fuben_type..i].ability.."以上", color = ccc3(0x2c, 0, 0), width = 400, x = 190, y = 10, size = 16}))
			       	     
			       	     local gift = createLabel({str = data.list[fuben_type..i].info, color = ccc3(0xff,0xfb,0xd4), size = 18, width = 400, x = 200, y =0 })
			       	     setAnchPos(gift, 410, 75, 1 )
			       	     temp:addChild(gift)
			       	     
			       	     
				       	 itemFg = display.newSprite(PATH .."level"..i..".png")
			       	     setAnchPos(itemFg ,70 , 70)
			       	     temp:addChild(itemFg)
			       	     
						 
						 local bg = {"btn_bg.png", "btn_bg_pre.png" }
						 
						 local go = KNBtn:new(COMMONPATH,bg , 340 , 10 , {
								front = PATH..(continue and "continue.png" or "get_in.png"),
								callback = function()
								if continue then
									local mask 
									local tempLayer = display.newLayer()

									local tempBg = display.newSprite(COMMONPATH.."tip_bg.png")
									setAnchPos(tempBg,20,320)
									tempLayer:addChild(tempBg)

								    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
											priority = multiFbPriorityValue-2,
											scale = true,
											callback = function()
												
												mask:remove()

											end})
									tempBg:addChild(close:getLayer())

									local text = createLabel({str = "当前副本正在进行中,\n您可以继续挑战;\n或消耗次数重置副本开始挑战.",size = 24,color =ccc3(0,0,0),width = 350})
									setAnchPos(text,50,130)
									tempBg:addChild(text)

									local bg = {"big.png","big_pre.png"}

									local continueBtn = KNBtn:new(COMMONPATH,bg,30,30,{
										front = PATH.."continue_fb.png",
										priority = multiFbPriorityValue-2,
										callback = function()
											-- body
											HTTP:call("commonfuben", "getMissionList", {fuben_type = fuben_type,degree = fuben_type..i}, {
											success_callback = function(data)
											dump(data)
											SILVERWARLAYER_DATA.fuben_type = data.fuben_type
											SILVERWARLAYER_DATA.degree = data.degree
											switchScene("silverwar",data)
											end
										})
										end
										})
									tempBg:addChild(continueBtn:getLayer())

									local getInBtn = KNBtn:new(COMMONPATH,bg,250,30,{
										front = PATH.."reset_in.png",
										priority = multiFbPriorityValue-2,
										callback = function()
											-- body
										HTTP:call("commonfuben", "getMissionList", {fuben_type = fuben_type,degree = fuben_type..i,reset_fuben = 1}, {
											success_callback = function(data)
											dump(data)
											SILVERWARLAYER_DATA.fuben_type = data.fuben_type
											SILVERWARLAYER_DATA.degree = data.degree
											switchScene("silverwar",data)
											end
										})
										end
										})
									tempBg:addChild(getInBtn:getLayer())

									mask = KNMask:new({item = tempLayer, click = function(x, y)  end,priority= multiFbPriorityValue-1})

									self.mianLayer:addChild(mask:getLayer())

								elseif  not continue and not allNew  then

													showTip({
														content = createLabel({str = "你当前正在副本中，是否要重新进入副本？ps:为了不浪费副本次数，建议您先打完当前副本", size = 24,  width = 400, x = 150, y = 712}),
														left = {
															remove = true,
															callback = function()			
																	HTTP:call("commonfuben", "getMissionList", {fuben_type = fuben_type,degree = fuben_type..i}, {
																		success_callback = function(data)
																		SILVERWARLAYER_DATA.fuben_type = data.fuben_type
																		SILVERWARLAYER_DATA.degree = data.degree
																		switchScene("silverwar",data)
																		end
																	})
															end
														},right = {
															remove = true,
														}
													})
												else
																		HTTP:call("commonfuben", "getMissionList", {fuben_type = fuben_type,degree = fuben_type..i}, {
																		success_callback = function(data)
																		SILVERWARLAYER_DATA.fuben_type = data.fuben_type
																		SILVERWARLAYER_DATA.degree = data.degree
																		switchScene("silverwar",data)
																		end
																		})


										end

								
							end})
						temp:addChild(go:getLayer())
                            local y = 120
							if fuben_type ~= "skill" then 
									str = "说明：23:30至24:00为副本重置时间，此时间段内不可进入副本，建议玩家在该时间段之前完成副本。"	
								else 
									str = "说明：23:30至24:00为副本重置时间，此时间段内建议玩家不要进入副本，挑战副本获得技能币，点击“兑换”按钮前往兑换页面获得技能。技能副本周二、四、六开启，人物等级要求20级。"
							end

								self.mianLayer:addChild( display.strokeLabel( str, 20, y-30, 18, ccc3( 0xff, 0xfb, 0xd4 ), nil, nil,
								{
									dimensions_width = 443,
									dimensions_height = 125,
									align = 0,
								}) )

							 local lv = fuben_type == "silver" and "20" or fuben_type == "cuilian" and "50" or fuben_type == "exp" and "20" or fuben_type == "sourcehope" and "40"
							 local lvText = fuben_type == "silver" and "银两" or fuben_type == "cuilian" and "淬炼" or fuben_type == "exp" and "经验" or fuben_type == "sourcehope" and "灵源"
							 if fuben_type == "silver" or fuben_type == "cuilian" then
								self.mianLayer:addChild( display.strokeLabel( lvText.."副本每周二，周四，周六，周日开放。 人物等级需求:"..lv, 20, y-50, 18, ccc3( 0xff, 0xfb, 0xd4 ), nil, nil,
								{
									dimensions_width = 443,
									dimensions_height = 95,
									align = 0,
								}) )

							end
							if fuben_type == "exp" or fuben_type == "sourcehope" then
								self.mianLayer:addChild( display.strokeLabel(lvText.."副本每周一，周三，周五，周日开放。 人物等级需求:"..lv, 20, y-50, 18, ccc3( 0xff, 0xfb, 0xd4 ), nil, nil,
								{
									dimensions_width = 443,
									dimensions_height = 95,
									align = 0,
								}) )

							end


							if fuben_type == "skill" then
								local convertBtn = KNBtn:new(COMMONPATH,{"btn_bg_red.png","btn_bg_red_pre.png"},240-73,60,{
									front = COMMONPATH.."xchange.png",
									priority = multiFbPriorityValue,
									callback = function()
										-- body
										HTTP:call("shop","getExchangeSkillCoinConfig",{fuben_type = fuben_type},{
											success_callback = function(skillData)
												-- body
												dump(skillData)
												switchScene("skillConvert",skillData)

											end
											})
									end
									})
								local skillCoinImg = display.newSprite(PATH.."skill_coin.png")
								setAnchPos(skillCoinImg,240-73+10+30,29)
								self.mianLayer:addChild(skillCoinImg)
								dump(data)
								local skillCoinNum = createLabel({str = data.skill_coin,x=240-73+35+30,y=32,width = 100,size = 20,color = ccc3(255,255,255)})
								self.mianLayer:addChild(skillCoinNum)

								self.mianLayer:addChild(convertBtn:getLayer())
							end



						 self.mianLayer:addChild(temp)
					 end
					 self.baseLayer:addChild(self.mianLayer)
				end
			})
		end
		})
    return fbBtn
end

function M:enterRoomListWithFbType( fbType , roomListData)
	self.LAYER_TYPE = LAYER_TYPE_ROOMLIST
    dump(roomListData)
    self.presentRoomID="" --清空
	self.infoLayer:refreshTitle(PATH .."roomListTitle.png")  --刷为房间列表 标题

	local roomListLayer = display.newLayer()

    --分割线
	local lineSp = display.newSprite(COMMONPATH .. "tab_line.png")
	setAnchPos(lineSp,5,690)
	roomListLayer:addChild( lineSp )
	
	local todayTimeSp = display.newSprite(PATH.."todayTimes.png") --今日剩余次数sp
	setAnchPos(todayTimeSp,10,694)
	roomListLayer:addChild(todayTimeSp);

    --今日剩余次数
	local todayLimitLabel = display.strokeLabel(roomListData['remain_times']['times'].."/"..roomListData['remain_times']['max_times'] , 150, 696 , 20 , ccc3( 240 , 240 , 196) )
    roomListLayer:addChild(todayLimitLabel)

	--快速加入
	local quickJoinBtn = KNBtn:new(COMMONPATH, {"long_btn.png" , "long_btn_pre.png" }, 235 , 697 , {
			priority = multiFbPriorityValue,
			scale = true,
			front = PATH .. "quickJoin.png",
			callback = function()
						HTTP:call("fubenroom", "autoEnterRoom", {}, {
								success_callback = function(roomId)
								     --dump(roomId)									
									 HTTP:call("fubenroom", "enterRoom", {rid = roomId}, {
											success_callback = function(roomId)
											    dump(roomId)
											    
											    		HTTP:call("fubenroom", "getRoomData", {rid = roomId}, {
														success_callback = function(roomData)
														       dump(roomData)
														       roomListLayer:removeFromParentAndCleanup(true)
															   roomLayer = self:drawRoomDetailLayer(roomData)
															   self.baseLayer:addChild(roomLayer)
														end
														})

											end
										})

								end
							})
				
			end})
	roomListLayer:addChild(quickJoinBtn:getLayer())

	--创建房间
	local createRoomBtn = KNBtn:new(COMMONPATH, {"long_btn.png" , "long_btn_pre.png" }, 360 , 697 , {
			priority = multiFbPriorityValue,
			scale = true,
			front = PATH .. "createRoom.png",
			callback = function()
				 local newRoomMask = self:createRoom(roomListLayer)
				 self.baseLayer:addChild(newRoomMask:getLayer())
				
			end})
	roomListLayer:addChild(createRoomBtn:getLayer())


	if fbType==FBTYPE_SKILL then
		--dump(roomListData)
       local tempScrollView = KNScrollView:new(17,95,450,590,5,false,0,{
	   		priority = multiFbPriorityValue,
	    	 --debug=true,
	    })

       tempScrollView:alignCenter()
       roomListLayer:addChild(tempScrollView:getLayer())

       local roomIndex = 1
       
       for k,v in pairs(roomListData['list']) do
	       	 --print("v is")
	       	 --dump(v)
       	     local  itemBg = display.newSprite(COMMONPATH .."item_bg.png")
       	     setAnchPos(itemBg,0,0)
       	     tempScrollView:addChild(itemBg)

       	     local itemFg = display.newSprite(PATH .. "item_fg.png")
       	     setAnchPos(itemFg ,2 , 1)
       	     itemBg:addChild(itemFg)

       	     local skillLabSp = display.newSprite(PATH .. "skillLab.png")
			 setAnchPos(skillLabSp ,10 , 10)
			 itemFg:addChild(skillLabSp)

			 --房间序号
			 local roomIndexLab = display.strokeLabel(roomIndex + 10*(roomListData['page']-1)  , 25, 75 , 25 , ccc3( 255 , 250 , 210) )
			 itemFg:addChild(roomIndexLab)

			 local roomNameLab = display.strokeLabel(v['name'], 415, 87 , 24 , ccc3( 255 , 250 , 210) )
			 roomNameLab:setAnchorPoint(ccp(1.0,0.5))
			 itemFg:addChild(roomNameLab)

			 local personNumSp = display.newSprite(PATH .. "personNum.png")
			 setAnchPos(personNumSp, 165 ,40)
			 itemBg:addChild(personNumSp)

			 local personNumLab = display.strokeLabel( v['member'] .."/"..roomListData['max_members'], 225, 40 , 22 , ccc3( 46 , 18 , 14) )
			 itemBg:addChild(personNumLab)

			 local roomMasterSp = display.newSprite(PATH .. "roomMaster.png")
			 setAnchPos(roomMasterSp, 145 ,10)
			 itemBg:addChild(roomMasterSp)

			 local roomMasterName = display.strokeLabel(v['leadername'], 210, 10 , 22 , ccc3( 46 , 18 , 14) )
			 itemBg:addChild(roomMasterName)

			 --加入，进入房间
			 local joinBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 350 , 15 , {
				priority = multiFbPriorityValue,
				scale = true,
				parent = tempScrollView,
				front = PATH .. "join.png",
				callback = function()
						
						 HTTP:call("fubenroom", "enterRoom", {rid = v['id']}, {
								success_callback = function(roomId)
								    dump(roomId)
								    HTTP:call("fubenroom", "getRoomData", {rid = roomId}, {
										success_callback = function(roomData)
										     --dump(roomData)
											 roomListLayer:removeFromParentAndCleanup(true)
										     roomLayer = self:drawRoomDetailLayer(roomData)
										     self.baseLayer:addChild(roomLayer)

										end
										})

								end,
								error_callback = function(data) --如果满员，或者其他错误则刷新本界面
								    print("error 重刷room列表")
								    dump(data)
								    KNMsg:getInstance():flashShow(data['msg'])
									HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
											success_callback = function(roomListData)
											    roomListLayer:removeFromParentAndCleanup(true) --清除mainlayer
												local roomListLayer =  self:enterRoomListWithFbType(FBTYPE_SKILL,roomListData)
												self.baseLayer:addChild(roomListLayer)

											end
										})

								end
							})
					     
					
				end})
	        itemBg:addChild(joinBtn:getLayer())

	        roomIndex=roomIndex+1
       end

        --页码
       local pageNumIndexLab = display.strokeLabel( roomListData['page'] .."/"..roomListData['pageCount'], 220, 45 , 22 , ccc3( 240 , 240 , 196) )
	   roomListLayer:addChild(pageNumIndexLab)

	   local pageIndex = roomListData['page']
	   local pageCount = roomListData['pageCount']

	   --上一页
	   local  previousPageBtn = KNBtn:new(COMMONPATH, {"next_big.png" }, 175 , 28 , {
				priority = multiFbPriorityValue,
				scale = true,
				callback = function()
		  
					 if pageIndex > 0 and pageIndex <= pageCount then
					 	    pageIndex=pageIndex-1
					 	    HTTP:call("fubenroom", "getRoomList", {page =pageIndex, pagesize=10,full=1}, {
								success_callback = function(roomData)
								    
									roomListLayer:removeFromParentAndCleanup(true)
								    local nextRoomLayer = self:enterRoomListWithFbType(FBTYPE_SKILL,roomData)
									self.baseLayer:addChild(nextRoomLayer)

								end
							})

					 end
					
				end})
	   roomListLayer:addChild(previousPageBtn:getLayer())

	   previousPageBtn:setFlip(true)

	   --翻下一页
	   local nextPageBtn = KNBtn:new(COMMONPATH, {"next_big.png" }, 255 , 28 , {
				priority = multiFbPriorityValue,
				scale = true,
				callback = function()
                  
					 if pageIndex > 0 and pageIndex <= pageCount then
					 	    pageIndex = pageIndex+1					 	   
					 	    HTTP:call("fubenroom", "getRoomList", {page =pageIndex, pagesize=10,full=1}, {
								success_callback = function(roomData)
								    
								    roomListLayer:removeFromParentAndCleanup(true)
								    local nextRoomLayer = self:enterRoomListWithFbType(FBTYPE_SKILL,roomData)
									self.baseLayer:addChild(nextRoomLayer)

								end
							})

					 end
					
				end})
	   roomListLayer:addChild(nextPageBtn:getLayer())

	end


    return roomListLayer
end

--创建房间界面
function M:createRoom( roomListLayer)
	local mask
	
	local tempLayer =display.newLayer()
	--setAnchPos(xianYinLayer,0,0,0.5,0.5)

	--背景
	local bg = display.newSprite(COMMONPATH.."tip_bg.png")
	setAnchPos(bg,28,360)
	tempLayer:addChild(bg)

	--标题背景
 	local title_bgSp = display.newSprite(IMG_PATH.."image/scene/mission/title_bg.png")
 	setAnchPos(title_bgSp,100,240)
 	bg:addChild(title_bgSp)

	--标题文字
 	local title_Sp = display.newSprite(PATH.."createRoomTitle.png")
 	setAnchPos(title_Sp,120,240)
 	bg:addChild(title_Sp)

 	local roomNameLab= display.newSprite(PATH .."roomNameLab.png")
 	setAnchPos(roomNameLab,50,150)
 	bg:addChild(roomNameLab)

	local inputText 
    local inputBgBtn = KNBtn:new(PATH, { "inputBg.png"}, 150 , 145 , {
			priority = multiFbPriorityValue-2,
			scale = true,
			callback = function()
				inputText:startInput()
				
			end})
	bg:addChild(inputBgBtn:getLayer())
	-- 输入框
 	inputText = KNInputText:new( { width = 365 , 
										height = 28 , 
										size = 20 , 
										defStr = "请输入"..replaceStr("房间").."名称" , 
										existStr = nil ,
										defColor = ccc3( 0xff , 0xfb , 0xd4 ) , 
										inputColor = ccc3( 0x4d , 0x15 , 0x15 ) 
										} )
	setAnchPos( inputText:getLayer() , 190  , 525 )
	tempLayer:addChild(inputText:getLayer(),10)

	local tips = display.strokeLabel("(8个汉字以内)", 270, 115 , 17 , ccc3( 46 , 18 , 14) )
    bg:addChild(tips)

    --确认按钮,创建房间
    local okBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 175 , 60 , {
			priority = multiFbPriorityValue-2,
			scale = true,
			front = COMMONPATH .. "ok.png",
			callback = function()
					if inputText:getString() == "" or inputText:getString() == "请输入房间名称"  or string.trim(inputText:getString()) == "" then 
						KNMsg:getInstance():flashShow("没有输入内容")
					else
						inputText:stopInput() 
						mask:remove()
						HTTP:call("fubenroom", "createRoom", { roomname=string.trim(inputText:getString()), active=1}, {
								success_callback = function(roomId)
								        dump("room create success  "..roomId)
								        --创建成功后直接进入该房间
								        KNMsg:getInstance():flashShow("创建房间成功！")
										HTTP:call("fubenroom", "enterRoom", {rid = roomId, noNotify=1}, {
											success_callback = function(roomId)
											    
												dump(roomId)
													HTTP:call("fubenroom", "getRoomData", {rid = roomId}, {
															success_callback = function(roomData)
															    dump(roomData)
																
															     roomListLayer:removeFromParentAndCleanup(true)
															     roomLayer = self:drawRoomDetailLayer(roomData)
															     self.baseLayer:addChild(roomLayer)

															end
														})

											end,error_callback = function()
												--再重发一次请求
												
												HTTP:call("fubenroom", "enterRoom", {rid = roomId, noNotify=1}, {
													success_callback = function(roomId)
													    
														dump(roomId)
															HTTP:call("fubenroom", "getRoomData", {rid = roomId}, {
																	success_callback = function(roomData)
																	    dump(roomData)
																		
																	     roomListLayer:removeFromParentAndCleanup(true)
																	     roomLayer = self:drawRoomDetailLayer(roomData)
																	     self.baseLayer:addChild(roomLayer)

															end})

												end})

																
										end})

								end})


				    end
			end})
	bg:addChild(okBtn:getLayer())

	--关闭按钮
    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
			priority = multiFbPriorityValue-2,
			scale = true,
			callback = function()
				inputText:stopInput()
				mask:remove()

			end})
	bg:addChild(close:getLayer())


	mask = KNMask:new({item = tempLayer, click = function(x, y)  end, priority = multiFbPriorityValue-1})

	return mask
end



function M:drawRoomDetailLayer( roomData )
	self.LAYER_TYPE = LAYER_TYPE_ROOM

	dump(roomData)

	local noSortUsersTable = roomData['user_list']
   
    local sortRuleFunc = function(r,l)
    	if r==roomData['leader'] then
    		return true
    	else
    		return false
    	end
    end

    local sortUsersTable = getSortList(noSortUsersTable,sortRuleFunc)
    

	self.presentRoomID = roomData["id"]
	self.infoLayer:refreshTitle(PATH .."presentRoomTitle.png")  --刷为房间列表 标题
    
    local roomDetailLayer = display.newLayer()

    local roomNameSp = display.newSprite(PATH.."roomNameLab.png") --今日剩余次数sp
	setAnchPos(roomNameSp,12,720)
	roomDetailLayer:addChild( roomNameSp );

	local roomNameLab = display.strokeLabel( roomData['name'] , 110, 720 , 23 , ccc3( 255 , 250 , 196) )
	roomDetailLayer:addChild(roomNameLab)

    local todayTimeSp = display.newSprite(PATH.."todayTimes.png") --今日剩余次数sp
	setAnchPos(todayTimeSp,10,694)
	roomDetailLayer:addChild( todayTimeSp );

	 --今日剩余次数
	local todayLimitLabel = display.strokeLabel(roomData['times'] .."/" ..roomData['max_times'] , 155, 696 , 20 , ccc3( 240 , 240 , 196) )
    roomDetailLayer:addChild(todayLimitLabel)

    --拒绝玩家自动加入,房主才有
    if DATA_User:get("uid") == roomData['leader'] then
		local rejectPlayerSp = display.newSprite(PATH .. "rejectPlayerLab.png")
		setAnchPos(rejectPlayerSp,340,694)
		roomDetailLayer:addChild( rejectPlayerSp )
		
	    checkBox = KNCheckBox:new(420,696,{ path=COMMONPATH,checkBoxOpt = function() 
															
															if checkBox:isSelect() then
																	HTTP:call("fubenroom", "activeRoom", {rid=self.presentRoomID,active=0}, {
																				success_callback = function()
																				KNMsg:getInstance():flashShow("禁止其他玩家加入")	
																						
																		end
																	})
																
															else
																	HTTP:call("fubenroom", "activeRoom", {rid=self.presentRoomID,active=1}, {
																				success_callback = function()
																				KNMsg:getInstance():flashShow("允许其他玩家自由加入")	
																						
																		end
																	})
																
															end

													end,
										file={"checkbox_bg.png","checkbox_choose.png","checkbox_lock.png"}})
		roomDetailLayer:addChild(checkBox:getLayer())

		if roomData['active'] == 0 then  --刷新界面后保持状态
			checkBox:check(true)
		end

	end
    --分割线
	local lineSpUp = display.newSprite(COMMONPATH .. "tab_line.png")
	setAnchPos(lineSpUp,5,692)
	roomDetailLayer:addChild( lineSpUp )
    local roomBg = display.newSprite(PATH .. "roomSkillFbBg.png")
    setAnchPos(roomBg,5,625)
    roomDetailLayer:addChild( roomBg )
    local lineSpDown = display.newSprite(COMMONPATH .. "tab_line.png")
	setAnchPos(lineSpDown,5,622)
	roomDetailLayer:addChild( lineSpDown )



	
	local temp = KNBtn:new( IMG_PATH .. "image/scene/chat/"  , {"talk_flag1.png"} , 220 ,35 , {
		scale = true ,
		priority = multiFbPriorityValue,
		front =  IMG_PATH .. "image/scene/chat/talk_flag.png" , 
		callback = function()
			DATA_Info:setIsMsg( false )
			if DATA_Info:getIsOpen( ) then
				local talkLayer = requires(IMG_PATH,"GameLuaScript/Scene/common/talk")
				self.talkLayer = talkLayer:new( { type = "custom" , priority = multiFbPriorityValue , custom = { customTable = { "custom", "world", "friend" } , sendParams = { scene = "multiFb" , scene_id = self.presentRoomID } } } )
--				curTalk = talkLayer:new( {type = "gang", priority = -151 } )
				local curScene = display.getRunningScene()
				curScene:addChild( self.talkLayer:getLayer()  )
			else
				self.talkLayer:remove()
			end
			DATA_Info:setIsOpen(  not DATA_Info:getIsOpen( ) )
		end
	})
	
	temp:getLayer():setScale(0.7)
	roomDetailLayer:addChild(temp:getLayer())
	--注册接收消息
	DATA_Info:setCustomKey( "multiFb_" ..self.presentRoomID)
	DATA_Info:addActionBtn( "custom" , temp )

	--*******开房私聊

	local tempScrollView = KNScrollView:new(17,95,450,523,5,false,0,{
	   		 priority = multiFbPriorityValue,
	    	 --debug=true,
	    })
    tempScrollView:alignCenter()
    roomDetailLayer:addChild(tempScrollView:getLayer())


    for k, value in pairs(sortUsersTable) do
         local v = roomData['user_list'][value..""]
    	 local  itemBg = display.newSprite(COMMONPATH .."item_bg.png")
       	 setAnchPos(itemBg,0,0)
       	 tempScrollView:addChild(itemBg)

       	 local  touXiangSp
       	 -- if v['sex'] == "1" then
         -- 		touXiangSp = display.newSprite(COMMONPATH .."sex1.jpg") --男
         -- else
         -- 		touXiangSp = display.newSprite(COMMONPATH .."sex0.jpg") --女
         -- end
         touXiangSp = display.newSprite(COMMONPATH ..getHeadPath( v['sex'] ))

       	 setAnchPos(touXiangSp,25,20)
       	 itemBg:addChild(touXiangSp)

       	 local  touXiangBorder = display.newSprite(COMMONPATH .."role_frame.png")
       	 setAnchPos(touXiangBorder,25,18)
       	 itemBg:addChild(touXiangBorder)

       	 if v['uid'] == roomData['leader'] then 
       	 		local roomMasterSp = display.newSprite(PATH .. "roomMaster.png")
				setAnchPos(roomMasterSp, 100 ,60)
				itemBg:addChild(roomMasterSp)
       	 else
				local playerNameSp = display.newSprite(PATH .. "userNameLab.png")
	       	    setAnchPos(playerNameSp ,100,60)
	       	    itemBg:addChild(playerNameSp)
       	 end
       	 

       	 local playerName =  display.strokeLabel(v['name'], 170, 65 , 22 , ccc3( 46 , 18 , 14) )
       	 itemBg:addChild(playerName)

       	 local levelSp = display.newSprite(PATH .. "levelLab.png")
       	 setAnchPos(levelSp ,100,20)
       	 itemBg:addChild(levelSp)

       	 local playerlevel =  display.strokeLabel("Lv"..v['level'], 170, 20 , 22 , ccc3( 46 , 18 , 14) )
       	 itemBg:addChild(playerlevel)

         --退出或者踢出按钮
         if DATA_User:get("uid") == roomData['leader'] then  --如果当前登录用户是房主，显示退出和踢出
	         
	         if v['uid'] == roomData['leader'] then  --房主退出
			     local exitBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 335 , 40 , {
						priority = multiFbPriorityValue,
						scale = true,
						front = PATH .. "exit.png",
						callback = function()
							
			     				    local mask									
									local tempLayer =display.newLayer()									
									--背景
									local bg = display.newSprite(COMMONPATH.."tip_bg.png")
									setAnchPos(bg,28,320)
									tempLayer:addChild(bg)
									
									--提示
									local kickLab = display.strokeLabel(replaceStr("是否退出房间？") , 150, 160 , 22 , ccc3( 62 , 38 , 27) )
								    bg:addChild(kickLab)

								     --退出
								    local exitBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 175 , 60 , {
											priority = multiFbPriorityValue-2,
											scale = true,
											front = COMMONPATH .. "ok.png",
											callback = function()
													mask:remove()
													 HTTP:call("fubenroom", "leaveRoom", {rid = self.presentRoomID}, {
															success_callback = function(data)
															    print("leave room "..self.presentRoomID)
															    KNMsg:getInstance():flashShow("已离开房间")
															    dump(data)

																    HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
																			success_callback = function(roomData)
																			   
																			    roomLayer:removeFromParentAndCleanup(true)
																			    local roomListLayer =  self:enterRoomListWithFbType(FBTYPE_SKILL,roomData)
																				self.baseLayer:addChild(roomListLayer)
																				

																			end
																		})

															    
															end
															})
											end})
									bg:addChild(exitBtn:getLayer())

								 	--关闭按钮
								    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
											priority = multiFbPriorityValue-2,
											scale = true,
											callback = function()
												
												mask:remove()

											end})
									bg:addChild(close:getLayer())

								 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end,priority= multiFbPriorityValue-1})

								 	roomLayer:addChild(mask:getLayer())


									  
							
						end})
				 itemBg:addChild(exitBtn:getLayer())
		     else   --踢出
		     	local kickOutBtn 
		     		  kickOutBtn= KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 335 , 40 , {
						priority = multiFbPriorityValue,
						scale = true,
						id={uid=v['uid'],uname=v['name']},
						front = PATH .. "kickOut.png",
						callback = function()
								
								
		     		  			    local mask									
									local tempLayer =display.newLayer()									
									--背景
									local bg = display.newSprite(COMMONPATH.."tip_bg.png")
									setAnchPos(bg,28,320)
									tempLayer:addChild(bg)
									
									--踢人提示
									local kickLab = display.strokeLabel("是否将玩家\""..kickOutBtn:getId()['uname'].."\"踢出队伍" , 100, 160 , 20 , ccc3( 62 , 38 , 27) )
								    bg:addChild(kickLab)

								     --确认按钮,踢人
								    local okBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 175 , 60 , {
											priority = multiFbPriorityValue-2,
											scale = true,
											front = COMMONPATH .. "ok.png",
											callback = function()
													mask:remove()
													HTTP:call("fubenroom", "kickMember", {rid = self.presentRoomID,kuid=kickOutBtn:getId()['uid']}, {
														success_callback = function(data)
														    
														    KNMsg:getInstance():flashShow("已踢出玩家"..kickOutBtn:getId()['uname'])
														    dump(data)
														    --刷新
														    HTTP:call("fubenroom", "getRoomData", {rid = self.presentRoomID}, {
																	success_callback = function(roomData)
																			dump(roomData)
																												
																			roomLayer:removeFromParentAndCleanup(true)
																			roomLayer = self:drawRoomDetailLayer(roomData)
																			self.baseLayer:addChild(roomLayer)
																	end
																})

														end
													})
											end})
									bg:addChild(okBtn:getLayer())

								 	--关闭按钮
								    local close = KNBtn:new(COMMONPATH, {"back_img.png","back_img_press.png" }, 0 , 210 , {
											priority = multiFbPriorityValue-2,
											scale = true,
											callback = function()
												
												mask:remove()

											end})
									bg:addChild(close:getLayer())

								 	mask = KNMask:new({item = tempLayer, click = function(x, y)  end,priority= multiFbPriorityValue-1})

								 	roomLayer:addChild(mask:getLayer())


							
						end})
				 itemBg:addChild(kickOutBtn:getLayer())

		     end
		 else  --如果登录用户不是房主,组员只在本item显示退出
             if v['uid'] == DATA_User:get("uid") then
             	local exitBtn = KNBtn:new(COMMONPATH, {"btn_bg.png" , "btn_bg_pre.png" }, 335 , 40 , {
						priority = multiFbPriorityValue,
						scale = true,
						front = PATH .. "exit.png",
						callback = function()

									HTTP:call("fubenroom", "leaveRoom", {rid = self.presentRoomID}, {
															success_callback = function(data)
															    print("leave room "..self.presentRoomID)
															    KNMsg:getInstance():flashShow("已离开房间")
															    dump(data)

															     HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
																			success_callback = function(roomData)
																			    dump(roomData)
																			    roomLayer:removeFromParentAndCleanup(true)
																			    local roomListLayer =  self:enterRoomListWithFbType(FBTYPE_SKILL,roomData)
																				self.baseLayer:addChild(roomListLayer)
																				

																			end
																		})
															end,
																error_callback = function ( data )
																	KNMsg:getInstance():flashShow(data['msg'])
																	 HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
																				success_callback = function(roomListData)
																				    dump(roomListData)
																				    roomLayer:removeFromParentAndCleanup(true)
																				    local roomListLayer =  this:enterRoomListWithFbType(FBTYPE_SKILL,roomListData)
																					this.baseLayer:addChild(roomListLayer)
																					

																				end
																			})

															end
														})

									 
							
						end})
				 itemBg:addChild(exitBtn:getLayer())
             end

		 end

    	
    end

    --房主才有
    if DATA_User:get("uid") == roomData['leader'] then  
    		--邀请按钮，房主才有
		    local yaoQingBtn = KNBtn:new(COMMONPATH, {"long_btn.png" , "long_btn_pre.png" }, 50 , 35 , {
					priority = multiFbPriorityValue,
					scale = true,
					front = PATH .. "yaoQingFriend.png",
					callback = function()
							HTTP:call("friends","get",{},{success_callback=function()
									GLOBAL_YAOQING_ROOM_ID=self.presentRoomID
									pushScene("friend",{type="fromMultiFb", noNavigation=true, priority = -160, closeFun = function() popScene() end})
								end})
						
					end})
			roomDetailLayer:addChild(yaoQingBtn:getLayer())
		       
			
		    --开始按钮，房主才有
		    local startBtn = KNBtn:new(COMMONPATH, {"long_btn.png" , "long_btn_pre.png" }, 310 , 35 , {
					priority = multiFbPriorityValue,
					scale = true,
					front = PATH .. "start.png",
					callback = function()

							HTTP:call("fuben", "start", {rid=self.presentRoomID}, {
								 	success_callback = function()
								 		HTTP:call("fuben", "getInfo", { }, {
								 			success_callback = function(data)
								 				switchScene("multiwar", data)
								 			end
								 		})
								 	end})

						
					end})
			roomDetailLayer:addChild(startBtn:getLayer())
	end

	return roomDetailLayer
	
end


function M:activeRoom( )
	
end


--socket通知刷新

function M:socketRefershRoomLayer(socketData)
        if self.presentRoomID ~= nil and self.presentRoomID ~= "" then
			HTTP:call("fubenroom", "getRoomData", {rid = self.presentRoomID}, {
				success_callback = function(roomData)
						dump(roomData)
															
						roomLayer:removeFromParentAndCleanup(true)
						roomLayer = self:drawRoomDetailLayer(roomData)
						self.baseLayer:addChild(roomLayer)
				end
			})	
		end

		if socketData['status'] == 'enterRoom' then
			KNMsg:getInstance():flashShow("玩家\""..socketData['username'] .. "\",进入房间")
		elseif socketData['status'] == 'leaveRoom' and socketData['leaderID'] == DATA_User:get('uid') then
			KNMsg:getInstance():flashShow("房主\""..socketData['username'] .. "\",离开，您成为新的房主")
		else
			KNMsg:getInstance():flashShow("玩家\""..socketData['username'] .. "\",离开房间")
		end

end

--玩家被踢出，界面刷新
function M:socketKickedPlayer( )
	self:hideKeyBoard()	
	HTTP:call("fubenroom", "getRoomList", {page =1, pagesize=10,full=1}, {
					success_callback = function(roomListData)
						 dump(roomListData)
						 KNMsg:getInstance():flashShow("您已被房主踢出房间")
						 roomLayer:removeFromParentAndCleanup(true)
						 local roomListLayer = self:enterRoomListWithFbType(FBTYPE_SKILL,roomListData)
					     self.baseLayer:addChild(roomListLayer)

			end
		})
					
end
function M:hideKeyBoard()
	if self.talkLayer then
		self.talkLayer:stopKeyBoard(true)
	end
end

function M:getLayer(  )
	
	return self.baseLayer
end
return M