local CREATE,ALL,TIME,STATE,GOLD = 0,1,2,3,4
local PATH = IMG_PATH.."image/scene/strengthen/"
local SCENECOMMON = IMG_PATH.."image/scene/common/"
--[[英雄模块，首页点击英雄图标进入]]
local InfoLayer = requires(IMG_PATH,"GameLuaScript/Scene/common/infolayer")--require "GameLuaScript/Scene/common/infolayer"
local KNBtn = requires(IMG_PATH,"GameLuaScript/Common/KNBtn")--require "GameLuaScript/Common/KNBtn"
local KNRadioGroup = requires(IMG_PATH,"GameLuaScript/Common/KNRadioGroup")--require "GameLuaScript/Common/KNRadioGroup"
local ProConfig = requires(IMG_PATH,"GameLuaScript/Config/Property")
local KNSlider = requires(IMG_PATH, "GameLuaScript/Common/KNSlider")
local Money = requires(IMG_PATH, "GameLuaScript/Config/data_equipstrongconfig")
local Value = requires(IMG_PATH, "GameLuaScript/Config/data_equipattr")
local limit = requires(IMG_PATH, "GameLuaScript/Config/equipstrongmax")
local KNMask = requires(IMG_PATH,"GameLuaScript/Common/KNMask")
local baseElement = requires(IMG_PATH , "GameLuaScript/Scene/common/baseElement")

local isQuench = false	--是否是淬炼
local quenchOffY = 0	--淬炼Y坐标偏移
local quenchCost = nil	--淬炼配置数据
local propElement = { ["4"] = "16090" , ["5"] = "16090"}	--淬炼石
local star = nil	--当前选中星级
local quenchNum = 0 --淬炼次数
local vipConfig , curID

local StrengthenLayer = {
	baseLayer,
	layer,
	infoLayer,
	tabGroup,  --标签栏组
	iconGroup, --栏目中子项按钮选择组
	iconScroll, --按钮滑动组件
	timeText,  --需要时间
	fireState, --火焰
	gold,         --升级需要金币
	strenInfo,  --强化的信息显示层
	furnaceLayer, -- 火炉层
	scheduleHandler,
	startTime,
	account,   --当前账户
	slider,
	num ,     --升级数
	money,  --钱数
	next,
	value
	
	
}

-- local zhenfaHide=nil

function StrengthenLayer:new(param)

	-- if param.zhenfaHide then 
	-- 	zhenfaHide=param.zhenfaHide
	-- end 



	local this = {}
	setmetatable(this,self)
	self.__index  = self
	
	-- HTTP:call("shop","cuilian_config",{} , {
	-- 	success_callback = function( tempData )
	-- 		vipConfig = tempData
	-- 	end
	-- })
	
	vipConfig=param['vipConfig']
	-- dump(vipConfig)

	local targetID = param.targetID
	isQuench = param.isQuench or ( ( DATA_User:get("lv") >= 50 and DATA_Bag:isQuench( targetID ) ) and true or  false   ) --是否是淬炼
	
	quenchOffY = isQuench and -60 or 0
	local restOffX = isQuench and -41 or 0 
	local restOffY = isQuench and 23 or 0 
	local costOffX = isQuench and 16 or 0 
	local costOffY = isQuench and 23 or 0 
	
	this.baseLayer = display.newLayer()
	this.layer = display.newLayer()
	this.num = 1
	
	this.restStone = display.strokeLabel("",113 + costOffX , 140 + costOffY , 20 , ccc3( 0x2c , 0x00 , 0x00 ) )	--花费银两
	this.costStone = display.strokeLabel("",343 + costOffX , 140 + costOffY , 20 , ccc3( 0x2c , 0x00 , 0x00 ) )	--花费银两

	
	local info_layer = InfoLayer:new("strength", 0, {tail_hide = true, title_text = PATH..( isQuench and "quench_title.png" or "strong.png"), closeCallback = function()
			popScene()
			if param.main then
				param.main[1]:createLayer(param.main[2], param.main[3])
			end
		 end})


	local bg = display.newSprite(SCENECOMMON.."bg.png")
	local title = display.newSprite(SCENECOMMON.."cbox.png")
	local tabBg = display.newSprite(COMMONPATH.."dark_bg.png")
	local titleBg 
	if isQuench and CHANNEL_GROUP=="tmsj" then
		titleBg=display.newSprite(PATH.. "strenCuiLian_title.png")
	else
		titleBg=display.newSprite(PATH.. "stren_title.png")
	end
	setAnchPos(bg)
	setAnchPos(title,240,585,0.5)
	setAnchPos(tabBg, 0,425, 0,0.5)
	setAnchPos(titleBg,240,100,0.5)

	this.layer:addChild(tabBg)
	--创建标签栏
	local tab = {
		{"weapon",10},
		{"defender",100},
		{"shoe",190},
		{"jewelry",280},
	}
	this.tabGroup = KNRadioGroup:new()

	local tab_btns = {}
	for i,v in pairs(tab) do
		local temp = KNBtn:new(COMMONPATH.."tab/",{"tab_star_normal.png","tab_star_select.png"},v[2],690,{
				id = v[1],
				front = {COMMONPATH.."tab_strength/".."tab_"..v[1].."_normal.png",COMMONPATH.."tab_strength/".."tab_"..v[1]..".png"},
				callback=function()
					this.layer:removeChild(this.strenInfo,true)
					this:createTab(v[1])
				end
			},this.tabGroup)
		this.layer:addChild(temp:getLayer())

		tab_btns[i] = temp
	end
	this.layer:addChild(titleBg)
	this.layer:addChild(title)
	
	local cur_bg = display.newSprite(PATH.."cur_bg.png", 355,320 + quenchOffY ,0.5 , 0 )
	cur_bg:setScaleY(0.6)
	cur_bg:setFlipX(true)
	this.layer:addChild(cur_bg)
	local up_bg = display.newSprite(PATH.."up_bg.png",40,320 + quenchOffY, 0 , 0 )
	up_bg:setScaleY(0.6)
	this.layer:addChild(up_bg)

	this.layer:addChild(display.newSprite(COMMONPATH.."next.png" , 230, 310+10 + quenchOffY , 0 , 0 ))
	this.layer:addChild( display.newSprite(PATH.."cur_text.png" , 80, 340+10 + quenchOffY, 0 , 0 ) )--当前属性
	this.layer:addChild(display.newSprite(PATH..( isQuench and "up_text2.png" or "up_text.png" ), 320, 340+10 + quenchOffY, 0 , 0))--下级属性
	this.layer:addChild(display.newSprite(PATH.."dress_text.png", 50,550, 0 , 0 ))--佩戴英雄
	
	local strenBtn = KNBtn:new(COMMONPATH,{"btn_bg_red.png", "btn_bg_red_pre.png"} , ( isQuench and 268 or 180 ) , 110 , {
			scale = true,
			front = COMMONPATH..( isQuench and "quenching.png" or "strengthen.png"),
			callback = function()
				if this.iconGroup:getChooseBtn() then
				
					if isQuench then
						local mask = KNMask:new({ priority = -133 ,	opacity = 0 })

						if not quenchCost then
							KNMsg.getInstance():flashShow("已达" .. replaceStr( "淬炼" ) .. "上限！" )
							return
						end
--						--淬炼
						if quenchCost[ "silver" .. star ] > tonumber(DATA_Account:get("silver")) then
							KNMsg.getInstance():flashShow( "对不起，您的" .. replaceStr( "银两" ) .. "不足，无法" .. replaceStr( "淬炼" ) )
							return
						end

						--[[
						if quenchNum >= ( DATA_User:get("lv") - 50 ) then 
							KNMsg.getInstance():flashShow( replaceStr( "淬炼" ) .."等级不能超过" .. replaceStr( "主公" ) .. "等级减去50级" )
							return
						end
						]]
						
						if DATA_Bag:getTypeCount( "prop" , propElement[ star .. "" ] ) < tonumber(this.costStone.getString()) then
							self:buyStone( { star = star , buyFun = function() this:createInfo( curID ) end } )
							--KNMsg.getInstance():flashShow("对不起，您的" .. getConfig( "prop" , propElement[ star .. "" ] , "name" ).. "不足，无法" .. replaceStr( "淬炼" ) )
							return
						end
						
						
						local isData = false	--是否有数据回来
						local isFirst = true 	--是否第一执行动画
						local addData = nil		--是否有英雄加成
						
						local scene = display.getRunningScene()
						local effBg , eff  = nil , nil 
						local sprite
						local frames = display.newFramesWithImage( PATH.."quench_eff.png" , 15)
						sprite = display.playFrames(0,0,frames,0.1,
							{
								onComplete = function()
									sprite:removeFromParentAndCleanup( true )
									sprite = nil
								end
							}
						)
						setAnchPos( sprite ,display.cx , display.cy + (CHANNEL_GROUP=="tmsj" and 40 or 0), 0.5 , 0.5 )
						scene:addChild( sprite )
						scene:addChild( mask:getLayer() )
						
						--弹出淬炼额外英雄结果
						local function popAddMsg( )
							local tempLayer = baseMask( {  titlePath = PATH .. "quench_complete_title.png" , isConfirm = true , isShowBack = true , priority = -129 } )
							tempLayer:addChild( display.newSprite( PATH .. "add_tip.png" , display.cx , 490 , 0.5 , 0 ) )
							
							tempLayer:addChild( display.strokeLabel( getConfig( "general", addData.gid, "name") , 100 , 454 , 20 , ccc3( 0xb2 , 0x1e , 0x1e ) , nil , nil , {
														dimensions_width = 100 ,
														dimensions_height = 24,
														align = 1
													}) )
							tempLayer:addChild( display.strokeLabel(  ProConfig[addData.attr] .. "    +" .. addData.num , 218 , 454 , 20 , ccc3( 0x00 , 0x00 , 0x00 ) ) )
													
							this.num = 1
							-- dump("FIRST")
							this:createInfo(this.iconGroup:getId())
						end
						
						local function actionFun()
							if isFirst then
								isFirst = false
							else
								if isData then
									transition.stopTarget( eff ) 
									if mask then
										mask:remove()
										mask = nil
									end
									if eff then
										eff:removeFromParentAndCleanup( true )
										eff = nil
									end
									if effBg then
										effBg:removeFromParentAndCleanup( true )
										effBg = nil 
									end
									
									if addData then popAddMsg()  end
									return
								end
							end
							
							transition.rotateTo( eff, { time = 1 , angle = 720 , onComplete = actionFun})
						end
						
						local actionAry = CCArray:create()
						actionAry:addObject( CCDelayTime:create( 1 ) )
						actionAry:addObject( CCCallFunc:create( 
							function() 
								eff = display.newSprite(PATH .. "quench_eff_bg2.png" , display.cx   , display.cy + (CHANNEL_GROUP=="tmsj" and 40 or 0) , 0.5 , 0.5 )
								scene:addChild( eff )
								effBg = display.newSprite(PATH .. "quench_eff_bg1.png" , display.cx  , display.cy + (CHANNEL_GROUP=="tmsj" and 40 or 0)  , 0.5 , 0.5 )
								scene:addChild( effBg )
								actionFun()
							end ))
							
						this.layer:runAction( CCSequence:create( actionAry ) )
						
						HTTP:call("equip","cuilianup",{ id = this.iconGroup:getId() ,add_lv=cuiLianAddLv } , {
							no_loading = true ,
							error_callback = function(err)
								KNMsg.getInstance():flashShow("[" .. err.code .. "]" .. err.msg)	-- 弹出错误文字提示
								isData = true
								if mask then
									mask:remove()
									mask = nil
								end
							end , 
							success_callback = function( tempData )
								isData = true
								tempData = tempData
--								tempData.cl_add = { attr = "def" , gid = "1510" , num = 38 }
								
								if  tempData.cl_add and table.nums( tempData.cl_add ) > 0  then
									addData = tempData.cl_add
								else
									KNMsg.getInstance():flashShow( replaceStr( "淬炼" ) .. "成功")
									this.num = 1
									-- dump("CC")
									this:createInfo(this.iconGroup:getId())
								end
							end
						})
						
					else
						--强化
						if tonumber(DATA_Account:get("silver")) < this.money then
							KNMsg.getInstance():flashShow("对不起，您的银两不足，无法强化")
							return
						end
	
						HTTP:call("equip","equipup",{id = this.iconGroup:getId(), uplv = this.num} , {
							success_callback = function()
								KNMsg.getInstance():flashShow("强化成功")
								this.num = 1
								-- dump("291")
								this:createInfo(this.iconGroup:getId())
							end
						})
					end
					
				else
					KNMsg.getInstance():flashShow("请选择需要" .. ( isQuench and "淬炼" or "强化" ) .. "的装备")
				end
			end
		})
	this.layer:addChild(strenBtn:getLayer())
	
	
	if isQuench then
		this.layer:addChild( KNBtn:new( COMMONPATH ,{"btn_bg_red.png", "btn_bg_red_pre.png"} , 60  , 110 , {
										scale = true,
										front = PATH .. "buy_text.png" ,
										callback = function()
											-- dump("310")
											this:buyStone( { star = star , buyFun = function() this:createInfo( curID ) end } )
										end}):getLayer())
	end
	
	
	
	this.dressHero = display.strokeLabel("", 140,550,20)	--英雄名字
	this.layer:addChild( this.dressHero )
	
	
	this.layer:addChild( display.newSprite( ( isQuench and PATH .. "stove.png" or  COMMONPATH.."circle.png" ), 240,353, 0.5 , 0 ) )--炉子
 	

	this.layer:addChild(display.newSprite(PATH.."rest.png" ,80 + restOffX ,165 + restOffY , 0 , 0))	--剩余
	this.layer:addChild(display.newSprite(COMMONPATH.."silver.png" ,135 + restOffX ,165 + restOffY  , 0 , 0 ))
	this.account = display.strokeLabel( DATA_Account:get("silver").."" , 170 + restOffX , 168 + restOffY , 20 , ccc3( 0x2c , 0x00 , 0x00 ) )--剩余两数
	this.layer:addChild(this.account)
	

	this.layer:addChild(display.newSprite(PATH.."coast.png" , 250 + costOffX , 167 + costOffY , 0 , 0 ))--花费
	this.layer:addChild(display.newSprite(COMMONPATH.."silver.png" , 305 + costOffX , 165 + costOffY , 0 , 0 ))
	this.value = display.strokeLabel("",340 + costOffX , 168 + costOffY , 20 , ccc3( 0x2c , 0x00 , 0x00 ) , 2)	--花费银两
	this.layer:addChild( this.value )
	
	this.cur = display.strokeLabel( "" , 130 - 88 , 310 +10+ quenchOffY - 25 , 18, ccc3( 0xff , 0xfb , 0xd4 ) , nil , nil , {
					dimensions_width = 169 ,
					dimensions_height = 53,
					align = 1
				} )
	this.layer:addChild( this.cur )	
	
	this.next = display.strokeLabel( "" , 360 - 88  , 310 +10+ quenchOffY - 25 , 18 , ccc3( 0xff , 0xfb , 0xd4 ) ,nil , nil , {
					dimensions_width = 169 ,
					dimensions_height = 53,
					align = 1
				})
	this.layer:addChild( this.next )	
	
	
	
	this.tabGroup:chooseById(DATA_Bag:get("equip",targetID,"type"),true)
	this.iconGroup:chooseById(targetID , true)
	

	
	if isQuench then
		this.layer:addChild( this.restStone )
		this.layer:addChild( this.costStone )
	else
		-- 新手引导(3次)
		local guide_step = KNGuide:getStep()
		if guide_step == 205 or guide_step == 15103 then
			KNGuide:show( strenBtn:getLayer() , {
				callback = function()
					if KNGuide:getStep() == 15104 then
						KNGuide:show( tab_btns[2]:getLayer() , {
							callback = function()
								KNGuide:show( strenBtn:getLayer() , {
									callback = function()
										KNGuide:setStep(15110)
										info_layer:refreshBtn()
									end
								})
							end
						})
					else
						KNGuide:setStep(208)
						info_layer:refreshBtn()
					end
				end
			})
		end
		--[[
		local guide_step = KNGuide:getStep()
		if guide_step == 205 or guide_step == 15103 then
			KNGuide:show( strenBtn:getLayer() , {
				callback = function()
					KNGuide:show( strenBtn:getLayer() , {
						callback = function()
							KNGuide:show( strenBtn:getLayer() , {
								callback = function()
									if KNGuide:getStep() == 15106 then
										KNGuide:show( tab_btns[2]:getLayer() , {
											callback = function()
												KNGuide:show( strenBtn:getLayer() , {
													callback = function()
														KNGuide:show( strenBtn:getLayer() , {
															callback = function()
																KNGuide:show( strenBtn:getLayer() , {
																	callback = function()
																		info_layer:refreshBtn()
																	end
																})
															end
														})
													end
												})
											end
										})
									else
										info_layer:refreshBtn()
									end
								end
							})
						end
					})
				end
			})
		end
		]]
		this.tabGroup:chooseById(DATA_Bag:get("equip",targetID,"type"),true)
		this.iconGroup:chooseById(targetID , true)
		
	--	this:createFurnace(CREATE)
		
	--划动强化条	
	
		
		--增减按钮
		local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 365 , 200, {
			scale = true,
			priority = -130,
			callback = function()
				if this.num < 10 then
					this.num = this.num + 1
					this.slider:setValue(this.num)
				end
			end
		})
		
		local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} ,80 , 200 ,{
			scale = true,
			priority = -130,
			callback = function()
				if this.num > 1 then
					this.num = this.num - 1
					this.slider:setValue(this.num)
				end
			end
		})
		minusBtn:setFlip(true)
		
		addBtn:getLayer():setScale( 0.9 )
		minusBtn:getLayer():setScale( 0.9 )
		this.layer:addChild(addBtn:getLayer())
		this.layer:addChild(minusBtn:getLayer())
	end
	
	this.layer:addChild(display.newSprite(COMMONPATH.."tab_line.png" , 5, 685 , 0 , 0 ))--分隔线
	this.baseLayer:addChild(bg)
	this.baseLayer:addChild(info_layer:getLayer(),1)
	this.baseLayer:addChild(this.layer)	
	
	return this
end

	--每一栏信息
 function StrengthenLayer:createTab(type)
	if self.infoLayer then
		self.layer:removeChild(self.infoLayer,true)
	end
	self.infoLayer = display.newLayer()
	self.iconGroup = KNRadioGroup:new()
	self.iconScroll = KNScrollView:new(60,575,360,100,10,true,0,{turnBtn=COMMONPATH.."next.png"})

	--装备排序规则
	local function equipRule(l, r)
		local lValue = DATA_ROLE_SKILL_EQUIP:getRoleId(tonumber(l),"equip")
		local rValue = DATA_ROLE_SKILL_EQUIP:getRoleId(tonumber(r),"equip")
		
		--通过武将的id获取其所在阵位加权处理，第一位权值最大
		_,lValue = DATA_Formation:checkIsExist(tonumber(lValue))
		_,rValue = DATA_Formation:checkIsExist(tonumber(rValue))
		
		lValue = (9 - (lValue or 9)) * 10000
		rValue = (9 - (rValue or 9)) * 10000
		
		--按照星级排序,同星级按等 级排序
		lValue = lValue + DATA_Bag:get("equip", l, "star") * 500 + DATA_Bag:get("equip", l, "lv")
		rValue = rValue + DATA_Bag:get("equip", r, "star") * 500 + DATA_Bag:get("equip", r, "lv")
		
		return lValue > rValue
	end

	-- dump(type)
	
	local items = DATA_Bag:getTable("equip", type)
	-- dump(items)
	
	local tempItems = {}
	for key , v in pairs( items ) do
		if DATA_Bag:isQuench( v.id ) == isQuench then	--区分淬炼强化数据
			tempItems[ v.id .."" ] = v 
		end
	end
	-- dump(tempItems)
	items = tempItems
	-- dump(items)

	
	local result = getSortList(items, equipRule)
	-- dump(result)
	local pos = 0 --元素所在的位置
	local temp,state
	-- dump(result)
	for i,v in pairs(result) do

		-- dump(i)
		-- dump(v)

		pos = pos + 1
		local p = pos --需要新定义一个变量，记录当前位置

		v = tonumber(v)
		-- dump(v)
		temp = KNBtn:new(SCENECOMMON,{"skill_frame1.png", "select1.png"},0,0,
			{
				id = v,
				upSelect = true ,
				selectZOrder = 12,
				parent = self.iconScroll,
				front = getImageByType(DATA_Bag:get("equip", v, "cid"),"s"),
				noHide = true,
				callback = function()
					self.num = 1
					-- dump("524")
					-- dump(v)
					-- v=150
					self:createInfo(v)
					self.iconScroll:scrollTo(v)
				end,
			},self.iconGroup)
		
		self.iconScroll:addChild(temp:getLayer(),temp)
	end

	if pos == 0 then
		self.iconGroup:cancelChoose()
	else
		self.iconGroup:chooseByIndex(1 , true)
	end	
	self.iconScroll:alignCenter()
	self.infoLayer:addChild(self.iconScroll:getLayer())
	self.layer:addChild(self.infoLayer)
end

--每件装备的强化信息
function StrengthenLayer:createInfo(id, setText)
	
	curID = id
	
	star = DATA_Bag:get("equip", id, "star")
	
	local lv = DATA_Bag:get("equip", id, "lv")
	local kind = getConfig("equip", DATA_Bag:get("equip", id, "cid"), "type")
	local init = getConfig("equip", DATA_Bag:get("equip", id, "cid"), "initial")
	
	if self.slider then
		self.layer:removeChild(self.slider, true)
	end


	if self.strenInfo then
		self.layer:removeChild(self.strenInfo,true)
	end
	self.strenInfo = display.newLayer()
	local fixY,fixTextY =-45,-30

	if isQuench and CHANNEL_GROUP=="tmsj" then
		fixY=-10
		fixTextY=-70
	elseif isQuench and CHANNEL_GROUP~="tmsj" then
		fixY=-45
		fixTextY=-30
	else
		fixY=0
		fixTextY=0
	end
	
	local btn = KNBtn:new(SCENECOMMON,{"skill_frame1.png"},208 , 440 + fixY, {
		text = {{DATA_Bag:get("equip",id,"name").."  Lv"..DATA_Bag:get("equip",id,"lv"),14,nil,ccp(0,-50 +fixTextY )}},
		front = getImageByType(DATA_Bag:get("equip",id,"cid"),"s")
	})
	self.strenInfo:addChild(btn:getLayer())
	
	
	local num = getConfig("equip", DATA_Bag:get("equip", id, "cid"), "star")
	for i = 1, num do
		local star = display.newSprite(COMMONPATH.."star.png")
		star:setScale(0.8)
		setAnchPos(star, 240 - (num * 30 * 0.8) / 2 + (i - 1) * 30 * 0.8 , 390 + ( isQuench and -30 or 0 ) )
		self.strenInfo:addChild(star)
	end
	
	
	local name_str = "无人装备"

	if DATA_ROLE_SKILL_EQUIP:getRoleId(id, "equip") then
		name_str = DATA_Bag:get("general",DATA_ROLE_SKILL_EQUIP:getRoleId(id, "equip"),"name")
	else 
		if G_zhenfa_equip~=nil and table.nums(G_zhenfa_equip)~=0 then 
			for key , v in pairs(G_zhenfa_equip) do
				for key1,v1 in pairs(v) do
					if v1.id == id then
						name_str=getConfig(getCidType(v1.cid),v1.cid, "name")
						break
					end
				end 
			end
		end
	end 
	self.dressHero:setString(name_str)
	
	
	--更新账户信息
	self.account:setString(DATA_Account:get("silver").."")

	self.layer:addChild(self.strenInfo)
	

	if isQuench then
		quenchNum =  tonumber( DATA_Bag:get("equip", id, "clv")	)  --淬炼次数
		local clequipConfig = getConfig( "clequip" )[star] 
		local curStr , newStr ="" , ""
		local nextLv = quenchNum + 1
		local covStr = ProConfig[DATA_Bag:get("equip",id,"effect")]	--转中文
		local addCoefficient = tonumber(clequipConfig[ DATA_Bag:get("equip",id,"type").. "" ])	--单次加成系数
		if quenchNum <= 0 then
			curStr = "Lv0  " .. covStr ..":+0"  
		else
			curStr = "Lv" .. quenchNum .. "  " .. covStr ..":+" .. math.round( quenchNum * addCoefficient ) 
		end
		
		quenchCost = getConfig( "clexpend" )[ nextLv .. "" ] 
		quenchAllCost= getConfig( "clexpend" ) --所有等级淬炼花费表
		if nextLv >= vipConfig['max_lv'] then
			newStr = "已达".. replaceStr( "淬炼") .. "上限"
		else
			newStr = "Lv" .. nextLv .. "  " .. covStr ..":+" .. math.round( nextLv * addCoefficient )
		end
		
		self.cur:setString( curStr )
		self.next:setString( newStr )
		
		self.value:setString( quenchCost and quenchCost[ "silver" .. star ] or 0 )
		
		self.restStone:setString( DATA_Bag:getTypeCount( "prop" , propElement[ star .. "" ] ) )
		self.costStone:setString( quenchCost and  quenchCost[ "enchant" .. star  ] or 0 )
		
		self.strenInfo:addChild(display.newSprite(PATH.."stone" .. star .. ".png" ,100 ,163  , 0 , 0))	--剩余
		self.strenInfo:addChild(display.newSprite(PATH.."stone" .. star .. ".png" ,327 ,163  , 0 , 0))	--花费

		local cuiLianSliderValue = nextLv--滑动条初始值
		cuiLianAddLv=cuiLianSliderValue-quenchNum --淬炼等级增量
		local costSliver=0
		local costCuiLianStone = 0

		local function changeCuiLianSliderValue(_curIndex  )
			if cuiLianSliderValue~= _curIndex then
				
				cuiLianSliderValue=_curIndex
				cuiLianAddLv=cuiLianSliderValue-quenchNum
				for i=quenchNum+1,cuiLianSliderValue do
					 costSliver =costSliver+quenchAllCost[i..'']["silver"..star]
					 costCuiLianStone=costCuiLianStone+quenchAllCost[i..'']["enchant" .. star ]
					 --print(costSliver)
					 
				end
				
				self.value:setString(costSliver)
				self.costStone:setString(costCuiLianStone )
				self.next:setString("Lv" .. cuiLianSliderValue .. "  " .. covStr ..":+" .. math.round( cuiLianSliderValue * addCoefficient ) )

				costSliver=0
				costCuiLianStone=0
			end
			
		end 

		--超过淬炼的上限
		if cuiLianSliderValue > vipConfig['max_lv'] then
			cuiLianSliderValue= vipConfig['max_lv']
		end

		local slider = KNSlider:new( "buy" ,  {
			x = 150, 
			y = 546+60, 
			minimum = cuiLianSliderValue , 
			maximum = vipConfig['max_lv'], 
			value = 1 ,
			priority = -160, 
			callback  = function( _curIndex )

				changeCuiLianSliderValue(_curIndex)

				
			end
			
		})
		self.strenInfo:addChild(slider)
		

		--增减按钮
		local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} ,  128+250 ,  275-60  , {
			scale = true,
			priority = -130,
			callback = function()
				if slider:getValue()<vipConfig['max_lv'] then
					slider:setValue( slider:getValue()+1 )
					
				end

			end
		})
		addBtn:getLayer():setScale(0.8)
		self.strenInfo:addChild(addBtn:getLayer())
		local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , 90 ,  275-60  ,{
			scale = true,
			priority = -130,
			callback = function()
				if slider:getValue()> quenchNum+1 then
				 	 slider:setValue( slider:getValue()-1 )
				   
				end

			end
		})
		minusBtn:setFlip(true)
		minusBtn:getLayer():setScale(0.8)
		self.strenInfo:addChild(minusBtn:getLayer())


	else
		self.cur:setString( "Lv"..lv.." "..ProConfig[DATA_Bag:get("equip",id,"effect")]..":+"..DATA_Bag:get("equip",id,"figure") )
		self.next:setString( "Lv"..(lv + self.num).." "..ProConfig[DATA_Bag:get("equip",id,"effect")]..":+"..math.round((init + (lv + self.num - 1) * Value[star..""][kind])) )
		self.value:setString( Money[lv + self.num][star] - Money[tonumber(lv)][star] )
		--划动条
		self.slider = KNSlider:new( "buy" ,  {
			x = 136 , 
			y = 620, 
			minimum = 1 , 
			maximum = math.min(10,(limit[star]["levmax"] - lv), DATA_User:get("lv") * 2 - DATA_Bag:get("equip", id, "lv"), #Money - DATA_Bag:get("equip", id, "lv") ), 
			value = 1 , 
			callback  = function( _curIndex )
				self.num = _curIndex
				if self.num == 0 then
					self.num = 1
				end
				if self.next and self.value then
					self.next:setString("Lv"..(lv + self.num).." "..ProConfig[DATA_Bag:get("equip",id,"effect")]..":+"..math.round((init + (lv + self.num - 1) * Value[star..""][kind])))
					self.money = Money[lv + self.num][star] - Money[tonumber(lv)][star]
					self.value:setString(self.money)		
				end
			end,
			priority = -140
		})
		self.layer:addChild( self.slider )
		--默认最大值
		self.slider:setValue(math.min(10,(limit[star]["levmax"] - lv), DATA_User:get("lv") * 2 - DATA_Bag:get("equip", id, "lv"), #Money - DATA_Bag:get("equip", id, "lv") ))
	end
	setAnchPos( self.strenInfo , 0 , 0 , 0 , 0 )
end
--弹出购买淬炼石
function StrengthenLayer:buyStone( params )
	params = params or {}
	local star = params.star
	local baseX , baseY= display.cx , display.cy - 28
	local num = 1 
	local costGold , costSilver
	
	local mask = baseMask( {isShowBack = { x = 35 , y = 620 } ,  bgInfo = { path = IMG_PATH .. "image/scene/mission/" .. "wipe_bg.png",  y = 308 } } )
	local maxBuyNum = tonumber( vipConfig["max_star"] )
	
	
--	local maxBuyNum = tonumber( vipConfig["max_star"] ) - tonumber( vipConfig["config"]["has_buy"]["star" .. star] )
--	-- 规则
--	local str = "报告大王，您的" .. star .. "星淬炼石已经不足啦 ！您是VIP" .. DATA_Vip:get( "viplv" ) .. "今天还可购买" .. maxBuyNum  .. "个" .. star .. "星淬炼石"
--	local tipText = display.strokeLabel( str, 50 , 555 , 20 , ccc3( 0xd8 , 0x22 , 0x21 ), nil, nil,
--	{
--		dimensions_width = 379,
--		dimensions_height = 90,
--		align = 1,
--	}) 
--	mask:addChild( tipText )
	
	mask:addChild( display.newSprite( IMG_PATH .. "image/scene/activity_new/custom_bg3.png" , display.cx , 432 , 0.5 , 0 ) )
	--mask:addChild( display.newSprite( PATH .. "buy_text" .. star .. ".png" , 180 - 60  , 546 , 0 , 0 ) )
	mask:addChild( display.newSprite( PATH .. "cuilian_text.png" , 180 - 20, 507 , 0 , 0 ) )
--	mask:addChild( display.newSprite( COMMONPATH  .. "gold.png" , 122 - 34 , 389 - 50 , 0 , 0 ) )
	mask:addChild( display.newSprite( COMMONPATH  .. "silver.png" , 215 + 60 , 389 - 50 , 0 , 0 ) )
--	mask:addChild( display.newSprite( PATH  .. "surplus_text.png" , 70 , 392 , 0 , 0 ) )
--	mask:addChild( display.newSprite( PATH  .. "cost_text.png" , 160 , 392 , 0 , 0 ) )
	local numBg = display.newSprite( IMG_PATH.."image/scene/shop/num_bg.png" , baseX + 116 - 83  , baseY + 150  , 0 , 0.5 )
	numBg:setScaleX( 1.5 )
	mask:addChild( numBg )
	
	
	--当前剩余黄金
--	local surplusGold = display.strokeLabel( DATA_Account:get("gold") , 153 , 391 , 20 , ccc3(0x2c , 0x00 , 0x00 ) )	
--	mask:addChild(surplusGold)


	--消耗银两
	local silverPriceText = display.strokeLabel( vipConfig["price"]  , 246 + 60-100 , 391 - 50  , 20 , ccc3(0x2c , 0x00 , 0x00 ) )
	mask:addChild(silverPriceText)
	--消耗黄金
--	local goldPriceText = display.strokeLabel( vipConfig[ "star" .. star ]["price"]  , 122 + 60 - 34 - 28  , 391 - 50  , 20 , ccc3(0x2c , 0x00 , 0x00 ) )
--	mask:addChild(goldPriceText)
	
	--数量文本
	local numText = display.strokeLabel( 1 .. "" , baseX + 116 - 73 , baseY + 130 , 20 , ccc3(0xff , 0xfb , 0xd5 ) , nil , nil , { dimensions_width = 36 , dimensions_height = 30 ,align = 1 } )
	mask:addChild(numText)
	
	--当前剩余多少个
	local cur =  display.strokeLabel( DATA_Bag:cidNum( propElement[ star .. "" ] ) , baseX + 116 - 73 , baseY + 109 , 20 , ccc3(0xff , 0xfb , 0xd5 ) )
	mask:addChild(cur)
	
	--修改数值
	local function changeValue()
		numText:setString( num )
		costSilver = num * tonumber( vipConfig["price" ] )
		silverPriceText:setString( costSilver  )
		
--		costGold = num * tonumber( vipConfig["price" ] )
--		goldPriceText:setString( costGold  )
		
--		local surplusNum = DATA_Account:get("gold") - costGold
--		if surplusNum < 0 then
--			surplusNum = 0
--		end
--		surplusGold:setString( surplusNum  )
	end
	
--划动条
	local slider = KNSlider:new( "buy" ,  {
		x = baseX - 106 , 
		y = baseY - 22, 
		minimum = 1 , 
		maximum = maxBuyNum , 
		value = 1 , 
		callback  = function( _curIndex )
			num = _curIndex
			changeValue()
		end,
		priority = -140
	})
	mask:addChild( slider )
	
	--增减按钮
	local addBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , baseX + 128 , baseY + 47  , {
		scale = true,
		priority = -130,
		callback = function()
			if num < maxBuyNum then
				num = num + 1
				slider:setValue( num )
				changeValue()
			end
		end
	})
	
	local minusBtn = KNBtn:new(COMMONPATH,{"next_big.png"} , baseX - 165 , baseY + 47  ,{
		scale = true,
		priority = -130,
		callback = function()
			if num > 1 then
				num = num - 1
				slider:setValue( num )
				changeValue()
			end
		end
	})
	minusBtn:setFlip(true)
	
	addBtn:getLayer():setScale( 0.9 )
	minusBtn:getLayer():setScale( 0.9 )
	mask:addChild(addBtn:getLayer())
	mask:addChild(minusBtn:getLayer())

	
	--确定，取消按钮
--	local goldBtn = KNBtn:new(COMMONPATH,{ "btn_bg_red.png" , "btn_bg_red_pre.png" }, baseX - 134 - 35 , baseY + 28 - 50  ,{
--		front = PATH .. "gold_buy_text.png" ,
--		scale = true,
--		priority = -130,
--		callback = function()
--			if not countGold( costGold ) then
--				return
--			else
--				HTTP:call("shop" , "buy_cuilian" , { star = star , num = num , cost_type = 2 } , {
--					success_callback = function( tempData )
--						vipConfig = tempData["vip_config"]
--						mask:remove()
--						params.buyFun()
--					end
--				})
--			end
--
--		end
--	})

	local silverBtn = KNBtn:new(COMMONPATH,{ "btn_bg_red.png" , "btn_bg_red_pre.png" } , baseX + 54  - 35-100  , baseY + 28 - 50  ,{
		front = PATH .. "silver_buy_text.png" , 
		scale = true , 
		priority = -130 , 
		callback=
		function()
			HTTP:call("shop" , "buy_cuilian" , { star = star , num = num , cost_type = 1 } , {
					success_callback = function( tempData )
						dump(tempData)
						vipConfig = tempData["vip_config"]
						mask:remove()
						params.buyFun()
					end
				})
		end})
--	mask:addChild(goldBtn:getLayer())
	mask:addChild(silverBtn:getLayer())
	
	
end
function StrengthenLayer:getLayer()
	return self.baseLayer
end

return StrengthenLayer