local PATH = IMG_PATH.."image/scene/swar_pre/"
local SCENECOMMON = IMG_PATH.."image/scene/common/"
local KNBtn = requires(IMG_PATH, "GameLuaScript/Common/KNBtn")
local RankItem = { layer } 

function RankItem:new(kind,pos, parent, data)
	local this = {} 
	setmetatable(this,self)
	self.__index = self
	
	this.layer = display.newLayer()
	
	local bg = display.newSprite(COMMONPATH.."item_bg.png")
	setAnchPos(bg)
	this.layer:addChild(bg)
	
	this.layer:setContentSize(bg:getContentSize())
	setAnchPos(this.layer)
	
	local text
	if kind == "rank" then
		local challenge = KNBtn:new(COMMONPATH, {"btn_bg.png", "btn_bg_pre.png"}, 320, 35, {
			front = IMG_PATH.."image/scene/fb/challenge.png",
			callback = function()
				SOCKET:getInstance("battle"):call("kuafu" , "execute" , "execute" , {buid = data.uid}, {
					callback = function()
						print("#############################","earend")
					end
				})
--				HTTP:call("kuafu","corpsFight", {buid = data.uid}, {
--					success_callback = function(data)
--						DATA_Battle:setMod("prewar")
--						DATA_Battle:setAct("execute")
--						DATA_Battle:set( data )
--							DATA_Result:set({type = "prewar"})
--							switchScene("battle" , { resultCallFun = function()
--							end, overFun = function()
--								local resultLayer = requires(IMG_PATH,"GameLuaScript/Scene/battle/resultLayer")
--								local scene = display.getRunningScene()
--								scene:addChild( resultLayer:create({
--									callback = function()
--										HTTP:call("kuafu", "getEntrance", {}, {
--											success_callback = function(data)
--												if data.to == "corps" then
--													HTTP:call("kuafu", "getAllCorps", {}, {
--														success_callback = function(data)
--															switchScene("swar_pre", data)
--														end
--													})
--												else
--												end
--											end})
--									end
--								}) )
--							end})
--					end
--				})
			end
		})	
		this.layer:addChild(challenge:getLayer())
	else
		local y,x
		if pos < 4 then
			text = display.newSprite(COMMONPATH..pos..".png")
			x = 410
			y = 22
		else
			text = display.strokeLabel(pos.."", 0, 0, 48, ccc3(0xed, 0x17, 0x16))
			x = 410
			y = 30
		end
		setAnchPos(text, x, y, 1)
		this.layer:addChild(text)
	end
	
--	local icon = display.newSprite(SCENECOMMON.."/logo.png")
--		setAnchPos(icon,17,24)
--	this.layer:addChild(icon)
--	
--	icon = display.newSprite(SCENECOMMON.."navigation/logo_bg.png")
--	setAnchPos(icon,15,20)
--	this.layer:addChild(icon)
	
	local icon = KNBtn:new(COMMONPATH , { getHeadPath(data.sex) } , 17 , 24 , {
		front = COMMONPATH.."role_frame.png",
		scale = true , 
		parent = parent,
		callback = function()
			local uid = data.uid 
			if not uid  then
				switchScene("userinfo")
			else
				HTTP:call("profile","get",{ touid = uid },{success_callback = 
					function()
						local otherPalyerInfo = requires(IMG_PATH, "GameLuaScript/Scene/common/otherPlayerInfo")
						display.getRunningScene():addChild( otherPalyerInfo:new():getLayer() )
					end})
			end
		end
	}):getLayer()
	this.layer:addChild(icon)
	
	local name = display.newSprite(PATH.."name_text.png")
	setAnchPos(name, 100, 65)
	this.layer:addChild(name)
	
	name = createLabel({str = data.name, width = 300, x = 160, y = 63, size = 24, color = ccc3(0x2c, 0, 0)})
	this.layer:addChild(name)
	
	local str, num, x
	if kind == "donate" then
		str = "donate_num"
		num = "count"
		x = 200
	elseif kind == "rank" then
		str = "power_num"
		num = "ability"
		x = 160
	else
		str = "win_count"
		num = "count"
		x = 160
		
		local state = display.newSprite(PATH.."state.png")
		setAnchPos(state, 300, 10)
		this.layer:addChild(state)
		
		setAnchPos(text,410, 30,1)
		
		this.layer:addChild(createLabel({str = data.corpsRankName,width = 200, size = 20, x = 360, y = 10, color = ccc3(0x2c, 0, 0)}))
	end
	
	name = display.newSprite(PATH..str..".png")
	setAnchPos(name,100, 25)
	this.layer:addChild(name)
	
	this.layer:addChild(createLabel({str = data[num], size = 24, x = x, y = 23, color = ccc3(0x2c, 0, 0)}))
	return this
end

function RankItem:getLayer()
	return self.layer
end

function RankItem:getHeight()
	return self.layer:getContentSize().height
end

return RankItem