--[[
	封神
]]
local PATH = IMG_PATH.."image/scene/tobeGodNew/"
local KNBtn = requires(IMG_PATH,"GameLuaScript/Common/KNBtn")
local M = {}

function M:show(parent, config, gid)
	local layer = display.newLayer()
	showTip({
		bg = COMMONPATH.."tip_bg2.png",
		title_text = PATH.."title.png",
		title_bg = COMMONPATH .. "change_title_bg.png",
		titleOffsetY = 50,
		titleTextY = 5,
		noAni = true,
		parent = parent,
		content = layer,
		close = {
			normal = "back_img.png",
			pre = "back_img_press.png",
			y = 300,
		}
	})

	display.newSprite(PATH .."textbg-fengshen.png", display.cx, display.cy-50):addTo(layer)
	display.newSprite(PATH .."text-fengshen.png", display.cx-78, display.cy-50):addTo(layer)
	display.newSprite(PATH .."role.png", display.cx+130, display.cy-20):addTo(layer)
	display.newSprite(PATH .."text1.png", display.cx-140, display.cy-150):addTo(layer)
	display.newSprite(PATH .."text3.png", display.cx+90, display.cy-150):addTo(layer)
 	display.strokeLabel("说明：五星英雄满120级使用封神石进行封神", 50, 184, 20, ccc3(255, 0, 0)):addTo(layer)
 	display.strokeLabel(DATA_Bag:countItems("prop",nil,{cid = "17138"}) .."", 175, 265, 20, ccc3(0, 0, 0)):addTo(layer)
 	display.strokeLabel(config[getConfig("general",DATA_Bag:get("general", gid.."","cid"),"type") ..""], 400, 265, 20, ccc3(0, 0, 0)):addTo(layer)

	local btn = KNBtn:new(COMMONPATH , {"btn_bg_red.png", "btn_bg_red_pre.png"} , display.cx, 233, {
		front = COMMONPATH.."ok.png",
		anchMid = true,
		priority = -256,
		callback = function()
			local up2 = function()
				HTTP:call("general","upgradeToGod",{gid = gid},{
					success_callback = function(result)
						local msg = result.msg
						HTTP:call("general", "getUpgradeGodAttributeConfig", {gid = gid}, {
							success_callback = function(result)
								switchScene("tobeGodNew", {result=result,gid=gid},function()
									KNMsg.getInstance():flashShow(msg)
								end)
							end
						})
					end
				})
			end
			if DATA_Bag:countItems("prop", false,{type = "timelimitgodstone"} ) > 0 then
				KNMsg.getInstance():boxShow("您拥有限时封神石，将优先消耗，不足时用封神石代替，是否升级?", {cancelFun = function()end, confirmFun = function()
					up2()
				end})
			else 
				up2()
			end
		end 
	})
	layer:add(btn:getLayer())
end

return M
